<?php

class PagoprovController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	//public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view','BuscarClinica','BuscarPago','CalcularImp','pdf','Guardarp','Guardarf','ipdf','Historico','BuscarDocum','Pagcli','xpgprov'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','BuscarClinica','BuscarPago','CalcularImp','Guardarp','Guardarf','ipdf','Historico','BuscarDocum','Pagcli','xpgprov'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','BuscarClinica','BuscarPago','CalcularImp','Guardarp','Guardarf','ipdf','Historico','BuscarDocum','Pagcli','xpgprov'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}
	
    public function actionXpgprov()
	{
		$this->render('xpgprov');
	}
	
    private function GetMontoPresupuestario(){
    	 return Yii::app()->getSession()->get('monto_presupuestario'); }

    public function actionPagcli(){
       						          



        $codpro  = $_POST['codprov'];
        $fecregd = $_POST['fecregd'];
        $fecregh = $_POST['fecregh'];
        $tipper  = $_POST['listnamme'];
        
        $sql = "select * from fais.pagosclinicas where codpro = '".$codpro."' and substr(fecreg::text,1,10) between '".$fecregd."' and '".$fecregh."'
                 order by fecreg";
        $comando = Yii::app() -> db -> createCommand($sql);
	$pagcli = $comando ->  queryAll();
        //echo $sql;
        $tablad = "
		<table  class='tabla_reportes'>
		  <thead class = 'enc_reportes' boder=''>
                             
			<tr> 
                              <td class = 'enc_reportes'><strong>Nro Doc.</strong></td>
				  <td class = 'enc_reportes'><strong>C.I. Titular</strong></td> 
				   <td class = 'enc_reportes'><strong>C.I. Benef.</strong></td>
                                   <td class = 'enc_reportes'><strong>Nombres y Apellidos</strong></td>
                                    <td class = 'enc_reportes'><strong>Nro. Fact</strong></td>
                                    <td class = 'enc_reportes'><strong>Fecha Registro</strong></td>
                                     <td class = 'enc_reportes'><strong>Mto. Fact</strong></td>
                                      <td class = 'enc_reportes'><strong>I.S.L.R</strong></td>
                                       <td class = 'enc_reportes'><strong>Timbre Fiscal</strong></td>
                                        <td class = 'enc_reportes'><strong>Mto. Pagado</strong></td>
                                      <td class = 'enc_reportes' colspan ='3'><strong>Opciones</strong></td>";
	$tablad.= "	  
		  </thead>
		  <tbody>
	";
	$estilo = "tabla_reportes";
	for ($filas = 0; $filas < count($pagcli); $filas++){
		if ($estilo == "text ui-widget-contentd ui-corner-all"){
			$estilo = "text ui-widget-contentd ui-corner-all";
		}else{
			$estilo = "text ui-widget-contentd ui-corner-all";
		}
                
                $tablad.= "	
			<tr>      
  		  <td class='$estilo'>".$pagcli[$filas]['nrosin']."</td>
                  <td class='$estilo'>".$pagcli[$filas]['cedtit']."</td>
                  <td class='$estilo'>".$pagcli[$filas]['cedben']."</td>
                  <td class='$estilo'>".$pagcli[$filas]['nomben']."</td>
                  <td class='$estilo'>".$pagcli[$filas]['nrofac']."</td>
                  <td class='$estilo'>".$pagcli[$filas]['fecreg']."</td>
                  <td class='$estilo'>".$pagcli[$filas]['mtof']."</td>   
                  <td class='$estilo'>".$pagcli[$filas]['islr']."</td>   
                  <td class='$estilo'>".$pagcli[$filas]['timf']."</td>  
                  <td class='$estilo'>".$pagcli[$filas]['mtop']."</td> 
                  <td class='$estilo'><input type='image' src='images/fcheck.png' onclick=\"
                                                        document.getElementById('modalg').style.display = 'block';
                                                        document.getElementById('pcedula').value   = '".$cedt."';
                                                        document.getElementById('pfecr').value   = '".$fecr."';
                                                        { $('#dialog').dialog('open')};
                                                        return false;\"></td>'

              
			";
	}       
		echo $tablad; 

 //}else {echo "<script type=\"text/javascript\">alert('¡No se han Procesado Documentos!');</script>";}
           ///////////////////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////

 $sql1 = "select sum(mtof) mtof, sum(islr) islr, sum(timf) timf, sum(mtop) mtop from fais.pagosclinicas 
          where codpro = '".$codpro."' and substr(fecreg::text,1,10) between '".$fecregd."' and '".$fecregh."'
                ";
	$comando = Yii::app() -> db -> createCommand($sql1);
	$suma = $comando ->  queryrow(); 
        $tabla1 = "<table >
		  <thead class = 'enc_reportes' boder=''>
		  <tr> 
                  <td align='left'><td><h3><strong>Monto Facturado :<td><h1></strong><strong>".number_format($suma['mtof'],2,',','.')."</strong></td>
                   <td align='left'><td><h3><strong>I.S.L.R.:<td><h1></strong><strong>".number_format($suma['islr'],2,',','.')."</strong></td>
                   <td align='left'><td><h3><strong>Timbre Fiscal:<td><h1></strong><strong>".number_format($suma['timf'],2,',','.')."</strong></td>
                  <td align='left'><td><h3><strong>Monto a Pagar:<td><h1></strong><strong>".number_format($suma['mtop'],2,',','.')."</strong></td>";
/////////////////////////////////////////formato///////////////////////////////////

//		 echo Yii::app()->numberFormatter->format($suma['mtoa']);
//echo number_format($suma['mtoa'],2,',','.');
////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////direccion o ubicacion del programa///////////////////////////////////
//echo $_SERVER["DOCUMENT_ROOT"]."/FaisInn/protected/modules/Configuracion/controllers/periodocontrollers.php";
//////////////////////////////////////////////////////////////////////////////////////////////////////
	$tabla1.= "	  
		  </thead>
		  <tbody>
	";
       $estilo = "enc_reportes";
       $suma = $editar[$filas]['mtoa'];
       $tabla1.= "	
	         </tr>";
	//}       
		echo $tabla1; 

//////////////////////////////////////////////////////////////////////////////////////////////               
         // echo '<td class='$estilo'>".$editar[$filas][\'nrosin\']."</td>';
             
         /// echo "<script>document.getElementById('enomt').value = 'hola'; </script>";
                                 
         

         
          
                                       }




public function actionCalcularImp(){
         $pfac =  $_POST['Pagoprov']['nrofac'];  
         $pnrosin =  $_POST['pnrosin'];
         $nrosinr = Pagoprov::model()->findAll('t.nrosin = \''.$pnrosin.'\'');  
         $exito = ($nrosinr[0]->nrosin == '')? 'No Definido' :  $nrosinr[0]->nrosin;   
         $cedtit2 = ($nrosinr[0]->cedtit == '')? 'No Definido' :  $nrosinr[0]->cedtit;   
         $cedben2 = ($nrosinr[0]->cedben == '')? 'No Definido' :  $nrosinr[0]->cedben;   
		 
         if ($pfac = $exito)
      //   {echo "<script type=\"text/javascript\">alert('¡Numero de factura registrado!');</script>";}
        


        $mtof =    $_POST['mtof'];
        $pislr = $mtof * 0.02; 
         echo "<script>document.getElementById('pislr').value = '".$pislr."'; </script>";
        if  ($mtof >= 3800) {$ptimf = $mtof*0.001;}
	else {$ptimf = 0;}
         echo "<script>document.getElementById('ptimf').value = '".$ptimf."'; </script>";
         $pmtop = (($mtof) -($ptimf+$pislr));
          echo "<script>document.getElementById('pmtop').value = '".$pmtop."'; </script>";
        }


         public function actionBuscarClinica()
	{
           $codprov = $_POST['Proveedores']['codprov'];
           $proveedor = Proveedores::model()->findAll('t.codprov = \''.$codprov.'\'');
           $pest = ($proveedor[0]->id_estado == '')? 'No Definido' :  $proveedor[0]->id_estado;
           $codest = TEstado::model()->findAll('t.id_estado = \''.$pest.'\'');
           $dest = ($codest[0]->descripcion_estado == '')? 'No Definido' :  $codest[0]->descripcion_estado;       
           $codp = ($proveedor[0]->codprov == '')? 'No Definido' :  $proveedor[0]->codprov;
           $dirp = ($proveedor[0]->dirprov == '')? 'No Definido' :  $proveedor[0]->dirprov;
           $prif  = ($proveedor[0]->rifprov == '')? 'No Definido' :  $proveedor[0]->rifprov;
           $ptlf  = ($proveedor[0]->telprov == '')? 'No Definido' :  $proveedor[0]->telprov;
           $pcont  = ($proveedor[0]->contprov == '')? 'No Definido' :  $proveedor[0]->contprov;
           
         echo "<script>document.getElementById('pcodc').value = '".$codp."'; </script>"; 
         echo "<script>document.getElementById('pdir').value = '".$dirp."'; </script>"; 
         echo "<script>document.getElementById('prif').value = '".$prif."'; </script>"; 
         echo "<script>document.getElementById('ptlf').value = '".$ptlf."'; </script>"; 
         echo "<script>document.getElementById('pfax').value = '".$pfax."'; </script>";
         echo "<script>document.getElementById('pcont').value = '".$pcont."'; </script>"; 
         echo "<script>document.getElementById('pest').value = '".$dest."'; </script>"; 
         

               
	}


        public function actionBuscarPago(){
        $pnrosin =  $_POST['pnrosin'];
        $sqln28 = "SELECT * from fais.documentoslocal
              
                 where   estsin not in ('Anulado')
                AND    nrosin = '".$pnrosin."'"; 
                $comando = Yii::app() -> db -> createCommand($sqln28);
                $doc = $comando -> queryRow();

         
       /*if ($exito!='No Definido')
        
       {echo "<script type=\"text/javascript\">alert('¡Documento Procesado!');</script>";
         echo "<script>document.getElementById('pnrosin').value = ''; </script>";}
        else{*/
        
        echo "<script>document.getElementById('pfecp').value = '".$doc['fecreg']."'; </script>"; 
        echo "<script>document.getElementById('pfecr').value = '".$doc['fecreg']."'; </script>"; 
        echo "<script>document.getElementById('pdiag').value = '".$doc['nomdiag']."'; </script>"; 
        echo "<script>document.getElementById('pcedt').value = '".$doc['cedtit']."'; </script>";
        echo "<script>document.getElementById('pnomt').value = '".$doc['nomtit']."'; </script>"; 
        echo "<script>document.getElementById('pnomi').value = '".$doc['nomitit']."'; </script>"; 
        echo "<script>document.getElementById('pcedb').value = '".$doc['cedben']."'; </script>"; 
        echo "<script>document.getElementById('pnomb').value = '".$doc['nomben']."'; </script>"; 
        echo "<script>document.getElementById('pparen').value = '".$doc['parentesco']."'; </script>";
        echo "<script>document.getElementById('bcodprov').value = '".$doc['codpro']."'; </script>";
        echo "<script>document.getElementById('descprov').value = '".$doc['descprov']."'; </script>";
        echo "<script>document.getElementById('pdir').value = '".$doc['dirprov']."'; </script>"; 
        echo "<script>document.getElementById('prif').value = '".$doc['rifprov']."'; </script>"; 
        echo "<script>document.getElementById('ptlf').value = '".$doc['telprov']."'; </script>"; 
        echo "<script>document.getElementById('pfax').value = '".$doc['faxprov']."'; </script>";
        echo "<script>document.getElementById('pcont').value = '".$doc['contprov']."'; </script>"; 
        echo "<script>document.getElementById('pest').value = ''; </script>"; 
        echo "<script>document.getElementById('pcodiag').value = '".$doc['coddiag']."'; </script>";} 
        //}
         


        public function actionGuardarp(){
        $pfac =  $_POST['Pagoprov']['nrofac'];  
        $mtof =  $_POST['mtof'];
		$coddiag=$_POST['pcodiag'];
	
//--------------------------------
////COMENTADO EL DIA 24/09/2012////////
        //echo $pfac;
        //echo $pfact;
//----------------------------------------
        if ($pfac=='' or $mtof=='' )
        {echo "<script type=\"text/javascript\">alert('¡Debe de !');</script>";}

/*if ($pfac=='' or $mtof=='' ) {echo "<script type=\"text/javascript\">
        document.getElementById('error_carga').style.display = 'block';
		</script>";}*/

else {
        $usuario = TUsuario::model()->findAll('t.id_usuario = '.yii::app()->user->id.'');
        $nomu = ($usuario[0]->id_usuario == '')? 'No Definido' :  $usuario[0]->id_usuario;
        
        $pagoprov = Pagoprov::model()->findAll('t.estsin::integer =1 and t.nrosin = \''.$pnrosin.'\'');
        $eeeeestsin = ($pagoprov[0]->estsin == '')? 'No Definido' :  $pagoprov[0]->estsin;

         
        
          $nrosinr = Pagoprov::model()->findAll('t.nrosin = \''.$pnrosin.'\' and t.estsin::integer <>9');  
          $exito = ($nrosinr[0]->nrosin == '')? 'No Definido' :  $nrosinr[0]->nrosin;  
        
        //echo $nomu;
        echo $eeeeestsin;
        $code =  $_POST['codemp'];
        $cedt =  $_POST['pcedt'];
        $cedb =  $_POST['pcedb'];
        $frec =  $_POST['pfecr'];
        $femi =  $_POST['pfecp'];
        
        $isrl =  $_POST['pislr'];
        $timb =  $_POST['ptimf'];
        $mtop =  $_POST['pmtop'];
        $ndoc =  $_POST['pnrosin'];
       // $fact =  $_POST['Fact'];
        $obs =  $_POST['obs'];
        $codd =  $_POST['pcodiag'];
        $codpro =  $_POST['bcodprov'];
        $ptitu =  $_POST['pcedt'];
         $pnomt = $_POST['pnomt'];
         $pnomit = $_POST['pnomi'];
         $pben = $_POST['pcedb'];
         $pnexb  =  $_POST['pparen'];
        echo "<script type=\"text/javascript\">alert('".$codpro."');</script>";
        
        

       // $codd =  $_POST['pcodiag'];

        
        $codp =  $_POST['codperi'];
        //$mtoe =  $_POST['mtoe'];
        //$mtoc =  60000;
		//$eestsin =  $_POST['Pagoprov']['estsin'];
            
       
          
        $sql = "select nextval('fais.pagoprov_seq'::regclass) as idsin";
		$comando = Yii::app() -> db -> createCommand($sql);
		$ids = $comando -> queryRow(); 
                $idsin = $ids['idsin'];
	$diag = Diagnostico::model()->findAll('t.coddiag = \''.$codd.'\'');
        $code = ($diag[0]->codesp == '')? 'No Definido' :  $diag[0]->codesp;
       // $ptitu = Titulares::model()->findAll('t.cedtit = \''.$cedt.'\'');
        //$pcedt = ($ptitu[0]->cedtit == '')? 'No Definido' :  $ptitu[0]->cedtit;
       // $pnomt = ($ptitu[0]->nomtit == '')? 'No Definido' :  $ptitu[0]->nomtit;
        // $pnomit = ($ptitu[0]->nomitit == '')? 'No Definido' :  $ptitu[0]->nomitit;
         //$pben = Beneficiario::model()->findAll('t.cedben = \''.$cedb.'\'');
        //$pcedt = ($ptitu[0]->cedtit == '')? 'No Definido' :  $ptitu[0]->cedtit;
        //$pnomb = ($pben[0]->nomben == '')? 'No Definido' :  $pben[0]->nomben;
        // $pnexb = ($pben[0]->nexben == '')? 'No Definido' :  $pben[0]->nexben;
        
        if ($mtosn>=0) {$mtos=$mtosn;}
        else {$mtos=$mtos;}

        //$pnrosin =  $_POST['pnrosin'];
        //echo CJSON::encode($pnrosin);
        /*$nrosinp = Pagoprov::model()->findAll('t.nrosin = \''.$pnrosin.'\'');  
        $pfact = ($nrosinp[0]->nrofac == '')? 'No Definido' :  $nrosinp[0]->nrofac;
        $pfac =  $_POST['Pagoprov']['nrofac']; 
        if ($pfac=$pfact)
        {echo "<script type=\"text/javascript\">alert('¡Numero de Factura duplicado!');</script>";} */

if ($eeeeestsin ==9){

echo "<script type=\"text/javascript\">alert('¡Registro Anulado!');</script>";

		
}
else 
 {
 
 {       
	 
	 $sql1 = "INSERT INTO fais.pagoprov(codemp, codsin, nrosin, fecreg, fecrec, codusu, cedtit, nomtit, 
cedben, nomben, nexben, mtof, islr, timf, mtop, codpro, nrofac, 
                                            nomitit, fecfact, codesp, coddiag, codpol, analista,estsin)
                                    VALUES (1, $idsin, '$ndoc', '$femi', now(), $nomu, $cedt, '$pnomt', 
                                            $cedb, '$pnomb', 1,  $mtof, $isrl, $timb, $mtop, $codpro, $pfac, 
                                            '$pnomit', '1900-01-01', $code, $codd, 2, '$nomu','1');";
		$comando = Yii::app() -> db -> createCommand($sql1);
		$comando -> execute();

  $sql2 = "update fais.siniestro
           set    fecpag = (select fecreg from fais.pagoprov where nrosin = siniestro.nrosin),
                  estsin = 21
           where  nrosin = '".$ndoc."';";
            
		$comando = Yii::app() -> db -> createCommand($sql2);
		$comando -> execute();
		}
 


//////////////////////////////actualizador//////////////////////////////////////////////////////////
		        {
					
				 $sql0="SELECT min(mtos) as saldo 
				        FROM fais.siniestro 
						WHERE cedtit = '".$cedt."'
                        AND    coddiag = '".$codd."';";
                 $comando = Yii::app() -> db -> createCommand($sql0);
	             $saldo = $comando ->  queryRow();
                 $minsal = $saldo['saldo'];	
//echo "<script type=\"text/javascript\">alert($minsal);</script>";		 
		
	//	 print_r($saldo);			
	 
	 
		 
		 $sql2 = "UPDATE fais.siniestro  a
		SET estsin = 21 ,
		    mtoa = (select $mtof from fais.pagoprov c
		WHERE c.cedtit = a.cedtit
		and c.cedben = a.cedben
		and c.nrosin = a.nrosin
		and  c.estsin::integer !=9),
		    mtoc = (select max(mtoc) from fais.siniestro b
		WHERE b.cedtit = a.cedtit
		and b.cedben = a.cedben
		and b.estsin  IN ('1','2','3','4','7','12','10','21')),
		    mtos = (select ($minsal-$mtof) from fais.siniestro b,fais.pagoprov c
		WHERE b.cedtit = c.cedtit
		AND b.cedben = c.cedben
		AND b.nrosin = c.nrosin 
		and b.cedtit = a.cedtit
		and b.cedben = a.cedben
		and b.nrosin = a.nrosin
		and c.cedtit = a.cedtit
		and c.cedben = a.cedben
		and c.nrosin = a.nrosin
		and  c.estsin::integer !=9
		and    b.estsin  IN ('1','2','3','4','7','12','10','21')
		group by c.mtof) ,
		nrofac = (select c.nrofac from fais.pagoprov c
		WHERE c.cedtit = a.cedtit
		and c.cedben = a.cedben
		and c.nrosin = a.nrosin
		and  c.estsin::integer !=9)
		--WHERE cedtit = 10115415 
		--AND cedben = 6451016 
		where nrosin = '$ndoc'
		and   substr(nrosin,1,2) =  'OM'
		and    a.estsin  IN ('1','2','3','4','7','12','10','21')";
		$comando = Yii::app() -> db -> createCommand($sql2);
		$comando -> execute();
	//$row         = $comando -> queryRow(); 
		}
      
		 echo "<script type=\"text/javascript\">alert('¡El Registro ha sido Guardado exitosamente!');</script>";//	".array('pdf','id'=>$idsin)."';
      
echo "<script type=\"text/javascript\">
	
		document.getElementById('".Pagoprov_nrofac ."').value = '';
                document.getElementById('".codprov ."').value ='';
                document.getElementById('".codtserv."').value ='';	
                document.getElementById('".yt1."').value = '';
		document.getElementById('". pana."').value = '';	
                document.getElementById('". pcedb ."').value = '';	
                document.getElementById('". pcedt ."').value = '';	
                document.getElementById('". pcodiag ."').value = '';		
                document.getElementById('". pcont ."').value = '';	
                document.getElementById('". pdiag ."').value = '';
                document.getElementById('". pdir ."').value = '';
                document.getElementById('". pest ."').value = '';
		document.getElementById('". pfax ."').value = '';
                document.getElementById('". pfecp ."').value = '';	
                document.getElementById('". pfecr ."').value = '';	
                document.getElementById('". pislr ."').value = '';	
                document.getElementById('". pmtop ."').value = '';
                document.getElementById('". pnomb ."').value = '';	
                document.getElementById('". pnomi ."').value = '';
                document.getElementById('". pnomt ."').value = '';
                document.getElementById('". pnrosin ."').value = '';
                document.getElementById('". pparen ."').value = '';
                document.getElementById('". prif ."').value = '';
                document.getElementById('". ptimf ."').value = '';
                document.getElementById('". ptlf ."').value = '';

                </script>";
		
}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

                // echo "<script>document.getElementById('Siniestro_codsin').value = '".$idsin."'; </script>"; 


}
                          }

 
//////////////////////////////PARA GUARDAR LA EDITOR///////////////////////////////
public function actionGuardarf(){

        $usuario = TUsuario::model()->findAll('t.id_usuario = '.yii::app()->user->id.'');
        $nomu = ($usuario[0]->id_usuario == '')? 'No Definido' :  $usuario[0]->id_usuario;
        //echo $nomu;
  //      $ecode =  $_POST['ecodemp'];
        $ecedt =  $_POST['ecedula'];
        $ecedb =  $_POST['ecedb'];
        $efrec =  $_POST['efecr'];
        $efemi =  $_POST['efact'];        
 //       $eisrl =  $_POST['epislr'];
 //       $etimb =  $_POST['eptimf'];
   //     $emtop =  $_POST['epmtop'];
        $endoc =  $_POST['enrosin'];
        $emtop =  $_POST['emtop'];
        $emtoe =  $_POST['emtoe'];
        $emtoa =  $_POST['emtoa'];
        $emtoc =  $_POST['emtoc'];
        $ecodd =  $_POST['ediag'];
        $ecodp =  $_POST['eprov'];
        $ecodd =  $_POST['ediag'];        
        $enomt =  $_POST['enomt']; 
        $enomi =  $_POST['enomi'];  
        $eubic =  $_POST['eubic'];  
        $enomb =  $_POST['enomb'];  
        $esex =  $_POST['esex'];  
        //$ediag =  $_POST['ediag'];
		$eestsin =  $_POST['Pagoprov']['estsin'];




    /*      
{$sql6 = "UPDATE fais.pagoprov b
SET estsin = '9' 
WHERE estsin  IN ('1')
and nrosin = '$endoc'
and   substr(nrosin,1,2) =  'OM'";

		$comando = Yii::app() -> db -> createCommand($sql6);
		$comando -> execute();

		}   */
		
{$sql8 = "UPDATE fais.pagoprov b
SET estsin = '9' 
WHERE estsin  IN ('1')
and nrosin = '$endoc'";

		$comando = Yii::app() -> db -> createCommand($sql8);
		$comando -> execute();

		}   
		
{$sql5 = "UPDATE fais.siniestro  a
SET estsin = '1' ,
    mtos = (select min(b.mtos) from fais.siniestro b
where    estsin  IN ('1','2','3','4','7','12','21')
and   cedtit =$ecedt
and   cedben =$ecedb
and nrosin  != '$endoc')
where  nrofac = (select c.nrofac from fais.pagoprov c
WHERE c.cedtit = a.cedtit
and c.cedben = a.cedben
and c.nrosin = a.nrosin
and c.estsin ='9')
and   substr(nrosin,1,2) =  'OM'
and   nrosin = '$endoc'";

		$comando = Yii::app() -> db -> createCommand($sql5);
		$comando -> execute();

		} 
		
      /* {$sql11 = "update fais.siniestro a
set estsin=(select estsin from fais.siniestro b
where a.cedtit=b.cedtit
and   a.cedben=b.cedben
and   a.nrosin=b.nrosin
and   a.nrosin = '$endoc')
where nrosin = '$endoc'
and  estsin::integer not in(9);";
		$comando = Yii::app() -> db -> createCommand($sql11);
		$comando -> execute();
		}*/

      
       echo "<script type=\"text/javascript\">alert('¡El Registro ha sido Guardado exitosamente!');</script>";//".array('pdf','id'=>$idsin)."';
      
echo "<script type=\"text/javascript\">

		document.getElementById('ecedula').value = '';
		document.getElementById('enomt').value = '';
                document.getElementById('enomi').value = '';
                document.getElementById('eubic').value = '';	
                document.getElementById('enrod').value = '';	
                document.getElementById('ecarg').value = '';
                document.getElementById('efeche').value = '';
                document.getElementById('ecedb').value = '';
                document.getElementById('enomb').value = '';
                document.getElementById('esex').value = '';	
                document.getElementById('eedad').value = '';
                document.getElementById('efact').value = '';        
                document.getElementById('emtop').value = '';  
                document.getElementById('emtoe').value = '';  
                document.getElementById('emtoa').value = '';  
                document.getElementById('emtoc').value = '';  
		document.getElementById('eprov').value = '';
		document.getElementById('ediag').value = '';
		document.getElementById('efecr').value = '';
		document.getElementById('enrosin').value = '';
		document.getElementById('Pagoprov_estsin').value = '';
		document.getElementById('eedad').value = '';
     		

                </script>";
                // echo "<script>document.getElementById('Siniestro_codsin').value = '".$idsin."'; </script>"; 
                 echo "<table width='50'>
                      <tr>
                      ".CHtml::link(CHtml::image('images/imprimir.png'), array('pdf','id'=>$idsin))."
                      </tr >
                      </table>";


                          }

/////////////////////////////////////////////////////////////////

public function actionHistorico(){
                                 
                $cedula =  $_POST['hcedula'];
                $hist = Titulares::model()->findAll('t.cedtit = \''.$cedula.'\'');
                $nomtit = ($hist[0]->nomtit == '')? 'No Definido' :  $hist[0]->nomtit;
                $loctit = ($hist[0]->loctit == '')? 'No Definido' :  $hist[0]->loctit;
                $nomitit = ($hist[0]->nomitit == '')? 'No Definido' :  $hist[0]->nomitit;
                $cargtit = ($hist[0]->cargtit == '')? 'No Definido' :  $hist[0]->cargtit;
                $nomitit = ($hist[0]->nomitit == '')? 'No Definido' :  $hist[0]->nomitit;
                $cedtit = ($hist[0]->cedtit == '')? 'No Definido' :  $hist[0]->cedtit;
                echo "<table class='tabla_reportes'>
   
	<tr>
		<td colspan=4 class='enc_reportes'>Datos del Titular</td>
	</tr>
	<tr>
		<td class='text ui-widget-content ui-corner-all'><strong>Nro de Cedula Titular: </strong>".$cedtit."</td>
		<td class='text ui-widget-content ui-corner-all'><strong>Nombres y Apellidos: </strong>".$nomtit."</td>
		<td class='text ui-widget-content ui-corner-all'><strong>Nomina: </strong>".$nomitit."</td>

                                                       
	</tr>
	
</table>";

      

////DESDE AQUI
 $sql = "select   cedben, nomben, case when nexben = '1' then 'Titular'
                                              when nexben = '2' then 'Conyuge'
                                              when nexben = '3' then 'Hijo'
                                              when nexben = '4' then 'Hija'
                                              when nexben = '5' then 'Padre'
                                              when nexben = '6' then 'Madre'
                                              else null
                             end AS parentesco, edaben as edad,
                         case when sexoben = '1' then 'Masculino'
                              when sexoben = '2' then 'Femenino' else null
                              end as sexo
               from    fais.beneficiario 
               where cedtit = '".$cedula."'";
	$comando = Yii::app() -> db -> createCommand($sql);
	$menus = $comando ->  queryAll(); 
        

	  
	$tabla.="<table  class='tabla_reportes'>
		  <thead class = 'enc_reportes'>
			<tr>
				  <td><strong>Cedula Beneficiario</strong></td>
				  <td><strong>Nombre Beneficiario</strong></td> 
				   <td><strong>Parentesco</strong></td>
                                   <td><strong>Edad</strong></td>
                                    <td><strong>Sexo</strong></td>
                                     <td><strong>Opc.</strong></td>
		</tr>";
	$tabla.="	  
		  </thead>
		  <tbody>
	";
	$estilo = 'ui-widget ui-widget-content';
	for ($filas = 0; $filas < count($menus); $filas++){
         
		if ($estilo == 'ui-widget ui-widget-content'){
			$estilo = 'ui-widget ui-widget-content';
		}else{
			$estilo = 'ui-widget ui-widget-content';
		}
              
                $cedben = $menus[$filas]['cedben'];
                $nomben = $menus[$filas]['nomben'];
                $nexben = $menus[$filas]['parentesco'];
                $edaben = $menus[$filas]['edad'];
                $sexben = $menus[$filas]['sexo'];
                $edaben = $menus[$filas]['edaben'];
  
                 
                $tabla.="	
			<tr id='fila$filas'>
  
                        <td  class='$estilo'>".$menus[$filas]['cedben']."</td>
                        <td class='$estilo'>".$menus[$filas]['nomben']."</td>
                        <td class='$estilo'>".$menus[$filas]['parentesco']."</td>
                        <td class='$estilo'>".$menus[$filas]['edad']."</td>
                        <td class='$estilo'>".$menus[$filas]['sexo']."</td>
<td  class='$estilo'>

<!--input $raf name='optTabla' type='radio' value='opt$filas' onclick=\"
                                                                document.getElementById('modal').style.display = 'block';
                                                                document.getElementById('paren').value = '".$nexben."';
                                                                document.getElementById('cedb').value = '".$cedben."';
                                                                document.getElementById('sal').value = '".$saldb."';
                                                                ;\"-->

<input type='image' src='images/pdf1.jpeg' onclick=\"
                                                     document.getElementById('modal').style.display = 'block';
                                                     document.getElementById('ssal').value = '".$salds."';
					             document.getElementById('sced').value = '".$cedben."';
                                                     { $('#dialog').dialog('open')};return false\">
</td>'
                        </tr>";

	}               
                
          
		echo $tabla; 
                 
             //   echo  $cedben;
   
///////////////////////////////////saldos de los beneficiarios//////////////////////////////////////////////////////
//           and    a.estsin in  ('1','2','3','4','7','12','21')
$sqlp = "select a.nrosin as pnrosin,a.cedtit,b.nomtit,
                a.cedben as pcedben, c.nomben as pnomben,
                 case when nexben = '1' then 'Titular'
                                              when nexben = '2' then 'Conyuge'
                                              when nexben = '3' then 'Hijo'
                                              when nexben = '4' then 'Hija'
                                              when nexben = '5' then 'Padre'
                                              when nexben = '6' then 'Madre'  else null
                     end AS pparentesco, c.edaben as pedad,
                 case when c.sexoben = '1' then 'Masculino'
                 when c.sexoben = '2' then 'Femenino' else null
                 end as psexo,
                a.fecreg as pfecreg, a.obs as pobs,
                d.coddiag as pcoddiag, d.nomdiag as pnomdiag,
                e.codprov as pcodprov, e.descprov as pdescprov,
                a.codusu as pcodusu, a.mtoa as pmtoa, mtop as pmtop, a.mtos as psaldo,
                case when a.estsin = '1' then 'Activo'
                     when a.estsin = '9' then 'Anulado'
                else null end as  pestatus,
                case when max(estsin) = '5' then 'Ingreso'
                     when max(estsin) = '6' then 'Extesion'
                     when max(estsin) = '7' then 'Egreso' 
					 when max(estsin) = '10' then 'Ingreso'
                     when max(estsin) = '11' then 'Extesion'
                     when max(estsin) = '12' then 'Egreso'
                     when max(estsin) = '1' then 'Ingreso'
                     when max(estsin) = '21' then 'Cancelado'                     
                     else null end as  ppestatus
           from   fais.siniestro a, fais.titulares b, fais.beneficiario c, fais.diagnostico d, fais.proveedores e
           where  a.cedtit        = b.cedtit
           and    a.cedben       = c.cedben
           and    c.cedtit      = b.cedtit 
           and    a.coddiag   = d.coddiag
           and    a.codpro     = e.codprov
           and     b.cedtit = '".$cedula."'
           group by a.nrosin ,a.cedtit,b.nomtit,a.cedben , c.nomben ,nexben , c.edaben ,c.sexoben,a.fecreg , a.obs, 
           d.coddiag, d.nomdiag ,e.codprov, e.descprov,a.codusu, a.mtoa , mtop, a.mtos,a.estsin
           order by  a.cedben asc, a.mtos desc";
	$comando = Yii::app() -> db -> createCommand($sqlp);
	$dpend = $comando ->  queryAll(); 
        if (!empty($dpend)) {
        $tablap = "

		<table class='tabla_reporte'>
		  <thead class = 'enc_reportes'>
			<tr>
				  <td><strong>Nro</strong></td>
                                  <td><strong>Cedula</strong></td> 
				  <td><strong>Nombre</strong></td> 
				   <td><strong>Parentesco</strong></td>
				       <td><strong>Patologia</strong></td>
				         <td><strong>Estatus</strong></td>
                                    <td><strong>Aprobado</strong></td>
                                     <td><strong>Saldo</strong></td>
                                    
                                     
		";
		
	$tablap.= "	  
		  </thead>
		  <tbody>
	";
	$estilop = "ui-widget ui-widget-content";
	for ($filas = 0; $filas < count($dpend); $filas++){
		if ($estilop == "ui-widget ui-widget-content"){
			$estilop = "ui-widget ui-widget-content";
		}else{
			$estilop = "ui-widget ui-widget-content";
		}
                
//if ($dpend[$filas]['psaldo'] == '' && $dpend[$filas]['pparentesco'] == 'Titular'){$dpend[$filas]['psaldo'] = 30000;} 
//if ($dpend[$filas]['psaldo'] == '' && $dpend[$filas]['pparentesco'] != 'Titular'){$dpend[$filas]['psaldo'] = 20000;} 
//if ($dpend[$filas]['pparentesco'] == 'Titular' && $dpend[$filas]['psaldo'] == 0 ) {$dpend[$filas]['psaldo'] = 30000;}
//if ($dpend[$filas]['pparentesco'] != 'Titular' && $dpend[$filas]['psaldo'] == 0) {$dpend[$filas]['psaldo'] = 20000;}
if ($dpend[$filas]['pparentesco'] == 'Titular' && $dpend[$filas]['psaldo'] == 0 ) {$raf='disabled' and $type='radio';}
if ($dpend[$filas]['pparentesco'] == 'Titular' && $dpend[$filas]['psaldo'] > 0 ) {$raf='enabled' and $type='image';}
if ($dpend[$filas]['pparentesco'] != 'Titular' && $dpend[$filas]['psaldo'] == 0 ) {$raf='disabled' and $type='radio';}
if ($dpend[$filas]['pparentesco'] != 'Titular' && $dpend[$filas]['psaldo'] > 0 ) {$raf='enabled' and $type='image';}
if ($dpend[$filas]['pestatus'] == '' && $dpend[$filas]['pparentesco'] == 'Titular'){$dpend[$filas]['pestatus'] = 'Ninguno';} 
if ($dpend[$filas]['pestatus'] == 1 && $dpend[$filas]['pparentesco'] == 'Titular'){$dpend[$filas]['pestatus'] = '<font color=\'red\'>Ingreso</font>';} 
if ($dpend[$filas]['pestatus'] == 2 && $dpend[$filas]['pparentesco'] == 'Titular'){$dpend[$filas]['pestatus'] = '<font color=\'red\'>Extension</font>';} 
if ($dpend[$filas]['pestatus'] == 3 && $dpend[$filas]['pparentesco'] == 'Titular'){$dpend[$filas]['pestatus'] = 'Ninguno';} 
if ($dpend[$filas]['pestatus'] == '' && $dpend[$filas]['pparentesco'] != 'Titular'){$dpend[$filas]['pestatus'] = 'Ninguno';} 
if ($dpend[$filas]['pestatus'] == 1 && $dpend[$filas]['pparentesco'] != 'Titular'){$dpend[$filas]['pestatus'] = '<font color=\'red\'>Ingreso</font>';} 
if ($dpend[$filas]['pestatus'] == 2 && $dpend[$filas]['pparentesco'] != 'Titular'){$dpend[$filas]['pestatus'] = '<font color=\'red\'>Extension</font>';} 
if ($dpend[$filas]['pestatus'] == 3 && $dpend[$filas]['pparentesco'] != 'Titular'){$dpend[$filas]['pestatus'] = 'Ninguno';} 
                $pndoc = $dpend[$filas]['pnrosin'];
                $pcedben = $dpend[$filas]['pcedben'];
                $pnomben = $dpend[$filas]['pnomben'];
                $pnexben = $dpend[$filas]['pparentesco'];
                $pedaben = $dpend[$filas]['pedad'];
                $psexben = $dpend[$filas]['psexo'];
                $pedaben = $dpend[$filas]['pedaben'];
                $psaldb  = $dpend[$filas]['psaldo'];
                $pestsin  = $dpend[$filas]['pestatus'];
                $ppestatus  = $dpend[$filas]['ppestatus'];
                $pcoddiag  = $dpend[$filas]['pcoddiag'];
                $pobs  = $dpend[$filas]['pobs'];
                $pprov  = $dpend[$filas]['pcodprov'];
                $tablap.= "	
			<tr>      
                         <td class='$estilo'>".$dpend[$filas]['pnrosin']."</td>
			 <td class='$estilo'>".$dpend[$filas]['pcedben']."</td>
                         <td class='$estilo'>".$dpend[$filas]['pnomben']."</td>
                         <td class='$estilo'>".$dpend[$filas]['pparentesco']."</td>
                         <td class='$estilo'>".$dpend[$filas]['pnomdiag']."</td>
                         <td class='$estilo'>".$dpend[$filas]['ppestatus']."</td>
                         <td class='$estilo'>".$dpend[$filas]['pmtop']."</td>
                         <td class='$estilo'>".$dpend[$filas]['psaldo']."</td>";
                
	}      
		echo $tablap;}


   
                                          }
/////////////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////APARTIR DE AQUI//////////////////////////////////////////
public function actionfBuscarDocum(){

//AND    a.estsin::integer not in (9)
        $nrosin =  $_POST['enrosin'];
        //echo $nrosin;
        $sql = "SELECT a.cedtit, a.fecrec, b.nomtit, b.nomitit, b.loctit,
                       a.codsin, a.nrosin,b.cargtit,a.fecreg,
                       c.cedben, c.nomben, c.edaben, CASE WHEN c.sexoben = '1' THEN 'Masculino' else 'Femenino' END AS sexoben, 
                       d.nomdiag,e.descprov, mtof as mtop, islr as mtoe, timf as mtoa,mtop as mtoc, a.nrofac,
                       case when a.estsin = '9' then 'ANULADO'
                            when a.estsin = '1' then 'ACTIVO'
                            else null
                            end AS pesttttsin
                FROM   fais.pagoprov a, fais.titulares b, fais.beneficiario c, fais.diagnostico d, fais.Proveedores e
                WHERE  a.cedtit = b.cedtit
                AND    a.cedben = c.cedben
                AND    a.cedtit = c.cedtit
                AND    a.coddiag = d.coddiag
                AND    a.codpro = e.codprov
and  a.estsin::integer !=9
                AND    a.nrosin = '".$nrosin."'";
	$comando = Yii::app() -> db -> createCommand($sql);
	$editar = $comando ->  queryAll(); 
        $tabla = "
		<table  class='tabla_reportes' id='tabla_ppal7'>
		  <thead class = 'enc_reportes' boder=''>
			<tr> <td class = 'enc_reportes'><strong>Nro Doc.</strong></td>
				  <td class = 'enc_reportes'><strong>C.I. Titular</strong></td> 
				   <td class = 'enc_reportes'><strong>C.I. Beneficiario</strong></td>
                                   <td class = 'enc_reportes'><strong>Fecha de Emision</strong></td>
                                    <td class = 'enc_reportes'><strong>Fecha de Recepcion</strong></td>
                                     <td class = 'enc_reportes'><strong>Estatus</strong></td>
                                      <td class = 'enc_reportes'><strong>Opciones</strong></td>";
	$tabla.= "	  
		  </thead>
		  <tbody>
	";
	$estilo = "tabla_reportes";
	for ($filas = 0; $filas < count($editar); $filas++){
		if ($estilo == "text ui-widget-content ui-corner-all"){
			$estilo = "text ui-widget-content ui-corner-all";
		}else{
			$estilo = "text ui-widget-content ui-corner-all";
		}
//filas_encuesta_blanco text ui-widget-content ui-corner-all
		$codsin = $editar[$filas]['codsin'];
                $ndocum = $editar[$filas]['nrosin'];
                $cedt = $editar[$filas]['cedtit'];
                $cedb = $editar[$filas]['cedben'];
                $fecr = $editar[$filas]['fecreg'];
                $estt = $editar[$filas]['estsin'];
                $nomit = $editar[$filas]['nomtit'];
                $nomt = $editar[$filas]['nomitit'];
                $ubt = $editar[$filas]['loctit'];
                $fece = $editar[$filas]['fecrec'];
                $cart = $editar[$filas]['cargtit'];
                $nomb = $editar[$filas]['nomben'];
                $eben = $editar[$filas]['edaben'];
                $sben = $editar[$filas]['sexoben'];
                $mtop = $editar[$filas]['mtop'];
                $mtoe = $editar[$filas]['mtoe'];
                $mtoa = $editar[$filas]['mtoa'];
                $mtoc = $editar[$filas]['mtoc'];
                $mtos = $editar[$filas]['mtos'];
                $epro = $editar[$filas]['descprov'];
                $edia = $editar[$filas]['nomdiag'];
                $efac = $editar[$filas]['nrofac'];
                $eobs = $editar[$filas]['obs'];
                 
                $tabla.= "	
			<tr>      
                                  <td class='$estilo'>".$editar[$filas]['codsin']."</td>
				  <td class='$estilo'>".$editar[$filas]['nrosin']."</td>
                                  <td class='$estilo'>".$editar[$filas]['cedtit']."</td>
                                  <td class='$estilo'>".$editar[$filas]['cedben']."</td>
                                  <td class='$estilo'>".$editar[$filas]['fecreg']."</td>
                                  <td class='$estilo'>".$editar[$filas]['pesttttsin']."</td>
         
      <td  class='$estilo'><input type='image' src='images/fcheck.png' onclick=\"document.getElementById('ecedula').value   = '".$cedt."';
                                                        document.getElementById('efecr').value   = '".$fecr."';
                                                        document.getElementById('efeche').value  = '".$fece."';
                                                        document.getElementById('enomt').value   = '".$nomt."';
                                                        document.getElementById('enomt').value   = '".$nomt."';
                                                        document.getElementById('eubic').value   = '".$ubt."';
                                                        document.getElementById('enrod').value   = '".$ndocum."';
                                                        document.getElementById('ecarg').value   = '".$cart."';
                                                        document.getElementById('enomi').value   = '".$nomit."';
                                                        document.getElementById('ecedb').value   = '".$cedb."';
                                                        document.getElementById('enomb').value   = '".$nomb."';
                                                        document.getElementById('eedad').value   = '".$eben."';
                                                        document.getElementById('esex').value    = '".$sben."';
                                                        document.getElementById('emtop').value   = '".$mtop."'; 
                                                        document.getElementById('emtoe').value   = '".$mtoe."';
                                                        document.getElementById('emtoa').value   = '".$mtoa."';
                                                        document.getElementById('emtoc').value   = '".$mtoc."';
                                                        document.getElementById('emtos').value   = '".$mtos."';
                                                        document.getElementById('eprov').value   = '".$epro."';
                                                        document.getElementById('ediag').value   = '".$edia."';
                                                        document.getElementById('efact').value   = '".$efac."';
							document.getElementById('eobs').value   = '".$eobs."';
                                                        return false;\"></td>'


			";
	}       
		echo $tabla; 
         
             
         /// echo "<script>document.getElementById('enomt').value = 'hola'; </script>";
                                 
          }

///////////////////////////////////////////////////////////////////////////////////////////////////



	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Pagoprov;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Pagoprov']))
		{
			$model->attributes=$_POST['Pagoprov'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->codsin));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Pagoprov']))
		{
			$model->attributes=$_POST['Pagoprov'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->codsin));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		/*$dataProvider=new CActiveDataProvider('Pagoprov');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));*/
          $this->redirect(Yii::app()->createUrl('Procesos/pagoprov/create'));
        
        echo $model;
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Pagoprov('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Pagoprov']))
			$model->attributes=$_GET['Pagoprov'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=Pagoprov::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='pagoprov-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
