<?php

/**
 * This is the model class for table "maquinaria.accion_tipo".
 *
 * The followings are the available columns in table 'maquinaria.accion_tipo':
 * @property integer $id
 * @property string $descripcion
 * @property boolean $bln_borrado
 */
class AccionTipo extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return AccionTipo the static model class
	 */
    
    
    
    
    
    
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maquinaria.accion_tipo';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion', 'length', 'max'=>100),
			array('bln_borrado, id_perfil_direccion, id_estado', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id, descripcion, bln_borrado, id_perfil_direccion, id_estado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'descripcion' => 'Descripcion',
			'bln_borrado' => 'Bln Borrado',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

                 $id=Yii::app()->user->id; 
		$sql='select * from maquinaria.usuario where id='.$id.';'; 
                $connection=Yii::app()->db;
                $command=$connection->createCommand($sql); 
                $row=$command->queryRow(); 
                $id_perfil=$row["id_perfil_direccion"];
                $estado=$row["id_estado"];
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;
                //$sort=new CSort();

                $criteria->condition = "id_perfil_direccion=$id_perfil and id_estado=$estado";
		$criteria->compare('id', $this->id);
            		$criteria->compare('descripcion',$this->descripcion,true);
		$criteria->compare('bln_borrado',$this->bln_borrado);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}