<?php

/**
 * This is the model class for table "fais.bartemp".
 *
 * The followings are the available columns in table 'fais.bartemp':
 * @property integer $codbar
 * @property string $nombar
 * @property integer $codplan
 * @property integer $codserv
 * @property double $mtobar
 * @property integer $cedtit
 * @property string $fecreg
 * @property string $cedben
 */
class Bartemp extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Bartemp the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.bartemp';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codbar, cedtit, fecreg', 'required'),
			array('codbar, codplan, codserv, cedtit', 'numerical', 'integerOnly'=>true),
			array('mtobar', 'numerical'),
			array('nombar', 'length', 'max'=>80),
			array('cedben', 'length', 'max'=>10),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codbar, nombar, codplan, codserv, mtobar, cedtit, fecreg, cedben', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codbar' => 'Codbar',
			'nombar' => 'Nombar',
			'codplan' => 'Codplan',
			'codserv' => 'Codserv',
			'mtobar' => 'Mtobar',
			'cedtit' => 'Cedtit',
			'fecreg' => 'Fecreg',
			'cedben' => 'Cedben',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codbar',$this->codbar);

		$criteria->compare('nombar',$this->nombar,true);

		$criteria->compare('codplan',$this->codplan);

		$criteria->compare('codserv',$this->codserv);

		$criteria->compare('mtobar',$this->mtobar);

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('fecreg',$this->fecreg,true);

		$criteria->compare('cedben',$this->cedben,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}