<?php

/**
 * This is the model class for table "fais.vehiculo".
 *
 * The followings are the available columns in table 'fais.vehiculo':
 * @property integer $codveh
 * @property string $desveh
 * @property string $modveh
 * @property string $anoveh
 * @property string $marveh
 */
class Vehiculo extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Vehiculo the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.vehiculo';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codveh', 'required'),
			array('codveh', 'numerical', 'integerOnly'=>true),
			array('desveh, modveh', 'length', 'max'=>100),
			array('anoveh', 'length', 'max'=>4),
			array('marveh', 'length', 'max'=>50),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codveh, desveh, modveh, anoveh, marveh', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codveh' => 'Codveh',
			'desveh' => 'Desveh',
			'modveh' => 'Modveh',
			'anoveh' => 'Anoveh',
			'marveh' => 'Marveh',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codveh',$this->codveh);

		$criteria->compare('desveh',$this->desveh,true);

		$criteria->compare('modveh',$this->modveh,true);

		$criteria->compare('anoveh',$this->anoveh,true);

		$criteria->compare('marveh',$this->marveh,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}