<?php
/**
 * Controller is the customized base controller class.
 * All controller classes for this application should extend from this base class.
 */
class Controller extends CController
{
	/**
	 * @var string the default layout for the controller view. Defaults to '//layouts/column1',
	 * meaning using a single column layout. See 'protected/views/layouts/column1.php'.
	 */
	public $layout='//layouts/column1';
	/**
	 * @var array context menu items. This property will be assigned to {@link CMenu::items}.
	 */
	public $menu=array();
	/**
	 * @var array the breadcrumbs of the current page. The value of this property will
	 * be assigned to {@link CBreadcrumbs::links}. Please refer to {@link CBreadcrumbs::links}
	 * for more details on how to specify this property.
	 */
	public $breadcrumbs=array();
	
	 
	
	public function filters()
    {
    	
    	Yii::import('verificarUsuario');
        return array(
         // 'VerificarAccesoURL',
           'accessControl - site/index,login, contact, captcha, logout',
        	array(  
               'application.filters.IsValidUsuario - site/index,login, contact, captcha, logout',  
               'result' => true  
            ),          
       );
   }
   
     public function actionBuscar()
    {
     echo "<script type=\"text/javascript\">
                             alert('¡Debe Seleccionar un Beneficiario!');
		             </script>";


    }
    
    
    /*** Filtro que verifica que el usuario no acceda por URL  ***/
    public function filterVerificarAccesoURL($filterChain)  
     {  
         	$nam=Yii::app()->user->name;
         	if((Yii::app()->request->getUrlReferrer()=='') && ($nam!='Guest')){
				Yii::import('application.controllers.SiteController');
				$c=Yii::app()->user->getState('count');
				$c=$c+1;
				Yii::app()->user->setState('count',$c,true);
				if($c>=2)
	        		SiteController::actionLogout();
	        	
	        	
				header("Location:error.php");
			}
		
			$filterChain -> run();
     }

	
     
  

	/** Acceso que se genera apartir de los Roles de la base datos ***/
	public function accessRules()
	{
			Yii::import('Seguridad.models.*');
            $regla= array();
		  try{ 
		    	
		    	
					$Criteria = new CDbCriteria();
					//
					$Criteria->condition = "t.id_usuario = ".Yii::app()->user->id." and importancia = (Select max(importancia) from seguridad.t_rbac_usuario_rol)";
					$rol_usuario=TUsuario::model()->with('rol_usuario')->findAll($Criteria);
					//print_r($rol_usuario);	die();
			        $importancia_r=2;
					if($importancia_r <> 1) {
					 			
								
								$Criteria2 = new CDbCriteria();
				                $Criteria2->condition = "t.id_rol =".Yii::app()->user->getState('id_rol');
				                $rol_dom_pri=MostrarRolPrivDomAccObj::model()->findAll($Criteria2);
				                foreach($rol_dom_pri as $key => $value) {
				                      	 	
				                   	 	$regla[$key]= array('allow',  // allow all users to perform 'index' and 'view' actions
															'actions'=>array($value->nombre_accion),
															'controllers'=>array($value->nombre_objeto),
															'users'=>array(yii::app()->user->name),
															//'roles'=>array('Administrador Nutrición'),
															'message'=>'Access Denied.',
															);
				         						
				                         
				                         }
				                        $regla[$key+1]=  array('deny',  // deny all users
										'users'=>array('*'),);
			
					 } else {
		
		                array_push($regla,
		                        array('allow',  // allow all users to perform 'index' and 'view' actions
		                        'users'=>array(Yii::app()->user->name),
		                        )
		                );
		
		            }
            
            
            	return $regla;
            
		   } 
			catch (Exception $e) { 
					$message=$e."Error al consultar datos del usuario, contactar al adminitsrador del sistema.";
					throw new CHttpException('',$message);
					
					
		}


	}
		
	public function devolverSubMenu($id_padre,$menu)
	{

		$menu_h=array();
		if($id_padre==$menu[2]){
			if($menu[4]==0){
				$r="";	
			}else{
				$Criteria = new CDbCriteria();
				$Criteria->condition = "t.id_objeto = ".$menu[4];
		   		$buscarDominio=TRbacDominioObjeto::model()->findAll($Criteria);
		    	$Ruta=TRbacDominio::model()->findByPk($buscarDominio[0]->id_dominio);
		   		$r=$Ruta->nombre_dominio."/".$menu[5]."/index";	
			}
		   		
		
		
		    
			$menu_h=array('url'=>array(
									'route'=>$r),
									'label'=>$menu[0],);
		}else{
			$menu_h=null;		
		}
		return $menu_h;

		
	}
		
		
		
	/** Acceso que se genera apartir de los Roles de la base datos ***/
	public function crearMenu()
	{	
		Yii::import('Seguridad.models.*');
	 
		if (Yii::app()->user->name!='Guest'){
			
		  try{
			$objetos_arreglo = TRbacUsuarioRol::model()->getObjetoUsuarios();
			$Criteria = new CDbCriteria();
			$Criteria->condition="t.id_estatus=1";
			$Criteria->order = "orden";
			$model=TMenu::model()->with('menu_objeto')->findAll($Criteria);
			
			
		    $i=0;
		    $e=0;
		    $i=0;
		   
			foreach($model as $key2 => $value2) {
				 $encontro=false;	
				$tt = $value2->menu_objeto->nombre_objeto_usuario;
			    if($value2->nivel==1){
					$menu_pnivel[$i]=$value2->nombre_menu.",".$value2->id_menu;
					$i=$i+1;
				}else{
					if(($value2->id_objeto==0)){
							$menu_aux=array();
							$menu_aux=TMenu::model()->with('menu_objeto')->findAll('id_padre='.$value2->id_menu);
							foreach($menu_aux as $k => $v) {
								foreach($objetos_arreglo as $key => $value) {
									if($v->menu_objeto->nombre_objeto_usuario==$value)
										$encontro=true;
								}
								//echo $v->menu_objeto->nombre_objeto_usuario;
							}
						//	print_r($menu_aux);			
							if($encontro){
								$menu_usuario[$e] = $value2->nombre_menu.",".$value2->nivel.",".$value2->id_padre.",".$value2->id_menu.",".$value2->id_objeto.",".$value2->menu_objeto->nombre_objeto;
								$e=$e + 1;	
							}
						
					}									
					foreach($objetos_arreglo as $key => $value) {
						   	if((strtoupper($tt) == strtoupper($value))&&($value2->nivel>1)){
								//	echo $tt."--".$value."<br>";	
									$menu_usuario[$e] = $value.",".$value2->nivel.",".$value2->id_padre.",".$value2->id_menu.",".$value2->id_objeto.",".$value2->menu_objeto->nombre_objeto;
									$e=$e + 1;
										
							}
					}
					
				}

			}
			
			//print_r($menu_usuario);
			$menu= array();
			$salida = array();
			$numero=array();
			$i=0;
			$sub_menu2=array();
			foreach($menu_pnivel as $keys => $values) {
				$menu_p=split(',', $values);
				if(count($menu_usuario)>0){
					foreach($menu_usuario as $t => $val) {
							
						$name=split(',', $val);
						//echo $val."<br>";
					    if($name[1]==2){
					    	//print_r($name)."<br>";
					    	if($menu_p[1]==$name[2]){
					    	//	echo "id_padre".$name[2]."-->".$name[3]."<br>";
								$sub_menu[$name[2]][$name[3]] = $this->devolverSubMenu($menu_p[1],$name);
							
					    	}
					    }
						elseif ($name[1]==3){
							
							$name2=split(',', $val);
							$sub_menu2[$name2[2]][$name2[3]] = $this->devolverSubMenu($name2[2],$name2);
							
						}
								
											
					}
				
				}
			
				
				
				$menu[$menu_p[1]]= array('url'=>'',  // allow all users to perform 'index' and 'view' actions
							 'visible'=>((yii::app()->user->id==Yii::app()->session['_id']) && (Yii::app()->user->name!='Guest')), //!Yii::app()->user->isGuest,,
							 'label'=>$menu_p[0],					  
					             
				);
				
							
				if(count($sub_menu)>0){
					if(isset($sub_menu[$menu_p[1]])){				
						foreach ($sub_menu[$menu_p[1]] as $r => $f){
						
							if(isset($sub_menu2)){
								
							  foreach ($sub_menu2 as $w =>$v){
					
							  		foreach ($v as $d => $va){
						  			
						  				if($r==$w) 
						  					$f[]=$va;					  			
						  			}
						  		}
							}
						 
						 	$menu[$menu_p[1]][] = $f;
						 	 	
						}
					}
					
			     }
				
	
			}
			
			array_push($menu,
		                   
			                 array('url'=>array( 'route'=>'/site/logout'),
			                  	   'visible'=>((yii::app()->user->id==Yii::app()->session['_id']) && (Yii::app()->user->name!='Guest')), //!Yii::app()->user->isGuest,
			                       'label'=>'Logout ('.Yii::app()->user->name.')',
			                 )
		                );

	 		return $menu;      
		 } 
			catch (Exception $e) { 
				$message="Error al consultar datos del usuario, contactar al adminitsrador del sistema.";
				throw new CHttpException('',$message);
						
						
		}
			
			
				

		}else{
				
			$menu= array();
			try{ 
				 $menu=array(
			         		 /*array('url'=>array(
			         		 		'route'=>'/site/index'),
			         		 		'label'=>'Inicio',
			                 ),
			                  array('url'=>array( 'route'=>'/site/contact'),
			                       'label'=>'Contactos',
			                 ),*/
			                /* array('url'=>array( 'route'=>'/site/login'),
			                  	   'visible'=>((yii::app()->user->id!=Yii::app()->session['_id']) || (Yii::app()->user->name=='Guest')), //Yii::app()->user->isGuest,
			                       'label'=>'Login',
			                 ),*/
			                 array('url'=>array( 'route'=>'/site/logout'),
			                  	   'visible'=>((yii::app()->user->id==Yii::app()->session['_id']) && (Yii::app()->user->name!='Guest')), //!Yii::app()->user->isGuest,
			                       'label'=>'Logout ('.Yii::app()->user->name.')',
			                 ),
	                
					
						);
				
			 		return $menu;
	            
			    } 
					catch (Exception $e) { 
						$message="Error al consultar datos del usuario, contactar al adminitsrador del sistema.";
						throw new CHttpException('',$message);
						
						
				}
			
		}
		
	}	

}








