<?php

/**
 * This is the model class for table "fais.estatusc".
 *
 * The followings are the available columns in table 'fais.estatusc':
 * @property integer $id_estatusc
 * @property string $descripcion_estatusc
 */
class Estatusc extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Estatusc the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.estatusc';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_estatusc', 'required'),
			array('id_estatusc', 'numerical', 'integerOnly'=>true),
			array('descripcion_estatusc', 'length', 'max'=>50),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_estatusc, descripcion_estatusc', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_estatusc' => 'Id Estatusc',
			'descripcion_estatusc' => 'Descripcion Estatusc',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_estatusc',$this->id_estatusc);

		$criteria->compare('descripcion_estatusc',$this->descripcion_estatusc,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}