<?php

/**
 * This is the model class for table "seguridad.t_rbac_usuario_rol".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_usuario_rol':
 * @property integer $id_usuario
 * @property integer $id_rol
 * @property integer $importancia
 */
class TRbacUsuarioRol extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacUsuarioRol the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_usuario_rol';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_usuario, id_rol', 'required'),
			array('id_usuario, id_rol, importancia', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_usuario, id_rol, importancia', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_usuario' => 'Id Usuario',
			'id_rol' => 'Id Rol',
			'importancia' => 'Importancia',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('id_rol',$this->id_rol);

		$criteria->compare('importancia',$this->importancia);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}