<?php

/**
 * This is the model class for table "fais.tipper".
 *
 * The followings are the available columns in table 'fais.tipper':
 * @property string $id_tipper
 * @property string $rfl_tipper
 */
class Tipper extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Tipper the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.tipper';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_tipper', 'required'),
			array('id_tipper', 'length', 'max'=>2),
			array('rfl_tipper', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipper, rfl_tipper', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipper' => 'Id Tipper',
			'rfl_tipper' => 'Rfl Tipper',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipper',$this->id_tipper,true);

		$criteria->compare('rfl_tipper',$this->rfl_tipper,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}