<?php

/**
 * This is the model class for table "fais.titupag".
 *
 * The followings are the available columns in table 'fais.titupag':
 * @property integer $codtitpag
 * @property integer $cedtit
 * @property string $codban
 * @property string $ctaban
 * @property string $fecdep
 * @property string $nrodep
 * @property double $mtodep
 * @property string $fectra
 * @property string $nroreftrans
 * @property double $mtotrans
 * @property string $fecpto
 * @property string $nropto
 * @property double $mtopto
 * @property string $fecbs
 * @property double $mtobs
 * @property string $feczelle
 * @property string $nrozelle
 * @property string $nombtit
 * @property string $emailtit
 * @property double $mtozelle
 * @property string $fecdiv
 * @property double $mtodiv
 * @property string $obstit
 * @property double $mtopag
 * @property string $operacion
 * @property integer $tipdep
 * @property string $fecrt
 * @property string $fecmvl
 * @property string $nromvl
 * @property double $mtomvl
 */
class Titupag extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Titupag the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.titupag';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedtit, tipdep', 'numerical', 'integerOnly'=>true),
			array('mtodep, mtotrans, mtopto, mtobs, mtozelle, mtodiv, mtopag, mtomvl', 'numerical'),
			array('codban', 'length', 'max'=>10),
			array('ctaban, operacion', 'length', 'max'=>20),
			array('nrodep, nroreftrans, nropto, nrozelle, nromvl', 'length', 'max'=>30),
			array('nombtit', 'length', 'max'=>40),
			array('emailtit', 'length', 'max'=>50),
			array('obstit', 'length', 'max'=>80),
			array('fecdep, fectra, fecpto, fecbs, feczelle, fecdiv, fecrt, fecmvl', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codtitpag, cedtit, codban, ctaban, fecdep, nrodep, mtodep, fectra, nroreftrans, mtotrans, fecpto, nropto, mtopto, fecbs, mtobs, feczelle, nrozelle, nombtit, emailtit, mtozelle, fecdiv, mtodiv, obstit, mtopag, operacion, tipdep, fecrt, fecmvl, nromvl, mtomvl', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codtitpag' => 'Codtitpag',
			'cedtit' => 'Cedtit',
			'codban' => 'Codban',
			'ctaban' => 'Ctaban',
			'fecdep' => 'Fecdep',
			'nrodep' => 'Nrodep',
			'mtodep' => 'Mtodep',
			'fectra' => 'Fectra',
			'nroreftrans' => 'Nroreftrans',
			'mtotrans' => 'Mtotrans',
			'fecpto' => 'Fecpto',
			'nropto' => 'Nropto',
			'mtopto' => 'Mtopto',
			'fecbs' => 'Fecbs',
			'mtobs' => 'Mtobs',
			'feczelle' => 'Feczelle',
			'nrozelle' => 'Nrozelle',
			'nombtit' => 'Nombtit',
			'emailtit' => 'Emailtit',
			'mtozelle' => 'Mtozelle',
			'fecdiv' => 'Fecdiv',
			'mtodiv' => 'Mtodiv',
			'obstit' => 'Obstit',
			'mtopag' => 'Mtopag',
			'operacion' => 'Operacion',
			'tipdep' => 'Tipdep',
			'fecrt' => 'Fecrt',
			'fecmvl' => 'Fecmvl',
			'nromvl' => 'Nromvl',
			'mtomvl' => 'Mtomvl',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codtitpag',$this->codtitpag);

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('codban',$this->codban,true);

		$criteria->compare('ctaban',$this->ctaban,true);

		$criteria->compare('fecdep',$this->fecdep,true);

		$criteria->compare('nrodep',$this->nrodep,true);

		$criteria->compare('mtodep',$this->mtodep);

		$criteria->compare('fectra',$this->fectra,true);

		$criteria->compare('nroreftrans',$this->nroreftrans,true);

		$criteria->compare('mtotrans',$this->mtotrans);

		$criteria->compare('fecpto',$this->fecpto,true);

		$criteria->compare('nropto',$this->nropto,true);

		$criteria->compare('mtopto',$this->mtopto);

		$criteria->compare('fecbs',$this->fecbs,true);

		$criteria->compare('mtobs',$this->mtobs);

		$criteria->compare('feczelle',$this->feczelle,true);

		$criteria->compare('nrozelle',$this->nrozelle,true);

		$criteria->compare('nombtit',$this->nombtit,true);

		$criteria->compare('emailtit',$this->emailtit,true);

		$criteria->compare('mtozelle',$this->mtozelle);

		$criteria->compare('fecdiv',$this->fecdiv,true);

		$criteria->compare('mtodiv',$this->mtodiv);

		$criteria->compare('obstit',$this->obstit,true);

		$criteria->compare('mtopag',$this->mtopag);

		$criteria->compare('operacion',$this->operacion,true);

		$criteria->compare('tipdep',$this->tipdep);

		$criteria->compare('fecrt',$this->fecrt,true);

		$criteria->compare('fecmvl',$this->fecmvl,true);

		$criteria->compare('nromvl',$this->nromvl,true);

		$criteria->compare('mtomvl',$this->mtomvl);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}