<?php

class BeneficiarioController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
     public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view','calculaedad','calculaedadc'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','calculaedad','calculaedadc'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','calculaedad','calculaedadc'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Beneficiario;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		
///////////////ingresar un beneficiario////////////////////////
//$codcodb =$_POST['Beneficiario']['codben'];
/*
$codcedb =$_POST['Beneficiario']['cedben'];
$codcedt =$_POST['Beneficiario']['cedtit'];
$codnomb =$_POST['Beneficiario']['nomben'];
$coddirb =$_POST['Beneficiario']['dirben'];
$codtelb =$_POST['Beneficiario']['telben'];
$codnacb =$_POST['Beneficiario']['nacben'];
$codnexb =$_POST['Beneficiario']['nexben'];
$codfeccb =$_POST['Beneficiario']['fecnacben'];
$codfecgb =$_POST['Beneficiario']['fecregben'];
$codsexob =$_POST['Beneficiario']['sexoben'];
$codestb =$_POST['Beneficiario']['estben'];
$codcodeb =$_POST['Beneficiario']['codemp'];
$codedab =$_POST['Beneficiario']['edaben'];


        if ((empty($codcedb)) || (empty($codcedt))  || (empty($codnomb))  || (empty($codnacb))
         || (empty($codnexb)) || (empty($codfeccb)) || (empty($codsexob)) || (empty($codestb))
         || (empty($codcodeb)) )  {
  

 	echo "<script  type=\"text/javascript\">alert('¡Debe de Llenar Todos lo Campos!');</script>";
 
        
        }else {
        	 $codnomb = strtoupper($codnomb);
        	 

			$sql7 = "INSERT INTO fais.beneficiario
			(codben,  cedben,  cedtit,  nomben,  dirben,  telben,  nacben,  nexben,  fecnacben,
             fecregben,  sexoben,  estben,  codemp,  edaben)
             VALUES (nextval('fais.beneficiario_id_seq'::regclass),$codcedb,$codcedt ,'$codnomb' ,'$coddirb','$codtelb',
                             '$codnacb','$codnexb',$codfeccb,now(),'$codsexob','$codestb',$codedab,$codcodeb);";
			 $comando = Yii::app() -> db -> createCommand($sql7);
			 $comando -> execute();

			 	echo "<script  type=\"text/javascript\">alert('¡El Registro ha sido Guardado exitosamente!');</script>";
        	    echo "<script  type=\"text/javascript\">
			
					document.getElementById('Beneficiario_cedben').value = '';
					document.getElementById('Beneficiario_cedtit').value = '';
					document.getElementById('Beneficiario_nomben').value = '';
					document.getElementById('Beneficiario_dirben').value = '';
					document.getElementById('Beneficiario_telben').value = '';
					document.getElementById('Beneficiario_nacben').value = '';
					document.getElementById('Beneficiario_nexben').value = '';
					document.getElementById('Beneficiario_fecnacben').value = '';
					document.getElementById('Beneficiario_fecregben').value = '';
					document.getElementById('Beneficiario_sexoben').value = '';
					document.getElementById('Beneficiario_estben').value = '';
					document.getElementById('Beneficiario_codemp').value = '';
					document.getElementById('Beneficiario_edaben').value = '';

	           
	                </script>";
			 }	
		*/
////////////////////////////////////////////////////////////////////////////////////////		

		if(isset($_POST['Beneficiario']))
		{
			$model->attributes=$_POST['Beneficiario'];
			
			$model->nomben=strtoupper($model->nomben);
			$model->dirben=strtoupper($model->dirben);	
			$model->mail=strtolower($model->mail);	
			
			if($model->save())
			$this->redirect(array('view','id'=>$model->codben));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);


	
		if(isset($_POST['Beneficiario']))
		{

			$model->attributes=$_POST['Beneficiario'];			
			//echo '<pre>',print_r($_POST),'</pre>';exit;	
			$model->nomben=strtoupper($model->nomben);	
			$model->dirben=strtoupper($model->dirben);
			$model->mail=strtolower($model->mail);		
			if($model->save())
		// $model->fechaString = Yii::app()->format->formatDate($model->fecnacben);
		$this->redirect(array('view','id'=>$model->codben));
				
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}


	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

		
			
			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('Beneficiario');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Beneficiario('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Beneficiario']))
			$model->attributes=$_GET['Beneficiario'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		
		if($this->_model===null)
		{
	
			if(isset($_GET['id']))
//				var_dump($_GET['id']);die();
				 $this->_model=Beneficiario::model()->find('codben='.$_GET['id']);
				 
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='beneficiario-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
	
/////////////////////////////buscar titular//////////////////////////////////////////////
/*public function actionBuscarTitular(){
                
        $modelAuditoria= new TRbacAuditoria;
		$usuario->id_usuario=yii::app()->user->id;
		$ip->ip_address= CHttpRequest::getUserHostAddress();
		$dom->id_dominio=$param2->id_dominio;
		$obj->id_objeto=$param->id_objeto;
		$acci->id_accion=$param3->id_accion;


		$cedtit =  $_POST['cedtit'];


                 print_r($fromIp);
                if ($cedtit == '') {echo "<script type=\"text/javascript\">
        alert('¡El Registro ha sido Guardado exitosamente!');
		</script>";} 
                $display = 'none';
		$display_encom = 'none';
		$encontrado = 4;
		$id_persona = '';
		$persona = Titulares::model()->findAll('t.cedtit = \''.$cedtit.'\'');
                $nomt = ($persona[0]->nomtit == '')? 'No Definido' :  $persona[0]->nomtit;
                $nomi = ($persona[0]->nomitit == '')? 'No Definido' :  $persona[0]->nomitit;
                $ubic = ($persona[0]->loctit == '')? 'No Definido' :  $persona[0]->loctit;


                $femi    = date('d/m/Y');

                $display_fecrep = 'none';

				echo "<script type=\"text/javascript\">
	                       document.getElementById('nomi').style.display = 'block';
	                       </script>";	
				
        echo "<script>document.getElementById('nomt').value = '".$nomt."'; </script>";
        echo "<script>document.getElementById('nomi').value = '".$nomi."'; </script>";
        echo "<script>document.getElementById('ubic').value = '".$ubic."'; </script>";


					
				
	}*/
/////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////fecha////////////////////////////////////////////////////////
/*public function edadActual($fecha){
    // Comprobamos que $fecha tiene el formato deseado
    if(preg_match("/([0-9]{4})-([0-9]{1,2})-([0-9]{1,2})/", $fecha, $partes)){
 
        // Validamos que la fecha suministrada sea válida
        if(!checkdate(intval($partes[2]), intval($partes[3]), $partes[1]))
            return false;
 
        // Calculamos las diferencias con la fecha actual
        $annos = abs(date("Y") - $partes[1]);
        $meses = abs(date("m") - $partes[2]);
        $dias = abs(date("d") - $partes[3]);
 
        // Corregimos dependiendo de los valores obtenidos
        if($meses < 0){
            $annos--;
        }
        elseif(($meses == 0) && ($dias < 0)){
            $annos--;
        }
 
        // Devolvemos la cantidad de años
        return $annos;
    } else {
        return false;
    }
}	*/


function actioncalculaedad(){

	//echo '1: <pre>',print_r($_POST),'</pre>';exit; 
	
    $fechanacimiento = $_POST['fecha'];
    
    list($ano,$mes,$dia) = explode("-",$fechanacimiento);
    $ano_diferencia  = date("Y") - $ano; //echo $ano_diferencia.'<br/>';
    $mes_diferencia  = date("m") - $mes; //echo $mes_diferencia.'<br/>';
    $dia_diferencia  = date("d") - $dia; //echo $dia_diferencia.'<br/>';

    if ($dia_diferencia<0 || $mes_diferencia<0){
		$ano_diferencia--;
    }

    if($dia_diferencia<0 and date("m")>$mes){
		$ano_diferencia++;
    }

    echo $ano_diferencia;
   //echo calculaedad ($fechanacimiento);
}


function actioncalculaedadc(){
    $sqlc = "select MAX(codcot) as codcot from fais.cotizacion;";
			 $comando = Yii::app() -> db -> createCommand($sqlc);
			 $comando -> execute();
			 $ct = $comando ->  queryRow(); 
			 $codcot = $ct['codcot'];
			// echo "<script>alert($codcot)</script>";
			 if (empty($codcot)){$codcot=1;} 
			 else {$codcot=$codcot+1;}
			 

    $sql = "select now();";
			 $comando = Yii::app() -> db -> createCommand($sql);
			 $comando -> execute();
			 $hr = $comando ->  queryRow(); 
			 $hora = $hr['now'];
			 $hrs  = (SUBSTR($hora,11,8));
			 
	//echo '1: <pre>',print_r($_POST),'</pre>';exit; 
    $fechanacimiento = $_POST['fecha'];
    
    list($ano,$mes,$dia) = explode("-",$fechanacimiento);
    $ano_diferencia  = date("Y") - $ano; //echo $ano_diferencia.'<br/>';
    $mes_diferencia  = date("m") - $mes; //echo $mes_diferencia.'<br/>';
    $dia_diferencia  = date("d") - $dia; //echo $dia_diferencia.'<br/>';

    if ($dia_diferencia<0 || $mes_diferencia<0){
		$ano_diferencia--;
    }

    if($dia_diferencia<0 and date("m")>$mes){
		$ano_diferencia++;
    }
	date_default_timezone_set("America/Caracas");
	//$hora = date("d-m-Y h:i:s");
    //$hrs = time();
	//echo "<script>document.getElementById('Cotizacion_edadper').value = '".$ano_diferencia."'; </script>";
	//echo "<script>document.getElementById('Cotizacion_hrs').value = '".$hrs."'; </script>";
    //echo $ano_diferencia;
	str_pad($input, 10, "-=", STR_PAD_LEFT);
	$edad = str_pad($ano_diferencia,2,"0", STR_PAD_LEFT);
	$cdct = str_pad($codcot,10,"0", STR_PAD_LEFT);
	echo $edad.$hrs.$cdct;
	echo "<script type=\"text/javascript\"> document.getElementById('print').style.display = 'none';</script>";
	//echo $codcot;
   //echo calculaedad ($fechanacimiento);
}

// Modo de uso


////////////////////////////////////////////////////////////////////////////////////////////	
	
}
