<?php

class CobaexcelController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	//public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view','Excel','import'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','Excel','import'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','Excel','import'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

     public function actionImport()  
{  echo "<script>alert('¡Debe ingresar todos los Datos!')</script>";  
   /* if (isset($_FILES['csvFile']['tmp_name'])) {  
        $file = $_FILES['csvFile']['tmp_name'];  

        // Asegúrate de que el archivo es un CSV  
        if (($handle = fopen($file, 'r')) !== false) {  
            // Lee cada línea del archivo CSV  
            while (($data = fgetcsv($handle, 1000, ',')) !== false) {  
                // Suponiendo que tu modelo se llama `MiModelo`   
                // y que tiene campos que corresponden a las columnas del CSV  
                $model = new Cobaexcel();  
                
                // Asignar los valores a las propiedades del modelo  
                $model->id = $data[0]; // Primer columna  
                $model->nama = $data[1]; // Segunda columna  
                // Continúa asignando campos según sea necesario...  

                // Guardar el modelo en la base de datos  
                if (!$model->save()) {  
                    // Manejo de errores  
                    Yii::log("Error al guardar el modelo: " . print_r($model->getErrors(), true));  
                }  
            }  
            fclose($handle);  
            Yii::app()->user->setFlash('success', 'Importación completada con éxito.');  
        } else {  
            Yii::app()->user->setFlash('error', 'Error al abrir el archivo CSV.');  
        }  
    } else {  
        Yii::app()->user->setFlash('error', 'No se ha subido ningún archivo.');  
    }  

    // Redirigir a una página de éxito o de formulario  
    $this->redirect('index');  */
}  

 
     public function actionExcel()
	{
		$model=new Cobaexcel;
		if(isset($_POST['Cobaexcel']))
		{
			$model->attributes=$_POST['Cobaexcel'];
			$itu=CUploadedFile::getInstance($model,'filee');
			$path='/../jadwal_keg.xlsx';
			$itu->saveAs($path);
			$data = new Spreadsheet_Excel_Reader($path);
			$id=array();
			$nama=array();
			for ($j = 2; $j <= $data->sheets[0]['numRows']; $j++) 
			{
				$id[$j]=$data->sheets[0]['cells'][$j][1];
				$nama[$j]=$data->sheets[0]['cells'][$j][2];
			}
		
			for($i=0;$i<count($id);$i++)
			{
				$model=new Cobaexcel;

				$model->id=$id[$i];
				$model->nama=$keg[$i];
				$model->save();
                       }
                        unlink($path);
			$this->redirect(array('index'));
		}
		$this->render('excel',array('model'=>$model));
	}
	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Cobaexcel;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Cobaexcel']))
		{
			$model->attributes=$_POST['Cobaexcel'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Cobaexcel']))
		{
			$model->attributes=$_POST['Cobaexcel'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('Cobaexcel');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Cobaexcel('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Cobaexcel']))
			$model->attributes=$_GET['Cobaexcel'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=Cobaexcel::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='cobaexcel-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
