<?php

class ParentescoController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view','nexo'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','nexo'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','nexo'),
				'users'=>array('admin','nexo'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

       /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//	     Function   : BuscarBenef
	//	     Access     : public
	//	     Arguments  : vcedt
	//	     Returns    : True si se cumple la condición busqueda de cedula ó False si no se cumple
	//	     Description: función que dada un Numero de Cedula rerorna los datos de Beneficiarios del Titular del SIGESP
	//	     Creado Por : Ing. Rafael Suarez
	//           Fecha Creación: 01/01/2011   
        //           Fecha Última Modificación : 
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	public function actionNexo(){
        echo "<script>alert('¡Debe ingresar la Fecha de Recepción!')</script>";}
	    
​
        /*$cedula =  $_POST['Siniestro']['cedtit'];
		$diag   =  $_POST['Siniestro']['coddiag'];
        $model1 = new Diagnostico;
        $scedben = ($siniestro[0]->cedben == '')? 'No Definido' :  $siniestro[0]->cedben;

		
		$persona = Titulares::model()->findAll('t.cedtit = \''.$cedula.'\'');
        $cedtit = ($persona[0]->cedtit == '')? 'NoDefinido' :  $persona[0]->cedtit;
		$codemp = ($persona[0]->codemp == '')? 'NoDefinido' :  $persona[0]->codemp;
		
		$sqlp = "select mtopol as mtopol, mtoext as mtoext
           		from fais.poliza where codemp= '".$codemp."'";
	    $comando = Yii::app() -> db -> createCommand($sqlp);
	    $mtopoli = $comando ->  queryRow(); 
       
        $mtopol = ($mtopoli['mtopol']);  
        $mtoext = ($mtopoli['mtoext']);  	
		
        $sqlp = "select mtopol as mtopol from fais.poliza where codemp= 1";
	    $comando = Yii::app() -> db -> createCommand($sqlp);
	    $mtopoli = $comando ->  queryRow(); 
       
       // $mtopol = number_format($mtopoli['mtopol'],2,',','.');  

          $mtopol =($mtopoli['mtopol']);	 
		
        $sql = "SELECT * FROM fais.busbeneftlocal('".$cedula."')";
	$comando = Yii::app() -> db -> createCommand($sql);
	$menus = $comando ->  queryAll();
       
        $tabla = "
        <table  class='tabla_reporte' id='tabla_ppal' onmouseover='this.style.background' = '#BBBBBB'  onmouseout='this.style.background'= '#FFFFFF';>
		  <thead class = 'enc_reportes'>
			<tr>
				  <td><strong>Cedula Beneficiario</strong></td>
				  <td><strong>Nombre Beneficiario</strong></td> 
				   <td><strong>Parentesco</strong></td>
                                   <td><strong>Edad</strong></td>
                                    <td><strong>Sexo</strong></td>
                                     <td><strong>Saldo</strong></td>
									 <td><strong>Exceso</strong></td>
									 <td><strong>Ayuda</strong></td>									 
									 <td><strong>Opc.</strong></td>";
		
	$tabla.= "	  
		  </thead>
		  <tbody>
	";
	$estilo = "ui-widget ui-widget-content";
	for ($filas = 0; $filas < count($menus); $filas++){
		if ($estilo == "ui-widget ui-widget-content"){
			$estilo = "ui-widget ui-widget-content";
		}else{
			$estilo = "ui-widget ui-widget-content";
		}


  //$mtosl1 =  ($menus[$filas]['saldo']);
  //$mtosld  =  str_replace(".",",",$mtosl1);
  //$mtosld  =  str_replace(",",".",$mtosl2);
if ($menus[$filas]['mtoext'] == ''){$menus[$filas]['mtoext'] = $mtoext;}
if ($menus[$filas]['saldo'] == ''){$menus[$filas]['saldo'] = $mtopol;} 
if ($menus[$filas]['saldo'] == 0 ) {$menus[$filas]['saldo']='<font color=\'red\'>Saldo Agotado</font>';}
if ($menus[$filas]['saldo'] == 0) {$menus[$filas]['saldo']='<font color=\'red\'>Saldo Agotado</font>';}
if ($menus[$filas]['saldo'] == 0 ) {$raf='disabled' and $type='radio';}
if ($menus[$filas]['saldo'] > 0 ) {$raf='enabled' and $type='image';}
if ($menus[$filas]['saldo'] == 0 ) {$raf='disabled' and $type='radio';}
if ($menus[$filas]['saldo'] > 0 ) {$raf='enabled' and $type='image';}

                $cedben = $menus[$filas]['cedben'];
                $nomben = $menus[$filas]['nomben'];
                $nexben = $menus[$filas]['parentesco'];
                $edaben = $menus[$filas]['edad'];
                $sexben = $menus[$filas]['sexo'];
                $edaben = $menus[$filas]['edaben'];
                $saldb  = $menus[$filas]['saldo'];
				$mtoext  = $menus[$filas]['mtoext'];
				$mtoa    = $menus[$filas]['mtoa'];				
                $estatus  = $menus[$filas]['estatus'];
				$codsin  = $menus[$filas]['codsin'];




                $tabla.= "	
			<tr id='fila$filas'>
                                  <td class='$estilo'>".$menus[$filas]['cedben']."</td>
                                  <td class='$estilo'>".$menus[$filas]['nomben']."</td>
                                  <td class='$estilo'>".$menus[$filas]['parentesco']."</td>
                                  <td class='$estilo'>".$menus[$filas]['edad']."</td>
                                  <td class='$estilo'>".$menus[$filas]['sexo']."</td>
								  <td class='$estilo'>".$menus[$filas]['saldo']."</td>
								  <td class='$estilo'>".$menus[$filas]['mtoext']."</td>
								  <td class='$estilo'>".$menus[$filas]['mtoa']."</td>                                 
                                  <td  class='$estilo'>
<input $raf name='optTabla' type='radio' value='opt$filas' title='rafa' onclick=\"
                                  document.getElementById('Siniestro_cedben').value = '".$cedben."';
								  document.getElementById('btns').style.display = 'block';\"></td>
                               
               

	         ";}
	//}      
		echo $tabla; */   
                      
                              // end function BuscarBenef

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Parentesco;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Parentesco']))
		{
			$model->attributes=$_POST['Parentesco'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_paren));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Parentesco']))
		{
			$model->attributes=$_POST['Parentesco'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_paren));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('Parentesco');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Parentesco('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Parentesco']))
			$model->attributes=$_GET['Parentesco'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=Parentesco::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='parentesco-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
