<?php

class PlanbenefController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	//public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view','Planes', 'guardard'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','Planes', 'guardard'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','Planes', 'guardard'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}


    public function actionGuardard()
	    { 
    		$codpol =$_POST['Siniestro']['codpol'];
			$ben    =$_POST['Planbenef']['beneficio'];
            $cond   =$_POST['Planbenef']['condicion'];
			$alca   =$_POST['Planbenef']['alcance']; 
				
            $sql1 = "INSERT INTO fais.planbenef(beneficio, plan, condicion, alcance)
                                        VALUES ('$ben', $codpol, '$cond', '$alca');";
		    $comando = Yii::app() -> db -> createCommand($sql1);
		    $comando -> execute();
             echo "<script type=\"text/javascript\">alert('¡El Registro ha sido Guardado exitosamente!');
			                                         document.getElementById('Planbenef_beneficio').value = '';
                                                      document.getElementById('Planbenef_condicion').value = '';
					                                  document.getElementById('Planbenef_alcance').value = '';
													  
													  </script>";
   		}
		
	/**
	 * Displays a particular model.
	 */
	 
    public function actionPlanes()
	{     $codpol =  $_POST['Siniestro']['codpol'];
	      echo "<script>alert('$codpol');</script>";
	    
	  }
	
	
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Planbenef;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Planbenef']))
		{
			$model->attributes=$_POST['Planbenef'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_pb));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Planbenef']))
		{
			$model->attributes=$_POST['Planbenef'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_pb));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		/*$dataProvider=new CActiveDataProvider('Planbenef');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));*/
		$this->redirect(Yii::app()->createUrl('Configuracion/Planbenef/create'));
        
        echo $model;
		
		
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Planbenef('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Planbenef']))
			$model->attributes=$_GET['Planbenef'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=Planbenef::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='planbenef-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
