<?php

/**
 * This is the model class for table "fais.baremos".
 *
 * The followings are the available columns in table 'fais.baremos':
 * @property integer $codbar
 * @property string $nombar
 * @property integer $codplan
 * @property integer $codserv
 * @property double $mtobar
 */
class Baremos extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Baremos the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.baremos';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codbar', 'required'),
			array('codbar, codplan, codserv', 'numerical', 'integerOnly'=>true),
			array('mtobar', 'numerical'),
			array('nombar', 'length', 'max'=>80),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codbar, nombar, codplan, codserv, mtobar', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		 'idprog' => array(self::BELONGS_TO, 'Baremos', 'codplan'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codbar' => 'Codigo',
			'nombar' => 'Descripcion del Servicio',
			'codplan' => 'Plan',
			'codserv' => 'Servicio',
			'mtobar' => 'Precio',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codbar',$this->codbar);

		$criteria->compare('nombar',$this->nombar,true);

		$criteria->compare('codplan',$this->codplan);

		$criteria->compare('codserv',$this->codserv);

		$criteria->compare('mtobar',$this->mtobar);
		
		//$criteria->group = "t.nombar, t.codplan, t.codserv, t.mtobar, t.desbar, t.nivel, t.estatus";

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}