<?php

/**
 * This is the model class for table "fais.beneficiario".
 *
 * The followings are the available columns in table 'fais.beneficiario':
 * @property integer $codben
 * @property integer $cedben
 * @property integer $cedtit
 * @property string $nomben
 * @property string $dirben
 * @property string $telben
 * @property string $nacben
 * @property string $nexben
 * @property string $fecnacben
 * @property string $fecregben
 * @property string $sexoben
 * @property string $estben
 * @property integer $codemp
 */
class Beneficiario extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Beneficiario the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.beneficiario';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public $fechaString;
	
	public function validartitular()
{   $titular = Titulares::model()->findAll('t.cedtit = \''.$this->attributes['cedtit'].'\'');
    print_r($titular);
    $codtit = ($titular[0]->cedtit == '')? 'No Definido' :  $titular[0]->cedtit;
	//$codemp = ($titular[0]->codemp == '')? 'No Definido' :  $titular[0]->codemp;
	//$benef = Beneficiario::model()->findAll('t.cedben = \''.$this->attributes['cedben'].'\'');
    //$codben = ($benef[0]->cedben == '')? 'No Definido' :  $benef[0]->cedben;
    if ($this->attributes['cedtit'] != $codtit)
        $this->addError('cedtit', 'No Existe Titular.');
	/*if ($this->attributes['codemp'] != $codemp)
        $this->addError('codemp', 'La Empresa Asociada no es igual a la del Titular.');
	if ($this->attributes['cedben'] != $codben)
        $this->addError('cedtit', 'Beneficiario ya Existe');*/
}

	public function validarbeneficiario()
{   $benef = Beneficiario::model()->findAll('t.cedben = \''.$this->attributes['cedben'].'\'');
    $codben = ($benef[0]->cedben == '')? 'No Definido' :  $benef[0]->cedben;
   	if ($this->attributes['cedben'] == $codben)
        $this->addError('cedben', 'Beneficiario ya Existe');
}


	public function validarempresa()
{   $titular = Titulares::model()->findAll('t.cedtit = \''.$this->attributes['cedtit'].'\'');
    $codemp = ($titular[0]->codemp == '')? 'No Definido' :  $titular[0]->codemp;
	if ($this->attributes['codemp'] != $codemp)
        $this->addError('codemp', 'La Empresa Asociada no es igual a la del Titular.');
}


	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedben, cedtit, nomben, nacben, nexben, fecregben, sexoben, estben, codemp', 'required'),
			array('cedben, cedtit, edaben, codtit', 'numerical', 'integerOnly'=>true),
			array('nomben', 'length', 'max'=>50),
			array('dirben, mail', 'length', 'max'=>100),
			array('telben, codemp', 'length', 'max'=>80),
			///array('fecnacben', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'dd-MM-yyyy'),
			 array('fecnacben', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'dd-MM-yyyy'),
                        array('dia_consulta', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'dd-MM-yyyy'),
			//array('telben','phone'),
			array('nacben, nexben, sexoben, estben', 'length', 'max'=>1),
			array('fecregben', 'safe'),
			array('mail','email'),
			array('cedtit', 'validartitular'),
		    array('cedben', 'validarbeneficiario'),
		    array('codemp', 'validarempresa'),
			
//array('fecnacben', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'yyyy-mm-dd'),

			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
	array('codben, cedben, cedtit, nomben, dirben, telben, nacben, nexben, fecnacben, fecregben, sexoben, estben, codemp, edaben, codtit, mail', 'safe', 'on'=>'search'),
		);	
	}
	
/*
public function convertir_fecha($attr, $params){
$this->fecnacben = CDateTimeParser::parse($this->fechaString,'dd/MM/yyyy');
if($this->fecnacben == null)
$this->addError('fecnacben','La fecha es requerida.');
}
*/
	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codben' => 'Codigo',
			'cedben' => 'C.I. Familiar',
			'cedtit' => 'Cedula del Asociado',
			'nomben' => 'Nombre del Familiar',
			'dirben' => 'Direccion',
			'telben' => 'Telefono',
			'nacben' => 'Nacionalidad',
			'nexben' => 'Parentesco',
			'fecnacben' => 'Fecha de Nac. Familiar',
			'fecregben' => 'Fecha de Registro',
			'sexoben' => 'Sexo',
			'estben' => 'Estatus del Familiar',
			'edaben' => 'Edad',
			'codemp' => 'Codigo de la Empresa',
			'mail' => 'Correo electronico',

		
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codben',$this->codben);

		$criteria->compare('cedben',$this->cedben);

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('nomben',$this->nomben,true);

		$criteria->compare('dirben',$this->dirben,true);

		$criteria->compare('telben',$this->telben,true);

		$criteria->compare('nacben',$this->nacben,true);

		$criteria->compare('nexben',$this->nexben,true);

		$criteria->compare('fecnacben',$this->fecnacben,true);

		$criteria->compare('fecregben',$this->fecregben,true);

		$criteria->compare('sexoben',$this->sexoben,true);

		$criteria->compare('estben',$this->estben,true);
		
		$criteria->compare('edaben',$this->edaben);

		$criteria->compare('codemp',$this->codemp);
		
		$criteria->compare('mail',$this->mail,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
