<?php

/**
 * This is the model class for table "fais.beneftemp".
 *
 * The followings are the available columns in table 'fais.beneftemp':
 * @property integer $cedben
 * @property integer $cedtit
 * @property string $nomben
 * @property string $dirben
 * @property string $telben
 * @property string $nacben
 * @property string $nexben
 * @property string $fecnacben
 * @property string $fecregben
 * @property string $sexoben
 * @property string $estben
 * @property integer $codemp
 * @property integer $edaben
 * @property integer $codtit
 * @property string $mail
 * @property integer $codpol
 */
class Beneftemp extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Beneftemp the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.beneftemp';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedben, cedtit,  fecexc, observacion, estben', 'required'),
			array('cedben, cedtit, codemp, edaben, codtit, codpol', 'numerical', 'integerOnly'=>true),
		///	array('fecexc', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'dd-mm-yyyy'),
			array('nomben', 'length', 'max'=>500),
			array('dirben, mail', 'length', 'max'=>100),
			array('telben', 'length', 'max'=>80),
			array('nacben, nexben, sexoben, estben', 'length', 'max'=>1),
			array('fecregben', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('cedben, cedtit, nomben, dirben, telben, nacben, nexben, fecnacben, fecregben, sexoben, estben, codemp, edaben, codtit, mail, codpol', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}
	
	public function getBen($cedben)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$cedben = $this->find("t.cedben = '".$cedben."'");
		$cedb=$cedben->nomben;
		return $cedb;
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'cedben' => 'Cedben',
			'cedtit' => 'Cedtit',
			'nomben' => 'Nomben',
			'dirben' => 'Dirben',
			'telben' => 'Telben',
			'nacben' => 'Nacben',
			'nexben' => 'Nexben',
			'fecnacben' => 'Fecnacben',
			'fecregben' => 'Fecregben',
			'sexoben' => 'Sexoben',
			'estben' => 'Estben',
			'codemp' => 'Codemp',
			'edaben' => 'Edaben',
			'codtit' => 'Codtit',
			'mail' => 'Mail',
			'codpol' => 'Codpol',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('cedben',$this->cedben);

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('nomben',$this->nomben,true);

		$criteria->compare('dirben',$this->dirben,true);

		$criteria->compare('telben',$this->telben,true);

		$criteria->compare('nacben',$this->nacben,true);

		$criteria->compare('nexben',$this->nexben,true);

		$criteria->compare('fecnacben',$this->fecnacben,true);

		$criteria->compare('fecregben',$this->fecregben,true);

		$criteria->compare('sexoben',$this->sexoben,true);

		$criteria->compare('estben',$this->estben,true);

		$criteria->compare('codemp',$this->codemp);

		$criteria->compare('edaben',$this->edaben);

		$criteria->compare('codtit',$this->codtit);

		$criteria->compare('mail',$this->mail,true);

		$criteria->compare('codpol',$this->codpol);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}