<?php

/**
 * This is the model class for table "fais.bentemp".
 *
 * The followings are the available columns in table 'fais.bentemp':
 * @property integer $idben
 * @property integer $idpib
 * @property string $ben
 * @property string $condicion
 * @property integer $codplan
 * @property string $nivel
 * @property string $cedper
 */
class Bentemp extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Bentemp the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.bentemp';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('idpib, codplan', 'numerical', 'integerOnly'=>true),
			array('ben', 'length', 'max'=>80),
			array('beneficio', 'length', 'max'=>200),
			array('condicion, nivel', 'length', 'max'=>120),
			array('cedper', 'length', 'max'=>10),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('idben, idpib, ben, condicion, codplan, nivel, cedper, beneficio', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}


  public function getBen($cedtitu){
            
            $resul= Beneftemp::model()->findAll('t.cedtit='.$cedtitu. "ORDER BY  t.cedben");
            //var_dump($resul);die();
            return $resul;
            
            
            
            
            
        }
		
		
	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'idben' => 'Idben',
			'idpib' => 'Idpib',
			'ben' => 'Ben',
			'condicion' => 'Condicion',
			'codplan' => 'Codplan',
			'nivel' => 'Nivel',
			'cedper' => 'Cedper',
			'beneficio' => 'Beneficio',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('idben',$this->idben);

		$criteria->compare('idpib',$this->idpib);

		$criteria->compare('ben',$this->ben,true);

		$criteria->compare('condicion',$this->condicion,true);

		$criteria->compare('codplan',$this->codplan);

		$criteria->compare('nivel',$this->nivel,true);

		$criteria->compare('cedper',$this->cedper,true);
		
		$criteria->compare('beneficio',$this->beneficio,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}