<?php

/**
 * This is the model class for table "fais.diagnostico".
 *
 * The followings are the available columns in table 'fais.diagnostico':
 * @property integer $coddiag
 * @property string $nomdiag
 * @property integer $codesp
 * @property integer $codemp
 */
class Diagnostico extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Diagnostico the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.diagnostico';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codesp, codemp, nomdiag','required'),
			array('codesp, codemp', 'numerical', 'integerOnly'=>true),
			array('nomdiag', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('coddiag, nomdiag, codesp, codemp', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'coddiag' => 'Codigo',
			'nomdiag' => 'Diagnostico',
			'codesp' => 'Especialidad',
			'codemp' => 'Empresa',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('coddiag',$this->coddiag);

		$criteria->compare('nomdiag',$this->nomdiag,true);

		$criteria->compare('codesp',$this->codesp);

		$criteria->compare('codemp',$this->codemp);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
                       // 'order'=>'nomdiag',
		));
	}
}
