<?php

/**
 * This is the model class for table "fais.doctores".
 *
 * The followings are the available columns in table 'fais.doctores':
 * @property integer $iddoct
 * @property string $nomdoct
 * @property string $tlfdoct
 * @property string $dirdoct
 * @property string $emaildoct
 */
class Doctores extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Doctores the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.doctores';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nomdoct, dirdoct, emaildoct', 'length', 'max'=>80),
			array('tlfdoct', 'length', 'max'=>20),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('iddoct, nomdoct, tlfdoct, dirdoct, emaildoct', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'iddoct' => 'Codigo',
			'nomdoct' => 'Nombres y Apellidos',
			'tlfdoct' => 'Telefono',
			'dirdoct' => 'Direccion',
			'emaildoct' => 'Email',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('iddoct',$this->iddoct);

		$criteria->compare('nomdoct',$this->nomdoct,true);

		$criteria->compare('tlfdoct',$this->tlfdoct,true);

		$criteria->compare('dirdoct',$this->dirdoct,true);

		$criteria->compare('emaildoct',$this->emaildoct,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}