<?php

/**
 * This is the model class for table "fais.estatus".
 *
 * The followings are the available columns in table 'fais.estatus':
 * @property integer $idestatus
 * @property string $descestatu
 */
class Estatus extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Estatus the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.estatus';
	}

    public function getStatus($estatus)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$estatus = $this->find("id_estatus = ".$estatus);
		$nom_estatus=$estatus->descripcion_estatus;
		return $nom_estatus;
	}
	
	/*  public function getStatuscierre($est)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$estatus = $this->find("id_estatus=".$est);
		$nom_estatus=$estatus->descripcion_estatus;
		return $nom_estatus;
	}*/
	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_estatus', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_estatus', 'length', 'max'=>50),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_estatus, descripcion_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		//return array('usuario'=>array(self::MANY_MANY,'Cotizacion','cotizacion.usuario(usuario)'),
		//);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_estatus' => 'Idestatus',
			'descripcion_estatus' => 'Descestatu',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_estatus',$this->id_estatus);

		$criteria->compare('descripcion_estatus',$this->descestatu,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}