<?php

/**
 * This is the model class for table "fais.eventoprov".
 *
 * The followings are the available columns in table 'fais.eventoprov':
 * @property integer $codeven
 * @property string $desceve
 * @property integer $codcalprov
 * @property integer $codprov
 */
class Eventoprov extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Eventoprov the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.eventoprov';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codcalprov, codprov', 'numerical', 'integerOnly'=>true),
			array('desceve', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codeven, desceve, codcalprov, codprov', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codeven' => 'Codeven',
			'desceve' => 'Desceve',
			'codcalprov' => 'Codcalprov',
			'codprov' => 'Codprov',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codeven',$this->codeven);

		$criteria->compare('desceve',$this->desceve,true);

		$criteria->compare('codcalprov',$this->codcalprov);

		$criteria->compare('codprov',$this->codprov);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}