<?php

/**
 * This is the model class for table "fais.planbenef".
 *
 * The followings are the available columns in table 'fais.planbenef':
 * @property integer $id_pb
 * @property string $beneficio
 * @property integer $plan
 * @property double $mtopag
 * @property integer $plan2
 * @property integer $plan3
 * @property string $condicion
 * @property string $condicion2
 * @property string $condicion3
 * @property string $nivel
 */
class Planbenef extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Planbenef the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.planbenef';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('plan', 'numerical', 'integerOnly'=>true),
			array('beneficio, condicion, alcance', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_pb, beneficio, plan,  condicion,  alcance, ', 'safe', 'on'=>'search'),
		);
	}


    public function getStatus($estatus)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$estatus = $this->find("t.plan = ".$estatus);
		$nom_estatus=$estatus->beneficio;
		return $nom_estatus;
	}
	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_pb' => 'Id Pb',
			'beneficio' => 'Beneficio',
			'plan' => 'Plan',
			'condicion' => 'Condicion',
            'alcance' => 'alcance',  
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_pb',$this->id_pb);

		$criteria->compare('beneficio',$this->beneficio,true);

		$criteria->compare('plan',$this->plan);

		$criteria->compare('condicion',$this->condicion,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}