<?php

/**
 * This is the model class for table "fais.poliz".
 *
 * The followings are the available columns in table 'fais.poliz':
 * @property integer $codpoll
 * @property string $nompoll
 * @property double $mtopoll
 * @property integer $codempp
 * @property double $mtoextt
 * @property integer $compoll
 * @property integer $tippoll
 * @property double $mtomss
 * @property double $mtopoltt
 * @property double $mtopolaa
 * @property integer $idpbb
 */
class Poliz extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Poliz the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.poliz';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nompoll, mtopoll', 'required'),
			array('codempp, compoll, tippoll, idpbb', 'numerical', 'integerOnly'=>true),
			array('mtopoll, mtoextt, mtomss, mtopoltt, mtopolaa', 'numerical'),
			array('nompoll', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codpoll, nompoll, mtopoll, codempp, mtoextt, compoll, tippoll, mtomss, mtopoltt, mtopolaa, idpbb', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codpoll' => 'Codpoll',
			'nompoll' => 'Nompoll',
			'mtopoll' => 'Mtopoll',
			'codempp' => 'Codempp',
			'mtoextt' => 'Mtoextt',
			'compoll' => 'Compoll',
			'tippoll' => 'Tippoll',
			'mtomss' => 'Mtomss',
			'mtopoltt' => 'Mtopoltt',
			'mtopolaa' => 'Mtopolaa',
			'idpbb' => 'Idpbb',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codpoll',$this->codpoll);

		$criteria->compare('nompoll',$this->nompoll,true);

		$criteria->compare('mtopoll',$this->mtopoll);

		$criteria->compare('codempp',$this->codempp);

		$criteria->compare('mtoextt',$this->mtoextt);

		$criteria->compare('compoll',$this->compoll);

		$criteria->compare('tippoll',$this->tippoll);

		$criteria->compare('mtomss',$this->mtomss);

		$criteria->compare('mtopoltt',$this->mtopoltt);

		$criteria->compare('mtopolaa',$this->mtopolaa);

		$criteria->compare('idpbb',$this->idpbb);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}