<?php

/**
 * This is the model class for table "fais.poliza".
 *
 * The followings are the available columns in table 'fais.poliza':
 * @property integer $codpol
 * @property string $nompol
 * @property integer $mtopol
 * @property integer $codemp
 */
class Poliza extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Poliza the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.poliza';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('mtopol,  nompol,  mtoms,', 'required'),
			array('codemp,mtoext,mtopolt, mtopola, compol,tippol', 'numerical',  'integerOnly'=>true),
			//array('mtopol, mtoext',  'numerical'),
			array('nompol', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codpol, nompol, mtopol, mtopolt, mtopola, codemp, mtoext, compol, mtoms, tippol', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		'codemp0' => array(self::BELONGS_TO, 'Empresa', 'codemp'),
		);
	}


        public function getPol($codpol)
      {
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$codpol = $this->find("t.codpol = '".$codpol."'");
		$nompol=$codpol->nompol;
		return $nompol;
	   }
	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codpol' => 'Niveles',
			'nompol' => 'Servicio',
			'mtopol' => 'Mensual',
			'codemp' => 'Asociado',
			'mtoext' => 'Monto Mensual',
			'compol' => 'Combinar ',
			'tippol'=>   'Tipo de Programa',
			'mtopolt' => 'Monto Trimestral',
			'mtopola' => 'Monto Anual',
			'mtoms' =>'Monto',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codpol',$this->codpol);

		$criteria->compare('nompol',$this->nompol,true);

		$criteria->compare('mtopol',$this->mtopol);

		$criteria->compare('codemp',$this->codemp);
		
		$criteria->compare('mtoext',$this->mtoext);
		
		$criteria->compare('compol',$this->compol);	

		$criteria->compare('tippol',$this->tippol);				
		
		$criteria->compare('mtopolt',$this->mtopolt);
		
		$criteria->compare('mtopola',$this->mtopola);
		
		$criteria->compare('mtoms',$this->mtoms);		
		
		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}