<?php

/**
 * This is the model class for table "fais.prog".
 *
 * The followings are the available columns in table 'fais.prog':
 * @property integer $id_pb
 * @property string $beneficio
 * @property integer $plan
 * @property string $condicion
 * @property string $alcance
 * @property integer $codserv
 * @property double $descprog
 */
class Prog extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Prog the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.prog';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_pb', 'required'),
			array('id_pb, plan, codserv, estatus', 'numerical', 'integerOnly'=>true),
			array('descprog', 'numerical'),
			array('beneficio, condicion, alcance', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_pb, beneficio, plan, condicion, alcance, codserv, descprog, estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_pb' => 'Id Pb',
			'beneficio' => 'Beneficio',
			'plan' => 'Plan',
			'condicion' => 'Condicion',
			'alcance' => 'Alcance',
			'codserv' => 'Codserv',
			'descprog' => 'Descprog',
			'estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_pb',$this->id_pb);

		$criteria->compare('beneficio',$this->beneficio,true);

		$criteria->compare('plan',$this->plan);

		$criteria->compare('condicion',$this->condicion,true);

		$criteria->compare('alcance',$this->alcance,true);

		$criteria->compare('codserv',$this->codserv);

		$criteria->compare('descprog',$this->descprog);

		$criteria->compare('estatus',$this->estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}