<?php

/**
 * This is the model class for table "fais.servicio".
 *
 * The followings are the available columns in table 'fais.servicio':
 * @property integer $codserv
 * @property string $descserv
 * @property string $estserv
 * @property integer $codtserv
 */
class Servicio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Servicio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.servicio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codserv, descserv, estserv, codtserv ', 'required'),
			array('codserv, codtserv', 'numerical', 'integerOnly'=>true),
			array('descserv', 'length', 'max'=>300),
			array('estserv', 'length', 'max'=>1),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codserv, descserv, estserv, codtserv', 'safe', 'on'=>'search'),

		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codserv' => 'Codserv',
			'descserv' => 'Descripcion del Servicio',
			//'estserv' => 'Estserv',
			'estserv' => 'Estatus',
			'codtserv' => 'Tipo de Servicio',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codserv',$this->codserv);

		$criteria->compare('descserv',$this->descserv,true);

		$criteria->compare('estserv',$this->estserv,true);

		$criteria->compare('codtserv',$this->codtserv);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}