<?php

/**
 * This is the model class for table "fais.t_benefpol".
 *
 * The followings are the available columns in table 'fais.t_benefpol':
 * @property integer $cedtit
 * @property double $cuota
 * @property integer $promo_junior
 * @property integer $promo_familiar
 * @property integer $promo_familiar_junior
 * @property integer $promo_mayor1
 * @property integer $promo_mayor2
 * @property integer $junior
 * @property integer $familiar
 * @property integer $familiar_junior
 * @property integer $mayor1
 * @property integer $mayor2
 * @property integer $abog_junior
 * @property integer $abog_familiar
 * @property integer $abog_mayor1
 * @property integer $abog_mayor2
 * @property string $nrosin
 * @property string $nomtit
 * @property integer $codpro
 * @property string $fecinicont
 * @property integer $cantben
 * @property integer $estmes
 * @property string $descripcion
 */
class TBenefpol extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TBenefpol the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.t_benefpol';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedtit, promo_junior, promo_familiar, promo_familiar_junior, promo_mayor1, promo_mayor2, junior, familiar, familiar_junior, mayor1, mayor2, abog_junior, abog_familiar, abog_mayor1, abog_mayor2, cont_junior, cont_familiar, cont_mayor1, cont_mayor2, summa_empresarial, summa_familiar, codpro, cantben, estmes', 'numerical', 'integerOnly'=>true),
			array('cuota', 'numerical'),
			array('nrosin', 'length', 'max'=>10),
			array('nomtit', 'length', 'max'=>80),
			array('descripcion', 'length', 'max'=>200),
			array('fecinicont', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('cedtit, cuota, promo_junior, promo_familiar, promo_familiar_junior, promo_mayor1, promo_mayor2, junior, familiar, familiar_junior, mayor1, mayor2, abog_junior, abog_familiar, abog_mayor1, abog_mayor2, cont_junior, cont_familiar, cont_mayor1, cont_mayor2, summa_empresarial, summa_familiar, nrosin, nomtit, codpro, fecinicont, cantben, estmes, descripcion', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'cedtit' => 'Cedtit',
			'cuota' => 'Cuota',
			'promo_junior' => 'PJunior',
			'promo_familiar' => 'PFam',
			'promo_familiar_junior' => 'PFam Junior',
			'promo_mayor1' => 'PMayor1',
			'promo_mayor2' => 'PMayor2',
			'junior' => 'Junior',
			'familiar' => 'Fam',
			'familiar_junior' => 'Fam Junior',
			'mayor1' => 'Mayor1',
			'mayor2' => 'Mayor2',
			'abog_junior' => 'Abog Junior',
			'abog_familiar' => 'Abog Fam',
			'abog_mayor1' => 'Abog Mayor1',
			'abog_mayor2' => 'Abog Mayor2',
			'cont_junior' => 'Cont Junior',
			'cont_familiar' => 'Cont Fam',
			'cont_mayor1' => 'Cont Mayor1',
			'cont_mayor2' => 'Cont Mayor2',
			'summa_empresarial' =>'summa_empresarial',
            'summa_familiar' => 'summa_familiar',
			'nrosin' => 'Nrosin',
			'nomtit' => 'Nomtit',
			'codpro' => 'Codpro',
			'fecinicont' => 'Fecinicont',
			'cantben' => 'Cantben',
			'estmes' => 'Estmes',
			'descripcion' => 'Descripcion',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('cuota',$this->cuota);

		$criteria->compare('promo_junior',$this->promo_junior);

		$criteria->compare('promo_familiar',$this->promo_familiar);

		$criteria->compare('promo_familiar_junior',$this->promo_familiar_junior);

		$criteria->compare('promo_mayor1',$this->promo_mayor1);

		$criteria->compare('promo_mayor2',$this->promo_mayor2);

		$criteria->compare('junior',$this->junior);

		$criteria->compare('familiar',$this->familiar);

		$criteria->compare('familiar_junior',$this->familiar_junior);

		$criteria->compare('mayor1',$this->mayor1);

		$criteria->compare('mayor2',$this->mayor2);

		$criteria->compare('abog_junior',$this->abog_junior);

		$criteria->compare('abog_familiar',$this->abog_familiar);

		$criteria->compare('abog_mayor1',$this->abog_mayor1);

		$criteria->compare('abog_mayor2',$this->abog_mayor2);

		$criteria->compare('cont_junior',$this->abog_junior);

		$criteria->compare('cont_familiar',$this->abog_familiar);

		$criteria->compare('cont_mayor1',$this->abog_mayor1);

		$criteria->compare('cont_mayor2',$this->abog_mayor2);
		
		$criteria->compare('summa_empresarial',$this->summa_empresarial);

		$criteria->compare('summa_familiar',$this->summa_familiar);
		
		$criteria->compare('nrosin',$this->nrosin,true);

		$criteria->compare('nomtit',$this->nomtit,true);

		$criteria->compare('codpro',$this->codpro);

		$criteria->compare('fecinicont',$this->fecinicont,true);

		$criteria->compare('cantben',$this->cantben);

		$criteria->compare('estmes',$this->estmes);

		$criteria->compare('descripcion',$this->descripcion,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}