<?php

/**
 * This is the model class for table "fais.tipo_servicio".
 *
 * The followings are the available columns in table 'fais.tipo_servicio':
 * @property integer $codtserv
 * @property string $desctserv
 * @property string $esttserv
 */
class TipoServicio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TipoServicio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.tipo_servicio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('codtserv, desctserv', 'required'),
			array('codtserv', 'numerical', 'integerOnly'=>true),
			array('desctserv', 'length', 'max'=>300),
			array('esttserv', 'length', 'max'=>1),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codtserv, desctserv, esttserv', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codtserv' => 'Codtserv',
			'desctserv' => 'Desctserv',
			'esttserv' => 'Esttserv',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codtserv',$this->codtserv);

		$criteria->compare('desctserv',$this->desctserv,true);

		$criteria->compare('esttserv',$this->esttserv,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}