<?php

/**
 * This is the model class for table "fais.titulares".
 *
 * The followings are the available columns in table 'fais.titulares':
 * @property integer $codtit
 * @property string $nactit
 * @property integer $cedtit
 * @property string $nomtit
 * @property string $dirtit
 * @property string $teltit
 * @property string $loctit
 * @property string $nomitit
 * @property string $cargtit
 * @property string $emailtit
 * @property string $esttit
 * @property string $fecnactit
 * @property string $edadtit
 * @property string $sexotit
 * @property integer $codemp
 */
class Titulares extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Titulares the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.titulares';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedtit, nomtit, dirtit, sexotit fecnactit, codemp, edocivil, costprima, codpol', 'required'),
			array('codemp,cobertura,mtomens,mtot', 'numerical', 'integerOnly'=>true),
			array('cedtit, codpro, cuotat', 'numerical', 'integerOnly'=>true),
			//array('costprima', ''),
			array('cedtit, codpro, rifemp', 'length', 'max'=>15),
			array('nomtit', 'length', 'max'=>80),
			array('nactit, sexotit, tipcli, titupag', 'length', 'max'=>1),
			array('teltit, celtit, tlfcont, loctit, nomitit, cargtit, obstit', 'length', 'max'=>100),
			array('dirtit', 'length', 'max'=>254),
			array('emailtit', 'length', 'max'=>50),
			array('edadtit, id_estatus', 'length', 'max'=>3),
		    array('emailtit', 'email'),
			array('fecnactit', 'safe'),
			array('fecnactit', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'yyyy-mm-dd'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codtit, nactit, cedtit, codpro, nomtit, dirtit, titupag, obstit, teltit, rifemp, celtit,  tlfcont, loctit, nomitit,  nroben, cargtit, tipcli, emailtit, id_estatus, fecnactit, edadtit, sexotit, codemp, edocivil, costprima, cobertura, mtomens, mtot', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			//'codigo_siniestro'=>array(self::BELONGS_TO, 'Siniestro', 'cedtit'),
			//'siniestro_titu'=>array(self::HAS_MANY,'Siniestro','cedtit'),
			'siniestro_titu' => array(self::BELONGS_TO, 'Siniestro', 'cedtit')
			
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codtit' => 'Codigo',
			'cedtit' => 'C.I. Asociado',
			'codpro' => 'Contratante',
			'nomtit' => 'Nombres y Apellidos',
			'dirtit' => 'Direccion',
			'teltit' => 'Telefono',
			'loctit' => 'Nro',
			'nomitit' => 'Fecha Cont.',
			'cargtit' => 'Nro Recibo',
			'emailtit' => 'Correo Electronico',
			'id_estatus' => 'Estatus',
			'fecnactit' => 'Fecha de Nacimiento',
			'edadtit' => 'Edad',
			'sexotit' => 'Genero',
			'codemp' => 'Empresa',
            'edocivil' => 'Estado Civil',	
			 'costprima' => 'Costo Prima',
			 'codpol' => 'Plan de Servicio',				 
			  'mtot' => 'Monto Total',
             'celtit' => 'Movil:',
             'tipcli'=>	'Tipo de Cliente:',
             'tlfcont'=>	'Tfl Contacto.:',
			 'obstit'=>  'Observacion',
			 'rifemp'=>  'Rif Empresa',
             'titupag'=>  'Tipo Pago',
             'frecpag'=> 'Fec. Contrato',			 
			 
			 

			 
            			
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codtit',$this->codtit);

		$criteria->compare('nactit',$this->nactit,true);

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('nomtit',$this->nomtit,true);

		$criteria->compare('dirtit',$this->dirtit,true);

		$criteria->compare('teltit',$this->teltit,true);

		$criteria->compare('loctit',$this->loctit,true);

		$criteria->compare('nomitit',$this->nomitit,true);

		$criteria->compare('cargtit',$this->cargtit,true);

		$criteria->compare('emailtit',$this->emailtit,true);

		$criteria->compare('id_estatus',$this->id_estatus,true);

		$criteria->compare('fecnactit',$this->fecnactit,true);

		$criteria->compare('edadtit',$this->edadtit,true);

		$criteria->compare('sexotit',$this->sexotit,true);

		$criteria->compare('codemp',$this->codemp);

		$criteria->compare('edocivil',$this->edocivil);		

		$criteria->compare('costprima',$this->costprima);

        $criteria->compare('codpol',$this->codpol);			
		 
		  $criteria->compare('mtot',$this->mtot);	
        
		$criteria->compare('celtit',$this->celtit);
		
		$criteria->compare('tipcli',$this->tipcli,true);
		
		$criteria->compare('tlfcont',$this->tlfcont,true);

		$criteria->compare('obstit',$this->obstit,true);
		
		$criteria->compare('rifemp',$this->rifemp,true);

		$criteria->compare('titupag',$this->titupag,true); 

 		$criteria->compare('codpro',$this->codpro,true);  
 
		
		
		
		$criteria->order = 'nrosin ASC';
		$criteria->addCondition('cedtit in (select cedtit from fais.siniestro where tipdoc=13 and substring(nrosin,1,2)=\'CT\' and estsin<>\'2\') ','AND');
		
		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
			
		));
	}
}