<?php

/**
 * This is the model class for table "fais.tomador".
 *
 * The followings are the available columns in table 'fais.tomador':
 * @property integer $codtom
 * @property integer $tiptom
 * @property string $nomtom
 * @property string $cedtom
 * @property string $riftom
 * @property string $dirtom
 * @property string $teltom
 * @property string $celtom
 * @property string $emailtm
 */
class Tomador extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return Tomador the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'fais.tomador';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('tiptom', 'numerical', 'integerOnly'=>true),
			array('nomtom, dirtom', 'length', 'max'=>120),
			array('cedtom', 'length', 'max'=>10),
			array('riftom, teltom, celtom, tlfcont', 'length', 'max'=>20),
			array('tipcli', 'length', 'max'=>1),
			array('emailtm', 'length', 'max'=>50),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('codtom, tiptom, nomtom, cedtom, riftom, dirtom, teltom, celtom, emailtm, tlfcont, tipcli', 'safe', 'on'=>'search'),
		);
	}


	public function getTit($cedtit)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$cedtit = $this->find("t.codtom = '".$cedtit."'");
		$codpro=$cedtit->nomtom;
		return $codpro;
	}
	
	
	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'codtom' => 'Codtom',
			'tiptom' => 'Tiptom',
			'nomtom' => 'Nomtom',
			'cedtom' => 'Cedtom',
			'riftom' => 'Riftom',
			'dirtom' => 'Dirtom',
			'teltom' => 'Teltom',
			'celtom' => 'Celtom',
			'emailtm' => 'Emailtm',
			'tlfcont' => 'Telefono de Contacto',
            'tipcli' => 'Tipo',			
			
		);
	}


     public function getStatus($rifemp)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$rifemp = $this->find("t.riftom = '".$rifemp."'");
		$nomemp=$rifemp->nomtom;
		return $nomemp;
	}


	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('codtom',$this->codtom);

		$criteria->compare('tiptom',$this->tiptom);

		$criteria->compare('nomtom',$this->nomtom,true);

		$criteria->compare('cedtom',$this->cedtom,true);

		$criteria->compare('riftom',$this->riftom,true);

		$criteria->compare('dirtom',$this->dirtom,true);

		$criteria->compare('teltom',$this->teltom,true);

		$criteria->compare('celtom',$this->celtom,true);

		$criteria->compare('emailtm',$this->emailtm,true);
		
		$criteria->compare('tlfcont',$this->tlfcont,true);		
		
		$criteria->compare('tipcli',$this->tipcli,true);	
		
		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}