<?php

/**
 * This is the model class for table "nutricion.t_estados".
 *
 * The followings are the available columns in table 'nutricion.t_estados':
 * @property integer $id_estado
 * @property string $estado
 */
class TEstado extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TEstados the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'localizacion.t_estado';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_estado', 'required'),
			array('descripcion_estado', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_estado, descripcion_estado,capital_estado,id_region', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_estado' => 'Estado',
			'descripcion_estado' => 'Estado',
			'capital_estado'=>'Capital',
		    'id_region'=>'Región',	
		);
	}
	
	
	public function getEstados($id)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		       
		$estado = $this->find("t.id_estado = '".$id."'");
		$nom_estado=$estado->descripcion_estado;	
		return $nom_estado;
	}
	
	

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_estado',$this->id_estado);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);
		
		$criteria->compare('capital_estado',$this->capital_estado,true);
		
		$criteria->compare('id_region',$this->id_region,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}