<?php

/**
 * This is the model class for table "localizacion.t_localidad".
 *
 * The followings are the available columns in table 'localizacion.t_localidad':
 * @property string $id_localidad
 * @property string $descripcion_localidad
 * @property string $id_parroquia
 */
class TLocalidad extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TLocalidad the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'localizacion.t_localidad';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_localidad, descripcion_localidad', 'required'),
			array('id_localidad', 'length', 'max'=>10),
			array('descripcion_localidad', 'length', 'max'=>50),
			array('id_parroquia', 'length', 'max'=>6),
			array('descripcion_localidad', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_localidad, descripcion_localidad, id_parroquia', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_localidad' => 'Id Localidad',
			'descripcion_localidad' => 'Descripcion Localidad',
			'id_parroquia' => 'Id Parroquia',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_localidad',$this->id_localidad,true);

		$criteria->compare('descripcion_localidad',$this->descripcion_localidad,true);

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}