<?php

/**
 * This is the model class for table "localizacion.t_microarea".
 *
 * The followings are the available columns in table 'localizacion.t_microarea':
 * @property string $id_microarea
 * @property string $descripcion_microarea
 * @property string $id_localidad
 */
class TMicroarea extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TMicroarea the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'localizacion.t_microarea';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_microarea', 'required'),
			array('id_microarea', 'length', 'max'=>14),
			array('descripcion_microarea', 'length', 'max'=>50),
			array('id_localidad', 'length', 'max'=>10),
			array('descripcion_microarea', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_microarea, descripcion_microarea, id_localidad', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_microarea' => 'Microarea',
			'descripcion_microarea' => 'Descripcion Microarea',
			'id_localidad' => 'Id Localidad',
		);
	}
	
	
	public function getMicroarea($id)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		       
		$tipo = $this->find("t.id_microarea= '".$id."'");
		$nom_microarea=$tipo->descripcion_microarea;
		//echo $nom_microarea;	
		return $nom_microarea;
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_microarea',$this->id_microarea,true);

		$criteria->compare('descripcion_microarea',$this->descripcion_microarea,true);

		$criteria->compare('id_localidad',$this->id_localidad,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}