<?php

/**
 * This is the model class for table "localizacion.t_municipio".
 *
 * The followings are the available columns in table 'localizacion.t_municipio':
 * @property string $id_municipio
 * @property string $nombre_municipio
 * @property string $capital_municipio
 * @property string $id_estado
 */
class TMunicipio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TMunicipio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'localizacion.t_municipio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_municipio, capital_municipio, id_estado', 'required'),
			array('id_municipio', 'length', 'max'=>4),
			array('descripcion_municipio, capital_municipio', 'length', 'max'=>50),
			array('id_estado', 'length', 'max'=>2),
			array('descripcion_municipio', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_municipio, descripcion_municipio, capital_municipio, id_estado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_municipio' => 'Id Municipio',
			'descripcion_municipio' => 'Nombre Municipio',
			'capital_municipio' => 'Capital Municipio',
			'id_estado' => 'Id Estado',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_municipio',$this->id_municipio,true);

		$criteria->compare('descripcion_municipio',$this->descripcion_municipio,true);

		$criteria->compare('capital_municipio',$this->capital_municipio,true);

		$criteria->compare('id_estado',$this->id_estado,true);
		
		$criteria->addCondition('t.id_municipio <> \'0000\'');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}