<?php

/**
 * This is the model class for table "localizacion.t_parroquia".
 *
 * The followings are the available columns in table 'localizacion.t_parroquia':
 * @property string $id_parroquia
 * @property string $descripcion_parroquia
 * @property string $capital_parroquia
 * @property string $id_municipio
 */
class TParroquia extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TParroquia the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'localizacion.t_parroquia';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_parroquia, id_municipio', 'required'),
			//array('id_parroquia', 'length', 'max'=>6),
			array('descripcion_parroquia, capital_parroquia', 'length', 'max'=>50),
			array('id_municipio', 'length', 'max'=>4),
			array('descripcion_parroquia', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_parroquia, descripcion_parroquia, capital_parroquia, id_municipio', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_parroquia' => 'Id Parroquia',
			'descripcion_parroquia' => 'Descripcion Parroquia',
			'capital_parroquia' => 'Capital Parroquia',
			'id_municipio' => 'Id Municipio',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		$criteria->compare('descripcion_parroquia',$this->descripcion_parroquia,true);

		$criteria->compare('capital_parroquia',$this->capital_parroquia,true);

		$criteria->compare('id_municipio',$this->id_municipio,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}