<?php

/**
 * This is the model class for table "localizacion.t_region".
 *
 * The followings are the available columns in table 'localizacion.t_region':
 * @property string $id_region
 * @property string $descripcion_region
 */
class TRegion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRegion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'localizacion.t_region';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_region', 'required'),
			array('id_region', 'length', 'max'=>2),
			array('descripcion_region', 'length', 'max'=>50),
			array('descripcion_region', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_region, descripcion_region', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_region' => 'Id Region',
			'descripcion_region' => 'Descripcion Region',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_region',$this->id_region,true);

		$criteria->compare('descripcion_region',$this->descripcion_region,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}