<?php

class TDocenteController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TDocente;
		$model2= new TPersona;
		
		$display = 'none';
		$display_encontrado = 'none';
		
		// Uncomment the following line if AJAX validation is needed
		$encontrado = $_POST['encontrado'];
		if($_POST['encontrado']==0){		
			$this->performAjaxValidation($model2);
							
		}
		
		$this->performAjaxValidation($model);
		if(empty($_POST['id_persona'])){
			if(isset($_POST['TPersona']))
			{
					$model2->attributes=$_POST['TPersona'];
					
					$model2->save();
					$cod_persona=$model2->id_persona;
					$nino=TDocente::model()->find('t.id_persona='.$cod_persona)->id_docente;
					if($nino!=null){
						$model2->addError('cedula_persona','El Docente ya se encuentra registrado');
					}else{
						$model->id_persona=$cod_persona;
						if($model->save())
							$this->redirect(array('view','id'=>$model->id_docente));
					}
						
			}
		}else{
			$cod_persona=$_POST['id_persona'];
		
			if(!empty($_POST['id_persona'])&& ($_POST['id_persona']!=0)){
				$docente=TDocente::model()->find('t.id_persona='.$cod_persona)->id_docente;
				
				if($docente!=null){
					$model2->addError('cedula_persona','El Docente ya se encuentra registrado');
				}else{
					$model->id_persona=$cod_persona;
					
					if($model->save())
						$this->redirect(array('view','id'=>$model->id_docente));
				}
					
			}
		}
		
	
		$this->render('create',array(
			'model'=>$model,'model2'=>$model2,'display'=>$display,'display_encontrado'=>$display_encontrado,
			'encontrado'=>$encontrado,'display_nino'=>$display_docente,'id_persona'=>$id_persona
		));
		
		
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		$model2= new TPersona();
		
		
		$display = 'none';
		$display_encontrado = 'block';
		$display_representante = 'block';
		$encontrado = '1' ;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		$m=TPersona::model()->findByPk(TDocente::model()->findByPk($_GET['id'])->id_persona);
		$model2=$m;
		
			
		if(isset($_POST['TDocente']))
		{
			$model->attributes=$_POST['TDocente'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_docente));
		}
		
		$this->render('update',array(
			'model'=>$model,'model2'=>$model2,'display'=>$display,'display_encontrado'=>$display_encontrado,
			'encontrado'=>$encontrado,'display_representante'=>$display_representante,'id_persona'=>$id_persona
			));
		}

		/**
		 * Modifica el estatus del Privilegio.
		 * If update is successful, the browser will be redirected to the 'admin' page.
		 */
		public function actionActivar()
		{

			try {
				$valor=1;
				$model=$this->loadModel();
				$sql = "UPDATE nino_sano.t_docente SET id_estatus=:valor  WHERE id_docente =:docente";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":docente",$model->id_docente, PDO::PARAM_INT);
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
				$control = $comando -> execute();

				if($control){
					$this->redirect(array('admin','id'=>$model->id_docente));
				}else{
					$this->redirect(array('view','id'=>$model->id_docente));
				}

			} catch (Exception $e) {
				$message="Error al modificar datos, contactar al Administrador del Sistema.";
				throw new CHttpException(400,$message);

			}
		}

		/**
		 * Modifica el estatus del Privilegio.
		 * If update is successful, the browser will be redirected to the 'view' page.
		 */
		public function actionDesactivar()
		{

			try {
				$valor=2;
				$model=$this->loadModel();
				$sql = "UPDATE nino_sano.t_docente SET id_estatus =:valor  WHERE id_docente =:docente";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":docente",$model->id_docente, PDO::PARAM_INT);
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
				$control = $comando -> execute();

				if($control){
					$this->redirect(array('admin','id'=>$model->id_docente));
				}else{
					$this->redirect(array('view','id'=>$model->id_docente));
				}

			} catch (Exception $e) {
				$message="Error al modificar datos, contactar al Administrador del Sistema.";
				throw new CHttpException(400,$message);

			}

		}

		/**
		 * Deletes a particular model.
		 * If deletion is successful, the browser will be redirected to the 'index' page.
		 */
		public function actionDelete()
		{
			try {
				$valor=4;
				$model=$this->loadModel();
				$sql = "UPDATE nino_sano.t_docente SET id_estatus =:valor  WHERE id_docente =:docente";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":docente",$model->id_docente, PDO::PARAM_INT);
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
				$control = $comando -> execute();

				if($control){
					$this->redirect(array('admin','id'=>$model->id_docente));
				}else{
					$this->redirect(array('view','id'=>$model->id_docente));
				}
			} catch (Exception $e) {
				$message="Error al modificar datos, contactar al Administrador del Sistema.";
				throw new CHttpException(400,$message);

			}
		}
		/**
		 * Lists all models.
		 */
		public function actionIndex()
		{
			
			$dataProvider=new CActiveDataProvider('TDocente',array(
							    'criteria'=>array(
							    'condition'=>'id_docente <> 0',							    
							    ),
			));
			
			
			$this->render('index',array(
			'dataProvider'=>$dataProvider,
			));
		}
		
	public function BuscarDocente(){
        
			$tipo_ident =  $_POST['identificacion_docente'];
			$cedula =  $_POST['cedula_docente'];
			$resultado=0;
			
			if(($_POST['cedula_docente']!='')&&($_POST['cedula_docente']!='')){
			
				$persona = TPersona::model()->findAll('t.cedula_persona = \''.$_POST['cedula_docente'].'\'');
				if(count($persona)>0){
					$Docente= TDocente::model()->find("t.id_persona=".$persona[0]->id_persona);
					
					if(count($Docente)>0){
						echo "<table width=\"100%\">";
						 echo "<tr><td>".CHtml::activeLabel(TCabeceraNinos::model(),'id_docente')."</td>";
						 echo "<td >".CHtml::activeLabel(TPersona::model(),'Cedula del Docente')."</td>";
						 echo "</tr><tr>";	
						 echo "<td>".CHtml::activeTextField(TCabeceraNinos::model(),'id_docente',array("value"=>$persona[0]->nombre_persona." ".$persona[0]->apellido_persona,"width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
						 echo "<td >".CHtml::activeTextField(TCabeceraNinos::model(),'cedula_docente',array("value"=>$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona,"width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
						 echo "</tr></table>";	
			  			 echo "<script>document.getElementById('docente').value ='".$Docente->id_docente."';</script>";
					}else{
						
						 $model2= new TPersona;
						 $this->renderPartial('createDialog',array(
	                        'model2'=>$model2,'id_persona'=>$persona[0]->id_persona,
						 
	                    ),false,true);
						
					}
					
					
				}else{
					
					$model2= new TPersona;
					$model2->id_tipo_identificacion=$_POST['identificacion_docente'];
					$model2->cedula_persona=$_POST['cedula_docente'];
					$this->renderPartial('createDialog',array(
	                         'model2'=>$model2,'id_pregunta'=>$_GET['id_pregunta'],'id_seccion'=>$_GET['id_seccion']
						 
	                    ),false,true);
					
				}
										
				
			}else{
				echo "<script>alert(\"Debe agregar un n\u00famero de c\u00e9dula para realizar la b\u00fasqueda\");
				 </script>";
			}
			return $resultado;
		
       }
		
		public function actionAddDocente() {
			
	        $model2=new TPersona;
	        $model= new TDocente;
	       
	        
	        // Ajax Validation enabled
	        $this->performAjaxValidation($model2);
	       
	       
	        try {
	        //Flag to know if we will render the form or try to add
	        //new jon.
	        $flag=true;
	      
				if((isset($_POST['TPersona'])))
				{
				
					$flag=false;
					if($_GET['id_persona']!=NULL){
					
						$model2->id_persona=$_GET['id_persona'];
						//$model2->id_genero =$_POST['id_genero'];
						$model2->fecha_nacimiento = ('01-01-1969');
					
						$model->id_persona=$_GET['id_persona'];
												
					}else{
						
						$model2->attributes=$_POST['TPersona'];
						//$model2->id_genero =$_GET['id_genero'];
						$model2->fecha_nacimiento = date('d-m-Y',('01-01-1969'));
												
						if($model2->validate()){
							$model2->save();
							$model->id_persona=$model2->id_persona;
						}
						
						
					}					
					
					if($model->validate()){
						$model->save();
						
							
							/*$model4 = new TTipoPersonaOrganismo;
							$model3->id_organismo = $_POST['TOrganismo']['id_organismo'];
							$model4->id_organismo = $model3->id_organismo;
							$model4->id_persona = $model->id_persona;
							$tipo_persona = TTipoPersona::model()->findAll('t.id_tipo_persona = 2 or upper(t.descripcion_tipo_persona) = \'DOCENTE\' ');
							$model4->id_tipo_persona = $tipo_persona[0]->id_tipo_persona;*/
							
						/*	if($model4->validate()){
							
								$model4->save();	*/	
									
								 echo "<table width=\"100%\">";
								 echo "<tr><td>".CHtml::activeLabel(TCabeceraNinos::model(),'id_docente')."</td>";
								 echo "<td >".CHtml::ActiveLabel(TPersona::model(),'Cedula del Docente')."</td>";
								 echo "</tr><tr>";	
								 echo "<td>".CHtml::activeTextField(TCabeceraNinos::model(),'id_docente',array("value"=>$model2->nombre_persona." ".$model2->apellido_persona,"width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
								 echo "<td >".CHtml::activeTextField(TCabeceraNinos::model(),'cedula_docente',array("value"=>$model2->person_ident->siglas_tipo."-".$model2->cedula_persona,"width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
								 echo "</tr></table>";
								 echo "<script>document.getElementById('docente').value ='".$model->id_docente."';</script>";
						//	}								
				  			// echo "<script>document.getElementById('link_docente').style.display = 'none'; </script>";
						
					}
				}
                                
                }
                catch (Exception $e) {
				$message="Error al almacenar datos, contactar al Administrador del Sistema.";
				throw new CHttpException(400,$message);
                    
                    
                }
				
			 	if($flag){
			 	
			 		
			 		$busqueda=$this->BuscarDocente();
					if(($busqueda=="")&&($p==1)){					
					
	                    $this->renderPartial('createDialog',array(
	                        'model2'=>$model2
	                    ),false,true);
	                    
	            	   
					}else if(($busqueda=="")&&($p==0)){
						
					}else{
						echo $resultado;
					}
	            
			 		
	             }
                
                
         
            
        }
        
        

		/**
		 * Manages all models.
		 */
		public function actionAdmin()
		{
			$model=new TDocente('search');
			$model->unsetAttributes();  // clear any default values
			if(isset($_GET['TDocente']))
			$model->attributes=$_GET['TDocente'];

			$this->render('admin',array(
			'model'=>$model,
			));
		}

		/**
		 * Returns the data model based on the primary key given in the GET variable.
		 * If the data model is not found, an HTTP exception will be raised.
		 */
		public function loadModel()
		{
			if($this->_model===null)
			{
				if(isset($_GET['id']))
				$this->_model=TDocente::model()->findbyPk($_GET['id']);
				if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
			}
			return $this->_model;
		}
		

		/**
		 * Performs the AJAX validation.
		 * @param CModel the model to be validated
		 */
		protected function performAjaxValidation($model)
		{
			
			if(isset($_POST['ajax']) && $_POST['ajax']==='tdocente-form')
			{
			
				echo CActiveForm::validate($model);
				Yii::app()->end();
			}
		}
	}
