<?php

class TNinosAdolescentesController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	/*public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	/*public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TNinosAdolescentes;
		$model2= new TPersona;
		
		$display = 'none';
		$display_encontrado = 'none';
		
		// Uncomment the following line if AJAX validation is needed
		$encontrado = $_POST['encontrado'];
		if($_POST['encontrado']==0){		
			$this->performAjaxValidation($model2);
							
		}
		
		$this->performAjaxValidation($model);
		if(empty($_POST['id_persona'])){
			if(isset($_POST['TPersona']))
			{
					$model2->attributes=$_POST['TPersona'];
					
					$model2->save();
					$cod_persona=$model2->id_persona;
					$nino=TNinosAdolescentes::model()->find('t.id_persona='.$cod_persona)->id_ninos_adolescentes;
					if($nino!=null){
						$model2->addError('cedula_persona','El Niño ya se encuentra registrado');
					}else{
						$model->id_persona=$cod_persona;
						$model->id_representante=0;
						if($model->save())
							$this->redirect(array('view','id'=>$model->id_ninos_adolescentes));
					}
						
			}
		}else{
			$cod_persona=$_POST['id_persona'];
		
			if(!empty($_POST['id_persona'])&& ($_POST['id_persona']!=0)){
				$nino=TNinosAdolescentes::model()->find('t.id_persona='.$cod_persona)->id_ninos_adolescentes;
				
				if($nino!=null){
					$model2->addError('cedula_persona','El Niño ya se encuentra registrado');
				}else{
					$model->id_persona=$cod_persona;
					$model->id_representante=0;
					if($model->save())
						$this->redirect(array('view','id'=>$model->id_ninos_adolescentes));
				}
					
			}
		}
		
	
			$this->render('create',array(
			'model'=>$model,'model2'=>$model2,'display'=>$display,'display_encontrado'=>$display_encontrado,
			'encontrado'=>$encontrado,'display_nino'=>$display_docente,'id_persona'=>$id_persona
		));
			
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		$model2= new TPersona();
		
		
		$display = 'none';
		$display_encontrado = 'block';
		$display_representante = 'block';
		$encontrado = '1' ;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		$m=TPersona::model()->findByPk(TNinosAdolescentes::model()->findByPk($_GET['id'])->id_persona);
		$model2=$m;
		
			
		if(isset($_POST['TNinosAdolescentes']))
		{
			$model->attributes=$_POST['TNinosAdolescentes'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_ninos_adolescentes));
		}
		
		$this->render('update',array(
			'model'=>$model,'model2'=>$model2,'display'=>$display,'display_encontrado'=>$display_encontrado,
			'encontrado'=>$encontrado,'display_representante'=>$display_representante,'id_persona'=>$id_persona
			));
		
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TNinosAdolescentes');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TNinosAdolescentes('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TNinosAdolescentes']))
			$model->attributes=$_GET['TNinosAdolescentes'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=TNinosAdolescentes::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='tninos-adolescentes-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
