<?php

class TPreguntasController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		//echo $_POST['TPreguntas']['id_pregunta']."Viviana";
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{

		$model = new TPreguntas;
		$model2 = new TTipoRespuesta;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TPreguntas']))
		{
			$model->attributes = $_POST['TPreguntas'];

			$respuestas = $_POST['TPreguntasRespuestas']['id_respuesta'];
			$model2->id_tipo_respuesta = $_POST['TTipoRespuesta']['id_tipo_respuesta'];
			$valid = $model->validate();

			if (empty($_POST['TTipoRespuesta']['id_tipo_respuesta'])){
				$model->addError('TTipoRespuesta_id_tipo_respuesta','Seleccione un Tipo de Respuesta');
			}else if ((empty($_POST['TRespuesta']['id_respuesta']) && empty($_POST['TPreguntasRespuestas']['id_respuesta'])) ||
			(!empty($_POST['TRespuesta']['id_respuesta']) && empty($_POST['TPreguntasRespuestas']['id_respuesta'])))
			{
				$model->addError('TRespuesta_id_respuesta','Seleccione una o varias Respuestas');

			}else {
					
				if($valid){
					if ($model->save()){

						foreach ($respuestas as $i => $value){
							$model3 = new TPreguntasRespuestas;
							$model3->id_pregunta = $model->id_pregunta;
							$model3->id_respuesta = $value;
							$model3->save();
						}
					}
					$this->redirect(array('view','id'=>$model->id_pregunta));
				}
			}
		}
		$this->render('create',array(
			'model'=>$model,
		));

	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		$model2 = new TTipoRespuesta;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TPreguntas']))
		{
			$model->attributes = $_POST['TPreguntas'];

			$respuestas = $_POST['TPreguntasRespuestas']['id_respuesta'];
			$model2->id_tipo_respuesta = $_POST['TTipoRespuesta']['id_tipo_respuesta'];
			$valid = $model->validate();

			if (empty($_POST['TTipoRespuesta']['id_tipo_respuesta'])){
				$model->addError('TTipoRespuesta_id_tipo_respuesta','Seleccione un Tipo de Respuesta');
			}else if ((empty($_POST['TRespuesta']['id_respuesta']) && empty($_POST['TPreguntasRespuestas']['id_respuesta'])) ||
			(!empty($_POST['TRespuesta']['id_respuesta']) && empty($_POST['TPreguntasRespuestas']['id_respuesta'])))
			{
				$model->addError('TRespuesta_id_respuesta','Seleccione una o varias Respuestas');

			}else {
					
				if($valid){
					if ($model->save()){
						$sql = "DELETE FROM nino_sano.t_preguntas_respuestas WHERE id_pregunta =:preguntas";
						$comando = Yii::app() -> db -> createCommand($sql);
						$comando -> bindParam(":preguntas",$model->id_pregunta, PDO::PARAM_INT);						
						$control = $comando -> execute();

						//if($control){
							foreach ($respuestas as $i => $value){
					
									$model3 = new TPreguntasRespuestas;
									$model3->id_pregunta = $model->id_pregunta;
									$model3->id_respuesta = $value;
									$model3->save();
								
							//}							
						}					
					}
					$this->redirect(array('view','id'=>$model->id_pregunta));
				}
			}
		}
				TTipoRespuesta::model()->id_tipo_respuesta = TPreguntas::model()->with('respuestas_preguntas')->findByPk($model->id_pregunta)->respuestas_preguntas[0]->id_tipo_respuesta;
				
		/*$res = TPreguntas::model()->with('respuestas_preguntas')->findAll('t.id_pregunta = '.$model->id_pregunta);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->respuestas_preguntas;
			foreach ($arrayObj as $j => $value1){
				$salida = $value1->id_tipo_respuesta;
			}
		}

		TTipoRespuesta::model()->id_tipo_respuesta = $salida;*/

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_preguntas SET id_estatus=:valor  WHERE id_pregunta =:preguntas";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":preguntas",$model->id_pregunta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_pregunta));
			}else{
				$this->redirect(array('view','id'=>$model->id_pregunta));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_preguntas SET id_estatus =:valor  WHERE id_pregunta =:preguntas";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":preguntas",$model->id_pregunta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_pregunta));
			}else{
				$this->redirect(array('view','id'=>$model->id_pregunta));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_preguntas SET id_estatus =:valor  WHERE id_pregunta =:preguntas";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":preguntas",$model->id_pregunta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_pregunta));
			}else{
				$this->redirect(array('view','id'=>$model->id_pregunta));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TPreguntas',array(
							    'criteria'=>array(
							    'condition'=>'id_pregunta <> 0',							    
							    ),
			));
		//$dataProvider=new CActiveDataProvider('TPreguntas');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TPreguntas('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TPreguntas']))
		$model->attributes=$_GET['TPreguntas'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}


	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TPreguntas::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='tpreguntas-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
