<?php

class TRecomendacionController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TRecomendacion;
		$model2 = new TPatologiaRecomendacion;
		$model3 = new TDiagnosticoRecomendacion;

		$display1 = 'none';
		$display2 = 'none';
		$checked1 = '';
		$checked2 = '';
		$checked3 = '';

		// Uncomment the following line if AJAX validation is needed
		$this->performAjaxValidation($model);
		$this->performAjaxValidation($model2);
		$this->performAjaxValidation($model3);

		if(isset($_POST['TRecomendacion']))
		{
			$model->attributes=$_POST['TRecomendacion'];
			$mostrar = $_POST['TRecomendacion']['referencia'];
			$model->referencia = ($mostrar[0] == '' || $mostrar[0] == null)? 0 : $mostrar[0] ;
			$activo = 0;

			if(empty($_POST['TRecomendacion']['tipo_patologia']) && empty($_POST['TRecomendacion']['tipo_diagnostico']) && empty($_POST['TRecomendacion']['tipo_ninguna'])){
				$model->addError('tipo_patologia','Seleccione una Asignación');
			}else{
					
				if(!empty($_POST['TRecomendacion']['tipo_patologia']) &&  strtoupper($_POST['TRecomendacion']['tipo_patologia']) == 'PATOLOGIAS'){
					$asignacion = (!empty($_POST['TPatologiaRecomendacion']['id_patologias']))? $_POST['TPatologiaRecomendacion']['id_patologias'] : array('TODOS'=>'TODOS') ;
					$activo = TPatologias::model()->findAll('t.id_patologias <> 0 AND t.id_estatus = 1 ');
					$desc = 'P';
				}else if(!empty($_POST['TRecomendacion']['tipo_diagnostico']) &&  strtoupper($_POST['TRecomendacion']['tipo_diagnostico']) == 'DIAGNOSTICO'){
					$asignacion = (!empty($_POST['TDiagnosticoRecomendacion']['id_diagnostico_presuntivo']))? $_POST['TDiagnosticoRecomendacion']['id_diagnostico_presuntivo'] : array('TODOS'=>'TODOS') ;
					$activo = TDiagnosticoPresuntivo::model()->findAll('t.id_diagnostico_presuntivo <> 0 ');
					$desc = 'D';
				}else{
					$asignacion = 'Ninguna';
					$activo = '';
					$desc = 'N';
				}

				if($model->validate()){
					if(!empty($asignacion)){
						if ($model->save()){
							if ($desc != 'N'){
								if (strtoupper($asignacion[0]) == 'TODOS' )  $asignacion_final = $activo;
								else $asignacion_final = $asignacion;

								foreach ($asignacion_final as $i => $value){

									if ($desc == 'P'){
										$model2 = new TPatologiaRecomendacion;
										$model2->id_recomendacion = $model->id_recomendacion;
										(strtoupper($asignacion[0]) == 'TODOS')? $model2->id_patologias = $value->id_patologias : $model2->id_patologias = $value;
										$model2->save();
									}else{
										$model3 = new TDiagnosticoRecomendacion;
										$model3->id_recomendacion = $model->id_recomendacion;
										(strtoupper($asignacion[0]) == 'TODOS')? $model3->id_diagnostico_presuntivo = $value->id_diagnostico_presuntivo : $model3->id_diagnostico_presuntivo = $value;
										$model3->save();
									}
								}
							}
							$this->redirect(array('view','id'=>$model->id_recomendacion));
						}
					}
				}
			}
		}
		$this->render('create',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3,'display1'=>$display1,'display2'=>$display2,'checked1'=>$checked1,'checked2'=>$checked2,'checked3'=>$checked3));


	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		$model2 = new TPatologiaRecomendacion;
		$model3 = new TDiagnosticoRecomendacion;

		$display1 = 'none';
		$display2 = 'none';
		$checked1 = '';
		$checked2 = '';
		$checked3 = '';

		// Uncomment the following line if AJAX validation is needed
		$this->performAjaxValidation($model);
		$this->performAjaxValidation($model2);
		$this->performAjaxValidation($model3);

		$patologia = $model2->count('t.id_recomendacion = '.$model->id_recomendacion);
		$diagnostico = $model3->count('t.id_recomendacion = '.$model->id_recomendacion);

		if($patologia > 0){
			$display1 = 'block';
			$display2 = 'none';
			$checked1 = 'checked';
			$checked2 = '';
			$checked3 = '';
		}else if ($diagnostico > 0){
			$display1 = 'none';
			$display2 = 'block';
			$checked1 = '';
			$checked2 = 'checked';
			$checked3 = '';
		}else{
			$display1 = 'none';
			$display2 = 'none';
			$checked1 = '';
			$checked2 = '';
			$checked3 = 'checked';
		}

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRecomendacion']))
		{
			
			$model->attributes=$_POST['TRecomendacion'];
			$mostrar = $_POST['TRecomendacion']['referencia'];
			$model->referencia = ($mostrar[0] == '' || $mostrar[0] == null)? 0 : $mostrar[0] ;
			$activo = 0;

			if(empty($_POST['TRecomendacion']['tipo_patologia']) && empty($_POST['TRecomendacion']['tipo_diagnostico']) && empty($_POST['TRecomendacion']['tipo_ninguna'])){
				$model->addError('tipo_patologia','Seleccione una Asignación');
			}else{
					
				if(!empty($_POST['TRecomendacion']['tipo_patologia']) &&  strtoupper($_POST['TRecomendacion']['tipo_patologia']) == 'PATOLOGIAS'){
					$asignacion = (!empty($_POST['TPatologiaRecomendacion']['id_patologias']))? $_POST['TPatologiaRecomendacion']['id_patologias'] : array('TODOS'=>'TODOS') ;
					$activo = TPatologias::model()->findAll('t.id_patologias <> 0 AND t.id_estatus = 1 ');


					$desc = 'P';
				}else if(!empty($_POST['TRecomendacion']['tipo_diagnostico']) &&  strtoupper($_POST['TRecomendacion']['tipo_diagnostico']) == 'DIAGNOSTICO'){
					$asignacion = (!empty($_POST['TDiagnosticoRecomendacion']['id_diagnostico_presuntivo']))? $_POST['TDiagnosticoRecomendacion']['id_diagnostico_presuntivo'] : array('TODOS'=>'TODOS') ;
					$activo = TDiagnosticoPresuntivo::model()->findAll('t.id_diagnostico_presuntivo <> 0 ');
					$desc = 'D';
				}else{
					$asignacion = 'Ninguna';
					$activo = '';
					$desc = 'N';
				}

				if($model->validate()){
					if(!empty($asignacion)){
						if ($model->save()){
							if ($desc != 'N'){
								if (strtoupper($asignacion[0]) == 'TODOS' )  $asignacion_final = $activo;
								else $asignacion_final = $asignacion;

								if ($desc == 'P'){
									$sql = "DELETE FROM nino_sano.t_diagnostico_recomendacion WHERE id_recomendacion =:recomendacion";
									$comando = Yii::app() -> db -> createCommand($sql);
									$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
									$control = $comando -> execute();
								}else if($desc == 'D'){
									$sql = "DELETE FROM nino_sano.t_patologia_recomendacion WHERE id_recomendacion =:recomendacion";
									$comando = Yii::app() -> db -> createCommand($sql);
									$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
									$control = $comando -> execute();
								}

								foreach ($asignacion_final as $i => $value){

									if ($desc == 'P'){
										$model2 = new TPatologiaRecomendacion;
										$model2->id_recomendacion = $model->id_recomendacion;
										(strtoupper($asignacion[0]) == 'TODOS')? $model2->id_patologias = $value->id_patologias : $model2->id_patologias = $value;
										$model2->save();
									}else if ($desc == 'D'){
										$model3 = new TDiagnosticoRecomendacion;
										$model3->id_recomendacion = $model->id_recomendacion;
										(strtoupper($asignacion[0]) == 'TODOS')? $model3->id_diagnostico_presuntivo = $value->id_diagnostico_presuntivo : $model3->id_diagnostico_presuntivo = $value;
										$model3->save();
									}
								}
							}else if ($desc == 'N'){
									$sql = "DELETE FROM nino_sano.t_diagnostico_recomendacion WHERE id_recomendacion =:recomendacion";
									$comando = Yii::app() -> db -> createCommand($sql);
									$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
									$control = $comando -> execute();

									$sql = "DELETE FROM nino_sano.t_patologia_recomendacion WHERE id_recomendacion =:recomendacion";
									$comando = Yii::app() -> db -> createCommand($sql);
									$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
									$control = $comando -> execute();

								}
							$this->redirect(array('view','id'=>$model->id_recomendacion));
						}
					}
				}
			}
		}

		$this->render('update',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3,'display1'=>$display1,'display2'=>$display2,'checked1'=>$checked1,'checked2'=>$checked2,'checked3'=>$checked3));

	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_recomendacion SET id_estatus=:valor  WHERE id_recomendacion =:recomendacion";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_recomendacion));
			}else{
				$this->redirect(array('view','id'=>$model->id_recomendacion));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_recomendacion SET id_estatus =:valor  WHERE id_recomendacion =:recomendacion";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_recomendacion));
			}else{
				$this->redirect(array('view','id'=>$model->id_recomendacion));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_recomendacion SET id_estatus =:valor  WHERE id_recomendacion =:recomendacion";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":recomendacion",$model->id_recomendacion, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_recomendacion));
			}else{
				$this->redirect(array('view','id'=>$model->id_recomendacion));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRecomendacion');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRecomendacion('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRecomendacion']))
		$model->attributes=$_GET['TRecomendacion'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TRecomendacion::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trecomendacion-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
