<?php

class TRepresentanteController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	/*public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	/*public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TRepresentante;		
		$model2 = new TPersona;
		$model3 = new TOrganismo;
		$model4 = new TTipoPersonaOrganismo;
		
		$display = 'none';
		$display_encontrado = 'none';
		$display_docente = 'none';
		// Uncomment the following line if AJAX validation is needed
		
		if($_POST['encontrado']==0){		
			$this->performAjaxValidation($model2);
							
		}
		
		$this->performAjaxValidation($model);
		if(empty($_POST['id_persona'])){
			if(isset($_POST['TPersona']))
			{
					$model2->attributes=$_POST['TPersona'];					
					$model2->save();
					$cod_persona=$model2->id_persona;
						
			}
		}else{
			
			$cod_persona=$_POST['id_persona'];
		}
		
		
		if(isset($_POST['TRepresentante']))
		{
			$model->attributes=$_POST['TRepresentante'];
			$model->id_persona=$cod_persona;
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_representante));
		}

			$this->render('create',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3,'display'=>$display,'display_encontrado'=>$display_encontrado,
			'encontrado'=>$encontrado,'display_docente'=>$display_docente,'id_persona'=>$id_persona
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		$model2= new TPersona();
		
		$display = 'none';
		$display_encontrado = 'block';
		$display_representante = 'block';
		$encontrado = '1' ;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		$m=TPersona::model()->findByPk(TRepresentante::model()->findByPk($_GET['id'])->id_persona);
		$model2=$m;
		
		if(isset($_POST['TRepresentante']))
		{
			$model->attributes=$_POST['TRepresentante'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_representante));
		}
		

		$this->render('update',array(
			'model'=>$model,'model2'=>$model2,'display'=>$display,'display_encontrado'=>$display_encontrado,
			'encontrado'=>$encontrado,'display_representante'=>$display_representante,'id_persona'=>$id_persona
			));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		
		$dataProvider=new CActiveDataProvider('TRepresentante',array(
							    'criteria'=>array(
							    'condition'=>'id_representante <> 0',							    
							    ),
			));
			
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRepresentante('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRepresentante']))
			$model->attributes=$_GET['TRepresentante'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=TRepresentante::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}
	
	public function BuscarRepresentante(){
        
			$tipo_ident =  $_POST['identificacion_representante'];
			$cedula =  $_POST['cedula_representante'];

			if(isset($_POST['cedula_representante'])&& ($_POST['cedula_representante']!='')){
				$persona = TPersona::model()->findAll('t.cedula_persona = \''.$_POST['cedula_representante'].'\'');
				if(count($persona)>0){
					$Representate= TRepresentante::model()->with('tipo_parentesco')->find("t.id_persona=".$persona[0]->id_persona);
					if(count($Representate)>0){
						echo "<table width=\"100%\">";
						 echo "<tr><td>".CHtml::ActiveLabel(TRepresentante::model(),'Nombre y Apellido del Representante')."</td>";
						 echo "<td >".CHtml::ActiveLabel(TRepresentante::model(),'Cédula del Representante')."</td>";
						 echo "</tr><tr>";	
						 echo "<td >".CHtml::textField('nombre_representante',$persona[0]->nombre_persona." ".$persona[0]->apellido_persona,array("width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
						 echo "<td >".CHtml::textField($_GET["id_pregunta"]."-".$_GET["id_seccion"]."-".$persona[0]->id_persona,$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona,array("width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
						 echo "</tr></table>"."<table><tr><td width='200px'>".CHtml::ActiveLabel(TRepresentante::model(),'4. Parentesco con el estudiante')."</td><td >&nbsp;</td></tr>"."<tr ><td BGCOLOR= '#E6E6E6' >".CHtml::ActiveLabel(TRepresentante::model(),$Representate->tipo_parentesco->descripcion_tipo_parentesco)."</td><td>&nbsp;</td></tr></table>";

					}else{
						 $model=new TRepresentante;
						 $model2= new TPersona;
						 $this->renderPartial('createDialog',array(
	                        'model'=>$model,'model2'=>$model2,'id_pregunta'=>$_GET['id_pregunta'],'id_seccion'=>$_GET['id_seccion'],'id_persona'=>$persona[0]->id_persona,
						 
	                    ),false,true);
						//echo "<script>document.getElementById('link_docente').style.display = 'block'; </script>";
					}
					
					
				}else{
					$model=new TRepresentante;
					$model2= new TPersona;
					$model2->id_tipo_identificacion=$_POST['identificacion_representante'];
					$model2->cedula_persona=$_POST['cedula_representante'];
					$this->renderPartial('createDialog',array(
	                         'model'=>$model,'model2'=>$model2
						 
	                    ),false,true);
					//echo "<script>document.getElementById('link_docente').style.display = 'block'; </script>";
				}
										
				
			}else{
				echo "<script>alert(\"Debe agregar un n\u00famero de c\u00e9dula para realizar la b\u00fasqueda\"); document.getElementById(\"cedula_representante\").focus();</script>";
			}
			return $resultado;
		
       }
       
	   public function actionAddRepresentante() {
		
	        $model=new TRepresentante;
	        $model2= new TPersona;

	         $this->performAjaxValidation($model2);
	         $this->performAjaxValidation($model);
	         
	        //Flag to know if we will render the form or try to add
	        //new jon.
	        $flag=true;
	      
				if((isset($_POST['TRepresentante'])) && (isset($_POST['TPersona'])))
				{
					
					$flag=false;
					
					
					if($_GET['id_persona']!=NULL){
					
						$model->attributes=$_POST['TRepresentante'];
						$model->id_persona=$_GET['id_persona'];
						$model2->attributes=$_POST['TPersona'];
						$model2->id_persona=$_GET['id_persona'];
						$model2->id_genero =0;
						$model2->fecha_nacimiento = date('d-m-Y',('01-01-1969'));
						
					}else{
						
						$model2->attributes=$_POST['TPersona'];
						$model2->fecha_nacimiento = date('d-m-Y',('01-01-1969'));
						
						if($model2->validate()){
							$model2->save();
							$model->attributes=$_POST['TRepresentante'];
							$model->id_persona=$model2->id_persona;
						}
						
						
					}					
					
					if($model->validate()){
						$model->save();
								 echo "<table width=\"100%\">";
								 echo "<tr><td>".CHtml::ActiveLabel(TRepresentante::model(),'Nombre y Apellido del Representate')."</td>";
								 echo "<td >".CHtml::ActiveLabel(TPersona::model(),'Cédula del Representante')."</td>";
								 echo "</tr><tr>";	
								 echo "<td>".CHtml::textField('nombre_representante',$model2->nombre_persona." ".$model2->apellido_persona,array("width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
								 echo "<td >".CHtml::textField($_GET['id_pregunta'].'-'.$_GET['id_seccion'].'-'.$model2->id_persona,$model2->person_ident->siglas_tipo."-".$model2->cedula_persona,array("width"=>100,"maxlength"=>100,"readonly"=>true))."</td>";
								 echo "</tr></table>".CHtml::ActiveLabel(TRepresentante::model(),'4 Parentesco con el estudiante')."<br>"."".CHtml::ActiveLabel(TRepresentante::model(),TTipoParentesco::model()->findByPk($model->id_tipo_parentesco)->descripcion_tipo_parentesco);

					}
				}
				
			 	if($flag){
			 		
			 		$busqueda=$this->BuscarRepresentante();
					if(($busqueda=="")&&($p==1)){
											
						$this->renderPartial('createDialog',array(
	                        'model2'=>$model2,'model'=>$model,'id_pregunta'=>$_GET['id_pregunta'],'id_seccion'=>$_GET['id_seccion']
	                    ),false,true);
	            	   
					}else if(($busqueda=="")&&($p==0)){
						
					}else{
						echo $resultado;
					}
	            
			 		
	                   
	             }
                
                
         
            
        }

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trepresentante-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
