<?php

class TRequerimientoCaloricoController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TRequerimientoCalorico;
		
		// Uncomment the following line if AJAX validation is needed
		$this->performAjaxValidation($model);
		 
		if(isset($_POST['TRequerimientoCalorico']))
		{
			
			if((empty($_POST['anio_inicial']))||(empty($_POST['mes_inicial']))){
				$model->addError('edad_inicial','El campo Edad Inicial no puede estar vacio.');
			}elseif(($_POST['anio_final']=="")||($_POST['mes_final']=="")){
				$model->addError('edad_final','El campo Edad Final no puede estar vacio.');
			}else{
			
			$model->attributes=$_POST['TRequerimientoCalorico'];
			
			$anioss = $_POST['anio_inicial'];
			$meses = $_POST['mes_inicial'];
			$anios = $_POST['anio_final'];
			$mesess = $_POST['mes_final'];
			$model->edad_inicial = $anioss.".".$meses;
			$model->edad_final = $anios.".".$mesess;
					
			
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_requerimiento_calorico));
		}
		}
		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		
		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRequerimientoCalorico']))
		{
			$model->attributes=$_POST['TRequerimientoCalorico'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_requerimiento_calorico));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
/*	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_requerimiento_calorico SET id_estatus=:valor  WHERE id_requerimiento_calorico =:requerimiento_calorico";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":requerimiento_calorico",$model->id_requerimiento_calorico, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_requerimiento_calorico));
			}else{
				$this->redirect(array('view','id'=>$model->id_requerimiento_calorico));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
/*	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_requerimiento_calorico SET id_estatus =:valor  WHERE id_requerimiento_calorico =:requerimiento_calorico";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":requerimiento_calorico",$model->id_requerimiento_calorico, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_requerimiento_calorico));
			}else{
				$this->redirect(array('view','id'=>$model->id_requerimiento_calorico));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	/*public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_requerimiento_calorico SET id_estatus =:valor  WHERE id_requerimiento_calorico =:requerimiento_calorico";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":requerimiento_calorico",$model->id_requerimiento_calorico, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_requerimiento_calorico));
			}else{
				$this->redirect(array('view','id'=>$model->id_requerimiento_calorico));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}*/

/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRequerimientoCalorico');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
		
		/*$dataProvider=new CActiveDataProvider('TRequerimientoCalorico',array(
							    'criteria'=>array(
							    'condition'=>'id_requerimiento_calorico <> 0',							    
							    ),
			));
		//$dataProvider=new CActiveDataProvider('TGrado');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,			
		));*/
	}
	
	

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRequerimientoCalorico('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRequerimientoCalorico']))
			$model->attributes=$_GET['TRequerimientoCalorico'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=TRequerimientoCalorico::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trequerimiento-calorico-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
