<?php

class TRespuestaController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	public function actionRespuesta()
	{
		if ($_POST['TTipoRespuesta']['id_tipo_respuesta'] != ""){

			$data = TRespuesta::model()->findAll('t.id_tipo_respuesta = '.$_POST['TTipoRespuesta']['id_tipo_respuesta']);
			
			if (count($data) != 0){

				$data=CHtml::listData($data,'id_respuesta','descripcion_respuesta');

				foreach($data as $value=>$name)
				{
					echo CHtml::tag('option',
					array('value'=>$value),CHtml::encode($name),true);
				}
			}else echo CHtml::tag('option',array('value'=>'','disabled'=>true),'No Existe Información',true);

		}else{
			echo CHtml::tag('option',array('value'=>'','disabled'=>true),'No Existe Información',true);
		}
	}

	/*public function actionAddRespuesta() {
		//echo CHtml::encode(print_r($_POST, true));

		$respuesta = $_POST['TRespuesta']['id_respuesta'];

		if ($respuesta != ""){

		foreach($respuesta as $value=>$name)
		{
		$descripcion = TRespuesta::model()->findAll('t.id_respuesta = '.$name);

		echo CHtml::tag('option',
		array('value'=>$name),CHtml::encode($descripcion[0]->descripcion_respuesta),true);
		}

		}else{
		echo CHtml::tag('option',array('value'=>''),'No Existe Información',true);
		}

		 
		}

		public function actionQuitRespuesta() {
		echo CHtml::encode(print_r($_POST, true));



		$tipo_respuesta = $_POST['TRespuestasPreguntas']['id_respuesta'];

		if ($tipo_respuesta != ""){

		foreach($tipo_respuesta as $value=>$name)
		{
		//				$descripcion = TRespuesta::model()->findAll('t.id_respuesta = '.$name);

		echo CHtml::activeDropDownList(TRespuestasPreguntas::model(),'id_respuesta',
		CHtml::listData(TRespuesta::model()->findAll('id_respuesta <> 0 and t.id_respuesta = '.$name),'id_respuesta', 'descripcion_respuesta'),
		array('multiple'=>true,'style'=>'height:200px;width:200px;'));

		/*echo CHtml::tag('option',
		array('value'=>$value),CHtml::encode($descripcion[0]->descripcion_respuesta),true);
		}

		}else{
		echo CHtml::tag('option',array('value'=>''),'No Existe Información',true);
		}

		 
		}*/

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		
		$model=new TRespuesta;
		

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);		
		if(isset($_POST['TRespuesta']))
		{
			$model->attributes=$_POST['TRespuesta'];
			$mostrar = $_POST['TRespuesta']['mostrar_descripcion'];
			
			$model->mostrar_descripcion = ($mostrar[0] == '' || $mostrar[0] == null)? 0 : $mostrar[0] ;
			
			if($model->save())
			$this->redirect(array('view','id'=>$model->id_respuesta));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRespuesta']))
		{
			$model->attributes=$_POST['TRespuesta'];
			$mostrar = $_POST['TRespuesta']['mostrar_descripcion'];
			$model->mostrar_descripcion = ($mostrar[0] == '' || $mostrar[0] == null)? 0 : $mostrar[0] ;
			if($model->save())
			$this->redirect(array('view','id'=>$model->id_respuesta));
		}

		//$model->id_tipo_respuesta = TTipoRespuesta::model()->findByPk($model->id_tipo_respuesta)->descripcion_tipo_respuesta;
		
		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_respuesta SET id_estatus=:valor  WHERE id_respuesta =:respuesta";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":respuesta",$model->id_respuesta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_respuesta));
			}else{
				$this->redirect(array('view','id'=>$model->id_respuesta));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_respuesta SET id_estatus =:valor  WHERE id_respuesta =:respuesta";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":respuesta",$model->id_respuesta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_respuesta));
			}else{
				$this->redirect(array('view','id'=>$model->id_respuesta));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_respuesta SET id_estatus =:valor  WHERE id_respuesta =:respuesta";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":respuesta",$model->id_respuesta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_respuesta));
			}else{
				$this->redirect(array('view','id'=>$model->id_respuesta));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}
	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	/*public function actionDelete()
	 {
		if(Yii::app()->request->isPostRequest)
		{
		// we only allow deletion via POST request
		$this->loadModel()->delete();

		// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
		if(!isset($_GET['ajax']))
		$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
		throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
		}*/

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRespuesta',array(
							    'criteria'=>array(
							    'condition'=>'id_respuesta <> 0',							    
							    ),
			));
		//$dataProvider=new CActiveDataProvider('TRespuesta');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRespuesta('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRespuesta']))
		$model->attributes=$_GET['TRespuesta'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TRespuesta::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trespuesta-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
