<?php

class TSeccionesController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{

		$model=new TSecciones;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TSecciones']))
		{
			$model->attributes = $_POST['TSecciones'];

			$preguntas = $_POST['TSeccionesPreguntas']['id_pregunta'];

			$valid = $model->validate();

			if ((empty($_POST['TPreguntas']['id_pregunta']) && empty($_POST['TSeccionesPreguntas']['id_pregunta'])) ||
			(!empty($_POST['TPreguntas']['id_pregunta']) && empty($_POST['TSeccionesPreguntas']['id_pregunta'])))
			{
				$model->addError('TPreguntas_id_pregunta','Seleccione una o varias Preguntas');

			}else {
					
				if($valid){
					if ($model->save()){

						foreach ($preguntas as $i => $value){
							$model3 = new TSeccionesPreguntas;
							$model3->id_secciones = $model->id_secciones;
							$model3->id_pregunta = $value;
							$model3->save();
						}
					}
					$this->redirect(array('view','id'=>$model->id_secciones));
				}
			}
		}
		$this->render('create',array(
			'model'=>$model,
		));

	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model = $this->loadModel();		

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		
		if(isset($_POST['TSecciones']))
		{
			
			$model->attributes = $_POST['TSecciones'];
				
			$preguntas = $_POST['TSeccionesPreguntas']['id_pregunta'];
			
			

			$valid = $model->validate();

			if ((empty($_POST['TPreguntas']['id_pregunta']) && empty($_POST['TSeccionesPreguntas']['id_pregunta'])) ||
			(!empty($_POST['TPreguntas']['id_pregunta']) && empty($_POST['TSeccionesPreguntas']['id_pregunta'])))
			{
				$model->addError('TPreguntas_id_pregunta','Seleccione una o varias Preguntas');

			}else {
					
				if($valid){
					if ($model->save()){
						
						$sql = "DELETE FROM nino_sano.t_secciones_preguntas WHERE id_secciones =:secciones";
						$comando = Yii::app() -> db -> createCommand($sql);
						$comando -> bindParam(":secciones",$model->id_secciones, PDO::PARAM_INT);
						$control = $comando -> execute();
						
						//if($control){							
								foreach ($preguntas as $i => $value){
									
									$model3 = new TSeccionesPreguntas;
									$model3->id_secciones = $model->id_secciones;
									$model3->id_pregunta = $value;
									$model3->save();
								}							
						//}
						$this->redirect(array('view','id'=>$model->id_secciones));
					}
				}
			}	
		}
			
		/*$res = TPreguntas::model()->with('respuestas_preguntas')->findAll('t.id_pregunta = '.$model->id_pregunta);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->respuestas_preguntas;
			foreach ($arrayObj as $j => $value1){
				$salida = $value1->id_tipo_respuesta;
			}
		}

		TTipoRespuesta::model()->id_tipo_respuesta = $salida;*/

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_secciones SET id_estatus=:valor  WHERE id_secciones =:secciones";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":secciones",$model->id_secciones, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_secciones));
			}else{
				$this->redirect(array('view','id'=>$model->id_secciones));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_secciones SET id_estatus =:valor  WHERE id_secciones =:secciones";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":secciones",$model->id_secciones, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_secciones));
			}else{
				$this->redirect(array('view','id'=>$model->id_secciones));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_secciones SET id_estatus =:valor  WHERE id_secciones =:secciones";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":secciones",$model->id_secciones, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_secciones));
			}else{
				$this->redirect(array('view','id'=>$model->id_secciones));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	
	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
			$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
		throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}
*/
	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TSecciones',array(
							    'criteria'=>array(
							    'condition'=>'id_secciones <> 0',							    
							    ),
			));
		//$dataProvider=new CActiveDataProvider('TSecciones');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TSecciones('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TSecciones']))
		$model->attributes=$_GET['TSecciones'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TSecciones::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='tsecciones-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
