<?php

class TTipoEncuestaController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TTipoEncuesta;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TTipoEncuesta']))
		{
			$model->attributes = $_POST['TTipoEncuesta'];

			$secciones = $_POST['TTipoEncuestaSecciones']['id_secciones'];

			$valid = $model->validate();

			if ((empty($_POST['TTipoEncuestaSecciones']['id_secciones']) && empty($_POST['TTipoEncuestaSecciones']['id_secciones'])) ||
			(!empty($_POST['TTipoEncuestaSecciones']['id_secciones']) && empty($_POST['TTipoEncuestaSecciones']['id_secciones'])))
			{
				$model->addError('TTipoEncuestaSecciones_id_secciones','Seleccione una o varias Secciones');

			}else {
					
				if($valid){
					if ($model->save()){

						foreach ($secciones as $i => $value){
							$model3 = new TTipoEncuestaSecciones;
							$model3->id_tipo_encuesta = $model->id_tipo_encuesta;
							$model3->id_secciones = $value;
							$model3->save();
						}
					}
					$this->redirect(array('view','id'=>$model->id_tipo_encuesta));
				}
			}
		}
		$this->render('create',array(
			'model'=>$model,
		));

	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model = $this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TTipoEncuesta']))
		{
			$model->attributes = $_POST['TTipoEncuesta'];

			$secciones = $_POST['TTipoEncuestaSecciones']['id_secciones'];

			$valid = $model->validate();

			if ((empty($_POST['TTipoEncuestaSecciones']['id_secciones']) && empty($_POST['TTipoEncuestaSecciones']['id_secciones'])) ||
			(!empty($_POST['TTipoEncuestaSecciones']['id_secciones']) && empty($_POST['TTipoEncuestaSecciones']['id_secciones'])))
			{
				$model->addError('TTipoEncuestaSecciones_id_secciones','Seleccione una o varias Secciones');

			}else {
					
				if($valid){
					if ($model->save()){
						$sql = "DELETE FROM nino_sano.t_tipo_encuesta_secciones WHERE id_tipo_encuesta =:tipo_encuesta";
						$comando = Yii::app() -> db -> createCommand($sql);
						$comando -> bindParam(":tipo_encuesta",$model->id_tipo_encuesta, PDO::PARAM_INT);
						$control = $comando -> execute();

						//if($control){
							

								foreach ($secciones as $i => $value){
									$model3 = new TTipoEncuestaSecciones;
									$model3->id_tipo_encuesta = $model->id_tipo_encuesta;
									$model3->id_secciones = $value;
									$model3->save();
								}
							
						//}
						$this->redirect(array('view','id'=>$model->id_tipo_encuesta));
					}
				}
			}
		}
			
		/*$res = TPreguntas::model()->with('respuestas_preguntas')->findAll('t.id_pregunta = '.$model->id_pregunta);
		 	
		foreach ($res as $i => $value){
		$arrayObj = $value->respuestas_preguntas;
		foreach ($arrayObj as $j => $value1){
		$salida = $value1->id_tipo_respuesta;
		}
		}

		TTipoRespuesta::model()->id_tipo_respuesta = $salida;*/

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_tipo_encuesta SET id_estatus=:valor  WHERE id_tipo_encuesta =:tipo_encuesta";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":tipo_encuesta",$model->id_tipo_encuesta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_tipo_encuesta));
			}else{
				$this->redirect(array('view','id'=>$model->id_tipo_encuesta));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_tipo_encuesta SET id_estatus =:valor  WHERE id_tipo_encuesta =:tipo_encuesta";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":tipo_encuesta",$model->id_tipo_encuesta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_tipo_encuesta));
			}else{
				$this->redirect(array('view','id'=>$model->id_tipo_encuesta));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE nino_sano.t_tipo_encuesta SET id_estatus =:valor  WHERE id_tipo_encuesta =:tipo_encuesta";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":tipo_encuesta",$model->id_tipo_encuesta, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control){
				$this->redirect(array('admin','id'=>$model->id_tipo_encuesta));
			}else{
				$this->redirect(array('view','id'=>$model->id_tipo_encuesta));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}


	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TTipoEncuesta',array(
							    'criteria'=>array(
							    'condition'=>'id_tipo_encuesta <> 0',							    
							    ),
			));
		
		//$dataProvider=new CActiveDataProvider('TTipoEncuesta');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TTipoEncuesta('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TTipoEncuesta']))
		$model->attributes=$_GET['TTipoEncuesta'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TTipoEncuesta::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='ttipo-encuesta-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
