<?php

class VReportesController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	//public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}


	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$model=new VReportes('search');		
		$display = isset($_GET['VReportes']['id_organismo']) ? 'block' : 'none';
		
		$model->unsetAttributes();
		$model->id_organismo = $_GET['VReportes']['id_organismo'];
		$model->id_reporte = $_GET['VReportes']['id_reporte'];		
		if(isset($_GET['VReportes'])){
			
			$model->attributes=$_GET['VReportes'];			
		}
		$id_reporte = (isset($_GET['VReportes']['id_reporte']))? $_GET['VReportes']['id_reporte'] : $model->id_reporte;
		
		$this->render('admin',array(
			'model'=>$model,'id_reporte'=>$id_reporte,'display'=>$display,
		));
	}
	
	public function actionFicheroExcel()
	{
		$model=new VReportes('search');			
		$display = isset($_GET['VReportes']['id_organismo']) ? 'block' : 'none';
		
		//$model->unsetAttributes();
		$model->id_organismo = $_GET['VReportes']['id_organismo'];
		$model->id_reporte = $_GET['VReportes']['id_reporte'];		
		if(isset($_GET['VReportes'])){
			
			$model->attributes=$_GET['VReportes'];			
		}
		$id_reporte = (isset($_GET['VReportes']['id_reporte']))? $_GET['VReportes']['id_reporte'] : $model->id_reporte;
		
		$this->render('admin',array(
			'model'=>$model,'id_reporte'=>$id_reporte,'display'=>$display,'t'=>1
		));
		
		/*
		$data = array();
		Yii::import('application.extensions.phpexcel.JPhpExcel');
		$xls = new JPhpExcel('UTF-8', true, 'My Test Sheet');
		$xls->addArray($data);
		$xls->generateXML('reporte');*/
	}
	

	

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=VReportes::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='vreportes-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
