<?php

/**
 * This is the model class for table "nino_sano.t_alimentos".
 *
 * The followings are the available columns in table 'nino_sano.t_alimentos':
 * @property integer $id_alimentos
 * @property string $descripcion_alimentos
 * @property integer $recomendado
 * @property string $fecha_alimentos
 * @property integer $id_estatus
 */
class TAlimentos extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TAlimentos the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_alimentos';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('fecha_alimentos', 'required'),
			array('recomendado, id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_alimentos', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_alimentos, descripcion_alimentos, recomendado, fecha_alimentos, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_alimentos' => 'Id Alimentos',
			'descripcion_alimentos' => 'Descripcion Alimentos',
			'recomendado' => 'Recomendado',
			'fecha_alimentos' => 'Fecha Alimentos',
			'id_estatus' => 'Id Estatus',
		);
	}
	
/**
	 * @return array relational rules.
	 */
	public function getAlimentos($recomendado)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
      
		$res = TAlimentos::model()->findAll('t.recomendado = '.$recomendado);
			
		foreach ($res as $i => $value){						
			$salida .=  $value->descripcion_alimentos.", ";			
		}
		
		return (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-2) : "Sin Alimentos Asignados";		
	
	}
	
	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_alimentos',$this->id_alimentos);

		$criteria->compare('descripcion_alimentos',$this->descripcion_alimentos,true);

		$criteria->compare('recomendado',$this->recomendado);

		$criteria->compare('fecha_alimentos',$this->fecha_alimentos,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}