<?php

/**
 * This is the model class for table "nino_sano.t_cabecera_sujeto_persona".
 *
 * The followings are the available columns in table 'nino_sano.t_cabecera_sujeto_persona':
 * @property integer $id_cabecera
 * @property integer $id_datos_sujeto
 * @property integer $id_persona
 * @property integer $id_requerimiento_calorico
 */
class TCabeceraSujetoPersona extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TCabeceraSujetoPersona the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_cabecera_sujeto_persona';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_cabecera, id_datos_sujeto, id_persona', 'required'),
			array('id_cabecera, id_datos_sujeto, id_persona, id_requerimiento_calorico', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_cabecera, id_datos_sujeto, id_persona, id_requerimiento_calorico', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			 'cabecera' => array(self::BELONGS_TO, 'Tcabecera', 'id_cabecera'),
			 'sujeto' => array(self::BELONGS_TO, 'TDatosSujeto', 'id_datos_sujeto'),
		     'persona' => array(self::BELONGS_TO, 'TPersona', 'id_persona'),
		
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_cabecera' => 'Id Cabecera',
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'id_persona' => 'Id Persona',
			'id_requerimiento_calorico' => 'Id Requerimiento Calorico',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_cabecera',$this->id_cabecera);

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('id_persona',$this->id_persona);

		$criteria->compare('id_requerimiento_calorico',$this->id_requerimiento_calorico);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}