<?php

/**
 * This is the model class for table "nino_sano.t_calorias_gramos".
 *
 * The followings are the available columns in table 'nino_sano.t_calorias_gramos':
 * @property integer $id_calorias_gramos
 * @property string $descripcion_calorias_alimento
 * @property integer $id_alimentos_menu
 * @property integer $calorias_g
 * @property double $proteina_g
 * @property double $grasas_g
 * @property double $carbohidratos_disponibles_g
 * @property double $carbohidratos_totales_g
 * @property double $fibra_t_g
 * @property integer $calcio_mg
 * @property integer $fosforo_mg
 * @property double $hierro_mg
 * @property double $magnesio_mg
 * @property double $zinc_mg
 * @property double $cobre_mg
 * @property integer $sodio_mg
 * @property double $potasio_mg
 * @property integer $vitamina_a
 * @property integer $b_caroteno
 * @property double $tiamina_mg
 * @property double $riboflavina_mg
 * @property double $niacina_mg
 * @property double $vitamina_b6_mg
 * @property double $acido_ascorbico_mg
 * @property integer $id_trompo_alimenticio
 * @property string $fecha_calorias_racion
 * @property integer $id_estatus
 */
class TCaloriasGramos extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TCaloriasGramos the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_calorias_gramos';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_alimentos_menu, calorias_g, proteina_g, grasas_g, carbohidratos_disponibles_g, carbohidratos_totales_g, fibra_t_g, calcio_mg, fosforo_mg, hierro_mg, magnesio_mg, zinc_mg, cobre_mg, sodio_mg, potasio_mg, vitamina_a, b_caroteno, tiamina_mg, riboflavina_mg, niacina_mg, vitamina_b6_mg, acido_ascorbico_mg, fecha_calorias_racion', 'required'),
			array('id_alimentos_menu, calorias_g, calcio_mg, fosforo_mg, sodio_mg, vitamina_a, b_caroteno, id_trompo_alimenticio, id_estatus', 'numerical', 'integerOnly'=>true),
			array('proteina_g, grasas_g, carbohidratos_disponibles_g, carbohidratos_totales_g, fibra_t_g, hierro_mg, magnesio_mg, zinc_mg, cobre_mg, potasio_mg, tiamina_mg, riboflavina_mg, niacina_mg, vitamina_b6_mg, acido_ascorbico_mg', 'numerical'),
			array('descripcion_calorias_alimento', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_calorias_gramos, descripcion_calorias_alimento, id_alimentos_menu, calorias_g, proteina_g, grasas_g, carbohidratos_disponibles_g, carbohidratos_totales_g, fibra_t_g, calcio_mg, fosforo_mg, hierro_mg, magnesio_mg, zinc_mg, cobre_mg, sodio_mg, potasio_mg, vitamina_a, b_caroteno, tiamina_mg, riboflavina_mg, niacina_mg, vitamina_b6_mg, acido_ascorbico_mg, id_trompo_alimenticio, fecha_calorias_racion, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_calorias_gramos' => 'Id Calorias Gramos',
			'descripcion_calorias_alimento' => 'Descripcion Calorias Alimento',
			'id_alimentos_menu' => 'Id Alimentos Menu',
			'calorias_g' => 'Calorias G',
			'proteina_g' => 'Proteina G',
			'grasas_g' => 'Grasas G',
			'carbohidratos_disponibles_g' => 'Carbohidratos Disponibles G',
			'carbohidratos_totales_g' => 'Carbohidratos Totales G',
			'fibra_t_g' => 'Fibra T G',
			'calcio_mg' => 'Calcio Mg',
			'fosforo_mg' => 'Fosforo Mg',
			'hierro_mg' => 'Hierro Mg',
			'magnesio_mg' => 'Magnesio Mg',
			'zinc_mg' => 'Zinc Mg',
			'cobre_mg' => 'Cobre Mg',
			'sodio_mg' => 'Sodio Mg',
			'potasio_mg' => 'Potasio Mg',
			'vitamina_a' => 'Vitamina A',
			'b_caroteno' => 'B Caroteno',
			'tiamina_mg' => 'Tiamina Mg',
			'riboflavina_mg' => 'Riboflavina Mg',
			'niacina_mg' => 'Niacina Mg',
			'vitamina_b6_mg' => 'Vitamina B6 Mg',
			'acido_ascorbico_mg' => 'Acido Ascorbico Mg',
			'id_trompo_alimenticio' => 'Id Trompo Alimenticio',
			'fecha_calorias_racion' => 'Fecha Calorias Racion',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_calorias_gramos',$this->id_calorias_gramos);

		$criteria->compare('descripcion_calorias_alimento',$this->descripcion_calorias_alimento,true);

		$criteria->compare('id_alimentos_menu',$this->id_alimentos_menu);

		$criteria->compare('calorias_g',$this->calorias_g);

		$criteria->compare('proteina_g',$this->proteina_g);

		$criteria->compare('grasas_g',$this->grasas_g);

		$criteria->compare('carbohidratos_disponibles_g',$this->carbohidratos_disponibles_g);

		$criteria->compare('carbohidratos_totales_g',$this->carbohidratos_totales_g);

		$criteria->compare('fibra_t_g',$this->fibra_t_g);

		$criteria->compare('calcio_mg',$this->calcio_mg);

		$criteria->compare('fosforo_mg',$this->fosforo_mg);

		$criteria->compare('hierro_mg',$this->hierro_mg);

		$criteria->compare('magnesio_mg',$this->magnesio_mg);

		$criteria->compare('zinc_mg',$this->zinc_mg);

		$criteria->compare('cobre_mg',$this->cobre_mg);

		$criteria->compare('sodio_mg',$this->sodio_mg);

		$criteria->compare('potasio_mg',$this->potasio_mg);

		$criteria->compare('vitamina_a',$this->vitamina_a);

		$criteria->compare('b_caroteno',$this->b_caroteno);

		$criteria->compare('tiamina_mg',$this->tiamina_mg);

		$criteria->compare('riboflavina_mg',$this->riboflavina_mg);

		$criteria->compare('niacina_mg',$this->niacina_mg);

		$criteria->compare('vitamina_b6_mg',$this->vitamina_b6_mg);

		$criteria->compare('acido_ascorbico_mg',$this->acido_ascorbico_mg);

		$criteria->compare('id_trompo_alimenticio',$this->id_trompo_alimenticio);

		$criteria->compare('fecha_calorias_racion',$this->fecha_calorias_racion,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}