<?php

/**
 * This is the model class for table "nino_sano.t_calorias_racion".
 *
 * The followings are the available columns in table 'nino_sano.t_calorias_racion':
 * @property integer $id_calorias_racion
 * @property string $descripcion_calorias_racion
 * @property integer $calorias_racion
 * @property string $equivalencia
 * @property integer $id_trompo_alimenticio
 * @property string $fecha_calorias_racion
 * @property integer $id_estatus
 */
class TCaloriasRacion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TCaloriasRacion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_calorias_racion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_calorias_racion, calorias_racion, fecha_calorias_racion', 'required'),
			array('calorias_racion, id_trompo_alimenticio, id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_calorias_racion', 'length', 'max'=>250),
			array('equivalencia', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_calorias_racion, descripcion_calorias_racion, calorias_racion, equivalencia, id_trompo_alimenticio, fecha_calorias_racion, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_calorias_racion' => 'Id Calorias Racion',
			'descripcion_calorias_racion' => 'Descripcion Calorias Racion',
			'calorias_racion' => 'Calorias Racion',
			'equivalencia' => 'Equivalencia',
			'id_trompo_alimenticio' => 'Id Trompo Alimenticio',
			'fecha_calorias_racion' => 'Fecha Calorias Racion',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_calorias_racion',$this->id_calorias_racion);

		$criteria->compare('descripcion_calorias_racion',$this->descripcion_calorias_racion,true);

		$criteria->compare('calorias_racion',$this->calorias_racion);

		$criteria->compare('equivalencia',$this->equivalencia,true);

		$criteria->compare('id_trompo_alimenticio',$this->id_trompo_alimenticio);

		$criteria->compare('fecha_calorias_racion',$this->fecha_calorias_racion,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}