<?php

/**
 * This is the model class for table "nino_sano.t_diagnostico_recomendacion".
 *
 * The followings are the available columns in table 'nino_sano.t_diagnostico_recomendacion':
 * @property integer $id_diagnostico_presuntivo
 * @property integer $id_recomendacion
 */
class TDiagnosticoRecomendacion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TDiagnosticoRecomendacion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_diagnostico_recomendacion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_diagnostico_presuntivo', 'required'),
			array('id_diagnostico_presuntivo, id_recomendacion', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_diagnostico_presuntivo, id_recomendacion', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_diagnostico_presuntivo' => 'Diagnostico Presuntivo',
			'id_recomendacion' => 'Recomendacion',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_diagnostico_presuntivo',$this->id_diagnostico_presuntivo);

		$criteria->compare('id_recomendacion',$this->id_recomendacion);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}