<?php

/**
 * This is the model class for table "nino_sano.t_distribucion_racion".
 *
 * The followings are the available columns in table 'nino_sano.t_distribucion_racion':
 * @property integer $id_trompo_alimenticio
 * @property string $nombre_alimento
 * @property integer $calorias
 * @property double $racion
 */
class TDistribucionRacion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TDistribucionRacion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_distribucion_racion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_trompo_alimenticio, nombre_alimento, calorias, racion', 'required'),
			array('id_trompo_alimenticio, calorias', 'numerical', 'integerOnly'=>true),
			array('racion', 'numerical'),
			array('nombre_alimento', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_trompo_alimenticio, nombre_alimento, calorias, racion', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'dist_racion_trompo'=>array(self::HAS_ONE,'TTrompoAlimenticio','id_trompo_alimenticio'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_trompo_alimenticio' => 'Id Trompo Alimenticio',
			'nombre_alimento' => 'Nombre Alimento',
			'calorias' => 'Calorias',
			'racion' => 'Racion',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_trompo_alimenticio',$this->id_trompo_alimenticio);

		$criteria->compare('nombre_alimento',$this->nombre_alimento,true);

		$criteria->compare('calorias',$this->calorias);

		$criteria->compare('racion',$this->racion);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}