<?php

/**
 * This is the model class for table "nino_sano.t_docente".
 *
 * The followings are the available columns in table 'nino_sano.t_docente':
 * @property integer $id_docente
 * @property integer $id_persona
 * @property integer $id_grado
 * @property integer $id_seccion
 * @property string $fecha_docente
 * @property integer $id_estatus
 */
class TDocente extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TDocente the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_docente';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.y(
		return array(
			//array('id_persona', 'required'),
			array('id_persona,id_estatus', 'numerical', 'integerOnly'=>true),
			array('id_docente,id_persona','unique','on'=>'insert','message'=>'Esta Persona ya es un Docente',),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_docente, id_persona,fecha_docente, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'persona_docente'=>array(self::BELONGS_TO, 'TPersona', 'id_persona'),
			
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'nombre' => 'Nombre',
			'id_docente' => 'Id Docente',
			'id_persona' => 'Nombre Docente',
			'fecha_docente' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.
		
		$criteria=new CDbCriteria;	
		
		$criteria->compare('id_docente',$this->id_docente,true);

		$criteria->compare('persona_docente.nombre_persona',$this->id_persona,true);
		
		$criteria->compare('fecha_docente',$this->fecha_docente,true);

		$criteria->compare('t.id_estatus',$this->id_estatus);	
		
		$criteria->with=array('persona_docente');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,		 	
		
		));
	}
}