<?php

/**
 * This is the model class for table "nino_sano.t_encuesta_estados".
 *
 * The followings are the available columns in table 'nino_sano.t_encuesta_estados':
 * @property integer $id_encuesta
 * @property string $id_estado
 */
class TEncuestaEstados extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TEncuestaEstados the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_encuesta_estados';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_encuesta, id_estado', 'required'),
			array('id_encuesta', 'numerical', 'integerOnly'=>true),
			array('id_estado', 'length', 'max'=>2),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_encuesta, id_estado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			//'encuesta_estados'=>array(self::MANY_MANY,'TEncuesta','nino_sano.t_encuesta_estado(id_encuesta,id_estado)'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_encuesta' => 'Id Encuesta',
			'id_estado' => 'Id Estado',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('id_estado',$this->id_estado,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}