<?php

/**
 * This is the model class for table "nino_sano.t_escala_alimentaria".
 *
 * The followings are the available columns in table 'nino_sano.t_escala_alimentaria':
 * @property integer $id_escala_alimentaria
 * @property string $descripcion_escala_alimentaria
 * @property string $interpretacion_escala_alimentaria
 * @property string $fecha_escala_alimentaria
 * @property integer $id_estatus
 */
class TEscalaAlimentaria extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TEscalaAlimentaria the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_escala_alimentaria';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('fecha_escala_alimentaria', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_escala_alimentaria, interpretacion_escala_alimentaria', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_escala_alimentaria, descripcion_escala_alimentaria, interpretacion_escala_alimentaria, fecha_escala_alimentaria, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_escala_alimentaria' => 'Id Escala Alimentaria',
			'descripcion_escala_alimentaria' => 'Descripcion Escala Alimentaria',
			'interpretacion_escala_alimentaria' => 'Interpretacion Escala Alimentaria',
			'fecha_escala_alimentaria' => 'Fecha Escala Alimentaria',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_escala_alimentaria',$this->id_escala_alimentaria);

		$criteria->compare('descripcion_escala_alimentaria',$this->descripcion_escala_alimentaria,true);

		$criteria->compare('interpretacion_escala_alimentaria',$this->interpretacion_escala_alimentaria,true);

		$criteria->compare('fecha_escala_alimentaria',$this->fecha_escala_alimentaria,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}