<?php

/**
 * This is the model class for table "nino_sano.t_frecuencia_consumo".
 *
 * The followings are the available columns in table 'nino_sano.t_frecuencia_consumo':
 * @property integer $id_frecuencia_consumo
 * @property string $descripcion_frecuencia_consumo
 * @property string $fecha_frecuencia_consumo
 * @property integer $id_estatus
 */
class TFrecuenciaConsumo extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TFrecuenciaConsumo the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_frecuencia_consumo';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('fecha_frecuencia_consumo', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_frecuencia_consumo', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_frecuencia_consumo, descripcion_frecuencia_consumo, fecha_frecuencia_consumo, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_frecuencia_consumo' => 'Id Frecuencia Consumo',
			'descripcion_frecuencia_consumo' => 'Descripcion Frecuencia Consumo',
			'fecha_frecuencia_consumo' => 'Fecha Frecuencia Consumo',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_frecuencia_consumo',$this->id_frecuencia_consumo);

		$criteria->compare('descripcion_frecuencia_consumo',$this->descripcion_frecuencia_consumo,true);

		$criteria->compare('fecha_frecuencia_consumo',$this->fecha_frecuencia_consumo,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}