<?php

/**
 * This is the model class for table "nino_sano.t_menu_triptico".
 *
 * The followings are the available columns in table 'nino_sano.t_menu_triptico':
 * @property integer $id_menu_triptico
 * @property string $descripcion_menu_triptico
 * @property integer $id_recomendacion
 * @property integer $calorias
 * @property string $fecha_menu_triptico
 * @property integer $id_estatus
 */
class TMenuTriptico extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TMenuTriptico the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_menu_triptico';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_menu_triptico, id_recomendacion, fecha_menu_triptico', 'required'),
			array('id_recomendacion, calorias, id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_menu_triptico', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_menu_triptico, descripcion_menu_triptico, id_recomendacion, calorias, fecha_menu_triptico, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_menu_triptico' => 'Id Menu Triptico',
			'descripcion_menu_triptico' => 'Descripcion Menu Triptico',
			'id_recomendacion' => 'Id Recomendacion',
			'calorias' => 'Calorias',
			'fecha_menu_triptico' => 'Fecha Menu Triptico',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_menu_triptico',$this->id_menu_triptico);

		$criteria->compare('descripcion_menu_triptico',$this->descripcion_menu_triptico,true);

		$criteria->compare('id_recomendacion',$this->id_recomendacion);

		$criteria->compare('calorias',$this->calorias);

		$criteria->compare('fecha_menu_triptico',$this->fecha_menu_triptico,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}