<?php

/**
 * This is the model class for table "nino_sano.t_menu_triptico_dieta".
 *
 * The followings are the available columns in table 'nino_sano.t_menu_triptico_dieta':
 * @property integer $id_menu_triptico
 * @property integer $id_tipo_comida
 * @property string $descripcion_menu_triptico
 * @property integer $id_trompo_alimenticio
 */
class TMenuTripticoDieta extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TMenuTripticoDieta the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_menu_triptico_dieta';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_menu_triptico, id_tipo_comida, descripcion_menu_triptico', 'required'),
			array('id_menu_triptico, id_tipo_comida, id_trompo_alimenticio', 'numerical', 'integerOnly'=>true),
			array('descripcion_menu_triptico', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_menu_triptico, id_tipo_comida, descripcion_menu_triptico, id_trompo_alimenticio', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_menu_triptico' => 'Id Menu Triptico',
			'id_tipo_comida' => 'Id Tipo Comida',
			'descripcion_menu_triptico' => 'Descripcion Menu Triptico',
			'id_trompo_alimenticio' => 'Id Trompo Alimenticio',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_menu_triptico',$this->id_menu_triptico);

		$criteria->compare('id_tipo_comida',$this->id_tipo_comida);

		$criteria->compare('descripcion_menu_triptico',$this->descripcion_menu_triptico,true);

		$criteria->compare('id_trompo_alimenticio',$this->id_trompo_alimenticio);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}