<?php

/**
 * This is the model class for table "nino_sano.t_ninos_adolescentes".
 *
 * The followings are the available columns in table 'nino_sano.t_ninos_adolescentes':
 * @property integer $id_ninos_adolescentes
 * @property integer $id_representante
 * @property integer $id_datos_sujeto
 */
class TNinosAdolescentes extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TNinosAdolescentes the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_ninos_adolescentes';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_representante,id_persona', 'required'),
			//array('id_representante, id_persona','exist'),
			array('id_persona,id_ninos_adolescentes','unique','on'=>'insert'),
			array('id_ninos_adolescentes, id_representante, id_persona', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_representante,id_persona,id_ninos_adolescentes,id_estatus', 'safe', 'on'=>'search'),
		);
	}
	
	public function CalcularEdad($fecha_nac,$fecha_consulta){
	
		
		$sql = "select extract(year from age('".date('Y-m-d',strtotime($fecha_consulta))."', '".date('Y-m-d',strtotime($fecha_nac))."')) as anios";
		$comando = Yii::app() -> db -> createCommand($sql);
		$edad = $comando->queryRow();
		return $edad['anios'];
						
							
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'nino_persona'=>array(self::BELONGS_TO, 'TPersona', 'id_persona'),
			
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_ninos_adolescentes' => 'id del nio o adolescente',
			'id_representante' => 'Cédula de Identidad',
			'id_persona' => 'Nombre del Nino o Adolescente',
			'cedula_persona' => 'Cedula del Nino',
			'id_estatus'=>'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_ninos_adolescentes',$this->id_ninos_adolescentes,true);

		$criteria->compare('nino_persona.nombre_persona',$this->id_persona,true);
		
		$criteria->compare('nino_persona.cedula_persona',$this->id_representante);

		$criteria->compare('t.id_estatus',$this->id_estatus);
		
		$criteria->with=array('nino_persona');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}