<?php

/**
 * This is the model class for table "nino_sano.t_ninos_cabecera_enc".
 *
 * The followings are the available columns in table 'nino_sano.t_ninos_cabecera_enc':
 * @property integer $id_ninos_adolescentes
 * @property integer $id_cabecera
 */
class TNinosCabeceraEnc extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TNinosCabeceraEnc the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_ninos_cabecera_enc';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_ninos_adolescentes, id_cabecera', 'required'),
			array('id_ninos_adolescentes, id_cabecera', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_ninos_adolescentes, id_cabecera', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_ninos_adolescentes' => 'Id Ninos Adolescentes',
			'id_cabecera' => 'Id Cabecera',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_ninos_adolescentes',$this->id_ninos_adolescentes);

		$criteria->compare('id_cabecera',$this->id_cabecera);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}