<?php

/**
 * This is the model class for table "nino_sano.t_patologias".
 *
 * The followings are the available columns in table 'nino_sano.t_patologias':
 * @property integer $id_patologias
 * @property string $descripcion_patologias
 * @property string $fecha_patologias
 * @property integer $id_estatus
 */
class TPatologias extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TPatologias the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_patologias';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_patologias, fecha_patologias', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_patologias', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_patologias, descripcion_patologias, fecha_patologias, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_patologias' => 'Id Patologias',
			'descripcion_patologias' => 'Descripcion Patologias',
			'fecha_patologias' => 'Fecha Patologias',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_patologias',$this->id_patologias);

		$criteria->compare('descripcion_patologias',$this->descripcion_patologias,true);

		$criteria->compare('fecha_patologias',$this->fecha_patologias,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}