<?php

/**
 * This is the model class for table "nino_sano.t_peso_ideal".
 *
 * The followings are the available columns in table 'nino_sano.t_peso_ideal':
 * @property integer $id_peso_ideal
 * @property string $edad
 * @property double $peso_ideal_masculino
 * @property double $peso_ideal_femenino
 * @property string $fecha_peso_ideal
 * @property integer $id_estatus
 */
class TPesoIdeal extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TPesoIdeal the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_peso_ideal';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('peso_ideal_masculino, peso_ideal_femenino,edad', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('peso_ideal_masculino, peso_ideal_femenino', 'numerical'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_peso_ideal, edad, peso_ideal_masculino, peso_ideal_femenino, fecha_peso_ideal, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_peso_ideal' => 'Id Peso Ideal',
			'edad' => 'Edad',
			'peso_ideal_masculino' => 'Peso Ideal Masculino',
			'peso_ideal_femenino' => 'Peso Ideal Femenino',
			'fecha_peso_ideal' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_peso_ideal',$this->id_peso_ideal);

		$criteria->compare('edad',$this->edad,true);

		$criteria->compare('peso_ideal_masculino',$this->peso_ideal_masculino);

		$criteria->compare('peso_ideal_femenino',$this->peso_ideal_femenino);

		$criteria->compare('fecha_peso_ideal',$this->fecha_peso_ideal,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}