<?php

/**
 * This is the model class for table "nino_sano.t_preguntas".
 *
 * The followings are the available columns in table 'nino_sano.t_preguntas':
 * @property integer $id_pregunta
 * @property string $descripcion_pregunta
 * @property string $fecha_pregunta
 * @property integer $id_estatus
 */
class TPreguntas extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TPreguntas the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_preguntas';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_pregunta, orden_pregunta', 'required'),
			array('orden_pregunta', 'numerical', 'integerOnly'=>true),
			array('descripcion_pregunta', 'length', 'max'=>500),
			//array('descripcion_pregunta', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_pregunta, descripcion_pregunta, fecha_pregunta, orden_pregunta, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(		
			'respuestas_preguntas'=>array(self::MANY_MANY, 'TRespuesta',
            'nino_sano.t_preguntas_respuestas(id_pregunta, id_respuesta)'),
		
			'preguntas_respuestas'=>array(self::MANY_MANY, 'TPreguntas',
            'nino_sano.t_preguntas_respuestas(id_pregunta, id_respuesta)'),		
		);
	}
	
 	/**
	 * @return array relational rules.
	 */
	public function getRespuestasPreguntas($id_pregunta)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
      
		$res = TPreguntas::model()->with('respuestas_preguntas')->findAll('t.id_pregunta = '.$id_pregunta);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->respuestas_preguntas;
			foreach ($arrayObj as $j => $value1){			
				$salida .=  $value1->descripcion_respuesta.",";			
			}
		}
		
		return $respuestas_preguntas = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Respuestas Asignadas";		
	
	}
	
	/**
	 * @return array relational rules.
	 */
	public function getTipoRespuesta($id_pregunta)
	{		     
		$res = TPreguntas::model()->with('respuestas_preguntas')->findAll('t.id_pregunta = '.$id_pregunta);
		return $tipo_respuesta = TTipoRespuesta::model()->findByPk($res[0]->respuestas_preguntas[0]->id_tipo_respuesta)->descripcion_tipo_respuesta;		
	
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_pregunta' => 'Id Pregunta',
			'descripcion_pregunta' => 'Descripción Pregunta',
			'fecha_pregunta' => 'Fecha Pregunta',
			'orden_pregunta'=>'Orden #',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_pregunta',$this->id_pregunta);

		$criteria->compare('descripcion_pregunta',$this->descripcion_pregunta,true);

		$criteria->compare('fecha_pregunta',$this->fecha_pregunta,true);
		
		$criteria->compare('orden_pregunta',$this->orden_pregunta);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}