<?php

/**
 * This is the model class for table "nino_sano.t_recomendacion".
 *
 * The followings are the available columns in table 'nino_sano.t_recomendacion':
 * @property integer $id_recomendacion
 * @property string $descripcion_recomendacion
 * @property integer $referencia
 * @property string $fecha_recomendaciones
 * @property integer $id_estatus
 */
class TRecomendacion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRecomendacion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public $tipo_patologia;
	public $tipo_diagnostico;
	public $tipo_ninguna;
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_recomendacion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
		array('descripcion_recomendacion,nombre_recomendacion', 'required'),
		array('referencia, id_estatus', 'numerical', 'integerOnly'=>true),
		array('nombre_recomendacion', 'length', 'max'=>100),
		array('descripcion_recomendacion', 'length', 'max'=>5000),
		// The following rule is used by search().
		// Please remove those attributes that should not be searched.
		array('id_recomendacion, descripcion_recomendacion, nombre_recomendacion, referencia, fecha_recomendaciones, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function getTipoRecomendacion($id_recomendacion)
	{
		$model = new TPatologiaRecomendacion;
		$model2 = new TDiagnosticoRecomendacion();

		$patologia = $model->count('t.id_recomendacion = '.$id_recomendacion);
		$diagnostico = $model2->count('t.id_recomendacion = '.$id_recomendacion);

		if($patologia > 0){
			
			$res = TPatologiaRecomendacion::model()->findAll();
			foreach ($res as $i => $value){
				$salida .= TPatologias::model()->findByPk($value->id_patologias)->descripcion_patologias.",";
			}
		}else if ($diagnostico > 0){
			$res = TDiagnosticoRecomendacion::model()->findAll();
			foreach ($res as $i => $value){
				$salida .=TDiagnosticoPresuntivo::model()->findByPk($value->id_diagnostico_presuntivo)->diagnostico_presuntivo.",";
			}
		}else{
			$salida = 'Ninguna,';
		}
		return (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Ninguna";
	}


	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'patologia_recomendacion'=>array(self::MANY_MANY, 'TRecomendacion',
            'nino_sano.t_patologia_recomendacion(id_patologia,id_recomendacion)'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_recomendacion' => 'Id Recomendacion',
			'nombre_recomendacion'=>'Nombre',
			'descripcion_recomendacion' => 'Descripción',
			'referencia' => 'Es una Referencia?',
			'fecha_recomendaciones' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_recomendacion',$this->id_recomendacion);

		$criteria->compare('nombre_recomendacion',$this->nombre_recomendacion,true);

		$criteria->compare('descripcion_recomendacion',$this->descripcion_recomendacion,true);

		$criteria->compare('referencia',$this->referencia);

		$criteria->compare('fecha_recomendaciones',$this->fecha_recomendaciones,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}