<?php

/**
 * This is the model class for table "nino_sano.t_requerimiento_calorico".
 *
 * The followings are the available columns in table 'nino_sano.t_requerimiento_calorico':
 * @property integer $id_requerimiento_calorico
 * @property integer $edad_inicial
 * @property integer $edad_final
 * @property integer $calorias_masculino
 * @property integer $calorias_femenino
 * @property integer $id_menu_alimento_masculino
 * @property integer $id_menu_alimento_femenino
 * @property string $fecha_requerimiento_calorico
 * @property integer $id_estatus
 */
class TRequerimientoCalorico extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRequerimientoCalorico the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_requerimiento_calorico';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('edad_inicial, edad_final, calorias_masculino, calorias_femenino', 'required'),
			array('calorias_masculino, calorias_femenino, id_menu_triptico_masculino, id_menu_triptico_femenino, id_estatus', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_requerimiento_calorico, edad_inicial, edad_final, calorias_masculino, calorias_femenino, id_menu_triptico_masculino, id_menu_tripticoo_femenino, fecha_requerimiento_calorico, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_requerimiento_calorico' => 'Id Requerimiento Calorico',
			'edad_inicial' => 'Edad Inicial',
			'edad_final' => 'Edad Final',
			'calorias_masculino' => 'Calorias Masculino',
			'calorias_femenino' => 'Calorias Femenino',
			'id_menu_triptico_masculino' => 'Menu Alimento Masculino',
			'id_menu_triptico_femenino' => 'Menu Alimento Femenino',
			'fecha_requerimiento_calorico' => 'Fecha Creacion',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_requerimiento_calorico',$this->id_requerimiento_calorico);

		$criteria->compare('edad_inicial',$this->edad_inicial);

		$criteria->compare('edad_final',$this->edad_final);

		$criteria->compare('calorias_masculino',$this->calorias_masculino);

		$criteria->compare('calorias_femenino',$this->calorias_femenino);

		$criteria->compare('id_menu_triptico_masculino',$this->id_menu_triptico_masculino);

		$criteria->compare('id_menu_triptico_femenino',$this->id_menu_triptico_femenino);

		$criteria->compare('fecha_requerimiento_calorico',$this->fecha_requerimiento_calorico,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		//$criteria->addCondition('t.id_requerimiento_calorico <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}