<?php

/**
 * This is the model class for table "nino_sano.t_seccion".
 *
 * The followings are the available columns in table 'nino_sano.t_seccion':
 * @property integer $id_seccion
 * @property string $descripcion_seccion
 * @property string $fecha_seccion
 * @property integer $id_estatus
 */
class TSeccion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TSeccion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_seccion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_seccion', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_seccion', 'length', 'max'=>100),
			array('descripcion_seccion', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_seccion, descripcion_seccion, fecha_seccion, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_seccion' => 'Id Seccion',
			'descripcion_seccion' => 'Descripción',
			'fecha_seccion' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_seccion',$this->id_seccion);

		$criteria->compare('descripcion_seccion',$this->descripcion_seccion,true);

		$criteria->compare('fecha_seccion',$this->fecha_seccion,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->condition = 't.id_seccion <> 0';

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}