<?php

/**
 * This is the model class for table "nino_sano.t_secciones".
 *
 * The followings are the available columns in table 'nino_sano.t_secciones':
 * @property integer $id_secciones
 * @property string $descripcion_secciones
 * @property string $fecha_secciones
 * @property integer $id_estatus
 */
class TSecciones extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TSecciones the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_secciones';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_secciones, orden_secciones, nombre_secciones', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_secciones', 'length', 'max'=>250),
			array('nombre_secciones', 'length', 'max'=>50),
			//array('nombre_secciones', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_secciones,nombre_secciones, descripcion_secciones, fecha_secciones,orden_secciones, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'preguntas_secciones'=>array(self::MANY_MANY, 'TPreguntas',
            'nino_sano.t_secciones_preguntas(id_secciones,id_pregunta)'),
		);
	}
	
/**
	 * @return array relational rules.
	 */
	public function getPreguntasSecciones($id_secciones)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
      
		$res = TSecciones::model()->with('preguntas_secciones')->findAll('t.id_secciones = '.$id_secciones);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->preguntas_secciones;
			foreach ($arrayObj as $j => $value1){			
				$salida .=  $value1->descripcion_pregunta.",";			
			}
		}
		
		return $respuestas_preguntas = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Preguntas Asignadas";		
	
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_secciones' => 'Id Secciones',
			'nombre_secciones'=>'Nombre Secciones',
			'descripcion_secciones' => 'Descripcion Sección',
			'fecha_secciones' => 'Fecha Creación',
			'orden_secciones'=> 'Orden #',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_secciones',$this->id_secciones);
	
		$criteria->compare('nombre_secciones',$this->nombre_secciones);
		
		$criteria->compare('descripcion_secciones',$this->descripcion_secciones,true);

		$criteria->compare('fecha_secciones',$this->fecha_secciones,true);
		
		$criteria->compare('orden_secciones',$this->orden_secciones,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}