<?php

/**
 * This is the model class for table "nino_sano.t_secciones_preguntas".
 *
 * The followings are the available columns in table 'nino_sano.t_secciones_preguntas':
 * @property integer $id_secciones
 * @property integer $id_pregunta
 */
class TSeccionesPreguntas extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TSeccionesPreguntas the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_secciones_preguntas';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_secciones, id_pregunta', 'required'),
			array('id_secciones, id_pregunta', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_secciones, id_pregunta', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			 'tipo_seccion_pregunta' => array(self::BELONGS_TO, 'TPreguntas', 'id_pregunta'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_secciones' => 'Id Secciones',
			'id_pregunta' => 'Id Pregunta',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_secciones',$this->id_secciones);

		$criteria->compare('id_pregunta',$this->id_pregunta);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}