<?php

/**
 * This is the model class for table "nino_sano.t_tipo_comida".
 *
 * The followings are the available columns in table 'nino_sano.t_tipo_comida':
 * @property integer $id_tipo_comida
 * @property string $descripcion_tipo_comida
 * @property string $fecha_tipo_comida
 * @property integer $id_estatus
 */
class TTipoComida extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoComida the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_tipo_comida';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_tipo_comida', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_comida', 'length', 'max'=>250),
			array('descripcion_tipo_comida', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_comida, descripcion_tipo_comida, fecha_tipo_comida, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_comida' => 'Id Tipo Comida',
			'descripcion_tipo_comida' => 'Descripción',
			'fecha_tipo_comida' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_comida',$this->id_tipo_comida);

		$criteria->compare('descripcion_tipo_comida',$this->descripcion_tipo_comida,true);

		$criteria->compare('fecha_tipo_comida',$this->fecha_tipo_comida,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}