<?php

/**
 * This is the model class for table "nino_sano.t_tipo_encuesta".
 *
 * The followings are the available columns in table 'nino_sano.t_tipo_encuesta':
 * @property integer $id_tipo_encuesta
 * @property string $nombre_tipo_encuesta
 * @property string $descripcion_tipo_encuesta
 * @property string $fecha_tipo_encuesta
 * @property integer $id_estatus
 */
class TTipoEncuesta extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoEncuesta the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_tipo_encuesta';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_tipo_encuesta,descripcion_tipo_encuesta,id_tipo_instrumento', 'required'),
			array('id_estatus,id_tipo_instrumento', 'numerical', 'integerOnly'=>true),
			array('nombre_tipo_encuesta', 'length', 'max'=>100),
			array('nombre_tipo_encuesta', 'unique'),
			array('descripcion_tipo_encuesta', 'length', 'max'=>500),
			array('descripcion_tipo_encuesta', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('nombre_tipo_encuesta, descripcion_tipo_encuesta,id_tipo_instrumento,fecha_tipo_encuesta, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'tipoE_tipo_ins' => array(self::BELONGS_TO, 'TTipoInstrumento', 'id_tipo_instrumento'),
			'secciones_tipo_encuestas'=>array(self::MANY_MANY, 'TSecciones',
            'nino_sano.t_tipo_encuesta_secciones(id_tipo_encuesta,id_secciones)'),
		);
	}
	
/**
	 * @return array relational rules.
	 */
	public function getSeccionesEncuesta($id_tipo_encuesta)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
      
		$res = TTipoEncuesta::model()->with('secciones_tipo_encuestas')->findAll('t.id_tipo_encuesta = '.$id_tipo_encuesta);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->secciones_tipo_encuestas;
			foreach ($arrayObj as $j => $value1){			
				$salida .=  $value1->nombre_secciones.",";			
			}
		}
		
		return $respuestas_preguntas = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Secciones Asignadas";		
	
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_encuesta' => 'Id Tipo Encuesta',
			'nombre_tipo_encuesta' => 'Nombre Encuesta',
			'descripcion_tipo_encuesta' => 'Descripción Encuesta',
			'id_tipo_instrumento'=>'Tipo de Encuesta',
			'id_seccion'=>'Secciones',
			'fecha_tipo_encuesta' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}
	
	public function getTipoEncuesta($id_tipo)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		       
		$tipo = $this->find("t.id_tipo_encuesta= ".$id_tipo);
		$nom_encuesta=$tipo->nombre_tipo_encuesta;	
		return $nom_encuesta;
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_encuesta',$this->id_tipo_encuesta);

		$criteria->compare('nombre_tipo_encuesta',$this->nombre_tipo_encuesta,true);

		$criteria->compare('descripcion_tipo_encuesta',$this->descripcion_tipo_encuesta,true);
		
		$criteria->compare('id_tipo_instrumento',$this->id_tipo_instrumento);

		$criteria->compare('fecha_tipo_encuesta',$this->fecha_tipo_encuesta,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_tipo_encuesta <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}