<?php

/**
 * This is the model class for table "nino_sano.t_tipo_encuesta_secciones".
 *
 * The followings are the available columns in table 'nino_sano.t_tipo_encuesta_secciones':
 * @property integer $id_tipo_encuesta
 * @property integer $id_secciones
 */
class TTipoEncuestaSecciones extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoEncuestaSecciones the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_tipo_encuesta_secciones';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_tipo_encuesta, id_secciones', 'required'),
			array('id_tipo_encuesta, id_secciones', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_encuesta, id_secciones', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			 'tipo_encuesta_seccion' => array(self::BELONGS_TO, 'TSecciones', 'id_secciones'),
		
		
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_encuesta' => 'Id Tipo Encuesta',
			'id_secciones' => 'Id Secciones',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_encuesta',$this->id_tipo_encuesta);

		$criteria->compare('id_secciones',$this->id_secciones);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}