<?php

/**
 * This is the model class for table "nino_sano.t_tipo_instrumento".
 *
 * The followings are the available columns in table 'nino_sano.t_tipo_instrumento':
 * @property integer $id_tipo_instrumento
 * @property string $descripcion_tipo_instrumento
 * @property string $fecha_tipo_instrumento
 * @property integer $id_estatus
 */
class TTipoInstrumento extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoInstrumento the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_tipo_instrumento';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('fecha_tipo_instrumento', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_instrumento', 'length', 'max'=>100),
			array('descripcion_tipo_instrumento', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_instrumento, descripcion_tipo_instrumento, fecha_tipo_instrumento, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_instrumento' => 'Id Tipo Instrumento',
			'descripcion_tipo_instrumento' => 'Descripcion Tipo Instrumento',
			'fecha_tipo_instrumento' => 'Fecha Tipo Instrumento',
			'id_estatus' => 'Id Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_instrumento',$this->id_tipo_instrumento);

		$criteria->compare('descripcion_tipo_instrumento',$this->descripcion_tipo_instrumento,true);

		$criteria->compare('fecha_tipo_instrumento',$this->fecha_tipo_instrumento,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_estatus <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}