<?php

/**
 * This is the model class for table "nino_sano.t_tipo_respuesta".
 *
 * The followings are the available columns in table 'nino_sano.t_tipo_respuesta':
 * @property integer $id_tipo_respuesta
 * @property string $descripcion_tipo_respuesta
 * @property string $fecha_tipo_respuesta
 * @property integer $id_estatus
 * @property string $nombre_modelo
 */
class TTipoRespuesta extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoRespuesta the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_tipo_respuesta';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_tipo_respuesta', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_respuesta', 'length', 'max'=>100),
			array('nombre_modelo', 'length', 'max'=>50),
			array('descripcion_tipo_respuesta', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_respuesta, descripcion_tipo_respuesta, fecha_tipo_respuesta, id_estatus, nombre_modelo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_respuesta' => 'Id Tipo Respuesta',
			'descripcion_tipo_respuesta' => 'Descripcion Tipo Respuesta',
			'fecha_tipo_respuesta' => 'Fecha Creacion',
			'id_estatus' => 'Estatus',
			'nombre_modelo' => 'Nombre Modelo',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_respuesta',$this->id_tipo_respuesta);

		$criteria->compare('descripcion_tipo_respuesta',$this->descripcion_tipo_respuesta,true);

		$criteria->compare('fecha_tipo_respuesta',$this->fecha_tipo_respuesta,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		$criteria->compare('nombre_modelo',$this->nombre_modelo,true);
		
		$criteria->addCondition('t.id_tipo_respuesta <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}