<?php

/**
 * This is the model class for table "nino_sano.t_trompo_alimenticio".
 *
 * The followings are the available columns in table 'nino_sano.t_trompo_alimenticio':
 * @property integer $id_trompo_alimenticio
 * @property string $descripcion_trompo_alimenticio
 * @property string $fecha_trompo_alimenticio
 * @property integer $id_estatus
 */
class TTrompoAlimenticio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTrompoAlimenticio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.t_trompo_alimenticio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_trompo_alimenticio', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_trompo_alimenticio', 'length', 'max'=>500),
			array('descripcion_trompo_alimenticio', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_trompo_alimenticio, descripcion_trompo_alimenticio, fecha_trompo_alimenticio, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_trompo_alimenticio' => 'Id Trompo Alimenticio',
			'descripcion_trompo_alimenticio' => 'Descripción',
			'fecha_trompo_alimenticio' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_trompo_alimenticio',$this->id_trompo_alimenticio);

		$criteria->compare('descripcion_trompo_alimenticio',$this->descripcion_trompo_alimenticio,true);

		$criteria->compare('fecha_trompo_alimenticio',$this->fecha_trompo_alimenticio,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_trompo_alimenticio <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}