<?php

/**
 * This is the model class for table "nino_sano.v_alimentos_recomendados".
 *
 * The followings are the available columns in table 'nino_sano.v_alimentos_recomendados':
 * @property integer $id_resumen_encuesta
 * @property integer $id_secciones
 * @property integer $id_pregunta
 * @property integer $id_respuesta
 * @property string $descripcion_respuesta
 * @property string $organismo
 * @property string $id_microarea
 * @property string $id_localidad
 * @property string $id_parroquia
 * @property string $id_municipio
 * @property string $id_estado
 * @property string $descripcion_microarea
 * @property string $descripcion_localidad
 * @property string $descripcion_parroquia
 * @property string $descripcion_municipio
 * @property string $descripcion_estado
 * @property integer $id_organismo
 */
class VAlimentosRecomendados extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VAlimentosRecomendados the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_alimentos_recomendados';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_resumen_encuesta, id_secciones, id_pregunta, id_respuesta, id_organismo', 'numerical', 'integerOnly'=>true),
			array('descripcion_respuesta', 'length', 'max'=>255),
			array('id_microarea', 'length', 'max'=>14),
			array('id_localidad', 'length', 'max'=>10),
			array('id_parroquia', 'length', 'max'=>6),
			array('id_municipio, id_estado', 'length', 'max'=>4),
			array('descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado', 'length', 'max'=>50),
			array('organismo', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_resumen_encuesta, id_secciones, id_pregunta, id_respuesta, descripcion_respuesta, organismo, id_microarea, id_localidad, id_parroquia, id_municipio, id_estado, descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado, id_organismo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_resumen_encuesta' => 'Id Resumen Encuesta',
			'id_secciones' => 'Id Secciones',
			'id_pregunta' => 'Id Pregunta',
			'id_respuesta' => 'Id Respuesta',
			'descripcion_respuesta' => 'Descripcion Respuesta',
			'organismo' => 'Organismo',
			'id_microarea' => 'Id Microarea',
			'id_localidad' => 'Id Localidad',
			'id_parroquia' => 'Id Parroquia',
			'id_municipio' => 'Id Municipio',
			'id_estado' => 'Id Estado',
			'descripcion_microarea' => 'Descripcion Microarea',
			'descripcion_localidad' => 'Descripcion Localidad',
			'descripcion_parroquia' => 'Descripcion Parroquia',
			'descripcion_municipio' => 'Descripcion Municipio',
			'descripcion_estado' => 'Descripcion Estado',
			'id_organismo' => 'Id Organismo',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_resumen_encuesta',$this->id_resumen_encuesta);

		$criteria->compare('id_secciones',$this->id_secciones);

		$criteria->compare('id_pregunta',$this->id_pregunta);

		$criteria->compare('id_respuesta',$this->id_respuesta);

		$criteria->compare('descripcion_respuesta',$this->descripcion_respuesta,true);

		$criteria->compare('organismo',$this->organismo,true);

		$criteria->compare('id_microarea',$this->id_microarea,true);

		$criteria->compare('id_localidad',$this->id_localidad,true);

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		$criteria->compare('id_municipio',$this->id_municipio,true);

		$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('descripcion_microarea',$this->descripcion_microarea,true);

		$criteria->compare('descripcion_localidad',$this->descripcion_localidad,true);

		$criteria->compare('descripcion_parroquia',$this->descripcion_parroquia,true);

		$criteria->compare('descripcion_municipio',$this->descripcion_municipio,true);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);

		$criteria->compare('id_organismo',$this->id_organismo);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}