<?php

/**
 * This is the model class for table "nino_sano.v_diagnostico_nutricional".
 *
 * The followings are the available columns in table 'nino_sano.v_diagnostico_nutricional':
 * @property integer $count
 * @property integer $id_datos_sujeto
 * @property integer $id_genero
 * @property integer $id_encuesta
 * @property integer $edad_consulta
 * @property integer $id_organismo
 * @property string $organismo
 * @property string $id_estado
 * @property string $id_municipio
 * @property string $id_parroquia
 * @property string $id_localidad
 * @property string $id_microarea
 * @property string $descripcion_estado
 * @property string $descripcion_municipio
 * @property string $descripcion_parroquia
 * @property string $descripcion_localidad
 * @property string $descripcion_microarea
 */
class VDiagnosticoNutricional extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VDiagnosticoNutricional the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	public $id_diagnostico_presuntivo;

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_diagnostico_nutricional';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('count, id_datos_sujeto, id_genero, id_encuesta, edad_consulta, id_organismo', 'numerical', 'integerOnly'=>true),
			array('id_estado, id_municipio', 'length', 'max'=>4),
			array('id_parroquia', 'length', 'max'=>6),
			array('id_localidad', 'length', 'max'=>10),
			array('id_microarea', 'length', 'max'=>14),
			array('descripcion_estado, descripcion_municipio, descripcion_parroquia, descripcion_localidad, descripcion_microarea', 'length', 'max'=>50),
			array('organismo', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('count, id_datos_sujeto, id_genero, id_encuesta, edad_consulta, id_organismo, organismo, id_estado, id_municipio, id_parroquia, id_localidad, id_microarea, descripcion_estado, descripcion_municipio, descripcion_parroquia, descripcion_localidad, descripcion_microarea', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'count' => 'Count',
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'id_genero' => 'Id Genero',
			'id_encuesta' => 'Id Encuesta',
			'edad_consulta' => 'Edad Consulta',
			'id_organismo' => 'Id Organismo',
			'organismo' => 'Organismo',
			'id_estado' => 'Id Estado',
			'id_municipio' => 'Id Municipio',
			'id_parroquia' => 'Id Parroquia',
			'id_localidad' => 'Id Localidad',
			'id_microarea' => 'Id Microarea',
			'descripcion_estado' => 'Descripcion Estado',
			'descripcion_municipio' => 'Descripcion Municipio',
			'descripcion_parroquia' => 'Descripcion Parroquia',
			'descripcion_localidad' => 'Descripcion Localidad',
			'descripcion_microarea' => 'Descripcion Microarea',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('count',$this->count);

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('id_genero',$this->id_genero);

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('edad_consulta',$this->edad_consulta);

		$criteria->compare('id_organismo',$this->id_organismo);

		$criteria->compare('organismo',$this->organismo,true);

		$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('id_municipio',$this->id_municipio,true);

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		$criteria->compare('id_localidad',$this->id_localidad,true);

		$criteria->compare('id_microarea',$this->id_microarea,true);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);

		$criteria->compare('descripcion_municipio',$this->descripcion_municipio,true);

		$criteria->compare('descripcion_parroquia',$this->descripcion_parroquia,true);

		$criteria->compare('descripcion_localidad',$this->descripcion_localidad,true);

		$criteria->compare('descripcion_microarea',$this->descripcion_microarea,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}