<?php

/**
 * This is the model class for table "nino_sano.v_encuesta_1".
 *
 * The followings are the available columns in table 'nino_sano.v_encuesta_1':
 * @property integer $id_cabecera_nino
 * @property integer $id_cabecera_relacion
 * @property integer $id_ninos_adolescentes
 * @property integer $id_datos_sujeto
 * @property integer $id_cabecera
 * @property integer $id_encuesta
 * @property integer $encuesta_padre
 * @property integer $id_secciones
 * @property integer $id_pregunta
 * @property integer $id_respuesta
 * @property string $descripcion_respuesta_resumen
 * @property string $descripcion_secciones
 * @property string $descripcion_pregunta
 * @property string $descripcion_respuesta
 * @property integer $orden_pregunta
 * @property integer $orden_secciones
 * @property string $organismo
 * @property string $id_microarea
 * @property string $id_localidad
 * @property string $id_parroquia
 * @property string $id_municipio
 * @property string $id_estado
 * @property string $descripcion_microarea
 * @property string $descripcion_localidad
 * @property string $descripcion_parroquia
 * @property string $descripcion_municipio
 * @property string $descripcion_estado
 * @property integer $id_organismo
 */
class VEncuesta1 extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VEncuesta1 the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_encuesta_1';
	}
	
	public $total;
	public $id_genero;

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_cabecera_nino, id_cabecera_relacion, id_ninos_adolescentes, id_datos_sujeto, id_cabecera, id_encuesta, encuesta_padre, id_secciones, id_pregunta, id_respuesta, orden_pregunta, orden_secciones, id_organismo', 'numerical', 'integerOnly'=>true),
			array('descripcion_respuesta_resumen', 'length', 'max'=>255),
			array('descripcion_secciones', 'length', 'max'=>250),
			array('descripcion_pregunta, descripcion_respuesta', 'length', 'max'=>500),
			array('id_microarea', 'length', 'max'=>14),
			array('id_localidad', 'length', 'max'=>10),
			array('id_parroquia', 'length', 'max'=>6),
			array('id_municipio, id_estado', 'length', 'max'=>4),
			array('descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado', 'length', 'max'=>50),
			array('organismo', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_cabecera_nino, id_cabecera_relacion, id_ninos_adolescentes, id_datos_sujeto, id_cabecera, id_encuesta, encuesta_padre, id_secciones, id_pregunta, id_respuesta, descripcion_respuesta_resumen, descripcion_secciones, descripcion_pregunta, descripcion_respuesta, orden_pregunta, orden_secciones, organismo, id_microarea, id_localidad, id_parroquia, id_municipio, id_estado, descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado, id_organismo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_cabecera_nino' => 'Id Cabecera Nino',
			'id_cabecera_relacion' => 'Id Cabecera Relacion',
			'id_ninos_adolescentes' => 'Id Ninos Adolescentes',
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'id_cabecera' => 'Id Cabecera',
			'id_encuesta' => 'Id Encuesta',
			'encuesta_padre' => 'Encuesta Padre',
			'id_secciones' => 'Id Secciones',
			'id_pregunta' => 'Id Pregunta',
			'id_respuesta' => 'Id Respuesta',
			'descripcion_respuesta_resumen' => 'Descripcion Respuesta Resumen',
			'descripcion_secciones' => 'Descripcion Secciones',
			'descripcion_pregunta' => 'Descripcion Pregunta',
			'descripcion_respuesta' => 'Descripcion Respuesta',
			'orden_pregunta' => 'Orden Pregunta',
			'orden_secciones' => 'Orden Secciones',
			'organismo' => 'Organismo',
			'id_microarea' => 'Id Microarea',
			'id_localidad' => 'Id Localidad',
			'id_parroquia' => 'Id Parroquia',
			'id_municipio' => 'Id Municipio',
			'id_estado' => 'Id Estado',
			'descripcion_microarea' => 'Descripcion Microarea',
			'descripcion_localidad' => 'Descripcion Localidad',
			'descripcion_parroquia' => 'Descripcion Parroquia',
			'descripcion_municipio' => 'Descripcion Municipio',
			'descripcion_estado' => 'Descripcion Estado',
			'id_organismo' => 'Id Organismo',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_cabecera_nino',$this->id_cabecera_nino);

		$criteria->compare('id_cabecera_relacion',$this->id_cabecera_relacion);

		$criteria->compare('id_ninos_adolescentes',$this->id_ninos_adolescentes);

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('id_cabecera',$this->id_cabecera);

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('encuesta_padre',$this->encuesta_padre);

		$criteria->compare('id_secciones',$this->id_secciones);

		$criteria->compare('id_pregunta',$this->id_pregunta);

		$criteria->compare('id_respuesta',$this->id_respuesta);

		$criteria->compare('descripcion_respuesta_resumen',$this->descripcion_respuesta_resumen,true);

		$criteria->compare('descripcion_secciones',$this->descripcion_secciones,true);

		$criteria->compare('descripcion_pregunta',$this->descripcion_pregunta,true);

		$criteria->compare('descripcion_respuesta',$this->descripcion_respuesta,true);

		$criteria->compare('orden_pregunta',$this->orden_pregunta);

		$criteria->compare('orden_secciones',$this->orden_secciones);

		$criteria->compare('organismo',$this->organismo,true);

		$criteria->compare('id_microarea',$this->id_microarea,true);

		$criteria->compare('id_localidad',$this->id_localidad,true);

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		$criteria->compare('id_municipio',$this->id_municipio,true);

		$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('descripcion_microarea',$this->descripcion_microarea,true);

		$criteria->compare('descripcion_localidad',$this->descripcion_localidad,true);

		$criteria->compare('descripcion_parroquia',$this->descripcion_parroquia,true);

		$criteria->compare('descripcion_municipio',$this->descripcion_municipio,true);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);

		$criteria->compare('id_organismo',$this->id_organismo);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}