<?php

/**
 * This is the model class for table "nino_sano.v_encuestas".
 *
 * The followings are the available columns in table 'nino_sano.v_encuestas':
 * @property string $cedula_persona
 * @property integer $id_representante
 * @property string $cedula_representante
 * @property string $nombre_representante
 * @property string $fecha_nac_representante
 * @property string $descripcion_tipo_parentesco
 * @property integer $id_cabecera_nino
 * @property integer $id_docente
 * @property string $nombre_docente
 * @property integer $id_grado
 * @property string $descripcion_grado
 * @property integer $id_seccion
 * @property string $descripcion_seccion
 * @property integer $id_cabecera_relacion
 * @property integer $id_cabecera
 * @property string $estado_cabecera
 * @property integer $id_usuario
 * @property string $usuario
 * @property string $nombre_usuario
 * @property integer $id_encuesta
 * @property integer $encuesta_padre
 * @property integer $id_secciones
 * @property integer $id_pregunta
 * @property integer $id_respuesta
 * @property string $descripcion_respuesta_resumen
 * @property string $fecha_resumen_encuesta
 * @property string $descripcion_secciones
 * @property string $descripcion_pregunta
 * @property string $descripcion_respuesta
 * @property integer $orden_pregunta
 * @property integer $orden_secciones
 * @property integer $id_datos_sujeto
 */
class VEncuestas extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VEncuestas the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_encuestas';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_representante, id_cabecera_nino, id_docente, id_grado, id_seccion, id_cabecera_relacion, id_cabecera, id_usuario, id_encuesta, encuesta_padre, id_secciones, id_pregunta, id_respuesta, orden_pregunta, orden_secciones, id_datos_sujeto', 'numerical', 'integerOnly'=>true),
			array('cedula_persona', 'length', 'max'=>20),
			array('descripcion_tipo_parentesco', 'length', 'max'=>10),
			array('descripcion_grado, descripcion_seccion', 'length', 'max'=>100),
			array('estado_cabecera', 'length', 'max'=>2),
			array('usuario', 'length', 'max'=>40),
			array('descripcion_respuesta_resumen', 'length', 'max'=>255),
			array('descripcion_secciones', 'length', 'max'=>250),
			array('descripcion_pregunta, descripcion_respuesta', 'length', 'max'=>500),
			array('cedula_representante, nombre_representante, fecha_nac_representante, nombre_docente, nombre_usuario, fecha_resumen_encuesta', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('cedula_persona, id_representante, cedula_representante, nombre_representante, fecha_nac_representante, descripcion_tipo_parentesco, id_cabecera_nino, id_docente, nombre_docente, id_grado, descripcion_grado, id_seccion, descripcion_seccion, id_cabecera_relacion, id_cabecera, estado_cabecera, id_usuario, usuario, nombre_usuario, id_encuesta, encuesta_padre, id_secciones, id_pregunta, id_respuesta, descripcion_respuesta_resumen, fecha_resumen_encuesta, descripcion_secciones, descripcion_pregunta, descripcion_respuesta, orden_pregunta, orden_secciones, id_datos_sujeto', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'cedula_persona' => 'Cedula Persona',
			'id_representante' => 'Id Representante',
			'cedula_representante' => 'Cedula Representante',
			'nombre_representante' => 'Nombre Representante',
			'fecha_nac_representante' => 'Fecha Nac Representante',
			'descripcion_tipo_parentesco' => 'Descripcion Tipo Parentesco',
			'id_cabecera_nino' => 'Id Cabecera Nino',
			'id_docente' => 'Id Docente',
			'nombre_docente' => 'Nombre Docente',
			'id_grado' => 'Id Grado',
			'descripcion_grado' => 'Descripcion Grado',
			'id_seccion' => 'Id Seccion',
			'descripcion_seccion' => 'Descripcion Seccion',
			'id_cabecera_relacion' => 'Id Cabecera Relacion',
			'id_cabecera' => 'Id Cabecera',
			'estado_cabecera' => 'Estado Cabecera',
			'id_usuario' => 'Id Usuario',
			'usuario' => 'Usuario',
			'nombre_usuario' => 'Nombre Usuario',
			'id_encuesta' => 'Id Encuesta',
			'encuesta_padre' => 'Encuesta Padre',
			'id_secciones' => 'Id Secciones',
			'id_pregunta' => 'Id Pregunta',
			'id_respuesta' => 'Id Respuesta',
			'descripcion_respuesta_resumen' => 'Descripcion Respuesta Resumen',
			'fecha_resumen_encuesta' => 'Fecha Resumen Encuesta',
			'descripcion_secciones' => 'Descripcion Secciones',
			'descripcion_pregunta' => 'Descripcion Pregunta',
			'descripcion_respuesta' => 'Descripcion Respuesta',
			'orden_pregunta' => 'Orden Pregunta',
			'orden_secciones' => 'Orden Secciones',
			'id_datos_sujeto' => 'Id Datos Sujeto',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('cedula_persona',$this->cedula_persona,true);

		$criteria->compare('id_representante',$this->id_representante);

		$criteria->compare('cedula_representante',$this->cedula_representante,true);

		$criteria->compare('nombre_representante',$this->nombre_representante,true);

		$criteria->compare('fecha_nac_representante',$this->fecha_nac_representante,true);

		$criteria->compare('descripcion_tipo_parentesco',$this->descripcion_tipo_parentesco,true);

		$criteria->compare('id_cabecera_nino',$this->id_cabecera_nino);

		$criteria->compare('id_docente',$this->id_docente);

		$criteria->compare('nombre_docente',$this->nombre_docente,true);

		$criteria->compare('id_grado',$this->id_grado);

		$criteria->compare('descripcion_grado',$this->descripcion_grado,true);

		$criteria->compare('id_seccion',$this->id_seccion);

		$criteria->compare('descripcion_seccion',$this->descripcion_seccion,true);

		$criteria->compare('id_cabecera_relacion',$this->id_cabecera_relacion);

		$criteria->compare('id_cabecera',$this->id_cabecera);

		$criteria->compare('estado_cabecera',$this->estado_cabecera,true);

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('usuario',$this->usuario,true);

		$criteria->compare('nombre_usuario',$this->nombre_usuario,true);

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('encuesta_padre',$this->encuesta_padre);

		$criteria->compare('id_secciones',$this->id_secciones);

		$criteria->compare('id_pregunta',$this->id_pregunta);

		$criteria->compare('id_respuesta',$this->id_respuesta);

		$criteria->compare('descripcion_respuesta_resumen',$this->descripcion_respuesta_resumen,true);

		$criteria->compare('fecha_resumen_encuesta',$this->fecha_resumen_encuesta,true);

		$criteria->compare('descripcion_secciones',$this->descripcion_secciones,true);

		$criteria->compare('descripcion_pregunta',$this->descripcion_pregunta,true);

		$criteria->compare('descripcion_respuesta',$this->descripcion_respuesta,true);

		$criteria->compare('orden_pregunta',$this->orden_pregunta);

		$criteria->compare('orden_secciones',$this->orden_secciones);

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}