<?php

/**
 * This is the model class for table "nino_sano.v_reporte_transcripciones".
 *
 * The followings are the available columns in table 'nino_sano.v_reporte_transcripciones':
 * @property integer $id_cabecera
 * @property integer $id_encuesta
 * @property string $nombre_encuesta
 * @property integer $estatus_encuesta
 * @property string $fecha_encuesta
 * @property string $fecha_inicio
 * @property string $fecha_fin
 * @property integer $encuesta_padre
 * @property integer $id_tipo_encuesta
 * @property string $nombre_tipo_encuesta
 * @property integer $estatus_tipo_encuesta
 * @property integer $id_organismo
 * @property string $organismo
 * @property string $direccion_organismo
 * @property string $codigo_organismo
 * @property integer $estatus_organismo
 * @property integer $id_tipo_organismo
 * @property string $descripcion_tipo_organismo
 * @property integer $id_red
 * @property string $tipo_red
 * @property string $telefono_organismo
 * @property integer $id_tipo_comunidad
 * @property string $descripcion_tipo_comunidad
 * @property string $id_estado
 * @property string $descripcion_estado
 * @property string $fecha_consulta
 * @property integer $estatus_cabecera
 * @property integer $id_usuario
 * @property string $usuario
 * @property string $fecha_transcripcion
 */
class VReporteTranscripciones extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VReporteTranscripciones the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	public $total;
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_reporte_transcripciones';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_cabecera, id_encuesta, estatus_encuesta, encuesta_padre, id_tipo_encuesta, estatus_tipo_encuesta, id_organismo, estatus_organismo, id_tipo_organismo, id_red, id_tipo_comunidad, estatus_cabecera, id_usuario', 'numerical', 'integerOnly'=>true),
			array('nombre_encuesta, nombre_tipo_encuesta', 'length', 'max'=>100),
			array('telefono_organismo', 'length', 'max'=>12),
			array('descripcion_tipo_comunidad, descripcion_estado', 'length', 'max'=>50),
			array('id_estado', 'length', 'max'=>2),
			array('usuario', 'length', 'max'=>40),
			array('fecha_encuesta, fecha_inicio, fecha_fin, organismo, direccion_organismo, codigo_organismo, descripcion_tipo_organismo, tipo_red, fecha_consulta, fecha_transcripcion', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_cabecera, id_encuesta, nombre_encuesta, estatus_encuesta, fecha_encuesta, fecha_inicio, fecha_fin, encuesta_padre, id_tipo_encuesta, nombre_tipo_encuesta, estatus_tipo_encuesta, id_organismo, organismo, direccion_organismo, codigo_organismo, estatus_organismo, id_tipo_organismo, descripcion_tipo_organismo, id_red, tipo_red, telefono_organismo, id_tipo_comunidad, descripcion_tipo_comunidad, id_estado, descripcion_estado, fecha_consulta, estatus_cabecera, id_usuario, usuario, fecha_transcripcion', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			
		);
	}
	
	public function getPeriodos()
	{
		
		//return 'aaaaDesde '.date('d/m/Y',strtotime($this->fecha_inicio)).' Hasta ('.$this->fecha_inicio.') '.date('d/m/Y',strtotime($this->fecha_fin));
		//list($d,$m,$y) = explode($this->fecha_inicio,'/');
		//$fecha = $y.'-'.$m.'-'.$d;
		return 'Desde '.$this->fecha_inicio.' Hasta '.$this->fecha_fin;
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_cabecera' => 'Id Cabecera',
			'id_encuesta' => 'Id Encuesta',
			'nombre_encuesta' => 'Nombre Encuesta',
			'estatus_encuesta' => 'Estatus Encuesta',
			'fecha_encuesta' => 'Fecha Encuesta',
			'fecha_inicio' => 'Fecha Inicio',
			'fecha_fin' => 'Fecha Fin',
			'encuesta_padre' => 'Encuesta Padre',
			'id_tipo_encuesta' => 'Id Tipo Encuesta',
			'nombre_tipo_encuesta' => 'Tipo de Instrumento',
			'estatus_tipo_encuesta' => 'Estatus Tipo Encuesta',
			'id_organismo' => 'Id Organismo',
			'organismo' => 'Organismo',
			'direccion_organismo' => 'Direccion Organismo',
			'codigo_organismo' => 'Codigo Organismo',
			'estatus_organismo' => 'Estatus Organismo',
			'id_tipo_organismo' => 'Id Tipo Organismo',
			'descripcion_tipo_organismo' => 'Descripcion Tipo Organismo',
			'id_red' => 'Id Red',
			'tipo_red' => 'Tipo Red',
			'telefono_organismo' => 'Telefono Organismo',
			'id_tipo_comunidad' => 'Id Tipo Comunidad',
			'descripcion_tipo_comunidad' => 'Descripcion Tipo Comunidad',
			'id_estado' => 'Id Estado',
			'descripcion_estado' => 'Estado',
			'fecha_consulta' => 'Fecha Consulta',
			'estatus_cabecera' => 'Estatus Cabecera',
			'id_usuario' => 'Id Usuario',
			'usuario' => 'Usuario',
			'fecha_transcripcion' => 'Fecha Transcripcion',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_cabecera',$this->id_cabecera);

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('nombre_encuesta',$this->nombre_encuesta,true);

		$criteria->compare('estatus_encuesta',$this->estatus_encuesta);

		$criteria->compare('fecha_encuesta',$this->fecha_encuesta,true);

		$criteria->compare('fecha_inicio',$this->fecha_inicio,true);

		$criteria->compare('fecha_fin',$this->fecha_fin,true);

		$criteria->compare('encuesta_padre',$this->encuesta_padre);

		$criteria->compare('id_tipo_encuesta',$this->id_tipo_encuesta);

		$criteria->compare('nombre_tipo_encuesta',$this->nombre_tipo_encuesta,true);

		$criteria->compare('estatus_tipo_encuesta',$this->estatus_tipo_encuesta);

		$criteria->compare('id_organismo',$this->id_organismo);

		$criteria->compare('organismo',$this->organismo,true);

		$criteria->compare('direccion_organismo',$this->direccion_organismo,true);

		$criteria->compare('codigo_organismo',$this->codigo_organismo,true);

		$criteria->compare('estatus_organismo',$this->estatus_organismo);

		$criteria->compare('id_tipo_organismo',$this->id_tipo_organismo);

		$criteria->compare('descripcion_tipo_organismo',$this->descripcion_tipo_organismo,true);

		$criteria->compare('id_red',$this->id_red);

		$criteria->compare('tipo_red',$this->tipo_red,true);

		$criteria->compare('telefono_organismo',$this->telefono_organismo,true);

		$criteria->compare('id_tipo_comunidad',$this->id_tipo_comunidad);

		$criteria->compare('descripcion_tipo_comunidad',$this->descripcion_tipo_comunidad,true);

		$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);

		$criteria->compare('fecha_consulta',$this->fecha_consulta,true);

		$criteria->compare('estatus_cabecera',$this->estatus_cabecera);

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('usuario',$this->usuario,true);

		$criteria->compare('fecha_transcripcion',$this->fecha_transcripcion,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}