<?php

/**
 * This is the model class for table "nino_sano.v_reportes".
 *
 * The followings are the available columns in table 'nino_sano.v_reportes':
 * @property integer $id_ninos_adolescentes
 * @property integer $id_representante
 * @property string $fecha_ninos_adolescentes
 * @property integer $id_persona
 * @property string $cedula_persona
 * @property string $nombre_persona
 * @property string $apellido_persona
 * @property string $fecha_persona
 * @property integer $estatus_persona
 * @property integer $id_tipo_identificacion
 * @property string $descripcion_tipo_identificacion
 * @property string $siglas_tipo
 * @property integer $tipo_identificacion_estatus
 * @property integer $id_genero
 * @property string $descripcion_genero
 * @property integer $genero_estatus
 * @property integer $id_cabecera_nino
 * @property integer $id_docente
 * @property integer $id_grado
 * @property integer $id_seccion
 * @property integer $id_datos_sujeto
 * @property integer $id_requerimiento_calorico
 * @property integer $id_cabecera_relacion
 * @property integer $cabecera_nino_estatus
 * @property integer $id_organismo
 * @property integer $id_cabecera
 * @property string $estado_cabecera
 * @property integer $cabecera_estatus
 * @property integer $id_usuario
 * @property integer $id_encuesta
 * @property string $nombre_encuesta
 * @property string $descripcion_encuesta
 * @property integer $id_tipo_encuesta
 * @property string $fecha_encuesta
 * @property integer $encuesta_estatus
 * @property string $fecha_inicio
 * @property string $fecha_fin
 * @property integer $encuesta_padre
 * @property integer $id_secciones
 * @property integer $id_pregunta
 * @property integer $id_respuesta
 * @property string $descripcion_respuesta_resumen
 * @property string $fecha_resumen_encuesta
 * @property string $descripcion_secciones
 * @property string $descripcion_pregunta
 * @property integer $pregunta_estatus
 * @property string $descripcion_respuesta
 * @property integer $id_tipo_respuesta
 * @property string $descripcion_tipo_respuesta
 * @property string $nombre_modelo
 * @property string $fecha_tipo_respuesta
 * @property integer $tipo_respuesta_estatus
 * @property integer $id_alimentos
 * @property string $descripcion_alimentos
 * @property integer $recomendado
 * @property string $fecha_alimentos
 * @property integer $alimentos_estatus
 * @property string $organismo
 * @property string $id_microarea
 * @property string $id_localidad
 * @property string $id_parroquia
 * @property string $id_municipio
 * @property string $id_estado
 */
class VReportes extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VReportes the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	public $total;
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_reportes';
	}

	public $id_reporte;
	public $id_rango = 10;
	public $descripcion_patologias;
	public $por_dca;
	public $nro_flia;
	public $promedio_ingreso_alimento;
	public $promedio_ingreso;
	public $otros_servicios;
	public $interpretacion;


	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
		array('id_ninos_adolescentes, id_representante, id_persona, estatus_persona, id_tipo_identificacion, tipo_identificacion_estatus, id_genero, genero_estatus, id_cabecera_nino, id_docente, id_grado, id_seccion, id_datos_sujeto, id_requerimiento_calorico, id_cabecera_relacion, cabecera_nino_estatus, id_organismo, id_cabecera, cabecera_estatus, id_usuario, id_encuesta, id_tipo_encuesta, encuesta_estatus, encuesta_padre, id_secciones, id_pregunta, id_respuesta, pregunta_estatus, id_tipo_respuesta, tipo_respuesta_estatus', 'numerical', 'integerOnly'=>true),
		array('cedula_persona', 'length', 'max'=>20),
		array('nombre_persona, apellido_persona', 'length', 'max'=>40),
		array('siglas_tipo', 'length', 'max'=>5),
		array('descripcion_genero', 'length', 'max'=>30),
		array('estado_cabecera', 'length', 'max'=>2),
		array('nombre_encuesta, descripcion_tipo_respuesta', 'length', 'max'=>100),
		array('descripcion_encuesta, descripcion_secciones', 'length', 'max'=>250),
		array('descripcion_respuesta_resumen', 'length', 'max'=>255),
		array('descripcion_pregunta, descripcion_respuesta', 'length', 'max'=>500),
		array('nombre_modelo, descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado', 'length', 'max'=>50),
		array('id_microarea', 'length', 'max'=>14),
		array('id_localidad', 'length', 'max'=>10),
		array('id_parroquia', 'length', 'max'=>6),
		array('id_municipio, id_estado', 'length', 'max'=>4),
		array('fecha_ninos_adolescentes, fecha_persona, descripcion_tipo_identificacion, fecha_encuesta, fecha_inicio, fecha_fin, fecha_resumen_encuesta, fecha_tipo_respuesta, organismo', 'safe'),
		// The following rule is used by search().
		// Please remove those attributes that should not be searched.
		array('id_ninos_adolescentes, id_representante, fecha_ninos_adolescentes, id_persona, cedula_persona, nombre_persona, apellido_persona, fecha_persona, estatus_persona, id_tipo_identificacion, descripcion_tipo_identificacion, siglas_tipo, tipo_identificacion_estatus, id_genero, descripcion_genero, genero_estatus, id_cabecera_nino, id_docente, id_grado, id_seccion, id_datos_sujeto, id_requerimiento_calorico, id_cabecera_relacion, cabecera_nino_estatus, id_organismo, id_cabecera, estado_cabecera, cabecera_estatus, id_usuario, id_encuesta, nombre_encuesta, descripcion_encuesta, id_tipo_encuesta, fecha_encuesta, encuesta_estatus, fecha_inicio, fecha_fin, encuesta_padre, id_secciones, id_pregunta, id_respuesta, descripcion_respuesta_resumen, fecha_resumen_encuesta, descripcion_secciones, descripcion_pregunta, pregunta_estatus, descripcion_respuesta, id_tipo_respuesta, descripcion_tipo_respuesta, nombre_modelo, fecha_tipo_respuesta, tipo_respuesta_estatus, organismo, id_microarea, id_localidad, id_parroquia, id_municipio, id_estado, descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	public function rAlimentosRecN($condicion){ //REPORTE DE ALIMENTOS RECOMENDADOS Y NO RECOMENDADOS
		$salida = "";
      //var_dump($condicion->id_municipio);
		$alimentos_r = TAlimentos::model()->getAlimentos(1);
		$alimentos_nr = TAlimentos::model()->getAlimentos(0);
		$resultado = VAlimentosRecomendados::model() ->findAll($condicion);
       
		if (count($resultado)>0){
          
			foreach ($resultado as $i => $value){
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
					
				}else {
					
					$estado = $resultado[$i-1]->id_estado;
					
				}

				if ($value->id_estado != $estado || $i==0){

					$salida .="
							<h2>Cuadro N&#186; 1. Alimentos que tienen en existencia las Cantinas Escolares.<br>
							".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
							</h2>						
					";					

					$criteria = new CDbCriteria;
					$criteria->select = 'id_alimentos,id_respuesta, recomendado, descripcion_respuesta, id_pregunta, id_organismo, id_estado, id_municipio, id_parroquia, id_microrea, id_localidad, id_encuesta, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea ';
					$criteria->join = 'INNER JOIN nino_sano.t_alimentos a ON a.id_alimentos = (t.descripcion_respuesta)::integer';
					$criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' recomendado = 1 AND id_pregunta = 70 and id_respuesta <> 89 AND id_estado = \''.$value->id_estado.'\'';
           
					$criteria2 = new CDbCriteria;
					$criteria2->select = 'id_alimentos, id_respuesta, recomendado, descripcion_respuesta, id_pregunta, id_organismo, id_estado, id_municipio, id_parroquia, id_microrea, id_localidad, id_encuesta, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea  ';
					$criteria2->join = 'INNER JOIN nino_sano.t_alimentos a ON a.id_alimentos = (t.descripcion_respuesta)::integer';
					$criteria2->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' recomendado = 0 AND id_pregunta = 70 and id_respuesta <> 89 AND id_estado = \''.$value->id_estado.'\'';

					$count_r = VAlimentosRecomendados::model()->count($criteria);
					$count_nr = VAlimentosRecomendados::model()->count($criteria2);
					//var_dump($count_r);
                   
					if ($count_r == 0 && $count_nr == 0){
						$salida .= "
								<table class=\"tabla_reportes\">
									<tr>
										<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>
									</tr>
								</table>
								";			
					}else {

						$por_r = round(($count_r * 100) / ($count_r + $count_nr));
						$por_nr = round(($count_nr * 100) / ($count_r + $count_nr));

						$salida .=  "
						<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\"></td>
								<td class=\"enc_reportes\">ALIMENTOS</td>
								<td class=\"enc_reportes\">N&deg;</td>
								<td class=\"enc_reportes\">&#37;</td>
							</tr>
							<tr>
								<td class=\"enc_reportes_left\">Alimentos Recomendados</td>
								<td class=\"lista_reportes\">$alimentos_r</td>
								<td class=\"lista_reportes\"><strong>$count_r</strong></td>
								<td class=\"lista_reportes\"><strong>$por_r</strong></td>
							</tr>
							<tr>
								<td class=\"enc_reportes_left\">Alimentos NO Recomendados</td>
								<td class=\"lista_reportes\">$alimentos_nr</td>
								<td class=\"lista_reportes\"><strong>$count_nr</strong></td>
								<td class=\"lista_reportes\"><strong>$por_nr</strong></td>
							</tr>
						</table>";
					}
				}
			}
		}else{
			$salida ="
				<table class=\"tabla_reportes\">
					<tr>
						<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
					</tr>
				</table>";			 
		}

		return $salida;
	}

	public function rAlimentosMayorVenta($condicion,$rango) { //REPORTES DE ALIMENTOS DE MAYOR VENTA
		$salida = "";
			
		$criteria = new CDbCriteria;
		$criteria->select = 'count(id_respuesta) AS total, descripcion_respuesta, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea';
		$criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' id_pregunta  = 71 and descripcion_respuesta <> \'No Aplica\'';
		$criteria->group = 'descripcion_respuesta,id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea';
		$criteria->order = 'count(id_respuesta) DESC LIMIT '.$rango;

		$resultado = VAlimentosRecomendados::model()->findAll($criteria);

		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;

		if (count($resultado)>0){
             
			foreach ($resultado as $i => $value) {
				if ($i == 0){
					
				   
					$estado = $resultado[$i]->id_estado;
					$salida .="
							<h2>Cuadro N&#186; 2. Distribuci&oacute;n de los 10 Alimentos de Mayor Ventas en la Cantina Escolar.<br>
							".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
							</h2>
							<table class=\"tabla_reportes\">
					<tr>		
						<td class=\"enc_reportes\">ALIMENTOS DE MAYOR VENTA</td>
					</tr>";
					
														 
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if ($value->id_estado != $estado){

					$salida .="
							<h2>Cuadro N&#186; 2. Distribuci&oacute;n de los 10 Alimentos de Mayor Ventas en la Cantina Escolar.<br>
							".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
							</h2>
							<table class=\"tabla_reportes\">
					<tr>		
						<td class=\"enc_reportes\">ALIMENTOS  DE MAYOR VENTA</td>
					</tr>
							
						";
									
				}
				$salida .= "
							<tr>
								<td class=\"lista_reportes\"><center><strong>".$value->descripcion_respuesta."</strong></center></td>
							</tr>";
					

			}
			$salida .= "</table>";
		}else{
			$salida ="
				<table class=\"tabla_reportes\">
					<tr>
						<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
					</tr>
				</table>";			 
		}
		return $salida;
	}

	public function rTiempoActFisicaEscuela($condicion){//REPORTE DE ACTIVIDAD FISICA DENTRO DE LA ESCUELA DURANTE EL RECESO
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;


		$criteria = new CDbCriteria;

		$criteria->select = ((!empty($condicion))? 'count(id_respuesta) AS total, id_respuesta,id_encuesta, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_respuesta) AS total, id_respuesta, id_estado,descripcion_estado');
		$criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' id_pregunta  = 72 and id_respuesta in (151,152,153)';
		$criteria->group = ((!empty($condicion))? 'id_respuesta,id_encuesta, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_respuesta, id_estado, descripcion_estado');
		$criteria->order = 'id_estado ASC';

		$resultado = VEncuesta1::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {

				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$count1 = 0;
					$count2 = 0;
					$count3 = 0;
					
					$salida .= "<h2>Cuadro N&#186; 3. Tiempo de Actividad F&iacute;sica Diaria realizada por los alumnos dentro de la Escuela durante el receso.<br>
					".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
					</h2>";

					$result = TRespuesta::model()->findByPk($value->id_respuesta)->descripcion_respuesta;
					if(strtoupper($result) == '5-15 MINUTOS' || strtoupper($result) == '5-15MINUTOS' || $value->id_respuesta == 151){
						$count1 = $value->total;
					}
					if (strtoupper($result) == '15-20 MINUTOS' || strtoupper($result) == '15-20MINUTOS' || $value->id_respuesta == 152){
						$count2 = $value->total;
					}
					if (strtoupper($result) == '30 MINUTOS O MÃ�S' || strtoupper($result) == '30MINUTOS O MÃ�S' || $value->id_respuesta == 153){
						$count3 = $value->total;
					}
				}elseif($value->id_estado == $estado){
				
					$salida .= "<h2>Cuadro N&#186; 3. Tiempo de Actividad F&iacute;sica Diaria realizada por los alumnos dentro de la Escuela durante el receso.<br>
					".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
					</h2>";
					
					$result = TRespuesta::model()->findByPk($value->id_respuesta)->descripcion_respuesta;
					if(strtoupper($result) == '5-15 MINUTOS' || strtoupper($result) == '5-15MINUTOS' || $value->id_respuesta == 151){
						$count1 += $value->total;
					}
					if (strtoupper($result) == '15-20 MINUTOS' || strtoupper($result) == '15-20MINUTOS' || $value->id_respuesta == 152){
						$count2 += $value->total;
					}
					if (strtoupper($result) == '30 MINUTOS O MÃ�S' || strtoupper($result) == '30MINUTOS O MÃ�S' || $value->id_respuesta == 153){
						$count3 += $value->total;
					}
				}
			
				if($count1+$count2+$count3 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2+$count3));
					$por_2 = round(($count2 * 100) / ($count1+$count2+$count3));
					$por_3 = round(($count3 * 100) / ($count1+$count2+$count3));
				}else $resultados_fisica = 'Sin Resultados Encontrados';
				$salida .="<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">$resultados_fisica</td>
								<td colspan=\"2\" class=\"enc_reportes\">5-15 minutos</td>
								<td colspan=\"2\" class=\"enc_reportes\">15-20 minutos</td>
								<td colspan=\"2\" class=\"enc_reportes\">30 minutos o m&aacute;s</td>
							</tr>
							<tr>
								<td class=\"filas_encuesta_blanco\"></td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
							</tr>
							
							<tr>	
								<td class=\"lista_reportes\"><strong>Ni&ntilde;os, Ni&ntilde;as y
								Adolescentes</strong></td>		
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
									<td class=\"lista_reportes\">$count3</td>
									<td class=\"lista_reportes\">$por_3</td>
								
							</tr>
						</table>";
			}

		}else{
			$salida .="
		<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}

	public function rTiempoActFisicaGenero($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$por_1 = 0;
		$por_2 = 0;

		$criteria = new CDbCriteria;
		$criteria->select = ((!empty($condicion))? 'count(id_respuesta) as total, id_respuesta, id_encuesta, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_respuesta) as total, id_respuesta, id_estado,descripcion_estado');

		$criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' id_pregunta  = 73 and id_respuesta in (154,155)';
		$criteria->group = ((!empty($condicion))? 'id_respuesta, id_encuesta, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_respuesta, id_estado, descripcion_estado');
		$criteria->order = 'id_estado ASC';

		$resultado = VEncuesta1::model()->findAll($criteria);

		if (count($resultado)>0){
			foreach ($resultado as $i => $value) {

				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186;4. Actividad F&iacute;sica realizada dentro de la Escuela seg&uacute;n el G&eacute;nero.<br>
					".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
					</h2>";
						
					if($value->id_respuesta == 154){
						$count1 = $value->total;
					}
					if ($value->id_respuesta == 155){
						$count2 = $value->total;
					}
						
					
				} elseif ($value->id_estado == $estado) {
					/*$salida .= "<h2>Cuadro N&#186;4. Actividad F&iacute;sica realizada dentro de la Escuela seg&uacute;n el G&eacute;nero.<br>
					".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."
					</h2>";
						*/
					if($value->id_respuesta == 154){
						$count1 += $value->total;
					}
					if ($value->id_respuesta == 155){
						$count2 += $value->total;
					}
				}
					if($count1+$count2 != 0){
						$por_1 = round(($count1 * 100) / ($count1+$count2));
						$por_2 = round(($count2 * 100) / ($count1+$count2));
					}else $resultados = 'Sin Resultados Encontrados';

				$salida .= "
							<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\">$resultados</td>
									<td colspan=\"2\" class=\"enc_reportes\">G&eacute;nero Femenino</td>
									<td colspan=\"2\" class=\"enc_reportes\">G&eacute;nero Masculino</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Actividad F&iacute;sica</strong></td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
								</tr>
							</table>";		

			}	
			

		}else{
			$salida = "
						<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>
							</tr>
						</table>";						
		}

		return $salida;
	}

	public function rDistDiagNutricionalEscolar($condicion,$busqueda,$id_reporte){
       	$cond = ((!empty($condicion))? $condicion." AND " : $condicion);
       	//var_dump($cond);
		$criteria = new CDbCriteria;
		$criteria->select = ((!empty($condicion))? 'count(id_genero) AS count,id_genero,dp.id_diagnostico_presuntivo,id_encuesta,edad_consulta, id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_genero) AS count, id_genero, dp.id_diagnostico_presuntivo, id_encuesta, edad_consulta,id_estado,descripcion_estado');
		if ($id_reporte == 7){
			$criteria->join = 'JOIN sisvan.t_resultados_adolescentes ad ON ad.id_datos_sujeto = t.id_datos_sujeto
   JOIN sisvan.t_diagnostico_presuntivo dp ON dp.id_diagnostico_presuntivo = ad.id_diagnostico_presuntivo';
		}else{
			$criteria->join = 'JOIN sisvan.t_resultados_ninos ad ON ad.id_datos_sujeto = t.id_datos_sujeto
   JOIN sisvan.t_diagnostico_presuntivo dp ON dp.id_diagnostico_presuntivo = ad.id_diagnostico_presuntivo';
		}
		$criteria->condition = $criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' '.$busqueda;
		$criteria->group = ((!empty($condicion))? 'id_genero,dp.id_diagnostico_presuntivo,id_encuesta,edad_consulta, id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_genero, dp.id_diagnostico_presuntivo, id_encuesta, edad_consulta,id_estado,descripcion_estado');
		$criteria->order = 'id_estado ASC';

		$resultado = VDiagnosticoNutricional::model()->findAll($criteria);

		$salida = 0;
		$count_sobrepeso_fem = 0;
		$count_normal_fem = 0;
		$count_def_agudo_fem = 0;
		$count_def_cro_com_fem = 0;
		$count_def_cro_descom_fem = 0;

		$count_sobrepeso_mas = 0;
		$count_normal_mas = 0;
		$count_def_agudo_mas = 0;
		$count_def_cro_com_mas = 0;
		$count_def_cro_descom_mas = 0;

		$por_1_mas = 0;
		$por_2_mas = 0;
		$por_3_mas = 0;
		$por_4_mas = 0;
		$por_5_mas = 0;
		$por_1_fem = 0;
		$por_2_fem = 0;
		$por_3_fem = 0;
		$por_4_fem = 0;
		$por_5_fem = 0;
		$por_total_fem = 0;
		$por_total_mas = 0;

			
		if (count($resultado)>0){

			foreach ($resultado as $i=> $value) {
				$salida = "<h2>Cuadro N&#186; 6. Distribuci&oacute;n porcentual de los Escolares,seg&uacute;n Diagn&oacute;stico Nutricional.<br>
							".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";

				$result = TDiagnosticoPresuntivo::model()->findByPk($value->id_diagnostico_presuntivo)->diagnostico_presuntivo;

				if(strtoupper($result) == 'SOBREPESO' && $value->id_diagnostico_presuntivo == 6){
					if($value->id_genero == 1) 	$count_sobrepeso_fem += $value->count;
					else if ($value->id_genero == '2') $count_sobrepeso_mas += $value->count;
				}
				if (strtoupper($result) == 'NORMAL' && $value->id_diagnostico_presuntivo == 4){

					if($value->id_genero == 1) 	$count_normal_fem += $value->count;
					else if ($value->id_genero == '2') $count_normal_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT AGUDO' && $value->id_diagnostico_presuntivo == 2){

					if($value->id_genero == 1) $count_def_agudo_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_agudo_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT CRONICO COMPENSADO' && $value->id_diagnostico_presuntivo == 3){

					if($value->id_genero == 1) $count_def_cro_com_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_cro_com_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT CRONICO DESCOMPENSADO' && $value->id_diagnostico_presuntivo == 1){

					if($value->id_genero == 1) $count_def_cro_descom_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_cro_descom_mas += $value->count;
				}
					
				$count_fem = $count_sobrepeso_fem+$count_normal_fem+$count_def_agudo_fem+$count_def_cro_com_fem+$count_def_cro_descom_fem;
				$count_mas = $count_sobrepeso_mas+$count_normal_mas+$count_def_agudo_mas+$count_def_cro_com_mas+$count_def_cro_descom_mas;

				if($count_fem != 0){
					$por_1_fem = round(($count_sobrepeso_fem * 100) / ($count_fem));
					$por_2_fem = round(($count_normal_fem * 100) / ($count_fem));
					$por_3_fem = round(($count_def_agudo_fem * 100) / ($count_fem));
					$por_4_fem = round(($count_def_cro_com_fem * 100) / ($count_fem));
					$por_5_fem = round(($count_def_cro_descom_fem * 100) / ($count_fem));
				} //else $resultados_fem = 'Sin Resultados Encontrados';
				if ($count_mas != 0){
					$por_1_mas = round(($count_sobrepeso_mas * 100) / ($count_mas));
					$por_2_mas = round(($count_normal_mas * 100) / ($count_mas));
					$por_3_mas = round(($count_def_agudo_mas * 100) / ($count_mas));
					$por_4_mas = round(($count_def_cro_com_mas * 100) / ($count_mas));
					$por_5_mas = round(($count_def_cro_descom_mas * 100) / ($count_mas));
				}//else //$resultados = 'Sin Resultados Encontrados';

				$por_total_fem = $por_1_fem+$por_2_fem+$por_3_fem+$por_4_fem+$por_5_fem;
				$por_total_mas = $por_1_mas+$por_2_mas+$por_3_mas+$por_4_mas+$por_5_mas;
				$salida .="
<table class=\"tabla_reportes\">
	<tr>
		<td class=\"enc_reportes\">Dx. Nutricional</td>
		<td colspan=\"2\" class=\"enc_reportes\">G&eacute;nero Femenino</td>
		<td colspan=\"2\" class=\"enc_reportes\">G&eacute;nero Masculino</td>
		<td class=\"enc_reportes\">TOTAL</td>
	</tr>
	<tr>
		<td class=\"enc_reportes\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Sobrepeso</td>
		<td class=\"lista_reportes\">$count_sobrepeso_fem</td>
		<td class=\"lista_reportes\">$por_1_fem</td>
		<td class=\"lista_reportes\">$count_sobrepeso_mas</td>
		<td class=\"lista_reportes\">$por_1_mas</td>
		<td class=\"lista_reportes\">"; $salida.= $count_sobrepeso_fem+$count_sobrepeso_mas; $salida.="</td>
		
	</tr>
	<tr>
		<td class=\"lista_reportes\">Normal</td>
		<td class=\"lista_reportes\">$count_normal_fem</td>
		<td class=\"lista_reportes\">$por_2_fem</td>
		<td class=\"lista_reportes\">$count_normal_mas</td>
		<td class=\"lista_reportes\">$por_2_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_normal_fem+$count_normal_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Agudo</td>
		<td class=\"lista_reportes\">$count_def_agudo_fem</td>
		<td class=\"lista_reportes\">$por_3_fem</td>
		<td class=\"lista_reportes\">$count_def_agudo_mas</td>
		<td class=\"lista_reportes\">$por_3_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_agudo_fem+$count_def_agudo_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Cr&oacute;nico Compensado</td>
		<td class=\"lista_reportes\">$count_def_cro_com_fem</td>
		<td class=\"lista_reportes\">$por_4_fem</td>
		<td class=\"lista_reportes\">$count_def_cro_com_mas</td>
		<td class=\"lista_reportes\">$por_4_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_cro_com_fem+$count_def_cro_com_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Cr&oacute;nico Descompesado</td>
		<td class=\"lista_reportes\">$count_def_cro_descom_fem</td>
		<td class=\"lista_reportes\">$por_5_fem</td>
		<td class=\"lista_reportes\">$count_def_cro_descom_mas</td>
		<td class=\"lista_reportes\">$por_5_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_cro_descom_fem+$count_def_cro_descom_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">TOTAL GENERAL</td>
		<td class=\"lista_reportes\"><strong>$count_fem</strong></td>
		<td class=\"lista_reportes\"><strong>$por_total_fem</strong></td>
		<td class=\"lista_reportes\"><strong>$count_mas</strong></td>
		<td class=\"lista_reportes\"><strong>$por_total_mas</strong></td>
		<td class=\"lista_reportes\"><strong>"; $salida.=$count_fem+$count_mas; $salida.="</strong></td>
	</tr>
</table>";

			}
		}else{
			$salida = "
		<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}
    public function rDistDiagNutricionalPre($condicion,$busqueda,$id_reporte){
       	$cond = ((!empty($condicion))? $condicion." AND " : $condicion);
       	//var_dump($cond);
		$criteria = new CDbCriteria;
		$criteria->select = ((!empty($condicion))? 'count(id_genero) AS count,id_genero,dp.id_diagnostico_presuntivo,id_encuesta,edad_consulta, id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_genero) AS count, id_genero, dp.id_diagnostico_presuntivo, id_encuesta, edad_consulta,id_estado,descripcion_estado');
		if ($id_reporte == 7){
			$criteria->join = 'JOIN sisvan.t_resultados_adolescentes ad ON ad.id_datos_sujeto = t.id_datos_sujeto
   JOIN sisvan.t_diagnostico_presuntivo dp ON dp.id_diagnostico_presuntivo = ad.id_diagnostico_presuntivo';
		}else{
			$criteria->join = 'JOIN sisvan.t_resultados_ninos ad ON ad.id_datos_sujeto = t.id_datos_sujeto
   JOIN sisvan.t_diagnostico_presuntivo dp ON dp.id_diagnostico_presuntivo = ad.id_diagnostico_presuntivo';
		}
		$criteria->condition = $criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' '.$busqueda;
		$criteria->group = ((!empty($condicion))? 'id_genero,dp.id_diagnostico_presuntivo,id_encuesta,edad_consulta, id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_genero, dp.id_diagnostico_presuntivo, id_encuesta, edad_consulta,id_estado,descripcion_estado');
		$criteria->order = 'id_estado ASC';

		$resultado = VDiagnosticoNutricional::model()->findAll($criteria);

		$salida = 0;
		$count_sobrepeso_fem = 0;
		$count_normal_fem = 0;
		$count_def_agudo_fem = 0;
		$count_def_cro_com_fem = 0;
		$count_def_cro_descom_fem = 0;

		$count_sobrepeso_mas = 0;
		$count_normal_mas = 0;
		$count_def_agudo_mas = 0;
		$count_def_cro_com_mas = 0;
		$count_def_cro_descom_mas = 0;

		$por_1_mas = 0;
		$por_2_mas = 0;
		$por_3_mas = 0;
		$por_4_mas = 0;
		$por_5_mas = 0;
		$por_1_fem = 0;
		$por_2_fem = 0;
		$por_3_fem = 0;
		$por_4_fem = 0;
		$por_5_fem = 0;
		$por_total_fem = 0;
		$por_total_mas = 0;

			
		if (count($resultado)>0){

			foreach ($resultado as $i=> $value) {
				$salida = "<h2>Cuadro N&#186; 5. Distribuci&oacute;n porcentual de los Preescolares,seg&uacute;n Diagn&oacute;stico Nutricional.<br>
							".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";

				$result = TDiagnosticoPresuntivo::model()->findByPk($value->id_diagnostico_presuntivo)->diagnostico_presuntivo;

				if(strtoupper($result) == 'SOBREPESO' && $value->id_diagnostico_presuntivo == 6){
					if($value->id_genero == 1) 	$count_sobrepeso_fem += $value->count;
					else if ($value->id_genero == '2') $count_sobrepeso_mas += $value->count;
				}
				if (strtoupper($result) == 'NORMAL' && $value->id_diagnostico_presuntivo == 4){

					if($value->id_genero == 1) 	$count_normal_fem += $value->count;
					else if ($value->id_genero == '2') $count_normal_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT AGUDO' && $value->id_diagnostico_presuntivo == 2){

					if($value->id_genero == 1) $count_def_agudo_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_agudo_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT CRONICO COMPENSADO' && $value->id_diagnostico_presuntivo == 3){

					if($value->id_genero == 1) $count_def_cro_com_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_cro_com_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT CRONICO DESCOMPENSADO' && $value->id_diagnostico_presuntivo == 1){

					if($value->id_genero == 1) $count_def_cro_descom_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_cro_descom_mas += $value->count;
				}
					
				$count_fem = $count_sobrepeso_fem+$count_normal_fem+$count_def_agudo_fem+$count_def_cro_com_fem+$count_def_cro_descom_fem;
				$count_mas = $count_sobrepeso_mas+$count_normal_mas+$count_def_agudo_mas+$count_def_cro_com_mas+$count_def_cro_descom_mas;

				if($count_fem != 0){
					$por_1_fem = round(($count_sobrepeso_fem * 100) / ($count_fem));
					$por_2_fem = round(($count_normal_fem * 100) / ($count_fem));
					$por_3_fem = round(($count_def_agudo_fem * 100) / ($count_fem));
					$por_4_fem = round(($count_def_cro_com_fem * 100) / ($count_fem));
					$por_5_fem = round(($count_def_cro_descom_fem * 100) / ($count_fem));
				} //else $resultados_fem = 'Sin Resultados Encontrados';
				if ($count_mas != 0){
					$por_1_mas = round(($count_sobrepeso_mas * 100) / ($count_mas));
					$por_2_mas = round(($count_normal_mas * 100) / ($count_mas));
					$por_3_mas = round(($count_def_agudo_mas * 100) / ($count_mas));
					$por_4_mas = round(($count_def_cro_com_mas * 100) / ($count_mas));
					$por_5_mas = round(($count_def_cro_descom_mas * 100) / ($count_mas));
				}//else //$resultados = 'Sin Resultados Encontrados';

				$por_total_fem = $por_1_fem+$por_2_fem+$por_3_fem+$por_4_fem+$por_5_fem;
				$por_total_mas = $por_1_mas+$por_2_mas+$por_3_mas+$por_4_mas+$por_5_mas;
				$salida .="
<table class=\"tabla_reportes\">
	<tr>
		<td class=\"enc_reportes\">Dx. Nutricional</td>
		<td colspan=\"2\" class=\"enc_reportes\">G&eacute;nero Femenino</td>
		<td colspan=\"2\" class=\"enc_reportes\">G&eacute;nero Masculino</td>
		<td class=\"enc_reportes\">TOTAL</td>
	</tr>
	<tr>
		<td class=\"enc_reportes\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Sobrepeso</td>
		<td class=\"lista_reportes\">$count_sobrepeso_fem</td>
		<td class=\"lista_reportes\">$por_1_fem</td>
		<td class=\"lista_reportes\">$count_sobrepeso_mas</td>
		<td class=\"lista_reportes\">$por_1_mas</td>
		<td class=\"lista_reportes\">"; $salida.= $count_sobrepeso_fem+$count_sobrepeso_mas; $salida.="</td>
		
	</tr>
	<tr>
		<td class=\"lista_reportes\">Normal</td>
		<td class=\"lista_reportes\">$count_normal_fem</td>
		<td class=\"lista_reportes\">$por_2_fem</td>
		<td class=\"lista_reportes\">$count_normal_mas</td>
		<td class=\"lista_reportes\">$por_2_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_normal_fem+$count_normal_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Agudo</td>
		<td class=\"lista_reportes\">$count_def_agudo_fem</td>
		<td class=\"lista_reportes\">$por_3_fem</td>
		<td class=\"lista_reportes\">$count_def_agudo_mas</td>
		<td class=\"lista_reportes\">$por_3_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_agudo_fem+$count_def_agudo_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Cr&oacute;nico Compensado</td>
		<td class=\"lista_reportes\">$count_def_cro_com_fem</td>
		<td class=\"lista_reportes\">$por_4_fem</td>
		<td class=\"lista_reportes\">$count_def_cro_com_mas</td>
		<td class=\"lista_reportes\">$por_4_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_cro_com_fem+$count_def_cro_com_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Cr&oacute;nico Descompesado</td>
		<td class=\"lista_reportes\">$count_def_cro_descom_fem</td>
		<td class=\"lista_reportes\">$por_5_fem</td>
		<td class=\"lista_reportes\">$count_def_cro_descom_mas</td>
		<td class=\"lista_reportes\">$por_5_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_cro_descom_fem+$count_def_cro_descom_mas; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">TOTAL GENERAL</td>
		<td class=\"lista_reportes\"><strong>$count_fem</strong></td>
		<td class=\"lista_reportes\"><strong>$por_total_fem</strong></td>
		<td class=\"lista_reportes\"><strong>$count_mas</strong></td>
		<td class=\"lista_reportes\"><strong>$por_total_mas</strong></td>
		<td class=\"lista_reportes\"><strong>"; $salida.=$count_fem+$count_mas; $salida.="</strong></td>
	</tr>
</table>";

			}
		}else{
			$salida = "
		<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}
	
public function rDistDiagNutricionalAdolescentes($condicion,$busqueda,$id_reporte){
       	$cond = ((!empty($condicion))? $condicion." AND " : $condicion);
       //var_dump($busqueda);
		$criteria = new CDbCriteria;
		$criteria->select = ((!empty($condicion))? 'count(id_genero) AS count,id_genero,dp.id_diagnostico_presuntivo,id_encuesta,edad_consulta, id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_genero) AS count, id_genero, dp.id_diagnostico_presuntivo, id_encuesta, edad_consulta,id_estado,descripcion_estado');
		if ($id_reporte == 7){
			$criteria->join = 'JOIN sisvan.t_resultados_adolescentes ad ON ad.id_datos_sujeto = t.id_datos_sujeto
   JOIN sisvan.t_diagnostico_presuntivo dp ON dp.id_diagnostico_presuntivo = ad.id_diagnostico_presuntivo';
		}else{
			$criteria->join = 'JOIN sisvan.t_resultados_ninos ad ON ad.id_datos_sujeto = t.id_datos_sujeto
   JOIN sisvan.t_diagnostico_presuntivo dp ON dp.id_diagnostico_presuntivo = ad.id_diagnostico_presuntivo';
		}
		$criteria->condition = $criteria->condition = ((!empty($condicion))? $condicion." AND " : $condicion).' '.$busqueda;
		$criteria->group = ((!empty($condicion))? 'id_genero,dp.id_diagnostico_presuntivo,id_encuesta,edad_consulta, id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_genero, dp.id_diagnostico_presuntivo, id_encuesta, edad_consulta,id_estado,descripcion_estado');
		$criteria->order = 'id_estado ASC';

		$resultado = VDiagnosticoNutricional::model()->findAll($criteria);

		$salida = 0;
		$count_sobrepeso_fem = 0;
		$count_normal_fem = 0;
		$count_def_agudo_fem = 0;
		$count_def_cro_com_fem = 0;
		$count_def_cro_descom_fem = 0;

		$count_sobrepeso_mas = 0;
		$count_normal_mas = 0;
		$count_def_agudo_mas = 0;
		$count_def_cro_com_mas = 0;
		$count_def_cro_descom_mas = 0;

		$por_1_mas = 0;
		$por_2_mas = 0;
		$por_3_mas = 0;
		$por_4_mas = 0;
		$por_5_mas = 0;
		$por_1_fem = 0;
		$por_2_fem = 0;
		$por_3_fem = 0;
		$por_4_fem = 0;
		$por_5_fem = 0;
		$por_total_fem = 0;
		$por_total_mas = 0;

			
		if (count($resultado)>0){

			foreach ($resultado as $i=> $value) {
				$salida = "<h2>Cuadro N&#186; 7. Distribuci&oacute;n porcentual de los Adolescentes,seg&uacute;n Diagn&oacute;stico Nutricional.<br>
							".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";

				$result = TDiagnosticoPresuntivo::model()->findByPk($value->id_diagnostico_presuntivo)->diagnostico_presuntivo;

				if((strtoupper($result) == 'SOBREPESO' || strtoupper($result) == 'SOBREPESO CON ANTENCEDENTES DE DESNUTRICION') && ($value->id_diagnostico_presuntivo == 6
                                         || $value->id_diagnostico_presuntivo == 5)) {
					if($value->id_genero == 1) 	$count_sobrepeso_fem += $value->count;
					else if ($value->id_genero == '2') $count_sobrepeso_mas += $value->count;
				}
				if (strtoupper($result) == 'NORMAL' && $value->id_diagnostico_presuntivo == 4){

					if($value->id_genero == 1) 	$count_normal_fem += $value->count;
					else if ($value->id_genero == '2') $count_normal_mas += $value->count;
					
				}
				if (strtoupper($result) == 'DEFICIT AGUDO' && $value->id_diagnostico_presuntivo == 2){

					if($value->id_genero == 1) $count_def_agudo_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_agudo_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT CRONICO COMPENSADO' && $value->id_diagnostico_presuntivo == 3){

					if($value->id_genero == 1) $count_def_cro_com_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_cro_com_mas += $value->count;
				}
				if (strtoupper($result) == 'DEFICIT CRONICO DESCOMPENSADO' && $value->id_diagnostico_presuntivo == 1){

					if($value->id_genero == 1) $count_def_cro_descom_fem += $value->count;
					else if ($value->id_genero == '2') $count_def_cro_descom_mas += $value->count;
				}
					
				$count_fem = $count_sobrepeso_fem+$count_normal_fem+$count_def_agudo_fem+$count_def_cro_com_fem+$count_def_cro_descom_fem;
				$count_mas = $count_sobrepeso_mas+$count_normal_mas+$count_def_agudo_mas+$count_def_cro_com_mas+$count_def_cro_descom_mas;

				if($count_fem != 0){
					$por_1_fem = round(($count_sobrepeso_fem * 100) / ($count_fem));
					$por_2_fem = round(($count_normal_fem * 100) / ($count_fem));
					$por_3_fem = round(($count_def_agudo_fem * 100) / ($count_fem));
					$por_4_fem = round(($count_def_cro_com_fem * 100) / ($count_fem));
					$por_5_fem = round(($count_def_cro_descom_fem * 100) / ($count_fem));
					
				} //else $resultados_fem = 'Sin Resultados Encontrados';
				if ($count_mas != 0){
					$por_1_mas = round(($count_sobrepeso_mas * 100) / ($count_mas));
					$por_2_mas = round(($count_normal_mas * 100) / ($count_mas));
					$por_3_mas = round(($count_def_agudo_mas * 100) / ($count_mas));
					$por_4_mas = round(($count_def_cro_com_mas * 100) / ($count_mas));
					$por_5_mas = round(($count_def_cro_descom_mas * 100) / ($count_mas));
				}//else //$resultados = 'Sin Resultados Encontrados';

				$por_total_fem = $por_1_fem+$por_2_fem+$por_3_fem+$por_4_fem+$por_5_fem;
				$por_total_mas = $por_1_mas+$por_2_mas+$por_3_mas+$por_4_mas+$por_5_mas;
				$salida .="
<table class=\"tabla_reportes\">
	<tr>
		<td class=\"enc_reportes\">Dx. Nutricional</td>
		<td colspan=\"2\" class=\"enc_reportes\">Genero Femenino</td>
		<td colspan=\"2\" class=\"enc_reportes\">Genero Masculino</td>
		<td colspan=\"2\" class=\"enc_reportes\">Total</td>
	</tr>
	<tr>
		<td class=\"enc_reportes\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Sobrepeso</td>
		<td class=\"lista_reportes\">$count_sobrepeso_fem</td>
		<td class=\"lista_reportes\">$por_1_fem</td>
		<td class=\"lista_reportes\">$count_sobrepeso_mas</td>
		<td class=\"lista_reportes\">$por_1_mas</td>
		<td class=\"lista_reportes\">"; $salida.= $count_sobrepeso_fem+$count_sobrepeso_mas; $salida.="</td>
		<td class=\"lista_reportes\">"; $salida.= ($por_1_fem+$por_1_mas)/2; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Normal</td>
		<td class=\"lista_reportes\">$count_normal_fem</td>
		<td class=\"lista_reportes\">$por_2_fem</td>
		<td class=\"lista_reportes\">$count_normal_mas</td>
		<td class=\"lista_reportes\">$por_2_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_normal_fem+$count_normal_mas; $salida.="</td>
		<td class=\"lista_reportes\">"; $salida.= ($por_2_fem+$por_2_mas)/2; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Agudo</td>
		<td class=\"lista_reportes\">$count_def_agudo_fem</td>
		<td class=\"lista_reportes\">$por_3_fem</td>
		<td class=\"lista_reportes\">$count_def_agudo_mas</td>
		<td class=\"lista_reportes\">$por_3_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_agudo_fem+$count_def_agudo_mas; $salida.="</td>
		<td class=\"lista_reportes\">"; $salida.= ($por_3_fem+$por_3_mas)/2; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Cr&oacute;nico Compensado</td>
		<td class=\"lista_reportes\">$count_def_cro_com_fem</td>
		<td class=\"lista_reportes\">$por_4_fem</td>
		<td class=\"lista_reportes\">$count_def_cro_com_mas</td>
		<td class=\"lista_reportes\">$por_4_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_cro_com_fem+$count_def_cro_com_mas; $salida.="</td>
		<td class=\"lista_reportes\">"; $salida.= ($por_4_fem+$por_4_mas)/2; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">D&eacute;ficit Cr&oacute;nico Descompesado</td>
		<td class=\"lista_reportes\">$count_def_cro_descom_fem</td>
		<td class=\"lista_reportes\">$por_5_fem</td>
		<td class=\"lista_reportes\">$count_def_cro_descom_mas</td>
		<td class=\"lista_reportes\">$por_5_mas</td>
		<td class=\"lista_reportes\">"; $salida.=$count_def_cro_descom_fem+$count_def_cro_descom_mas; $salida.="</td>
		<td class=\"lista_reportes\">"; $salida.= ($por_5_fem+$por_5_mas)/2; $salida.="</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">TOTAL GENERAL</td>
		<td class=\"lista_reportes\"><strong>$count_fem</strong></td>
		<td class=\"lista_reportes\"><strong>$por_total_fem</strong></td>
		<td class=\"lista_reportes\"><strong>$count_mas</strong></td>
		<td class=\"lista_reportes\"><strong>$por_total_mas</strong></td>
		<td class=\"lista_reportes\"><strong>"; $salida.=$count_fem+$count_mas; $salida.="</strong></td>
		<td class=\"lista_reportes\">"; $salida.= ($por_1_fem+$por_1_mas+$por_2_fem+$por_2_mas+$por_3_fem+$por_3_mas+$por_4_fem+$por_4_mas+$por_5_fem+$por_5_mas)/2 ; $salida.="</td>
	</tr>
</table>";

			}
		}else{
			$salida = "
		<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}
	public function rSuministroMeriendaEscolar($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$coutn_total = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond)) ? 'count(id_respuesta) as total, id_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_respuesta) as total, id_respuesta,id_estado, descripcion_estado';
		$criteria->condition = $cond.' id_pregunta = 49 and id_respuesta in (91,92)';
		$criteria->group = (!empty($cond)) ? 'id_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea': 'id_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {

				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 8. Suministro de Merienda Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if($value->id_respuesta == 92){
						$count1 = $value->total;
					}
					if($value->id_respuesta == 91){
						$count2 = $value->total;
					}
				}
					
				else {
					$salida = "<h2>Cuadro N&#186; 8. Suministro de Merienda Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if($value->id_respuesta == 92){
						$count1 += $value->total;
					}
					if($value->id_respuesta == 91){
						$count2 += $value->total;
					}
				}
				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}else $resultados = 'Sin Resultados Encontrados';

				$salida .="<table class\"tabla_reportes\">
	<tr>
		<td class=\"filas_encuesta_blanco\"></td>
		<td colspan=\"2\" class=\"enc_reportes\">SI</td>
		<td colspan=\"2\" class=\"enc_reportes\">NO</td>
		<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
	</tr>
	<tr>
		<td class=\"filas_encuesta_blanco\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>Madres, Padres y Representantes que
		suministran merienda escolar a su hijo (a)</strong></td>
		<td class=\"lista_reportes\">$count2</td>
		<td class=\"lista_reportes\">$por_2</td>
		<td class=\"lista_reportes\">$count1</td>
		<td class=\"lista_reportes\">$por_1</td>
		<td class=\"lista_reportes\"><strong>"; $salida .= $count1+$count2; $salida .= "</strong></td>		
		<td class=\"lista_reportes\"><strong>"; $salida .= $por_1+$por_2; $salida .= "</strong></td>
	</tr>
</table>";

			}

		}else{

			$salida .= "<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}

		return $salida;
	}

	public function rOrigenMerienda($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count_total = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado, descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 50 and id_respuesta in (67,68)';
		$criteria->group = (!empty($cond))? 'id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta,descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 9. Origen de la Merienda Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'ES PREPARADA EN LA CASA' || $value->id_respuesta == 67){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'ES COMPRADA FUERA DEL HOGAR' || $value->id_respuesta == 68){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 9. Origen de la Merienda Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'ES PREPARADA EN LA CASA' || $value->id_respuesta == 67){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'ES COMPRADA FUERA DEL HOGAR' || $value->id_respuesta == 68){
						$count2 += $value->total;
					}
				}

				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}else $resultados = 'Sin Resultados Encontrados';

				$salida .= "<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"enc_reportes\">N&#186;</td>
									<td class=\"enc_reportes\">%</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Merienda Preparada en Casa</strong></td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_2</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Merienda Comprada fuera del Hogar</strong></td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Total</strong></td>
									<td class=\"lista_reportes\">";$salida .= $count1+$count2; $salida.="</td>
									<td class=\"lista_reportes\">";$salida .=$por_1+$por_2; $salida.="</td>
								</tr>
							</table>";
			}

		}else{

			$salida .= "<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}

	public function rSuministroDinero($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count_total = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado, descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 51 and id_respuesta in (195,196)';
		$criteria->group = (!empty($cond))? 'id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 10. Suministro de dinero a los alumnos para la compra de alimentos en la Cantina Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 196){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 195){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 10. Suministro de dinero a los alumnos para la compra de alimentos en la Cantina Escolar.<br".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."></h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 196){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 195){
						$count2 += $value->total;
					}
				}

				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}else $resultados = 'Sin Resultados Encontrados';

				$salida .= "<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td colspan=\"2\" class=\"enc_reportes\">SI</td>
									<td colspan=\"2\" class=\"enc_reportes\">NO</td>
									<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Madres, Padres y Representantes que
									suministran merienda escolar a su hijo (a)</strong></td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
									<td class=\"lista_reportes\">"; $salida .= $count1 + $count2; $salida .= "</td>
									<td class=\"lista_reportes\">"; $salida .= $por_1+$por_2; $salida.="</td>
								</tr>
							</table>";
			}

		}else{

			$salida .= "<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}

	public function rDistRecibenDinero($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$count_total = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado, descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 52 and id_respuesta in (64,65,66)';
		$criteria->group = (!empty($cond))? 'id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' : 'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 11. Distribuci&oacute;n Porcentual de la Frecuencia con la cual los Niños, Niñas y Adolescentes que reciben dinero para la compra de Alimentos en la Cantina Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '15.1 1-2 VECES A LA SEMANA' || $value->id_respuesta == 64){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '15.2 3-4 VECES A LA SEMANA' || $value->id_respuesta == 65){
						$count2 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '15.3 DIARIO' || $value->id_respuesta == 66){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 11. Distribuci&oacute;n Porcentual de la Frecuencia con la cual los Ni&ntilde;os, Ni&ntilde;os y Adolescentes que reciben dinero para la compra de Alimentos en la Cantina Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '15.1 1-2 VECES A LA SEMANA' || $value->id_respuesta == 64){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '15.2 3-4 VECES A LA SEMANA' || $value->id_respuesta == 65){
						$count2 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '15.3 DIARIO' || $value->id_respuesta == 66){
						$count2 += $value->total;
					}
				}

				if($count1+$count2+$count3 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2+$count3));
					$por_2 = round(($count2 * 100) / ($count1+$count2+$count3));
					$por_3 = round(($count3 * 100) / ($count1+$count2+$count3));
				}

				$salida .= "<table class=\"tabla_reportes\">
	<tr>
		<td colspan=\"3\" class=\"filas_encuesta_blanco\"></td>
	</tr>
	<tr>
		<td class=\"enc_reportes\">Reciben Dinero para la compra de Alimentos</td>
		<td colspan=\"6\" class=\"enc_reportes\">SI</td>
		<td colspan=\"2\" class=\"enc_reportes\">NO</td>
	</tr>
	<tr>
		<td class=\"filas_encuesta_blanco\"></td>
		<td colspan=\"2\" class=\"lista_reportes\">
		<center><strong>Diario</strong></center>
		</td>
		<td colspan=\"2\" class=\"lista_reportes\">
		<center><strong>1-2 veces/semana</strong></center>
		</td>
		<td colspan=\"2\" class=\"lista_reportes\">
		<center><strong>3-4 veces/semana</strong></center>
		</td>
		<td class=\"filas_encuesta_blanco\"></td>
		<td class=\"filas_encuesta_blanco\"></td>
	</tr>
	<tr>
		<td class=\"filas_encuesta_blanco\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>Niños, Niñas y
		Adolescentes</strong></td>
		<td class=\"lista_reportes\">$count3</td>
		<td class=\"lista_reportes\">$por_3</td>
		<td class=\"lista_reportes\">$count2</td>
		<td class=\"lista_reportes\">$por_2</td>
		<td class=\"lista_reportes\">$count1</td>
		<td class=\"lista_reportes\">$por_1</td>
		<td class=\"lista_reportes\">"; $salida .= $count1 + $count2 + $count3; $salida .= "</td>
		<td class=\"lista_reportes\">"; $salida .= $por_1 + $por_2 + $por_3; $salida .= "</td>
	</tr>
</table>";
			}

		}else{

			$salida .= "<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}

	public function rConRepAlimentoCompraHijo($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count_total = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 53 and id_respuesta in (198,197)';
		$criteria->group = (!empty($cond))? 'id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 12. Conocimiento de los Representantes sobre los Alimentos que compra su hijo (a) en la Cantina Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 198){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 197){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 12. Conocimiento de los Representantes sobre los Alimentos que compra su hijo (a) en la Cantina Escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 198){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 197){
						$count2 += $value->total;
					}
				}

				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}else $resultados = 'Sin Resultados Encontrados';

				$salida .="<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\"></td>
								<td colspan=\"2\" class=\"enc_reportes\">SI</td>
								<td colspan=\"2\" class=\"enc_reportes\">NO</td>
								<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
							</tr>
							<tr>
								<td class=\"filas_encuesta_blanco\"></td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
							</tr>
							<tr>
								<td class=\"lista_reportes\"><strong>Madres, Padres y Representantes que
								suministran merienda escolar a su hijo (a)</strong></td>
								<td class=\"lista_reportes\">$count1 </td>
								<td class=\"lista_reportes\">$por_1 </td>
								<td class=\"lista_reportes\">$count2 </td>
								<td class=\"lista_reportes\">$por_2 </td>
								<td class=\"lista_reportes\">"; $salida .= $count1 + $count2; $salida.=" </td>
								<td class=\"lista_reportes\">"; $salida .= $por_1+$por_2; $salida.=" </td>
							</tr>
						</table>";

			}
		}else{

			$salida ="<table class=\"tabla_reportes\">
						<tr>
							<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
						</tr>
					</table>";

		}
		return $salida;
	}

	public function rDistTiposComidas($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$count4 = 0;
		$count5 = 0;
		$count6 = 0;
		$count_total = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;
		$por_4 = 0;
		$por_5 = 0;
		$por_6 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 54 and id_respuesta in (69,70,71,72,73,74)';
		$criteria->group = (!empty($cond))? 'id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->order = "id_estado ASC";
		
		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 13. Distribuci&oacute;n Porcentual de los Tipos de Comida que realizan los Ni&ntilde;os, Ni&ntilde;as y Adolescentes.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '17.1 DESAYUNO' || $value->id_respuesta == 69){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '17.2 MERIENDA MATUTINA' || $value->id_respuesta == 70){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '17.3 ALMUERZO' || $value->id_respuesta == 71){
						$count3 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '17.4 MERIENDA VESPERTINA' || $value->id_respuesta == 72){
						$count4 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '17.5 CENA' || $value->id_respuesta == 73){
						$count5 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '17.6 MERIENDA NOCTURNA' || $value->id_respuesta == 74){
						$count6 = $value->total;
					}
				}else {
					$salida = "<h2>Cuadro N&#186; 13. Distribuci&oacute;n Porcentual de los Tipos de Comida que realizan los Ni&ntilde;os, Ni&ntilde;as y Adolescentes.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '17.1 DESAYUNO' || $value->id_respuesta == 69){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '17.2 MERIENDA MATUTINA' || $value->id_respuesta == 70){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '17.3 ALMUERZO' || $value->id_respuesta == 71){
						$count3 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '17.4 MERIENDA VESPERTINA' || $value->id_respuesta == 72){
						$count4 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '17.5 CENA' || $value->id_respuesta == 73){
						$count5 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '17.6 MERIENDA NOCTURNA' || $value->id_respuesta == 74){
						$count6 += $value->total;
					}
				}

				$total_count = $count1+$count2+$count3+$count4+$count5+$count6;

				if($total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));
					$por_4 = round(($count4 * 100) / ($total_count));
					$por_5 = round(($count5 * 100) / ($total_count));
					$por_6 = round(($count6 * 100) / ($total_count));

					$total_por = $por_1+$por_2+$por_3+$por_4+$por_5+$por_6;
				}
				$salida .= "<table class=\"tabla_reportes\">
	<tr>
		<td class=\"enc_reportes\">Tipos de Comida</td>
		<td colspan=\"2\" class=\"enc_reportes\">Ni&ntilde;os, Ni&ntilde;os y
		Adolescentes</td>
	</tr>
	<tr>
		<td class=\"filas_encuesta_blanco\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Desayuno</td>
		<td class=\"lista_reportes\">$count1</td>
		<td class=\"lista_reportes\">$por_1</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Merienda Vespertina</td>
		<td class=\"lista_reportes\">$count2</td>
		<td class=\"lista_reportes\">$por_2</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Almuerzo</td>
		<td class=\"lista_reportes\">$count3</td>
		<td class=\"lista_reportes\">$por_3</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Merienda Matutina</td>
		<td class=\"lista_reportes\">$count4</td>
		<td class=\"lista_reportes\">$por_4</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Cena</td>
		<td class=\"lista_reportes\">$count5</td>
		<td class=\"lista_reportes\">$por_5</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Merienda Nocturna</td>
		<td class=\"lista_reportes\">$count6</td>
		<td class=\"lista_reportes\">$por_6</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>TOTALES</strong></td>
		<td class=\"lista_reportes\"><strong>$total_count</strong></td>
		<td align=\"right\" class=\"lista_reportes\"><strong>$total_por</strong></td>
	</tr>
</table>";
			}
		}else{

			$salida ="<table class=\"tabla_reportes\">
						<tr>
							<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
						</tr>
					</table>";

		}
		return $salida;
	}

	public function rDistConsumoAlimentos($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$count4 = 0;
		$count5 = 0;
		$count6 = 0;
		$count7 = 0;
		$count8 = 0;
		$count9 = 0;
		$count10 = 0;
		$count11 = 0;
		$count12 = 0;
		$count13 = 0;
		$count14 = 0;
		$count15 = 0;
		$count16 = 0;
		$count17 = 0;
		$count18 = 0;
		$count19 = 0;
		$count20 = 0;
		$count21 = 0;
		$count22 = 0;
		$count_23 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;
		$por_4 = 0;
		$por_5 = 0;
		$por_6 = 0;
		$por_7 =0 ;
		$por_8 = 0;
		$por_9 = 0;
		$por_10 = 0;
		$por_11= 0;
		$por_12= 0;
		$por_13 = 0;
		$por_14 = 0;
		$por_15 = 0;
		$por_16 = 0;
		$por_17 = 0;
		$por_18 = 0;
		$por_19 = 0;
		$por_20 = 0;
		$por_21 = 0;
		$por_22 = 0;
		$por_23 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 76 and id_respuesta in (167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189) AND descripcion_respuesta_resumen <> \'7\'';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 14. Distribuci&oacute;n Porcentual de la Frecuencia de Consumo de Alimentos de los Ni&ntilde;os, Ni&ntilde;os y Adolescentes .<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '18.1 Harina de maÃ­z (arepa, hallaquita, empanada)' || $value->id_respuesta == 167){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.2 Cereales de Desayuno (corn flakes, zucaritas, etc)' || $value->id_respuesta == 168){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.3 Cereales tipo Atol (avena, cebada, fororo, maicena, etc)' || $value->id_respuesta == 169){
						$count3 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.4 Arroz' || $value->id_respuesta == 170){
						$count4 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.5 Pasta' || $value->id_respuesta == 171){
						$count5 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.6 Pan' || $value->id_respuesta == 172){
						$count6 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.7 PlÃ¡tano' || $value->id_respuesta == 173){
						$count7 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.8 Granos (caraotas, lentejas, frijol, arvejas)' || $value->id_respuesta == 174){
						$count8 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.9 Apio, Ocumo, Papa, Yuca' || $value->id_respuesta == 175){
						$count9 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.10 Carne de Pollo' || $value->id_respuesta == 176){
						$count10 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.11 Carne de Res' || $value->id_respuesta == 177){
						$count11 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.12 Carne de Cochino' || $value->id_respuesta == 178){
						$count12 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.13 Pescados/Mariscos' || $value->id_respuesta == 179){
						$count13 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.14 Leche, queso y/o yogurt' || $value->id_respuesta == 180){
						$count14 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.15 Huevos de Gallina' || $value->id_respuesta == 181){
						$count15 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.16 Frutas' || $value->id_respuesta == 182){
						$count16 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.17 Vegetales' || $value->id_respuesta == 183){
						$count17 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.18 AzÃºcar' || $value->id_respuesta == 184){
						$count18 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.19 Bebidas gaseosas' || $value->id_respuesta == 185){
						$count19 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.20 ChucherÃ­as Dulces: chiclets, chocolates, galletas' || $value->id_respuesta == 186){
						$count20 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.21 ChucherÃ­as saladas' || $value->id_respuesta == 187){
						$count21 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.22 Aceite, Margarina, Mantequilla, Mayonesa' || $value->id_respuesta == 188){
						$count22 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.23 Alimentos Preparados: Hamburguesas, Perros Calientes, Pizza, Nuggets' || $value->id_respuesta == 189){
						$count23 = $value->total;
					}

				}else{
					$salida = "<h2>Cuadro N&#186; 14. Distribuci&oacute;n Porcentual de la Frecuencia de Consumo de Alimentos de los Ni&ntilde;os, Ni&ntilde;os y Adolescentes .<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '18.1 Harina de maÃ­z (arepa, hallaquita, empanada)' || $value->id_respuesta == 167){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.2 Cereales de Desayuno (corn flakes, zucaritas, etc)' || $value->id_respuesta == 168){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.3 Cereales tipo Atol (avena, cebada, fororo, maicena, etc)' || $value->id_respuesta == 169){
						$count3 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.4 Arroz' || $value->id_respuesta == 170){
						$count4 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.5 Pasta' || $value->id_respuesta == 171){
						$count5 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.6 Pan' || $value->id_respuesta == 172){
						$count6 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.7 PlÃ¡tano' || $value->id_respuesta == 173){
						$count7 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.8 Granos (caraotas, lentejas, frijol, arvejas)' || $value->id_respuesta == 174){
						$count8 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.9 Apio, Ocumo, Papa, Yuca' || $value->id_respuesta == 175){
						$count9 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.10 Carne de Pollo' || $value->id_respuesta == 176){
						$count10 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.11 Carne de Res' || $value->id_respuesta == 177){
						$count11 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.12 Carne de Cochino' || $value->id_respuesta == 178){
						$count12 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.13 Pescados/Mariscos' || $value->id_respuesta == 179){
						$count13 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.14 Leche, queso y/o yogurt' || $value->id_respuesta == 180){
						$count14 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.15 Huevos de Gallina' || $value->id_respuesta == 181){
						$count15 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.16 Frutas' || $value->id_respuesta == 182){
						$count16 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.17 Vegetales' || $value->id_respuesta == 183){
						$count17 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.18 AzÃºcar' || $value->id_respuesta == 184){
						$count18 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.19 Bebidas gaseosas' || $value->id_respuesta == 185){
						$count19 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.20 ChucherÃ­as Dulces: chiclets, chocolates, galletas' || $value->id_respuesta == 186){
						$count20 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.21 ChucherÃ­as saladas' || $value->id_respuesta == 187){
						$count21 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '18.22 Aceite, Margarina, Mantequilla, Mayonesa' || $value->id_respuesta == 188){
						$count22 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '18.23 Alimentos Preparados: Hamburguesas, Perros Calientes, Pizza, Nuggets' || $value->id_respuesta == 189){
						$count23 += $value->total;
					}

				}

				$total_count = $count1+$count2+$count3+$count4+$count5+$count6+$count7+$count8+$count9+$count10+$count11+$count12+$count13+$count14+$count15+$count16+$count17+$count18+$count19+$count20+$count21+$count22+$count23;

				if($total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));
					$por_4 = round(($count4 * 100) / ($total_count));
					$por_5 = round(($count5 * 100) / ($total_count));
					$por_6 = round(($count6 * 100) / ($total_count));
					$por_7 = round(($count7 * 100) / ($total_count));
					$por_8 = round(($count8 * 100) / ($total_count));
					$por_9 = round(($count9 * 100) / ($total_count));
					$por_10 = round(($count10 * 100) / ($total_count));
					$por_11= round(($count11 * 100) / ($total_count));
					$por_12= round(($count12 * 100) / ($total_count));
					$por_13 = round(($count13 * 100) / ($total_count));
					$por_14 = round(($count14 * 100) / ($total_count));
					$por_15 = round(($count15 * 100) / ($total_count));
					$por_16 = round(($count16 * 100) / ($total_count));
					$por_17 = round(($count17 * 100) / ($total_count));
					$por_18 = round(($count18 * 100) / ($total_count));
					$por_19 = round(($count19 * 100) / ($total_count));
					$por_20 = round(($count20 * 100) / ($total_count));
					$por_21 = round(($count21 * 100) / ($total_count));
					$por_22 = round(($count22 * 100) / ($total_count));
					$por_23 = round(($count23 * 100) / ($total_count));

					$total_por = $por_1+$por_2+$por_3+$por_4+$por_5+$por_6+$por_7+$por_8+$por_9+$por_10+$por_11+$por_12+$por_13+$por_14+$por_15+$por_16+$por_17+$por_18+$por_19+$por_20+$por_21+$por_22+$por_23;
				}

				$salida .= "<table class=\"tabla_reportes\">
								<tr>
									<td class=\"enc_reportes\">ALIMENTO</td>
									<td class=\"enc_reportes\">N&#186;</td>
									<td class=\"enc_reportes\">%</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Harina de maÃ­z (arepa, hallaquita, empanada)</strong></td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Cereales de Desayuno (corn flakes, zucaritas, etc)</strong></td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Cereales tipo Atol (avena, cebada, fororo, maicena, etc)</strong></td>
									<td class=\"lista_reportes\">$count3</td>
									<td class=\"lista_reportes\">$por_3</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Arroz</strong></td>
									<td class=\"lista_reportes\">$count4</td>
									<td class=\"lista_reportes\">$por_4</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Pasta</strong></td>
									<td class=\"lista_reportes\">$count5</td>
									<td class=\"lista_reportes\">$por_5</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Pan</strong></td>
									<td class=\"lista_reportes\">$count6</td>
									<td class=\"lista_reportes\">$por_6</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Pl&aacute;tano</strong></td>
									<td class=\"lista_reportes\">$count7</td>
									<td class=\"lista_reportes\">$por_7</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Granos (Caraotas, Lentejas, Frijol,Arvejas)</strong></td>
									<td class=\"lista_reportes\">$count8</td>
									<td class=\"lista_reportes\">$por_8</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Apio, Ocumo, Papa, Yuca</strong></td>
									<td class=\"lista_reportes\">$count9</td>
									<td class=\"lista_reportes\">$por_9</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Carne de Pollo</strong></td>
									<td class=\"lista_reportes\">$count10</td>
									<td class=\"lista_reportes\">$por_10</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Carne de Res</strong></td>
									<td class=\"lista_reportes\">$count11</td>
									<td class=\"lista_reportes\">$por_11</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Carne de Cochino</strong></td>
									<td class=\"lista_reportes\">$count12</td>
									<td class=\"lista_reportes\">$por_12</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Pescados/Mariscos</strong></td>
									<<td class=\"lista_reportes\">$count13</td>
									<td class=\"lista_reportes\">$por_13</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Leche, queso y/o yogurt</strong></td>
									<td class=\"lista_reportes\">$count14</td>
									<td class=\"lista_reportes\">$por_14</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Huevos de Gallina</strong></td>
									<td class=\"lista_reportes\">$count15</td>
									<td class=\"lista_reportes\">$por_15</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Frutas</strong></td>
									<td class=\"lista_reportes\">$count16</td>
									<td class=\"lista_reportes\">$por_16</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Vegetales</strong></td>
									<td class=\"lista_reportes\">$count17</td>
									<td class=\"lista_reportes\">$por_17</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Az&uacute;car</strong></td>
									<td class=\"lista_reportes\">$count18</td>
									<td class=\"lista_reportes\">$por_18</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Bebidas Gaseosas</strong></td>
									<td class=\"lista_reportes\">$count19</td>
									<td class=\"lista_reportes\">$por_19</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>ChucherÃ­as Dulces: chiclets, chocolates, galletas</strong></td>
									<td class=\"lista_reportes\">$count20</td>
									<td class=\"lista_reportes\">$por_20</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>ChucherÃ­as saladas</strong></td>
									<td class=\"lista_reportes\">$count21</td>
									<td class=\"lista_reportes\">$por_21</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Aceite, Margarina, Mantequilla, Mayonesa</strong></td>
									<td class=\"lista_reportes\">$count22</td>
									<td class=\"lista_reportes\">$por_22</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Alimentos Preparados: Hamburguesas, Perros Calientes, Pizza, Nuggets</strong></td>
									<td class=\"lista_reportes\">$count23</td>
									<td class=\"lista_reportes\">$por_23</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>TOTALES</strong></td>
									<td class=\"lista_reportes\"><strong>$total_count</strong></td>
									<td align=\"right\" class=\"lista_reportes\"><strong>$total_por</strong></td>
								</tr>
							</table>";
			}
		}else{

			$salida ="<table class=\"tabla_reportes\">
						<tr>
							<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
						</tr>
					</table>";

		}
		return $salida;
	}

	public function rActFisicaFueraHorario($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count_total = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 56 and id_respuesta in (62,63)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 15. Actividad F&iacute;sica realizada por los alumnos fuera del horario escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 62){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 63){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 15. Actividad F&iacute;sica realizada por los alumnos fuera del horario escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 62){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 63){
						$count2 += $value->total;
					}

				}

				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}
					
				$salida .= "
							<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td colspan=\"2\" class=\"enc_reportes\">SI</td>
									<td colspan=\"2\" class=\"enc_reportes\">NO</td>
									<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Madres, Padres y Representantes que
									suministran merienda escolar a su hijo (a)</strong></td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
									<td class=\"lista_reportes\">";$salida .= $count1 + $count2;$salida .= "</td>
									<td class=\"lista_reportes\">";$salida .= $por_1+$por_2;$salida .= "</td>
								</tr>
							</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}

		return $salida;
	}

	public function rTipoActRealizadaFuera($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$count4 = 0;
		$count5 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;
		$por_4 = 0;
		$por_5 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 56 and id_respuesta in (84,85,86,87,88)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 16. Tipo de Actividad F&iacute;sica realizada por los alumnos fuera del horario escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '19.3 Football' || $value->id_respuesta == 84){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '19.4 Basketball' || $value->id_respuesta == 85){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '19.5 NataciÃ³n' || $value->id_respuesta == 86){
						$count3 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '19.6 Baseball' || $value->id_respuesta == 87){
						$count4 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '19.7 Otro' || $value->id_respuesta == 88){
						$count5 = $value->total;
					}

				}else{
					$salida = "<h2>Cuadro N&#186; 16. Tipo de Actividad F&iacute;sica realizada por los alumnos fuera del horario escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '19.3 Football' || $value->id_respuesta == 84){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '19.4 Basketball' || $value->id_respuesta == 85){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '19.5 NataciÃ³n' || $value->id_respuesta == 86){
						$count3 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '19.6 Baseball' || $value->id_respuesta == 87){
						$count4 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '19.7 Otro' || $value->id_respuesta == 88){
						$count5 += $value->total;
					}
				}
				$total_count = $count1+$count2+$count3+$count4+$count5;
				if($total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));
					$por_4 = round(($count4 * 100) / ($total_count));
					$por_5 = round(($count5 * 100) / ($total_count));

					$total_por = $por_1+$por_2+$por_3+$por_4+$por_5;
				}
				$salida .= "<table class=\"tabla_reportes\">
								<tr>
									<td class=\"enc_reportes\">Tipo de Actividad F&iacute;sica</td>
									<td colspan=\"2\" class=\"enc_reportes\">Ni&ntilde;os, Ni&ntilde;os y
									Adolescentes</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Football</td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Basketball</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Nataci&oacute;n</td>
									<td class=\"lista_reportes\">$count3</td>
									<td class=\"lista_reportes\">$por_3</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Baseball</td>
									<td class=\"lista_reportes\">$count4</td>
									<td class=\"lista_reportes\">$por_4</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Otro</td>
									<td class=\"lista_reportes\">$count5</td>
									<td class=\"lista_reportes\">$por_5</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>TOTAL</strong></td>
									<td class=\"lista_reportes\"><strong>$total_count</strong></td>
									<td class=\"lista_reportes\"><strong>$total_por</strong></td>
								</tr>
							</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;

	}

	public function rFrecuenciaActRealizadaFuera($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;


		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 57 and id_respuesta in (78,79,90)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 17. Frecuencia de Actividad F&iacute;sica realizada por los alumnos fuera del horario escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '20.2 3-4 veces/sem' || $value->id_respuesta == 78){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '20.1 1-2 veces/sem' || $value->id_respuesta == 79){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '20.3 5 veces o mÃ¡s' || $value->id_respuesta == 90){
						$count3 = $value->total;
					}
				}else {
					$salida = "<h2>Cuadro N&#186; 17. Frecuencia de Actividad F&iacute;sica realizada por los alumnos fuera del horario escolar.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '20.2 3-4 veces/sem' || $value->id_respuesta == 78){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '20.1 1-2 veces/sem' || $value->id_respuesta == 79){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '20.3 5 veces o mÃ¡s' || $value->id_respuesta == 90){
						$count3 += $value->total;
					}
				}

				$total_count = $count1+$count2+$count3;
				if($total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));

					$total_por = $por_1+$por_2+$por_3;
				}
				$salida .= "<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td colspan=\"2\" class=\"enc_reportes\">1-2 veces/semana</td>
									<td colspan=\"2\" class=\"enc_reportes\">3-4 veces/semana</td>
									<td colspan=\"2\" class=\"enc_reportes\">5 veces o m&aacute;s</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Ni&ntilde;os, Ni&ntilde;os y Adolescentes</td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
									<td class=\"lista_reportes\">$count3</td>
									<td class=\"lista_reportes\">$por_3</td>
								</tr>
							</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;

	}

	public function rEnfermedad($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$count4 = 0;
		$count5 = 0;
		$count6 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;
		$por_4 = 0;
		$por_5 = 0;
		$por_6 = 0;


		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(descripcion_respuesta_resumen) as total,p.descripcion_patologias, descripcion_respuesta_resumen,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(descripcion_respuesta_resumen) as total,p.descripcion_patologias,descripcion_respuesta_resumen,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 65';
		$criteria->join = 'INNER JOIN nino_sano.t_patologias p ON p.id_patologias = descripcion_respuesta_resumen::integer ';
		$criteria->group = (!empty($cond))? 'p.descripcion_patologias, descripcion_respuesta_resumen, id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'descripcion_respuesta_resumen,p.descripcion_patologias,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 18. Ni&ntilde;os, Ni&ntilde;os y Adolescentes que presentan alguna enfermedad.<br>".$value->descripcion_estado." ".$value_>descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_patologias) == 'Enfermedades del CorazÃ³n' || $value->descripcion_respuesta_resumen == '1'){
						$count1 = $value->total;
					}
					if(strtoupper($value->descripcion_patologias) == 'CÃ¡ncer' || $value->descripcion_respuesta_resumen == '2'){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_patologias) == 'Diabetes' || $value->descripcion_respuesta_resumen == '3'){
						$count3 = $value->total;
					}
					if(strtoupper($value->descripcion_patologias) == 'Alteraciones de TriglicÃ©ridos y/o Colesterol' || $value->descripcion_respuesta_resumen == '4'){
						$count4 = $value->total;
					}

					if(strtoupper($value->descripcion_patologias) == 'Enfremedades del RiÃ±Ã³n' || $value->descripcion_respuesta_resumen == '5'){
						$count5 = $value->total;
					}

					if(strtoupper($value->descripcion_patologias) == 'Ninguna' || $value->descripcion_respuesta_resumen == '6'){
						$count6 = $value->total;
					}



				}else{
					$salida = "<h2>Cuadro N&#186; 18. Ni&ntilde;os, Ni&ntilde;os y Adolescentes que presentan alguna enfermedad.<br>".$value->descripcion_estado." ".$value_>descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_patologias) == 'Enfermedades del CorazÃ³n' || $value->descripcion_respuesta_resumen == '1'){
						$count1 += $value->total;
					}
					if(strtoupper($value->descripcion_patologias) == 'CÃ¡ncer' || $value->descripcion_respuesta_resumen == '2'){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_patologias) == 'Diabetes' || $value->descripcion_respuesta_resumen == '3'){
						$count3 += $value->total;
					}
					if(strtoupper($value->descripcion_patologias) == 'Alteraciones de TriglicÃ©ridos y/o Colesterol' || $value->descripcion_respuesta_resumen == '4'){
						$count4 += $value->total;
					}

					if(strtoupper($value->descripcion_patologias) == 'Enfremedades del RiÃ±Ã³n' || $value->descripcion_respuesta_resumen == '5'){
						$count5 += $value->total;
					}

					if(strtoupper($value->descripcion_patologias) == 'Ninguna' || $value->descripcion_respuesta_resumen == '6'){
						$count6 += $value->total;
					}

				}

				$total_count = $count1+$count2+$count3+$count4+$count5+$count6;
				if($total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));
					$por_4 = round(($count4 * 100) / ($total_count));
					$por_5 = round(($count5 * 100) / ($total_count));
					$por_6 = round(($count6 * 100) / ($total_count));

					$total_por = $por_1+$por_2+$por_3+$por_4+$por_5+$por_6;
				}

				$salida .= "<table class=\"tabla_reportes\">
	<tr>
		<td class=\"enc_reportes\">Enfermedades</td>
		<td colspan=\"2\" class=\"enc_reportes\">Ni&ntilde;os, Ni&ntilde;os y
		Adolescentes</td>
	</tr>
	<tr>
		<td class=\"filas_encuesta_blanco\"></td>
		<td class=\"lista_reportes\">
		<center><strong>N&#186;</strong></center>
		</td>
		<td class=\"lista_reportes\">
		<center><strong>%</strong></center>
		</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Enfermedades del Coraz&oacute;n</td>
		<td class=\"lista_reportes\">$count1</td>
		<td class=\"lista_reportes\">$por_1</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Di&aacute;betes</td>
		<td class=\"lista_reportes\">$count3</td>
		<td class=\"lista_reportes\">$por_3</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Enfermedades del Ri&ntilde;&oacute;n</td>
		<td class=\"lista_reportes\">$count4</td>
		<td class=\"lista_reportes\">$por_4</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">C&aacute;ncer</td>
		<td class=\"lista_reportes\">$count2</td>
		<td class=\"lista_reportes\">$por_2</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Alteraciones de Triglic&eacute;ridos y
		Colesterol</td>
		<td class=\"lista_reportes\">$count5</td>
		<td class=\"lista_reportes\">$por_5</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\">Ninguna</td>
		<td class=\"lista_reportes\">$count6</td>
		<td class=\"lista_reportes\">$por_6</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>TOTAL</strong></td>
		<td class=\"lista_reportes\"><strong>$total_count</strong></td>
		<td class=\"lista_reportes\"><strong>$total_por</strong></td>
	</tr>
</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;

	}

	public function rControlEnfermedad($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 64 and id_respuesta in (200,199)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 19. Ni&ntilde;os, Ni&ntilde;os y Adolescentes que tienen control regular de la Enfermedad que presenta.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 200){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 199){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 19. Ni&ntilde;os, Ni&ntilde;os y Adolescentes que tienen control regular de la Enfermedad que presenta.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 200){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 199){
						$count2 += $value->total;
					}
				}

				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}

				$salida .= "
						<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\"></td>
								<td colspan=\"2\" class=\"enc_reportes\">SI</td>
								<td colspan=\"2\" class=\"enc_reportes\">NO</td>
								<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
							</tr>
							<tr>
								<td class=\"filas_encuesta_blanco\"></td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>N&#186;</strong></center>
								</td>
								<td class=\"lista_reportes\">
								<center><strong>%</strong></center>
								</td>
							</tr>
							<tr>
								<td class=\"lista_reportes\"><strong>Madres, Padres y Representantes que
								suministran merienda escolar a su hijo (a)</strong></td>
								<td class=\"lista_reportes\">$count1</td>
								<td class=\"lista_reportes\">$por_1</td>
								<td class=\"lista_reportes\">$count2</td>
								<td class=\"lista_reportes\">$por_2</td>
								<td class=\"lista_reportes\">";$salida .= $count1 + $count2; $salida.="</td>
								<td class=\"lista_reportes\">";$salida .= $por_1+$por_2; $salida.="</td>
							</tr>
						</table>";
			}
		}else{
			$salida .= "
		<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
		</table>";

		}
		return $salida;
	}

	public function rEnfermedadMesPasado($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$count4 = 0;
		$count5 = 0;
		$count6 = 0;
		$count7 = 0;
		$count8 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;
		$por_4 = 0;
		$por_5 = 0;
		$por_6 = 0;
		$por_7 = 0;
		$por_8 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 63 and id_respuesta in (97,98,99,100,101,102,103,104)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){

					$salida .= "<h2>Cuadro N&#186; 20. Ni&ntilde;os, Ni&ntilde;os y Adolescentes que presentaron alguna enfermedad el mes pasado.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '23.5 SarampiÃ³n' || $value->id_respuesta == 98){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '23.2 Bronquitis' || $value->id_respuesta == 99){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.6 Paludismo' || $value->id_respuesta == 100){
						$count3 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '23.3 NeumonÃ­a' || $value->id_respuesta == 101){
						$count4 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.7 Dengue' || $value->id_respuesta == 102){
						$count5 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.4 Fiebre por mÃ¡s de 3 dÃ­as' || $value->id_respuesta == 103){
						$count6 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.8 Ninguna' || $value->id_respuesta == 104){
						$count7 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.1 Diarrea' || $value->id_respuesta == 97){
						$count8 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 20. Ni&ntilde;os, Ni&ntilde;os y Adolescentes que presentaron alguna enfermedad el mes pasado.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == '23.5 SarampiÃ³n' || $value->id_respuesta == 98){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '23.2 Bronquitis' || $value->id_respuesta == 99){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.6 Paludismo' || $value->id_respuesta == 100){
						$count3 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == '23.3 NeumonÃ­a' || $value->id_respuesta == 101){
						$count4 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.7 Dengue' || $value->id_respuesta == 102){
						$count5 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.4 Fiebre por mÃ¡s de 3 dÃ­as' || $value->id_respuesta == 103){
						$count6 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.8 Ninguna' || $value->id_respuesta == 104){
						$count7 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == '23.1 Diarrea' || $value->id_respuesta == 97){
						$count8 += $value->total;
					}
				}

				$total_count = $count1+$count2+$count3+$count4+$count5+$count6+$count7+$count8;
				if($total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));
					$por_4 = round(($count4 * 100) / ($total_count));
					$por_5 = round(($count5 * 100) / ($total_count));
					$por_6 = round(($count6 * 100) / ($total_count));
					$por_7 = round(($count7 * 100) / ($total_count));
					$por_8 = round(($count8 * 100) / ($total_count));

					$total_por = $por_1+$por_2+$por_3+$por_4+$por_5+$por_6+$por_7+$por_8;
				}
				$salida .= "<table class=\"tabla_reportes\">
								<tr>
									<td class=\"enc_reportes\">Enfermedades</td>
									<td colspan=\"2\" class=\"enc_reportes\">Ni&ntilde;os, Ni&ntilde;os y
									Adolescentes</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Diarrea</td>
									<td class=\"lista_reportes\">$count8</td>
									<td class=\"lista_reportes\">$por_8</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Bronquitis</td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Neumon&iacute;a</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Fiebre por m&aacute;s de 3 d&iacute;as</td>
									<td class=\"lista_reportes\">$count3</td>
									<td class=\"lista_reportes\">$por_3</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Sarampi&oacute;n</td>
									<td class=\"lista_reportes\">$count4</td>
									<td class=\"lista_reportes\">$por_4</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Paludismo</td>
									<td class=\"lista_reportes\">$count5</td>
									<td class=\"lista_reportes\">$por_5</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Dengue</td>
									<td class=\"lista_reportes\">$count6</td>
									<td class=\"lista_reportes\">$por_6</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\">Ninguna</td>
									<td class=\"lista_reportes\">$count7</td>
									<td class=\"lista_reportes\">$por_7</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>TOTAL</strong></td>
									<td class=\"lista_reportes\"><strong>$total_count</strong></td>
									<td class=\"lista_reportes\"><strong>$total_por</strong></td>
								</tr>
							</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;
	}

	public function rFliaConocenRegBasManAlimentos($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$por_1 = 0;
		$por_2 = 0;

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta in (58,59,60,61) and id_respuesta in (201,202,204,205,208,207)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 21. Familias que conocen al menos 3 reglas b&acute;sicas de manipulaci&oacute;n higi&eacute;nica de los alimentos.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 202){
						$count1 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 204){
						$count2 = $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 208){
						$count3 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 201){
						$count4 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO'	|| $value->id_respuesta == 205){
						$count5 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO'|| $value->id_respuesta == 207){
						$count6 = $value->total;
					}

				}else{
					$salida = "<h2>Cuadro N&#186; 21. Familias que conocen al menos 3 reglas b&acute;sicas de manipulaci&oacute;n higi&eacute;nica de los alimentos.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 202){
						$count1 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 204){
						$count2 += $value->total;
					}
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 208){
						$count3 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 201){
						$count4 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO'	|| $value->id_respuesta == 205){
						$count5 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO'|| $value->id_respuesta == 207){
						$count6 += $value->total;
					}
				}

				if ($count1+$count2+$count3 > 3){
					$count_si ++;
				}
				if ($count4+$count5+$count6 < 3){
					$count_no ++;
				}
					
				if($count_si+$count_no != 0){
					$por_1 = round(($count_si * 100) / ($count_si+$count_no));
					$por_2 = round(($count_no * 100) / ($count_si+$count_no));
				}
				$salida .= "
							<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td colspan=\"2\" class=\"enc_reportes\">SI</td>
									<td colspan=\"2\" class=\"enc_reportes\">NO</td>
									<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Familias de los Alumnos</strong></td>
									<td class=\"lista_reportes\">$count_si</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count_no</td>
									<td class=\"lista_reportes\">$por_2</td>
									<td class=\"lista_reportes\">"; $salida .= $count_si + $count_no; $salida .= "</td>
									<td class=\"lista_reportes\">"; $salida .=$por_1+$por_2; $salida .= "</td>
								</tr>
							</table>";
			}
		}else{
			$salida .= "
						<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;
	}

	public function rTrompoAlimento($condicion){
		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;


		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'count(id_respuesta) as total, id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  = 66 and id_respuesta in (210,209)';
		$criteria->group = (!empty($cond))? ' id_respuesta, descripcion_respuesta,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_respuesta, descripcion_respuesta,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {
				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 22. Familias que conocen el Trompo de los Alimentos.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 210){
						$count1 = $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 209){
						$count2 = $value->total;
					}
				}else{
					$salida = "<h2>Cuadro N&#186; 22. Familias que conocen el Trompo de los Alimentos.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
					if(strtoupper($value->descripcion_respuesta) == 'SI' || $value->id_respuesta == 210){
						$count1 += $value->total;
					}
					if (strtoupper($value->descripcion_respuesta) == 'NO' || $value->id_respuesta == 209){
						$count2 += $value->total;
					}
				}

				if($count1+$count2 != 0){
					$por_1 = round(($count1 * 100) / ($count1+$count2));
					$por_2 = round(($count2 * 100) / ($count1+$count2));
				}

				$salida .= "
							<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td colspan=\"2\" class=\"enc_reportes\">SI</td>
									<td colspan=\"2\" class=\"enc_reportes\">NO</td>
									<td colspan=\"2\" class=\"enc_reportes\">TOTAL</td>
								</tr>
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>N&#186;</strong></center>
									</td>
									<td class=\"lista_reportes\">
									<center><strong>%</strong></center>
									</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Familias de los Alumnos</strong></td>
									<td class=\"lista_reportes\">$count1</td>
									<td class=\"lista_reportes\">$por_1</td>
									<td class=\"lista_reportes\">$count2</td>
									<td class=\"lista_reportes\">$por_2</td>
									<td class=\"lista_reportes\">"; $salida .=$count1 + $count2; $salida.="</td>
									<td class=\"lista_reportes\">"; $salida .=$por_1+$por_2; $salida.="</td>
								</tr>
							</table>";
			}
		}else{
			$salida .= "
		<table class=\"tabla_reportes\">
			<tr>
				<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
			</tr>
	</table>";

		}
		return $salida;
	}

	public function rPromedioIngresos($condicion){
		$salida = "";

		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? '((sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'),\'999999999\'))  * 100) / (select sum(to_number(regexp_replace(descripcion_respuesta_resumen,\'[.]\',\'\',\'g\'),\'999999999\')) from "nino_sano"."v_reportes" "t" WHERE  id_pregunta  in (68,69) and id_respuesta in (111,211) )) as por_dca,count(cedula_persona) as nro_flia,(sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) / count(*)) as promedio_ingreso_alimento,
((select sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) from "nino_sano"."v_reportes" "t" WHERE  id_pregunta  in (68,69) and
id_respuesta in (111,211))  / count(*)) as promedio_ingreso,
(((select sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) from "nino_sano"."v_reportes" "t" WHERE  id_pregunta  in (68,69) and
id_respuesta in (111,211))  / count(*)) - (sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) / count(*))) as otros_servicios,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :
							'((sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'),\'999999999\'))  * 100) / (select sum(to_number(regexp_replace(descripcion_respuesta_resumen,\'[.]\',\'\',\'g\'),\'999999999\')) from "nino_sano"."v_reportes" "t" WHERE  id_pregunta  in (68,69) and id_respuesta in (111,211) )) as por_dca,count(cedula_persona) as nro_flia,(sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) / count(*)) as promedio_ingreso_alimento,
((select sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) from "nino_sano"."v_reportes" "t" WHERE  id_pregunta  in (68,69) and
id_respuesta in (111,211))  / count(*)) as promedio_ingreso,
(((select sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) from "nino_sano"."v_reportes" "t" WHERE  id_pregunta  in (68,69) and
id_respuesta in (111,211))  / count(*)) - (sum(to_number(regexp_replace(descripcion_respuesta_resumen, \'[.]\',\'\',\'g\'), \'999999999\')) / count(*))) as otros_servicios,id_estado,descripcion_estado';
		$criteria->condition = $cond.' id_pregunta  in (67) and id_respuesta in (111)';
		$criteria->group = (!empty($cond))? 'id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {

				$salida .= "<h2>Cuadro N&#186; 23. Promedio del Ingreso Familiar destinado a la compra de Alimentos.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";

				$salida .= "<table class=\"tabla_reportes\">
								<tr>									
									<td class=\"enc_reportes\">% de ingreso destinado a la compra de
									alimentos</td>
									<td class=\"enc_reportes\">Total de familias encuestadas</td>									
								</tr>								
								<tr>									
									<td class=\"lista_reportes\">".number_format($value->por_dca,2)."</td>
									<td class=\"lista_reportes\">".$value->nro_flia."</td>									
								</tr>
							</table>
							
							<table class=\"tabla_reportes\">
								<tr>
									<td class=\"filas_encuesta_blanco\"></td>
									<td class=\"enc_reportes\">Promedio del Ingreso</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Alimentos</strong></td>
									<td class=\"lista_reportes\">".number_format($value->promedio_ingreso_alimento,2)."</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>Otros Bienes y Servicios</strong></td>
									<td class=\"lista_reportes\">".number_format($value->otros_servicios,2)."</td>
								</tr>
								<tr>
									<td class=\"lista_reportes\"><strong>TOTAL</strong></td>
									<td class=\"lista_reportes\">".number_format($value->promedio_ingreso,2)."</td>
								</tr>
							</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;
	}

	public function rEscalaSeguridadAlimentaria($condicion){

		$salida = "";
		$count1 = 0;
		$count2 = 0;
		$count3 = 0;
		$por_1 = 0;
		$por_2 = 0;
		$por_3 = 0;


		$cond = ((!empty($condicion))? $condicion." AND " : $condicion);

		$criteria = new CDbCriteria;
		$criteria->select = (!empty($cond))? 'case when sum(e.interpretacion_escala_alimentaria) = 0 then \'Seguridad Alimentaria\' else
	case when sum(e.interpretacion_escala_alimentaria) >= 1 AND sum(e.interpretacion_escala_alimentaria) <= 12 then \'Leve Inseguridad\' else
		case when sum(e.interpretacion_escala_alimentaria) >= 13 AND sum(e.interpretacion_escala_alimentaria) <= 24 then \'Moderada Inseguridad\' else
			case when sum(e.interpretacion_escala_alimentaria) >=25 then \'Severamente Inseguro\' end
			end
		end
	end as interpretacion,
	cedula_persona,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'case when sum(e.interpretacion_escala_alimentaria) = 0 then \'Seguridad Alimentaria\' else
	case when sum(e.interpretacion_escala_alimentaria) >= 1 AND sum(e.interpretacion_escala_alimentaria) <= 12 then \'Leve Inseguridad\' else
		case when sum(e.interpretacion_escala_alimentaria) >= 13 AND sum(e.interpretacion_escala_alimentaria) <= 24 then \'Moderada Inseguridad\' else
			case when sum(e.interpretacion_escala_alimentaria) >=25 then \'Severamente Inseguro\' end
			end
		end
	end as interpretacion,
	cedula_persona,id_estado,descripcion_estado';
		$criteria->join = 'INNER JOIN nino_sano.t_escala_alimentaria e ON e.id_escala_alimentaria = descripcion_respuesta_resumen::integer ';
		$criteria->condition = $cond.' id_pregunta  = 55';
		$criteria->group = (!empty($cond))? 'cedula_persona,id_encuesta,id_organismo,organismo, id_estado, id_parroquia, id_municipio,id_localidad,id_microarea, descripcion_estado, descripcion_municipio,descripcion_parroquia,descripcion_localidad,descripcion_microarea' :'cedula_persona,id_estado,descripcion_estado';

		$resultado = VReportes::model()->findAll($criteria);

		if (count($resultado)>0){

			foreach ($resultado as $i => $value) {

				if ($i == 0){
					$estado = $resultado[$i]->id_estado;
				}else {
					$estado = $resultado[$i-1]->id_estado;
				}

				if (($value->id_estado != $estado) || $i==0 ){
					$salida .= "<h2>Cuadro N&#186; 24. Distribuci&oacute;n porcentual de las familias seg&uacute;n nivel de seguridad alimentaria.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
				}else{
					$salida = "<h2>Cuadro N&#186; 24. Distribuci&oacute;n porcentual de las familias seg&uacute;n nivel de seguridad alimentaria.<br>".$value->descripcion_estado." ".$value->descripcion_municipio." ".$value->descripcion_parroquia."</h2>";
				}
				if (strtoupper($value->interpretacion) == 'SEGURIDAD ALIMENTARIA'){
					$count1 ++;
				}
				if (strtoupper($value->interpretacion) == 'LEVE INSEGURIDAD'){
					$count2 ++;
				}
				if (strtoupper($value->interpretacion) == 'MODERADA INSEGURIDAD'){
					$count3 ++;
				}
				if (strtoupper($value->interpretacion) == 'SEVERAMENTE INSEGURO'){
					$count4 ++;
				}
				$total_count = $count1+$count2+$count3+$count4;
				if( $total_count != 0){
					$por_1 = round(($count1 * 100) / ($total_count));
					$por_2 = round(($count2 * 100) / ($total_count));
					$por_3 = round(($count3 * 100) / ($total_count));
					$por_4 = round(($count4 * 100) / ($total_count));
					$total_por = $por_1+$por_2+$por_3+$por_4;
				}

				$salida .= "<table class=\"tabla_reportes\">
	<tr>
		<td  class=\"enc_reportes\">Nivel de Seguridad Alimentaria</td>
		<td class=\"enc_reportes\">N&#186;</td>
		<td class=\"enc_reportes\">%</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>Severamente Inseguro</strong></td>
		<td class=\"lista_reportes\">$count4</td>
		<td class=\"lista_reportes\">$por_4</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>Moderada Inseguridad</strong></td>
		<td class=\"lista_reportes\">$count3</td>
		<td class=\"lista_reportes\">$por_3</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>Leve Inseguridad</strong></td>
		<td class=\"lista_reportes\">$count2</td>
		<td class=\"lista_reportes\">$por_2</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>Seguridad Alimentaria</strong></td>
		<td class=\"lista_reportes\">$count1</td>
		<td class=\"lista_reportes\">$por_1</td>
	</tr>
	<tr>
		<td class=\"lista_reportes\"><strong>TOTAL</strong></td>
		<td class=\"lista_reportes\"><strong>$total_count</strong></td>
		<td class=\"lista_reportes\"><strong>$total_por</strong></td>
	</tr>
</table>";
			}
		}else{

			$salida .= "<table class=\"tabla_reportes\">
							<tr>
								<td class=\"filas_encuesta_blanco\">No existe Informaci&oacute;n</td>				
							</tr>
						</table>";
		}
		return $salida;
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_rango' => 'Rango',
			'id_ninos_adolescentes' => 'Id Ninos Adolescentes',
			'id_representante' => 'Id Representante',
			'fecha_ninos_adolescentes' => 'Fecha Ninos Adolescentes',
			'id_persona' => 'Id Persona',
			'cedula_persona' => 'Cedula Persona',
			'nombre_persona' => 'Nombre Persona',
			'apellido_persona' => 'Apellido Persona',
			'fecha_persona' => 'Fecha Persona',
			'estatus_persona' => 'Estatus Persona',
			'id_tipo_identificacion' => 'Id Tipo Identificacion',
			'descripcion_tipo_identificacion' => 'Descripcion Tipo Identificacion',
			'siglas_tipo' => 'Siglas Tipo',
			'tipo_identificacion_estatus' => 'Tipo Identificacion Estatus',
			'id_genero' => 'Id Genero',
			'descripcion_genero' => 'Descripcion Genero',
			'genero_estatus' => 'Genero Estatus',
			'id_cabecera_nino' => 'Id Cabecera Nino',
			'id_docente' => 'Id Docente',
			'id_grado' => 'Id Grado',
			'id_seccion' => 'Id Seccion',
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'id_requerimiento_calorico' => 'Id Requerimiento Calorico',
			'id_cabecera_relacion' => 'Id Cabecera Relacion',
			'cabecera_nino_estatus' => 'Cabecera Nino Estatus',
			'id_organismo' => 'Organismo',
			'id_cabecera' => 'Id Cabecera',
			'estado_cabecera' => 'Estado Cabecera',
			'cabecera_estatus' => 'Cabecera Estatus',
			'id_usuario' => 'Id Usuario',
			'id_encuesta' => 'Id Encuesta',
			'nombre_encuesta' => 'Nombre Encuesta',
			'descripcion_encuesta' => 'Descripcion Encuesta',
			'id_tipo_encuesta' => 'Id Tipo Encuesta',
			'fecha_encuesta' => 'Fecha Encuesta',
			'encuesta_estatus' => 'Encuesta Estatus',
			'fecha_inicio' => 'Fecha Inicio',
			'fecha_fin' => 'Fecha Fin',
			'encuesta_padre' => 'Encuesta Padre',
			'id_secciones' => 'Id Secciones',
			'id_pregunta' => 'Id Pregunta',
			'id_respuesta' => 'Id Respuesta',
			'descripcion_respuesta_resumen' => 'Descripcion Respuesta Resumen',
			'fecha_resumen_encuesta' => 'Fecha Resumen Encuesta',
			'descripcion_secciones' => 'Descripcion Secciones',
			'descripcion_pregunta' => 'Descripcion Pregunta',
			'pregunta_estatus' => 'Pregunta Estatus',
			'descripcion_respuesta' => 'Descripcion Respuesta',
			'id_tipo_respuesta' => 'Id Tipo Respuesta',
			'descripcion_tipo_respuesta' => 'Descripcion Tipo Respuesta',
			'nombre_modelo' => 'Nombre Modelo',
			'fecha_tipo_respuesta' => 'Fecha Tipo Respuesta',
			'tipo_respuesta_estatus' => 'Tipo Respuesta Estatus',
			'organismo' => 'Organismo',
			'id_microarea' => 'Microarea',
			'id_localidad' => 'Localidad',
			'id_parroquia' => 'Parroquia',
			'id_municipio' => 'Municipio',
			'id_estado' => 'Estado',
			'descripcion_microarea' => 'Descripcion Microarea',
			'descripcion_localidad' => 'Descripcion Localidad',
			'descripcion_parroquia' => 'Descripcion Parroquia',
			'descripcion_municipio' => 'Descripcion Municipio',
			'descripcion_estado' => 'Descripcion Estado',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_ninos_adolescentes',$this->id_ninos_adolescentes);

		$criteria->compare('id_representante',$this->id_representante);

		$criteria->compare('fecha_ninos_adolescentes',$this->fecha_ninos_adolescentes,true);

		$criteria->compare('id_persona',$this->id_persona);

		$criteria->compare('cedula_persona',$this->cedula_persona,true);

		$criteria->compare('nombre_persona',$this->nombre_persona,true);

		$criteria->compare('apellido_persona',$this->apellido_persona,true);

		$criteria->compare('fecha_persona',$this->fecha_persona,true);

		$criteria->compare('estatus_persona',$this->estatus_persona);

		$criteria->compare('id_tipo_identificacion',$this->id_tipo_identificacion);

		$criteria->compare('descripcion_tipo_identificacion',$this->descripcion_tipo_identificacion,true);

		$criteria->compare('siglas_tipo',$this->siglas_tipo,true);

		$criteria->compare('tipo_identificacion_estatus',$this->tipo_identificacion_estatus);

		$criteria->compare('id_genero',$this->id_genero);

		$criteria->compare('descripcion_genero',$this->descripcion_genero,true);

		$criteria->compare('genero_estatus',$this->genero_estatus);

		$criteria->compare('id_cabecera_nino',$this->id_cabecera_nino);

		$criteria->compare('id_docente',$this->id_docente);

		$criteria->compare('id_grado',$this->id_grado);

		$criteria->compare('id_seccion',$this->id_seccion);

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('id_requerimiento_calorico',$this->id_requerimiento_calorico);

		$criteria->compare('id_cabecera_relacion',$this->id_cabecera_relacion);

		$criteria->compare('cabecera_nino_estatus',$this->cabecera_nino_estatus);

		$criteria->compare('id_organismo',$this->id_organismo);

		$criteria->compare('id_cabecera',$this->id_cabecera);

		$criteria->compare('estado_cabecera',$this->estado_cabecera,true);

		$criteria->compare('cabecera_estatus',$this->cabecera_estatus);

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('nombre_encuesta',$this->nombre_encuesta,true);

		$criteria->compare('descripcion_encuesta',$this->descripcion_encuesta,true);

		$criteria->compare('id_tipo_encuesta',$this->id_tipo_encuesta);

		$criteria->compare('fecha_encuesta',$this->fecha_encuesta,true);

		$criteria->compare('encuesta_estatus',$this->encuesta_estatus);

		$criteria->compare('fecha_inicio',$this->fecha_inicio,true);

		$criteria->compare('fecha_fin',$this->fecha_fin,true);

		$criteria->compare('encuesta_padre',$this->encuesta_padre);

		$criteria->compare('id_secciones',$this->id_secciones);

		$criteria->compare('id_pregunta',$this->id_pregunta);

		$criteria->compare('id_respuesta',$this->id_respuesta);

		$criteria->compare('descripcion_respuesta_resumen',$this->descripcion_respuesta_resumen,true);

		$criteria->compare('fecha_resumen_encuesta',$this->fecha_resumen_encuesta,true);

		$criteria->compare('descripcion_secciones',$this->descripcion_secciones,true);

		$criteria->compare('descripcion_pregunta',$this->descripcion_pregunta,true);

		$criteria->compare('pregunta_estatus',$this->pregunta_estatus);

		$criteria->compare('descripcion_respuesta',$this->descripcion_respuesta,true);

		$criteria->compare('id_tipo_respuesta',$this->id_tipo_respuesta);

		$criteria->compare('descripcion_tipo_respuesta',$this->descripcion_tipo_respuesta,true);

		$criteria->compare('nombre_modelo',$this->nombre_modelo,true);

		$criteria->compare('fecha_tipo_respuesta',$this->fecha_tipo_respuesta,true);

		$criteria->compare('tipo_respuesta_estatus',$this->tipo_respuesta_estatus);

		$criteria->compare('organismo',$this->organismo,true);

		$criteria->compare('id_microarea',$this->id_microarea,true);

		$criteria->compare('id_localidad',$this->id_localidad,true);

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		$criteria->compare('id_municipio',$this->id_municipio,true);

		$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('descripcion_microarea',$this->descripcion_microarea,true);

		$criteria->compare('descripcion_localidad',$this->descripcion_localidad,true);

		$criteria->compare('descripcion_parroquia',$this->descripcion_parroquia,true);

		$criteria->compare('descripcion_municipio',$this->descripcion_municipio,true);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
?>