<?php

/**
 * This is the model class for table "nino_sano.v_resultados_ninos".
 *
 * The followings are the available columns in table 'nino_sano.v_resultados_ninos':
 * @property integer $id_resultado_ninos
 * @property double $peso_talla
 * @property double $peso_edad
 * @property double $talla_edad
 * @property integer $id_peso_talla
 * @property string $interpretacion_pt
 * @property integer $id_peso_edad
 * @property string $interpretacion_pe
 * @property integer $id_talla_edad
 * @property string $interpretacion_te
 * @property integer $id_peso_talla_pci
 * @property string $interpretacion_pt_pci
 * @property integer $id_peso_edad_pci
 * @property string $interpretacion_pe_pci
 * @property integer $id_talla_edad_pci
 * @property string $interpretacion_te_pci
 * @property integer $id_interpretacion_combinada
 * @property string $interpretacion_combinada
 * @property integer $id_diagnostico_presuntivo
 * @property string $diagnostico_presuntivo
 * @property integer $id_persona
 * @property string $cedula_persona
 * @property string $nombre_nino
 * @property integer $id_genero
 * @property string $sexo
 * @property string $fecha_nacimiento
 * @property integer $id_datos_sujeto
 * @property string $fecha_transcripcion
 * @property string $fecha_consulta
 * @property double $peso
 * @property double $talla
 * @property integer $id_organismo
 * @property string $organismo
 * @property string $tipo_red
 * @property string $descripcion_tipo_organismo
 * @property string $id_microarea
 * @property string $descripcion_microarea
 * @property string $id_localidad
 * @property string $descripcion_localidad
 * @property string $id_parroquia
 * @property string $descripcion_parroquia
 * @property string $id_municipio
 * @property string $descripcion_municipio
 * @property string $id_estado
 * @property string $descripcion_estado
 * @property string $periodo_tabs
 * @property integer $id_encuesta
 * @property string $nombre_encuesta
 * @property integer $id_tipo_encuesta
 * @property string $nombre_tipo_encuesta
 * @property double $anios
 * @property double $meses
 * @property double $dias
 * @property integer $id_cabecera
 * @property integer $id_cabecera_relacion
 * @property integer $id_requerimiento_calorico
 */
class VResultadosNinos extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VResultadosNinos the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'nino_sano.v_resultados_ninos';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_resultado_ninos, id_peso_talla, id_peso_edad, id_talla_edad, id_peso_talla_pci, id_peso_edad_pci, id_talla_edad_pci, id_interpretacion_combinada, id_diagnostico_presuntivo, id_persona, id_genero, id_datos_sujeto, id_organismo, id_encuesta, id_tipo_encuesta, id_cabecera, id_cabecera_relacion, id_requerimiento_calorico', 'numerical', 'integerOnly'=>true),
			array('peso_talla, peso_edad, talla_edad, peso, talla, anios, meses, dias', 'numerical'),
			array('cedula_persona', 'length', 'max'=>20),
			array('id_microarea', 'length', 'max'=>14),
			array('descripcion_microarea, descripcion_localidad, descripcion_parroquia, descripcion_municipio, descripcion_estado', 'length', 'max'=>50),
			array('id_localidad', 'length', 'max'=>10),
			array('id_parroquia', 'length', 'max'=>6),
			array('id_municipio, id_estado', 'length', 'max'=>4),
			array('nombre_encuesta, nombre_tipo_encuesta', 'length', 'max'=>100),
			array('interpretacion_pt, interpretacion_pe, interpretacion_te, interpretacion_pt_pci, interpretacion_pe_pci, interpretacion_te_pci, interpretacion_combinada, diagnostico_presuntivo, nombre_nino, sexo, fecha_nacimiento, fecha_transcripcion, fecha_consulta, organismo, tipo_red, descripcion_tipo_organismo, periodo_tabs', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_resultado_ninos, peso_talla, peso_edad, talla_edad, id_peso_talla, interpretacion_pt, id_peso_edad, interpretacion_pe, id_talla_edad, interpretacion_te, id_peso_talla_pci, interpretacion_pt_pci, id_peso_edad_pci, interpretacion_pe_pci, id_talla_edad_pci, interpretacion_te_pci, id_interpretacion_combinada, interpretacion_combinada, id_diagnostico_presuntivo, diagnostico_presuntivo, id_persona, cedula_persona, nombre_nino, id_genero, sexo, fecha_nacimiento, id_datos_sujeto, fecha_transcripcion, fecha_consulta, peso, talla, id_organismo, organismo, tipo_red, descripcion_tipo_organismo, id_microarea, descripcion_microarea, id_localidad, descripcion_localidad, id_parroquia, descripcion_parroquia, id_municipio, descripcion_municipio, id_estado, descripcion_estado, periodo_tabs, id_encuesta, nombre_encuesta, id_tipo_encuesta, nombre_tipo_encuesta, anios, meses, dias, id_cabecera, id_cabecera_relacion, id_requerimiento_calorico', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_resultado_ninos' => 'Id Resultado Ninos',
			'peso_talla' => 'Peso Talla',
			'peso_edad' => 'Peso Edad',
			'talla_edad' => 'Talla Edad',
			'id_peso_talla' => 'Id Peso Talla',
			'interpretacion_pt' => 'Interpretacion Pt',
			'id_peso_edad' => 'Id Peso Edad',
			'interpretacion_pe' => 'Interpretacion Pe',
			'id_talla_edad' => 'Id Talla Edad',
			'interpretacion_te' => 'Interpretacion Te',
			'id_peso_talla_pci' => 'Id Peso Talla Pci',
			'interpretacion_pt_pci' => 'Interpretacion Pt Pci',
			'id_peso_edad_pci' => 'Id Peso Edad Pci',
			'interpretacion_pe_pci' => 'Interpretacion Pe Pci',
			'id_talla_edad_pci' => 'Id Talla Edad Pci',
			'interpretacion_te_pci' => 'Interpretacion Te Pci',
			'id_interpretacion_combinada' => 'Id Interpretacion Combinada',
			'interpretacion_combinada' => 'Interpretacion Combinada',
			'id_diagnostico_presuntivo' => 'Id Diagnostico Presuntivo',
			'diagnostico_presuntivo' => 'Diagnostico Presuntivo',
			'id_persona' => 'Id Persona',
			'cedula_persona' => 'Cedula Persona',
			'nombre_nino' => 'Nombre Nino',
			'id_genero' => 'Id Genero',
			'sexo' => 'Sexo',
			'fecha_nacimiento' => 'Fecha Nacimiento',
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'fecha_transcripcion' => 'Fecha Transcripcion',
			'fecha_consulta' => 'Fecha Consulta',
			'peso' => 'Peso',
			'talla' => 'Talla',
			'id_organismo' => 'Id Organismo',
			'organismo' => 'Organismo',
			'tipo_red' => 'Tipo Red',
			'descripcion_tipo_organismo' => 'Descripcion Tipo Organismo',
			'id_microarea' => 'Id Microarea',
			'descripcion_microarea' => 'Descripcion Microarea',
			'id_localidad' => 'Id Localidad',
			'descripcion_localidad' => 'Descripcion Localidad',
			'id_parroquia' => 'Id Parroquia',
			'descripcion_parroquia' => 'Descripcion Parroquia',
			'id_municipio' => 'Id Municipio',
			'descripcion_municipio' => 'Descripcion Municipio',
			'id_estado' => 'Id Estado',
			'descripcion_estado' => 'Descripcion Estado',
			'periodo_tabs' => 'Periodo Tabs',
			'id_encuesta' => 'Id Encuesta',
			'nombre_encuesta' => 'Nombre Encuesta',
			'id_tipo_encuesta' => 'Id Tipo Encuesta',
			'nombre_tipo_encuesta' => 'Nombre Tipo Encuesta',
			'anios' => 'Anios',
			'meses' => 'Meses',
			'dias' => 'Dias',
			'id_cabecera' => 'Id Cabecera',
			'id_cabecera_relacion' => 'Id Cabecera Relacion',
			'id_requerimiento_calorico' => 'Id Requerimiento Calorico',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_resultado_ninos',$this->id_resultado_ninos);

		$criteria->compare('peso_talla',$this->peso_talla);

		$criteria->compare('peso_edad',$this->peso_edad);

		$criteria->compare('talla_edad',$this->talla_edad);

		$criteria->compare('id_peso_talla',$this->id_peso_talla);

		$criteria->compare('interpretacion_pt',$this->interpretacion_pt,true);

		$criteria->compare('id_peso_edad',$this->id_peso_edad);

		$criteria->compare('interpretacion_pe',$this->interpretacion_pe,true);

		$criteria->compare('id_talla_edad',$this->id_talla_edad);

		$criteria->compare('interpretacion_te',$this->interpretacion_te,true);

		$criteria->compare('id_peso_talla_pci',$this->id_peso_talla_pci);

		$criteria->compare('interpretacion_pt_pci',$this->interpretacion_pt_pci,true);

		$criteria->compare('id_peso_edad_pci',$this->id_peso_edad_pci);

		$criteria->compare('interpretacion_pe_pci',$this->interpretacion_pe_pci,true);

		$criteria->compare('id_talla_edad_pci',$this->id_talla_edad_pci);

		$criteria->compare('interpretacion_te_pci',$this->interpretacion_te_pci,true);

		$criteria->compare('id_interpretacion_combinada',$this->id_interpretacion_combinada);

		$criteria->compare('interpretacion_combinada',$this->interpretacion_combinada,true);

		$criteria->compare('id_diagnostico_presuntivo',$this->id_diagnostico_presuntivo);

		$criteria->compare('diagnostico_presuntivo',$this->diagnostico_presuntivo,true);

		$criteria->compare('id_persona',$this->id_persona);

		$criteria->compare('cedula_persona',$this->cedula_persona,true);

		$criteria->compare('nombre_nino',$this->nombre_nino,true);

		$criteria->compare('id_genero',$this->id_genero);

		$criteria->compare('sexo',$this->sexo,true);

		$criteria->compare('fecha_nacimiento',$this->fecha_nacimiento,true);

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('fecha_transcripcion',$this->fecha_transcripcion,true);

		$criteria->compare('fecha_consulta',$this->fecha_consulta,true);

		$criteria->compare('peso',$this->peso);

		$criteria->compare('talla',$this->talla);

		$criteria->compare('id_organismo',$this->id_organismo);

		$criteria->compare('organismo',$this->organismo,true);

		$criteria->compare('tipo_red',$this->tipo_red,true);

		$criteria->compare('descripcion_tipo_organismo',$this->descripcion_tipo_organismo,true);

		$criteria->compare('id_microarea',$this->id_microarea,true);

		$criteria->compare('descripcion_microarea',$this->descripcion_microarea,true);

		$criteria->compare('id_localidad',$this->id_localidad,true);

		$criteria->compare('descripcion_localidad',$this->descripcion_localidad,true);

		$criteria->compare('id_parroquia',$this->id_parroquia,true);

		$criteria->compare('descripcion_parroquia',$this->descripcion_parroquia,true);

		$criteria->compare('id_municipio',$this->id_municipio,true);

		$criteria->compare('descripcion_municipio',$this->descripcion_municipio,true);

		$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('descripcion_estado',$this->descripcion_estado,true);

		$criteria->compare('periodo_tabs',$this->periodo_tabs,true);

		$criteria->compare('id_encuesta',$this->id_encuesta);

		$criteria->compare('nombre_encuesta',$this->nombre_encuesta,true);

		$criteria->compare('id_tipo_encuesta',$this->id_tipo_encuesta);

		$criteria->compare('nombre_tipo_encuesta',$this->nombre_tipo_encuesta,true);

		$criteria->compare('anios',$this->anios);

		$criteria->compare('meses',$this->meses);

		$criteria->compare('dias',$this->dias);

		$criteria->compare('id_cabecera',$this->id_cabecera);

		$criteria->compare('id_cabecera_relacion',$this->id_cabecera_relacion);

		$criteria->compare('id_requerimiento_calorico',$this->id_requerimiento_calorico);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}