<?php

class UsuarioController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','admin'),
				'roles'=>array('Basico'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','update'),
				'roles'=>array('Administrador'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 * @param integer $id the ID of the model to be displayed
	 */
	public function actionView($id)
	{
		$this->render('view',array(
			'model'=>$this->loadModel($id),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Usuario;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		
               /*        if(isset($_POST['Usuario']))
                {
                        $model->attributes=$_POST['Usuario'];
                        if($model->save())
                                $this->redirect(array('view','id'=>$model->id));
                }

                $this->render('create',array(
                        'model'=>$model,
                ));*/
                
                
                if(isset($_POST['Usuario']))
		{
			$model->attributes=$_POST['Usuario'];
                        $model->password=md5($model->password);
			if($model->save()){
                            $sql='select nombre_perfil from maquinaria.perfil where id='.$model->id_perfil.'';
                                $connection=Yii::app()->db;                    
                                $command=$connection->createCommand($sql); 
                                $row=$command->queryAll();  
                                $nombre_perfil=$row[0]['nombre_perfil']; 
                              /*   
                                $id=Yii::app()->user->id;   
                                                    
                           /* $sql='insert into usuario (username,password,id_perfil) values 
                                (\''.$model->username.'\',\''.md5($model->password).'\','.$model->id_perfil.');';
                                $connection=Yii::app()->db;                    
                                $command=$connection->createCommand($sql); 
                                $row=$command->queryAll(); */
                                
                            $sql='insert into "AuthAssignment" (itemname,userid,data) values (\''.$nombre_perfil.'\',\''.$model->id.'\',\'N;\');';
                                $connection=Yii::app()->db;                    
                                $command=$connection->createCommand($sql); 
                                $row=$command->queryAll(); 
                          
				//$this->redirect(array('view','id'=>$model->id));
				$this->redirect(array('usuario/admin'));
                        }	}

		$this->render('create',array(
			'model'=>$model,
		));
	}
	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 * @param integer $id the ID of the model to be updated
	 */
	public function actionUpdate($id)
	{
		$model=$this->loadModel($id);

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		
                
                 /* if(isset($_POST['Usuario']))
                {
                        $model->attributes=$_POST['Usuario'];
                        if($model->save())
                                $this->redirect(array('view','id'=>$model->id));
                }

                $this->render('update',array(
                        'model'=>$model,
                ));*/
                
                if(isset($_POST['Usuario']))
		{
			$model->attributes=$_POST['Usuario'];
                        $model->password=md5($model->password);
			if($model->save()){
                             $sql='select nombre_perfil from maquinaria.perfil where id='.$model->id_perfil.'';
                                $connection=Yii::app()->db;                    
                                $command=$connection->createCommand($sql); 
                                $row=$command->queryAll();  
                                $nombre_perfil=$row[0]['nombre_perfil'];
                            
                               $id=Yii::app()->user->id;   
                       
                             $sql='update "AuthAssignment" set itemname=
                                 \''.$nombre_perfil.'\' where userid=\''.$model->id.'\';';
                                $connection=Yii::app()->db;                    
                                $command=$connection->createCommand($sql); 
                                $row=$command->queryAll();  
				//$this->redirect(array('view','id'=>$model->id));
                                $this->redirect(array('usuario/admin'));
		}} 

		$this->render('update',array(
			'model'=>$model,
		));
	}


	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'admin' page.
	 * @param integer $id the ID of the model to be deleted
	 */
	public function actionDelete($id)
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel($id)->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid petición. Por favor, no repita esta solicitud de nuevo.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('Usuario');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Usuario('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Usuario']))
			$model->attributes=$_GET['Usuario'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer the ID of the model to be loaded
	 */
	public function loadModel($id)
	{
		$model=Usuario::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'La página solicitada no existe.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='usuario-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
