<?php

class VerificacionController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	//public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}

	/**
	 * Specifies the access control rules.
	 * This method is used by the 'accessControl' filter.
	 * @return array access control rules
	 */
	public function accessRules()
	{
		return array(
			array('allow',  // allow all users to perform 'index' and 'view' actions
				'actions'=>array('index','view','ipdf','pdf','pdfh','Patologia','Prov','Historico','BuscarTitular','Guardard','BuscarBenef'),
				'users'=>array('*'),
			),
			array('allow', // allow authenticated user to perform 'create' and 'update' actions
				'actions'=>array('create','update','ipdf','pdf','pdfh','Patologia','Prov','Historico','BuscarTitular','Guardard','BuscarBenef'),
				'users'=>array('@'),
			),
			array('allow', // allow admin user to perform 'admin' and 'delete' actions
				'actions'=>array('admin','delete','ipdf','pdf','pdfh','Patologia','Prov','Historico','BuscarTitular','Guardard','BuscarBenef'),
				'users'=>array('admin'),
			),
			array('deny',  // deny all users
				'users'=>array('*'),
			),
		);
	}

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	
	public function actionPatologia() 
 {       { 
 	     $term = $_POST['term'];
		 // if (SUBSTR($term,1,2)=='02') {$print_r($term);}
		 $criteria = new CDbCriteria;
         $criteria->condition = "LOWER(nomdiag) like LOWER(:term)";
         $criteria->params = array(':term'=> '%'.$_GET['term'].'%');
         $criteria->limit = 30;
         $data = Diagnostico::model()->findAll($criteria);
         $arr = array();
         foreach ($data as $item) {
         $arr[] = array(
         'id' => $item->coddiag,
         'value' => $item->nomdiag,

                       );

		 //echo "<script> alert('¡Debe ingresar el Nro de Documento!') </script>";                         }
        }
         echo CJSON::encode($arr);



         //$this->actionBuscarBenef();
         //echo "<script> alert('¡Debe ingresar el Nro de Documento!') </script>";
					
 }}     
  
  
       public function actionProv()
	{           
		if ($_POST['id_estado']!=""){
                         $data=Proveedores::model()->findAll('id_estado=\''.$_POST['id_estado'].'\'');
	 
				
	    		echo $data=CHtml::listData($data,'codprov','descprov');
	    		echo CHtml::tag('option',array('value'=>''),'Seleccione >>',true);
			   	foreach($data as $value=>$name)
			    {
			        echo CHtml::tag('option',
			                   array('value'=>$value),CHtml::encode($name),true);
			    	
			     
                             }
                               
			   
		}else{
			
		    	echo CHtml::tag('option',array('value'=>''),'Seleccione >>',true);
		}
            	
				 }
				 
	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		
		{echo "<script type=\"text/javascript\">
                             alert('¡Debe Seleccionar un Beneficiario!');
		             </script>";}
		$model=new Verificacion;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);


		
		if(isset($_POST['Verificacion']))
		{
			$model->attributes=$_POST['Verificacion'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->codsin));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['Verificacion']))
		{
			$model->attributes=$_POST['Verificacion'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->codsin));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	/*public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('Verificacion');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}*/

	/**
	 * Manages all models.
	 */
	public function actionIndex()
	{
		/*$dataProvider=new CActiveDataProvider('Siniestro');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));*/
        $this->redirect(Yii::app()->createUrl('Procesos/verificacion/create'));
        
        echo $model;
	}

	public function actionAdmin()
	{
		$model=new Verificacion('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Verificacion']))
			$model->attributes=$_GET['Verificacion'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}
 
     
     public function actionPdf()
    {   
        //$id = '216';
        $this->render('pdf',array(
            //'model'=>$this->loadModel(findAll()),
        	'model'=>$this->loadModel($id),
        	//'model'=>$model,
        ));

    }
	
	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=Verificacion::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='verificacion-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}

	
	  public function actionPdfh()
    {   
        $this->render('pdfh',array(
        	'model'=>$this->loadModel($idsin),
        ));

    }
  
  
     public function actionImprimir()
    {  
       //echo 'hello moto';
         echo "<script>document.getElementById('Siniestro_nrosin').value = '".$ndoc."'; </script>";
     

    }	
////////////////////////////guardar es para imprimir//////////////////////////
         /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 //	     Function   : Guardard
 //	     Access     : public
 //	     Arguments  : codemp, cedula, cedb, fecrec, femi, mtoe, mtop, mtoa,mtos, mtosn, mtoc, nrosin,fact,obs,coddiag,prov,servicio,codtserv
 //	     Returns    : o_datos_personal True si se cumple la condición busqueda de cedula ó False si no se cumple
 //	     Description: función que guarda los datos registrados para un documento
 //	     Creado Por : Lic. Rafael Suarez
 //          Fecha Creación: 01/01/2011   
 //          Fecha Última Modificación : 
 /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 public function actionGuardard(){
 $cedbf =  $_POST['cedb'];
  if ($cedbf == ' ')  {echo "<script type=\"text/javascript\">
                             alert('¡Debe Seleccionar un Beneficiario!');
		             </script>";}

  else{
        $usuario = TUsuario::model()->findAll('t.id_usuario = '.yii::app()->user->id.'');
        $nomu = ($usuario[0]->id_usuario == '')? 'No Definido' :  $usuario[0]->id_usuario;
        $code =  $_POST['Verificacion']['codemp'];
        $cedt =  $_POST['Verificacion']['cedtit'];
        $cedb =  $_POST['Verificacion']['cedben'];
        $frec =    date('Y-m-d');
        $femi =    date('Y-m-d');
        $mtoe =  $_POST['Verificacion']['mtoe'];
        $mtop =  $_POST['Verificacion']['mtop'];
        $mtoa =  $_POST['Verificacion']['mtoa'];
        $mtos =  $_POST['Verificacion']['mtos'];
        $mtosn =  $_POST['Verificacion']['mtosn'];
        $mtoc =  $_POST['Verificacion']['mtoc'];
        $ndoc =  $_POST['Verificacion']['nrosin'];
        $fact =  $_POST['Verificacion']['Fact'];
        $obs =  $_POST['Verificacion']['obs'];
        $codd =  $_POST['Verificacion']['coddiag'];
        $cdia =  $_POST['proveedor'];
        $cser =  $_POST['servicio'];
        $csert =  $_POST['codtserv'];
        
		
	    $persona = Titulares::model()->findAll('t.cedtit = \''.$cedt.'\'');
        $cedtit = ($persona[0]->cedtit == '')? 'NoDefinido' :  $persona[0]->cedtit;
		$codemp = ($persona[0]->codemp == '')? 'NoDefinido' :  $persona[0]->codemp;
        
		$sqlp = "select mtopol as mtopol, mtoext as mtoext
           		from fais.poliza where codemp= '".$codemp."'";
	    $comando = Yii::app() -> db -> createCommand($sqlp);
	    $mtopoli = $comando ->  queryRow(); 
		
        /*$sqlp = "select mtopol as mtopol from fais.poliza";
	    $comando = Yii::app() -> db -> createCommand($sqlp);
	    $mtopol = $comando ->  queryRow(); */
        
		$mtopol = ($mtopoli['mtopol']);  
        $mtoext = ($mtopoli['mtoext']);  
        

        $sql = "select nextval('fais.siniestro_seq'::regclass) as idsin";
		$comando = Yii::app() -> db -> createCommand($sql);
		$ids = $comando -> queryRow(); 
                $idsin = $ids['idsin'];
	$diag = Diagnostico::model()->findAll('t.coddiag = '.$codd.'');
        $code = ($diag[0]->codesp == '')? 'No Definido' :  $diag[0]->codesp;
        if ($mtosn>=0) {$mtos=$mtosn;}
        else {$mtos=$mtos;}
        

	
        {$sql1 = "INSERT INTO fais.siniestro(codemp, codsin, nrosin, corsin, cedtit, cedben, codpro, codesp, 
                                            coddiag, codpol, fecreg, fecrec, fecing, fecegr, codusu, mtop, 
                                            mtoe, mtoa, mtoc, mtos, estsin, nropre, fecpre, nrofac, fecfac, 
                                            drsin, fecpag, opesin, sersin, obs,codtserv,tipdoc)
                                    VALUES (1, $idsin, '$ndoc', '0', $cedt, $cedb,$cdia,$code , $codd, '1', 'now()', 
                                             '$frec', '1900-01-01', 
                                            '1900-01-01',$nomu, 0, $mtoext, 0, 0, $mtopol, '1', '0', '1900-01-01', '$fact', 
                                            '1900-01-01', null, '1900-01-01', '0', 0,'$obs',0,'13');";
		$comando = Yii::app() -> db -> createCommand($sql1);
		$comando -> execute();
		}
             echo "<script type=\"text/javascript\">alert('¡El Registro ha sido Guardado exitosamente!');</script>";
             echo "<script type=\"text/javascript\">
		       document.getElementById('Omedica_cedtit').value = '';
                document.getElementById('Omedica_cedben').value = '';	
                document.getElementById('nomt').value = '';	
                document.getElementById('nomi').value = '';	
                document.getElementById('ubic').value = '';
                document.getElementById('Omedica_nrosin').value = '';		
                document.getElementById('carg').value = '';	
                document.getElementById('Omedica_coddiag').value = '';
				document.getElementById('nomdiag').value = '';
				document.getElementById('id_estado').value = '';
                document.getElementById('Omedica_obs').value = '';
		        document.getElementById('proveedor').value = '';
		        document.getElementById('codtserv').value = '';
				document.getElementById('servicio').value = '';
                document.getElementById('nemp').value = '';				
				document.getElementById('beneficiarios').style.display = 'none';
				document.getElementById('cmbedoprov').style.display = 'none';
				document.getElementById('cmbedoprov').style.display = 'none';
				document.getElementById('muni').style.display = 'none';
				document.getElementById('tserv').style.display = 'none';	
				document.getElementById('serv').style.display = 'none';					
				document.getElementById('observ').style.display = 'none';
                document.getElementById('btn').style.display = 'none';
				document.getElementById('ipdf').style.display = 'block';
				
               </script>";
			
                $id = '865';
                echo "<table width='120'>
                    <tr>
                  ".CHtml::link(CHtml::image('images/imprimir.png'),array('pdf','id'=>$idsin)).",
                 </tr >
                    </table>";
										  
					  //$mail->Body = $this->render('email','id'=>$idsin);

//$mail->Body = $this->render(view,array($model->cedtit),true);
//$this->renderPartial('view',array('model'=>$model),true);
              // $this->actionPdf(array('id'=>$idsin));
			  //  $this->actionBuscarBenef();

					 
					  
					
					 
                          }}// end function Guardard
 //-----------------------------------------------------------------------------------------------------------------------------------

 
//////////////////////////////BUSCAR TITULAR/////////////////////////////////////////////
public function actionBuscarTitular(){

		  echo "<script type=\"text/javascript\">
                             alert('¡Debe Seleccionar un Beneficiario!');
		             </script>"; 
       $cedtit =$_POST['cedula'];
	   $cedtitu = str_pad($cedtit, 10, "0", STR_PAD_LEFT);
        //and codperi = '024'
		
		$sqle = "select nombre, direccion, rifemp from sigesp_empresa where codemp = '0001';";
		$comando = Yii::app() -> dbsigesp -> createCommand($sqle);
		$empresa=$comando -> queryRow();
		// print_r($titular);
	    //print_r($titular['codnom'].$titular['nomper'].$titular['apeper']);
		echo "<table class='tabla_reportes'>
     	<tr>
     	<td colspan=4  boder='1' class='enc_reportes'><h3 color:white>Datos Agente de Retencion</td>
	    </tr>
	    <tr>
		<td ><strong>Nombre:</td>
		<td ><strong>Direccion:</td>
		<td ><strong>Rif:</td>
        <tr>
        <td class='ui-widget ui-widget-content'>".$empresa['nombre']."</td>
        <td class='ui-widget ui-widget-content'>".$empresa['direccion']."</td>
        <td class='ui-widget ui-widget-content'>".$empresa['rifemp']."</td>
        </tr>
	    </table>";
	   $sqlbt = "select c.codnom as codnom, c.desnom, a.nomper as nomper, a.apeper as apeper
                  from sno_personal a, sno_hsalida b, sno_nomina c
                  where a.codper = b.codper
                  and   a.codemp = b.codemp
                  and   b.codnom = c.codnom
                  and   c.espnom = '0'
                  and   c.codnom in (select codnom from sno_hpersonalnomina where codper  ='".$cedtitu."' and staper = '1' and codper = b.codper)
                  and   b.anocur  = c.anocurnom
                  and   a.cedper =  '".$cedtit."'
                  group by c.codnom, c.desnom, a.cedper, a.nomper, a.apeper;";
		$comando = Yii::app() -> dbsigesp -> createCommand($sqlbt);
		$titular=$comando -> queryRow();
		// print_r($titular);
	    //print_r($titular['codnom'].$titular['nomper'].$titular['apeper']);
		echo "<table class='tabla_reportes'>
     	<tr>
     	<td colspan=4  boder='1' class='enc_reportes'><h3>Beneficiarios de las Remuneraciones</td>
	    </tr>
	    <tr>
		<td ><strong>Nro de Cedula Titular:</td>
		<td ><strong>Nombres y Apellidos:</td>
		<td ><strong>Nomina:</td>
        <tr>
        <td class='ui-widget ui-widget-content'>".$cedtit."</td>
        <td class='ui-widget ui-widget-content'>".$titular['nomper'].$titular['apeper']."</td>
        <td class='ui-widget ui-widget-content'>".$titular['desnom']."</td>
        </tr>
	    </table>";
		
		////DETALLE ARC
		
		/*$sqld = "delete from arc_temp where codper = '".$cedtitu."';";
		$comandod = Yii::app() -> db -> createCommand($sqld);
		$comandod -> queryAll();*/
	
   
	
	
	$tabla.="<table  id='datos' class='tabla_reportes'>
		  <thead class = 'enc_reportes'>
                      <td colspan=7  boder='1' class='enc_reportes'><h3></td>
			<tr>      <td class='text ui-widget-content ui-corner-all'><strong>Mes</td>
				   <td class='text ui-widget-content ui-corner-all'><strong>Remuneraciones Pagadas Abonadas en Cuenta</strong></td> 
				   <td class='text ui-widget-content ui-corner-all'><strong>Porcentaje de Retencion</strong></td>
                                   <td class='text ui-widget-content ui-corner-all'><strong>Impuesto Retenido</strong></td>
                                    <td class='text ui-widget-content ui-corner-all'><strong>Remuneraciones Pagadas Abonadas en Cuenta Acumuladas </strong></td>
								
		</tr>";
	$tabla.="	  
		  </thead>
		  <tbody>
	";
	             
	$estilo = 'ui-widget ui-widget-content';
	for ($filas = 0; $filas < count($menus); $filas++){
         
		if ($estilo = 'ui-widget ui-widget-content'){
			$estilo = 'ui-widget ui-widget-content';
		}else{
			$estilo = 'ui-widget ui-widget-content';
		}
                //$arcacum =0;
                $codsin = $menus[$filas]['codisr'];
                $cedben = $menus[$filas]['arc'];
                $nomben = $menus[$filas]['porisr'];
                $nexben = $menus[$filas]['anocur'];
                $edaben = $menus[$filas]['islr'];

               
		
				
               // $edaben = $menus[$filas]['edaben'];
     
                
                if (empty($codper)) 
				
				{   $tabla.="	
			<tr>
  
                        <td class='$estilo'>".$codsin."</td>
                        <td class='$estilo'>".$cedben."</td>
                        <td class='$estilo'>".$nexben."</td>
                       <td class='$estilo'>".$nomben."</td>
                        <td class='$estilo'>".$edaben."</td>
                  
                      
                        </tr>";}
                  
                else{$tabla.="	
			<tr>
                       
                        <td class='$estilo'>".$codsin."</td>
                        <td class='$estilo'>".$cedben."</td>
                        <td class='$estilo'>".$nexben."</td>
						  <td class='$estilo'>".$nomben."</td>
                              <td class='$estilo'>".$edaben."</td>
					
                      

					
			            
						</tr>";}

	}               
	
		
	echo $tabla; 
	
	
	
			////DETALLE ARC
		
		/*$sqld = "delete from arc_temp where codper = '".$cedtitu."';";
		$comandod = Yii::app() -> db -> createCommand($sqld);
		$comandod -> queryAll();*/
	
		
		$sql = "SELECT sno_hconcepto.codconc, sno_hconcepto.nomcon, abs(SUM(sno_hsalida.valsal)) as monto FROM sno_hsalida, sno_hconcepto, sno_hperiodo 
WHERE (sno_hsalida.tipsal='P1' OR sno_hsalida.tipsal='V3' OR sno_hsalida.tipsal='W3' OR sno_hsalida.tipsal='Q1') 
AND ( sno_hsalida.codnom IN ('0010','0020','0030','0040','0050','0060','0080','0100','0101','0102','0103','0105','0120','0130','0131','0132','0200','0210','0220','0230','0240','0250','0260','0270',
'0280','0281','0282','0283','0284','0285','0286','0780','0840','0850','0860','0870','0880','0890','0900','0910','3004','3005','3010','3020','3030','3040','3050','3060',
'3080','3120','3130','3200','3210','3220','3230','3240','3250','3260','3270','3280')) 
AND sno_hsalida.anocur='2020' AND sno_hsalida.codper='".$cedtitu."' AND sno_hsalida.valsal<>0 AND SUBSTR(cast(sno_hperiodo.fecdesper as char(10)),1,4) = '2020' 
AND sno_hsalida.codemp = sno_hperiodo.codemp AND sno_hsalida.codnom = sno_hperiodo.codnom AND sno_hsalida.anocur = sno_hperiodo.anocur 
AND sno_hsalida.codperi = sno_hperiodo.codperi AND sno_hsalida.codemp = sno_hconcepto.codemp AND sno_hsalida.codnom = sno_hconcepto.codnom 
AND sno_hsalida.anocur = sno_hconcepto.anocur AND sno_hsalida.codperi = sno_hconcepto.codperi AND sno_hsalida.codconc = sno_hconcepto.codconc
 GROUP BY sno_hconcepto.codconc, sno_hconcepto.nomcon";
	    $comando = Yii::app() -> dbsigesp -> createCommand($sql);
	    $menus = $comando ->  queryAll(); 
   
	
	
	$tablad.="<table  id='datos' class='tabla_reportes'>
		  <thead class = 'enc_reportes'>
                      <td colspan=7  boder='1' class='enc_reportes'><h3></td>
			<tr>      <td class='text ui-widget-content ui-corner-all'><strong>Codigo</td>
				   <td class='text ui-widget-content ui-corner-all'><strong>Concepto</strong></td> 
				   <td class='text ui-widget-content ui-corner-all'><strong>Monto</strong></td>

								
		</tr>";
	$tablad.="	  
		  </thead>
		  <tbody>
	";
	             
	$estilo = 'ui-widget ui-widget-content';
	for ($filas = 0; $filas < count($menus); $filas++){
         
		if ($estilo = 'ui-widget ui-widget-content'){
			$estilo = 'ui-widget ui-widget-content';
		}else{
			$estilo = 'ui-widget ui-widget-content';
		}
                //$arcacum =0;
                $codconc = $menus[$filas]['codconc'];
                $nomconc = $menus[$filas]['nomcon'];
                $monto = $menus[$filas]['monto'];
				
               // $edaben = $menus[$filas]['edaben'];
                   
                if (empty($codper)) 
				
				{   $tablad.="	
			<tr>
  
                        <td class='$estilo'>".$codconc."</td>
                        <td class='$estilo'>".$nomconc."</td>
                        <td class='$estilo'>".$monto."</td>
                          
                        </tr>";}
                  
                else{$tablad.="	
			<tr>
                       
                        <td class='$estilo'>".$codconc."</td>
                        <td class='$estilo'>".$nomconc."</td>
                        <td class='$estilo'>".$monto."</td>
								
			            
						</tr>";}

	}               
	
		
	echo $tablad; 
	
	
	
		/* $sqlp = "select * from fais.documentoslocal
         where     cedtit = '".$cedtit."'
         order by  parentesco desc, coddiag";
$comando = Yii::app() -> db -> createCommand($sqlp);
$dpend = $comando ->  queryAll(); 
        if (!empty($dpend)) {
        $tablap = "

<table class='tabla_reporte'>
<thead class = 'enc_reportes'>
<td colspan=10  boder='1' class='enc_reportes'><h3>Datos Historicos</td>
<tr>
<td class='text ui-widget-content ui-corner-all'><strong>Nro</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Cedula</strong></td> 
<td class='text ui-widget-content ui-corner-all' ><strong>Nombre</strong></td> 
<td class='text ui-widget-content ui-corner-all'><strong>Fecha de Registro</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Estatus</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Diagnostico</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Aprobado</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Saldo</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Exceso</strong></td>
<td class='text ui-widget-content ui-corner-all'><strong>Ayuda</strong></td>";
		
	$tablap.= "	  
		  </thead>
		  <tbody>
	";
	$estilop = "ui-widget ui-widget-content";
	for ($filas = 0; $filas < count($dpend); $filas++){
		 if ($dpend[$filas]['parentesco'] == 'Titular'){
		     $estilop = "enc_reportes_left";
		}
		 if ($dpend[$filas]['parentesco'] == 'Hijo'){
		     $estilop = "enc_reportest";
		}
		else {
			$estilop = "enc_reportes_left";
		     }
                
//if ($dpend[$filas]['psaldo'] == '' && $dpend[$filas]['pparentesco'] == 'Titular'){$dpend[$filas]['psaldo'] = 30000;} 
//if ($dpend[$filas]['psaldo'] == '' && $dpend[$filas]['pparentesco'] != 'Titular'){$dpend[$filas]['psaldo'] = 20000;} 
//if ($dpend[$filas]['pparentesco'] == 'Titular' && $dpend[$filas]['psaldo'] == 0 ) {$dpend[$filas]['psaldo'] = 30000;}
//if ($dpend[$filas]['pparentesco'] != 'Titular' && $dpend[$filas]['psaldo'] == 0) {$dpend[$filas]['psaldo'] = 20000;}
// == 'Titular' && $menus[$filas]['saldo'] == 0 ) {$menus[$filas]['saldo']='<font color=\'red\'>Saldo Agotado</font>';}
if ($dpend[$filas]['parentesco'] == 'Titular' && $dpend[$filas]['mtos'] == 0 ){$dpend[$filas]['mtos']='<font color=\'red\'>Saldo Agotado</font>';}
if ($dpend[$filas]['parentesco'] == 'Titular' && $dpend[$filas]['mtos'] > 0 ) {$raf='enabled' and $type='image';}
if ($dpend[$filas]['parentesco'] != 'Titular' && $dpend[$filas]['mtos'] == 0 ){$dpend[$filas]['mtos']='<font color=\'red\'>Saldo Agotado</font>';}
if ($dpend[$filas]['parentesco'] != 'Titular' && $dpend[$filas]['mtos'] > 0 ) {$raf='enabled' and $type='image';}
                $pndoc = $dpend[$filas]['nrosin'];
                $pcedben = $dpend[$filas]['cedben'];
                $pnomben = $dpend[$filas]['nomben'];
                $pnexben = $dpend[$filas]['parentesco'];
                $pedaben = $dpend[$filas]['edadben'];
                $psexben = $dpend[$filas]['sexoben'];
                $pedaben = $dpend[$filas]['fecreg'];
                $psaldb  = $dpend[$filas]['mtos'];
				$pmtoext  = $dpend[$filas]['mtoe'];
				$pmtoa    = $dpend[$filas]['mtoa'];
                $pestsin  = $dpend[$filas]['estsin'];
                $pcoddiag  = $dpend[$filas]['nomdiag'];
                $pobs  = $dpend[$filas]['obs'];
                $pprov  = $dpend[$filas]['codprov'];
                $tablap.= "	
			<tr>      
                         <td class='$estilop'>".$dpend[$filas]['nrosin']."</td>
			             <td class='$estilop'>".$dpend[$filas]['cedben']."</td>
                         <td class='$estilop'>".$dpend[$filas]['nomben']."</td>
                         <td class='$estilop'>".$dpend[$filas]['fecreg']."</td>
                         <td class='$estilop'>".$dpend[$filas]['estsin']."</td>
						 <td class='$estilop'>".$dpend[$filas]['nomdiag']."</td>
                         <td class='$estilop'>".$dpend[$filas]['mtop']."</td>
                         <td class='$estilop'>".$dpend[$filas]['mtos']."</td>
						 <td class='$estilop'>".$dpend[$filas]['mtoe']."</td>
						 <td class='$estilop'>".$dpend[$filas]['mtoa']."</td>

						 
						 
						 ";
                
	}      
		echo $tablap;}*/
	
	$id = '865';
	echo "<table width='50'>
                      <tr>
                      ".CHtml::link(CHtml::image('images/imprimir.png'), array('pdf','id'=>$id))."
                      </tr >
                      </table>";

   
                                          }	/////////////////////////////////////////////////////////////////////////
//////////////////////////////////buscar beneficiario////////////////////////////////////////



        /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//	     Function   : BuscarBenef
	//	     Access     : public
	//	     Arguments  : vcedt
	//	     Returns    : True si se cumple la condición busqueda de cedula ó False si no se cumple
	//	     Description: función que dada un Numero de Cedula rerorna los datos de Beneficiarios del Titular del SIGESP
	//	     Creado Por : Ing. Rafael Suarez
	//           Fecha Creación: 01/01/2011   
        //           Fecha Última Modificación : 
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

public function actionBuscarBenef(){

        $cedula =  $_POST['Verificacion']['cedtit'];
		$diag   =  $_POST['Verificacion']['coddiag'];
        $model1 = new Diagnostico;
		
		//$eventos = Siniestro::model()->findAll('t.cedben = \''.$cedula.'\'');
        //$scedben = ($siniestro[0]->cedben == '')? 'No Definido' :  $siniestro[0]->cedben;

		
		$persona = Titulares::model()->findAll('t.cedtit = \''.$cedula.'\'');
        $cedtit = ($persona[0]->cedtit == '')? 'NoDefinido' :  $persona[0]->cedtit;
		$codemp = ($persona[0]->codemp == '')? 'NoDefinido' :  $persona[0]->codemp;
		
		$sqlp = "select mtopol as mtopol, mtoext as mtoext
           		from fais.poliza where codemp= '".$codemp."'";
	    $comando = Yii::app() -> db -> createCommand($sqlp);
	    $mtopoli = $comando ->  queryRow(); 
       
        $mtopol = ($mtopoli['mtopol']);  
        $mtoext = ($mtopoli['mtoext']);  	
		
       /* $sqlp = "select mtopol as mtopol from fais.poliza where codemp= 1";
	    $comando = Yii::app() -> db -> createCommand($sqlp);
	    $mtopoli = $comando ->  queryRow(); 
       
       // $mtopol = number_format($mtopoli['mtopol'],2,',','.');  

          $mtopol =($mtopoli['mtopol']);	*/   
		
        $sql = "SELECT * FROM fais.busbeneftlocaldiag('".$cedula."','".$diag."')";
	$comando = Yii::app() -> db -> createCommand($sql);
	$menus = $comando ->  queryAll();
	
	
       
        $tabla = "
        <table  class='tabla_reporte' id='tabla_ppal' onmouseover='this.style.background' = '#BBBBBB'  onmouseout='this.style.background'= '#FFFFFF';>
		  <thead class = 'enc_reportes'>
			<tr>
				  <td><strong>Cedula Beneficiario</strong></td>
				  <td><strong>Nombre Beneficiario</strong></td> 
				   <td><strong>Parentesco</strong></td>
                                   <td><strong>Edad</strong></td>
                                    <td><strong>Sexo</strong></td>
                                     <td><strong>Saldo</strong></td>
									 <td><strong>Exceso</strong></td>
									 <td><strong>Ayuda</strong></td>									 
									 <td><strong>Opc.</strong></td>";
		
	$tabla.= "	  
		  </thead>
		  <tbody>
	";
	$estilo = "ui-widget ui-widget-content";
	for ($filas = 0; $filas < count($menus); $filas++){
		if ($estilo == "ui-widget ui-widget-content"){
			$estilo = "ui-widget ui-widget-content";
		}else{
			$estilo = "ui-widget ui-widget-content";
		}


  //$mtosl1 =  ($menus[$filas]['saldo']);
  //$mtosld  =  str_replace(".",",",$mtosl1);
  //$mtosld  =  str_replace(",",".",$mtosl2);
if ($menus[$filas]['mtoext'] == ''){$menus[$filas]['mtoext'] = $mtoext;}
if ($menus[$filas]['saldo'] == ''){$menus[$filas]['saldo'] = $mtopol;} 
if ($menus[$filas]['saldo'] == 0 ) {$menus[$filas]['saldo']='<font color=\'red\'>Saldo Agotado</font>';}
if ($menus[$filas]['saldo'] == 0) {$menus[$filas]['saldo']='<font color=\'red\'>Saldo Agotado</font>';}
if ($menus[$filas]['mtoext'] == 0 ) {$menus[$filas]['mtoext']='<font color=\'red\'>Exceso Agotado</font>';}
if ($menus[$filas]['mtoext'] == 0) {$menus[$filas]['mtoext']='<font color=\'red\'>Exceso Agotado</font>';}
if ($menus[$filas]['saldo'] == 0 ) {$raf='enabled' and $type='radio';}
if ($menus[$filas]['saldo'] > 0 ) {$raf='enabled' and $type='image';}
if ($menus[$filas]['saldo'] == 0 ) {$raf='enabled' and $type='radio';}
if ($menus[$filas]['saldo'] > 0 ) {$raf='enabled' and $type='image';}


                $cedben = $menus[$filas]['cedben'];
                $nomben = $menus[$filas]['nomben'];
                $nexben = $menus[$filas]['parentesco'];
                $edaben = $menus[$filas]['edad'];
                $sexben = $menus[$filas]['sexo'];
                $edaben = $menus[$filas]['edaben'];
                $saldb  = $menus[$filas]['saldo'];
				$mtoext  = $menus[$filas]['mtoext'];
				$mtoa    = $menus[$filas]['mtoa'];				
                $estatus  = $menus[$filas]['estatus'];
				$codsin  = $menus[$filas]['codsin'];




                $tabla.= "	
			<tr id='fila$filas'>
                                  <td class='$estilo'>".$menus[$filas]['cedben']."</td>
                                  <td class='$estilo'>".$menus[$filas]['nomben']."</td>
                                  <td class='$estilo'>".$menus[$filas]['parentesco']."</td>
                                  <td class='$estilo'>".$menus[$filas]['edad']."</td>
                                  <td class='$estilo'>".$menus[$filas]['sexo']."</td>
								  <td class='$estilo'>".$menus[$filas]['saldo']."</td>
								  <td class='$estilo'>".$menus[$filas]['mtoext']."</td>
								  <td class='$estilo'>".$menus[$filas]['mtoa']."</td>                                 
                                  <td  class='$estilo'>
<input $raf name='optTabla' type='radio' value='opt$filas' title='rafa' onclick=\"
                                  document.getElementById('Verificacion_cedben').value = '".$cedben."';
								  document.getElementById('btn').style.display = 'block';
								  document.getElementById('observ').style.display = 'block';\"></td>
                               
               

	         ";}
	//}      
		echo $tabla;  
                      
                              }// end function BuscarBenef
	//-----------------------------------------------------------------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
}
