<?php

/**
 * This is the model class for table "maquinaria.cargo".
 *
 * The followings are the available columns in table 'maquinaria.cargo':
 * @property integer $id_cargo_pk
 * @property string $str_descripcion
 * @property string $str_codigo
 */
class Cargo extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return Cargo the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maquinaria.cargo';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('str_descripcion', 'length', 'max'=>100),
			array('str_codigo', 'length', 'max'=>10),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_cargo_pk, str_descripcion, str_codigo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_cargo_pk' => 'Cargo',
			'str_descripcion' => 'Descripción',
			'str_codigo' => 'Código',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;
                $criteria->condition= "bln_borrado=false";
		$criteria->compare('id_cargo_pk',$this->id_cargo_pk);
		$criteria->compare('str_descripcion',$this->str_descripcion,true);
		$criteria->compare('str_codigo',$this->str_codigo,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}