<?php

/**
 * This is the model class for table "maquinaria.consejo_comunal".
 *
 * The followings are the available columns in table 'maquinaria.consejo_comunal':
 * @property integer $id_consejo_comunal_pk
 * @property string $str_descripcion
 * @property string $str_representante
 * @property string $str_telefono
 * @property boolean $bln_borrado
 */
class ConsejoComunal extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return ConsejoComunal the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maquinaria.consejo_comunal';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('str_descripcion', 'length', 'max'=>200),
			array('str_representante', 'length', 'max'=>300),
			array('str_direccion', 'length', 'max'=>200),
			array('str_telefono', 'length', 'max'=>20),
			array('bln_borrado, id_perfil_direccion, id_estado', 'safe'),
                        array('str_descripcion, str_representante, str_telefono ', 'required'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_consejo_comunal_pk, str_descripcion, str_representante, str_telefono, bln_borrado, str_direccion, id_perfil_direccion, id_estado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_consejo_comunal_pk' => 'Id',
			'str_descripcion' => 'Nombre',
			'str_representante' => 'Representante',
			'str_telefono' => 'Telefono',
			'bln_borrado' => 'Bln Borrado',
			'str_direccion' => 'Direccion',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
            
             $id=Yii::app()->user->id; 
		$sql='select * from maquinaria.usuario where id='.$id.';'; 
                $connection=Yii::app()->db;
                $command=$connection->createCommand($sql); 
                $row=$command->queryRow(); 
                $id_perfil=$row["id_perfil_direccion"];
                $estado=$row["id_estado"];
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;
                //$sort=new CSort();

                $criteria->condition = "id_perfil_direccion=$id_perfil and id_estado=$estado";
		//$criteria->compare('id', $this->id);
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		//$criteria=new CDbCriteria;

		$criteria->compare('id_consejo_comunal_pk',$this->id_consejo_comunal_pk);
		$criteria->compare('str_descripcion',$this->str_descripcion,true);
		$criteria->compare('str_representante',$this->str_representante,true);
		$criteria->compare('str_telefono',$this->str_telefono,true);
		$criteria->compare('bln_borrado',$this->bln_borrado);
		$criteria->compare('str_direccion',$this->str_direccion);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}