<?php

/**
 * This is the model class for table "maquinaria.estatus_obra".
 *
 * The followings are the available columns in table 'maquinaria.estatus_obra':
 * @property integer $id_estatus_obra_fk
 * @property string $str_descripcion
 * @property boolean $bln_borrado
 */
class EstatusObra extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return EstatusObra the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maquinaria.estatus_obra';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('str_descripcion', 'length', 'max'=>100),
			array('str_descripcion', 'required'),
			array('bln_borrado', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_estatus_obra_fk, str_descripcion, bln_borrado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_estatus_obra_fk' => 'Id',
			'str_descripcion' => 'Descripcion',
			'bln_borrado' => 'Bln Borrado',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_estatus_obra_fk',$this->id_estatus_obra_fk);
		$criteria->compare('str_descripcion',$this->str_descripcion,true);
		$criteria->compare('bln_borrado',$this->bln_borrado);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}