<?php

/**
 * This is the model class for table "maquinaria.usuario".
 *
 * The followings are the available columns in table 'maquinaria.usuario':
 * @property integer $id
 * @property string $username
 * @property string $password
 * @property boolean $blnborrado
 * @property string $created_date
 * @property string $modified_date
 * @property integer $created_by
 * @property integer $modified_by
 * @property integer $id_perfil
 * @property string $str_nombre
 * @property string $str_apellido
 * @property integer $int_cedula
 */
class Usuario extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return Usuario the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'maquinaria.usuario';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id, username, password', 'required'),
			array('id, created_by, modified_by, id_perfil, int_cedula', 'numerical', 'integerOnly'=>true),
			array('username, password', 'length', 'max'=>128),
			array('str_nombre, str_apellido', 'length', 'max'=>150),
			array('blnborrado, created_date, modified_date', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id, username, password, blnborrado, created_date, modified_date, created_by, modified_by, id_perfil, str_nombre, str_apellido, int_cedula', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'username' => 'Username',
			'password' => 'Password',
			'blnborrado' => 'Blnborrado',
			'created_date' => 'Fecha de creación',
			'modified_date' => 'Fecha de Modificación',
			'created_by' => 'Creado por',
			'modified_by' => 'Modificado por',
			'id_perfil' => 'Perfil',
			'str_nombre' => 'Nombre',
			'str_apellido' => 'Apellido',
			'int_cedula' => 'Cedula',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);
		$criteria->compare('username',$this->username,true);
		$criteria->compare('password',$this->password,true);
		$criteria->compare('blnborrado',$this->blnborrado);
		$criteria->compare('created_date',$this->created_date,true);
		$criteria->compare('modified_date',$this->modified_date,true);
		$criteria->compare('created_by',$this->created_by);
		$criteria->compare('modified_by',$this->modified_by);
		$criteria->compare('id_perfil',$this->id_perfil);
		$criteria->compare('str_nombre',$this->str_nombre,true);
		$criteria->compare('str_apellido',$this->str_apellido,true);
		$criteria->compare('int_cedula',$this->int_cedula);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}