<?php

/**
 * This is the model class for table "v_reembolso".
 *
 * The followings are the available columns in table 'v_reembolso':
 * @property string $fecreg
 * @property string $fecrec
 * @property string $nrosin
 * @property string $nomitit
 * @property string $esttit
 * @property integer $cedtit
 * @property string $nomtit
 * @property integer $cedben
 * @property string $nomben
 * @property string $nexben
 * @property integer $edaben
 * @property string $nomdiag
 * @property double $mtop
 * @property double $mtoe
 * @property double $mtoa
 * @property string $obs
 * @property string $usuario
 * @property string $coordfais
 */
class VReembolso extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VReembolso the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'v_reembolso';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedtit, cedben, edaben', 'numerical', 'integerOnly'=>true),
			array('mtop, mtoe, mtoa', 'numerical'),
			array('nrosin', 'length', 'max'=>16),
			array('nomitit, nomtit, nomdiag, coordfais', 'length', 'max'=>100),
			array('esttit, nexben', 'length', 'max'=>1),
			array('nomben', 'length', 'max'=>50),
			array('usuario', 'length', 'max'=>40),
			array('fecreg, fecrec, obs', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('fecreg, fecrec, nrosin, nomitit, esttit, cedtit, nomtit, cedben, nomben, nexben, edaben, nomdiag, mtop, mtoe, mtoa, obs, usuario, coordfais', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'fecreg' => 'Fecreg',
			'fecrec' => 'Fecrec',
			'nrosin' => 'Nrosin',
			'nomitit' => 'Nomitit',
			'esttit' => 'Esttit',
			'cedtit' => 'Cedtit',
			'nomtit' => 'Nomtit',
			'cedben' => 'Cedben',
			'nomben' => 'Nomben',
			'nexben' => 'Nexben',
			'edaben' => 'Edaben',
			'nomdiag' => 'Nomdiag',
			'mtop' => 'Mtop',
			'mtoe' => 'Mtoe',
			'mtoa' => 'Mtoa',
			'obs' => 'Obs',
			'usuario' => 'Usuario',
			'coordfais' => 'Coordfais',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('fecreg',$this->fecreg,true);

		$criteria->compare('fecrec',$this->fecrec,true);

		$criteria->compare('nrosin',$this->nrosin,true);

		$criteria->compare('nomitit',$this->nomitit,true);

		$criteria->compare('esttit',$this->esttit,true);

		$criteria->compare('cedtit',$this->cedtit);

		$criteria->compare('nomtit',$this->nomtit,true);

		$criteria->compare('cedben',$this->cedben);

		$criteria->compare('nomben',$this->nomben,true);

		$criteria->compare('nexben',$this->nexben,true);

		$criteria->compare('edaben',$this->edaben);

		$criteria->compare('nomdiag',$this->nomdiag,true);

		$criteria->compare('mtop',$this->mtop);

		$criteria->compare('mtoe',$this->mtoe);

		$criteria->compare('mtoa',$this->mtoa);

		$criteria->compare('obs',$this->obs,true);

		$criteria->compare('usuario',$this->usuario,true);

		$criteria->compare('coordfais',$this->coordfais,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}