<?php

class TRbacAccionesController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}
	
	/**
	 * Modificar el estatus del dominio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{
		try{
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_acciones SET id_estatus=:valor  WHERE id_accion =:accion";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":accion",$model->id_accion, PDO::PARAM_INT);  
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT); 
			$control = $comando -> execute();  
			
		          
			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_accion));
			}else{
				$this->redirect(array('view','id'=>$model->id_accion));
			}
		
		
		} catch (Exception $e) { 
						$message="Error al modificar datos, contactar al adminitsrador del sistema.";
						throw new CHttpException(400,$message);
						
		} 
		
	}
	
	/**
	 * Modificar el estatus del dominio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
				
		try {
				$valor=2;
				$model=$this->loadModel();
				$sql = "UPDATE seguridad.t_rbac_acciones SET id_estatus=:valor  WHERE id_accion =:accion";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":accion",$model->id_accion, PDO::PARAM_INT);  
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT); 
				$control = $comando -> execute();  
				
				if($control=1){
					$this->redirect(array('admin','id'=>$model->id_accion));
				}else{
					$this->redirect(array('view','id'=>$model->id_accion));
				}
		
		} catch (Exception $e) { 
						$message="Error al modificar datos, contactar al adminitsrador del sistema.";
						throw new CHttpException(400,$message);
						
		} 
		
	}

	
 
	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TRbacAcciones;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacAcciones']))
		{
			$model->attributes=$_POST['TRbacAcciones'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_accion));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacAcciones']))
		{
			$model->attributes=$_POST['TRbacAcciones'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_accion));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
				$valor=4;
				$model=$this->loadModel();
				$sql = "UPDATE seguridad.t_rbac_acciones SET id_estatus=:valor  WHERE id_accion =:accion";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":accion",$model->id_accion, PDO::PARAM_INT);  
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT); 
				$control = $comando -> execute();  
				
				if($control=1){
					$this->redirect(array('admin','id'=>$model->id_accion));
				}else{
					$this->redirect(array('view','id'=>$model->id_accion));
				}
		
		
		} catch (Exception $e) { 
						$message="Error al modificar datos, contactar al adminitsrador del sistema.";
						throw new CHttpException(400,$message);
						
		} 
		
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRbacAcciones');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRbacAcciones('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRbacAcciones']))
			$model->attributes=$_GET['TRbacAcciones'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=TRbacAcciones::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trbac-acciones-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
