<?php

class TRbacDominioController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	/*public function filters()
	 {
		return array(
		'accessControl', // perform access control for CRUD operations
		);
		}*/


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model = new TRbacDominio;
		$model2 = new TRbacObjeto;
		$model3 = new TRbacDominioObjeto;

		// Uncomment the following line if AJAX validation is needed
		$this->performAjaxValidation($model);
		$this->performAjaxValidation($model2);
		$this->performAjaxValidation($model3);

		if(isset($_POST['TRbacDominio']))
		{
			$model->attributes=$_POST['TRbacDominio'];

			$objetos = (!empty($_POST['TRbacDominioObjeto']['id_objeto']))? $_POST['TRbacDominioObjeto']['id_objeto'] : array('TODOS'=>'TODOS');

			if($model->validate()){
				if(!empty($objetos)){
					if ($model->save()){

						if (strtoupper($objetos[0]) == 'TODOS' ){
							$objetos_finales = TRbacObjeto::model()->findAll('t.id_estatus = 1 AND t.id_objeto <> 0 ');
						}else $objetos_finales = $objetos;
						//use false parameter to disable validation

						foreach($objetos_finales as $i => $val)
						{
							if(!empty($val)){
								$model8 = new TRbacDominioObjeto;
								$model8->id_dominio = $model->id_dominio;
								(strtoupper($objetos[0]) == 'TODOS')? $model8->id_objeto = $val->id_objeto : $model8->id_objeto = $val;

								$model8->save();
							}
							
						}
						$this->redirect(array('view','id'=>$model->id_dominio));
					}
				}
			}
		}

		$this->render('create',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model = $this->loadModel();
		$model2 = new TRbacObjeto;
		$model3 = new TRbacDominioObjeto;

		// Uncomment the following line if AJAX validation is needed
		$this->performAjaxValidation($model);
		$this->performAjaxValidation($model2);
		$this->performAjaxValidation($model3);

		if(isset($_POST['TRbacDominio']))
		{
			$model->attributes=$_POST['TRbacDominio'];

			$objetos = (!empty($_POST['TRbacDominioObjeto']['id_objeto']))? $_POST['TRbacDominioObjeto']['id_objeto'] : array('TODOS'=>'TODOS');

			if($model->validate()){
				if(!empty($objetos)){
					if ($model->save()){

						try{
							$sql3 = "DELETE FROM seguridad.t_rbac_dominio_objeto WHERE id_dominio =:dominio";
							$comando3 = Yii::app() -> db -> createCommand($sql3);
							$comando3 -> bindParam(":dominio",$model->id_dominio, PDO::PARAM_INT);
							$control3 = $comando3 -> execute();

							if (strtoupper($objetos[0]) == 'TODOS' ){
								$objetos_finales = TRbacObjeto::model()->findAll('t.id_estatus = 1 AND t.id_objeto <> 0 ');
							}else $objetos_finales = $objetos;
							//use false parameter to disable validation

							foreach($objetos_finales as $i => $val)
							{
								if(!empty($val)){
									$model8 = new TRbacDominioObjeto;
									$model8->id_dominio = $model->id_dominio;
									(strtoupper($objetos[0]) == 'TODOS')? $model8->id_objeto = $val->id_objeto : $model8->id_objeto = $val;

									$model8->save();
								}
							}
							$this->redirect(array('view','id'=>$model->id_dominio));

						} catch (Exception $e) {
							$message="Error al modificar datos, contactar al Administrador del Sistema.";
							throw new CHttpException(400,$message);
						}
					}
				}
			}
		}

		$this->render('update',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3
		));
			
	}

	/**
	 * Modificar el estatus del dominio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_dominio SET id_estatus=:valor  WHERE id_dominio =:dominio";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":dominio",$model->id_dominio, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();


			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_dominio));
			}else{
				$this->redirect(array('view','id'=>$model->id_dominio));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}

	}

	/**
	 * Modificar el estatus del dominio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_dominio SET id_estatus =:valor  WHERE id_dominio =:dominio";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":dominio",$model->id_dominio, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_dominio));
			}else{
				$this->redirect(array('view','id'=>$model->id_dominio));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);


		}

	}


	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_dominio SET id_estatus =:valor  WHERE id_dominio =:dominio";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":dominio",$model->id_dominio, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_dominio));
			}else{
				$this->redirect(array('view','id'=>$model->id_dominio));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}

	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRbacDominio');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRbacDominio('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRbacDominio']))
		$model->attributes=$_GET['TRbacDominio'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TRbacDominio::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trbac-dominio-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
