<?php

class TRbacObjetoController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * @return array action filters
	 */
	/*public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}*/

	

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}
	
	/**
	 * Modificar el estatus del objeto.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{
				
		try {
				$valor=1;
				$model=$this->loadModel();
				$sql = "UPDATE seguridad.t_rbac_objeto SET id_estatus=:valor  WHERE id_objeto =:objeto";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":objeto",$model->id_objeto, PDO::PARAM_INT);  
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);  
				$control = $comando -> execute();
		
		          
				if($control=1){
					$this->redirect(array('admin','id'=>$model->id_objeto));
				}else{
					$this->redirect(array('view','id'=>$model->id_objeto));
				}
		} catch (Exception $e) { 
						$message="Error al modificar datos, contactar al adminitsrador del sistema.";
						throw new CHttpException(400,$message);
						
		}  
		
		
	}
	
	/**
	 * Modificar el estatus del objeto.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
		try {
				$valor=2;
				$model=$this->loadModel();
				$sql = "UPDATE seguridad.t_rbac_objeto SET id_estatus=:valor  WHERE id_objeto =:objeto";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":objeto",$model->id_objeto, PDO::PARAM_INT);  
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
				$control = $comando -> execute();  
				
				if($control=1){
					$this->redirect(array('admin','id'=>$model->id_objeto));
				}else{
					$this->redirect(array('view','id'=>$model->id_objeto));
				}
				
		} catch (Exception $e) { 
						$message="Error al modificar datos, contactar al adminitsrador del sistema.";
						throw new CHttpException(400,$message);
						
		}  
		
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		
		$model=new TRbacObjeto;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacObjeto']))
		{
			$model->attributes=$_POST['TRbacObjeto'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_objeto));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacObjeto']))
		{
			$model->attributes=$_POST['TRbacObjeto'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_objeto));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{

		try {
				$valor=4;
				$model=$this->loadModel();
				$sql = "UPDATE seguridad.t_rbac_objeto SET id_estatus=:valor  WHERE id_objeto =:objeto";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":objeto",$model->id_objeto, PDO::PARAM_INT);  
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
				$control = $comando -> execute();  
				
				if($control=1){
					$this->redirect(array('admin','id'=>$model->id_objeto));
				}else{
					$this->redirect(array('view','id'=>$model->id_objeto));
				}
		} catch (Exception $e) { 
						$message="Error al modificar datos, contactar al adminitsrador del sistema.";
						throw new CHttpException(400,$message);
						
		}  
		
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRbacObjeto');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRbacObjeto('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRbacObjeto']))
			$model->attributes=$_GET['TRbacObjeto'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=TRbacObjeto::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trbac-objeto-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
