<?php

class TRbacPrivilegioController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
			
		$model=new TRbacPrivilegio;
		$model2=new TRbacAcciones;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacPrivilegio']))
		{
			$model->attributes = $_POST['TRbacPrivilegio'];
			$acciones = (!empty($_POST['TRbacPrivilegioAccion']['id_accion']))? $_POST['TRbacPrivilegioAccion']['id_accion'] : array('TODOS'=>'TODOS');

			if($model->validate()){
				if(!empty($acciones)){
					if($model->save()){
						if (strtoupper($acciones[0]) == 'TODOS' ){
							$acciones_finales = TRbacAcciones::model()->findAll('t.id_estatus = 1 AND t.id_accion <> 0 ');
						}else $acciones_finales = $acciones;

						foreach($acciones_finales as $i => $value)
						{
							if(!empty($value)){
								$model3 = new TRbacPrivilegioAccion;
								$model3->id_privilegio= $model->id_privilegio;
								(strtoupper($acciones[0]) == 'TODOS')? $model3->id_accion = $value->id_accion : $model3->id_accion = $value;
								$model3->save();
							}
						}
							
						$this->redirect(array('view','id'=>$model->id_privilegio));
							
					}
				}
			}
		}
			
		$this->render('create', array(
               'model'=>$model,
               'model2'=>$model2,
		));
			
	}



	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
		$model2=new TRbacAcciones;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacPrivilegio']))
		{
			$model->attributes = $_POST['TRbacPrivilegio'];
			$acciones = (!empty($_POST['TRbacPrivilegioAccion']['id_accion']))? $_POST['TRbacPrivilegioAccion']['id_accion'] : array('TODOS'=>'TODOS');

			if($model->validate()){
				if(!empty($acciones)){
					try{
						if($model->save()){
							$sql3 = "DELETE FROM seguridad.t_rbac_privilegio_accion WHERE id_privilegio =:privilegio";
							$comando3 = Yii::app() -> db -> createCommand($sql3);
							$comando3 -> bindParam(":privilegio",$model->id_privilegio, PDO::PARAM_INT);
							$control3 = $comando3 -> execute();

							if (strtoupper($acciones[0]) == 'TODOS' ){
								$acciones_finales = TRbacAcciones::model()->findAll('t.id_estatus = 1 AND t.id_accion <> 0 ');
							}else $acciones_finales = $acciones;

							foreach($acciones_finales as $i => $value)
							{
								if(!empty($value)){
									$model3 = new TRbacPrivilegioAccion;
									$model3->id_privilegio= $model->id_privilegio;
									(strtoupper($acciones[0]) == 'TODOS')? $model3->id_accion = $value->id_accion : $model3->id_accion = $value;
									$model3->save();
								}
							}

							$this->redirect(array('view','id'=>$model->id_privilegio));

						}
					} catch (Exception $e) {
						$message="Error al modificar datos, contactar al Administrador del Sistema.";
						throw new CHttpException(400,$message);
					}
				}
			}
		}
			
		$this->render('update', array(
               'model'=>$model,
               'model2'=>$model2,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try{
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_privilegio SET id_estatus=:valor  WHERE id_privilegio =:privilegio";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":privilegio",$model->id_privilegio, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();


			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_privilegio));
			}else{
				$this->redirect(array('view','id'=>$model->id_privilegio));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{

		try{
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_privilegio SET id_estatus =:valor  WHERE id_privilegio =:privilegio";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":privilegio",$model->id_privilegio, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_privilegio));
			}else{
				$this->redirect(array('view','id'=>$model->id_privilegio));
			}


		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try{
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_privilegio SET id_estatus =:valor  WHERE id_privilegio =:privilegio";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":privilegio",$model->id_privilegio, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_privilegio));
			}else{
				$this->redirect(array('view','id'=>$model->id_privilegio));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TRbacPrivilegio');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRbacPrivilegio('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRbacPrivilegio']))
		$model->attributes=$_GET['TRbacPrivilegio'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
		
			$id =$_GET['id'];// Yii::app()->getRequest()->getQuery('id');		
			if(isset($_GET['id']))
			$this->_model=TRbacPrivilegio::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trbac-privilegio-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
