<?php

class TRbacRolController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	//public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;

	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{

		$model=new TRbacRol;
		$model2 = new TRbacPrivilegio;
		$model3 = new TRbacDominio;
		$model5 = new TRbacRoleDominioPrivilegio;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacRol']))
		{
			$model->attributes=$_POST['TRbacRol'];

			if($model->validate()){
				$count = 0;
				foreach ($_POST as $i=>$value){
					$dominio_privilegio = split("/",$i);

					if ($dominio_privilegio[0] == 'dominio_privilegio'){
						$count++;
							
					}
				}
				if ($count != 0){
					if ($model->save()){
							
						// use false parameter to disable validation
						foreach ($_POST as $i=>$value){
							$dominio_privilegio = split("/",$i);
								
							if ($dominio_privilegio[0] == 'dominio_privilegio'){

								$resultado = split('[.]',$value);
								$dominio = $resultado[0];
								$privilegio = $resultado[1];
									
								$model4 = new TRbacRoleDominioPrivilegio;
								$model4->id_rol = $model->id_rol;
								$model4->id_privilegio = $privilegio;
								$model4->id_dominio = $dominio;
								$model4->save();
							}
						}

						$this->redirect(array('view','id'=>$model->id_rol));
					}
				}else{

					$model2->addError('id_privilegio','Seleccione un Privilegio');
					$model3->addError('id_dominio','Seleccione un Dominio');
				}
			}
				
		}

		$this->render('create',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3,'model5'=>$model5
		));

	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model = $this->loadModel();
		$model2 = new TRbacPrivilegio;
		$rol = TRbacRoleDominioPrivilegio::model()->findAll('t.id_rol = '.$model->id_rol);
		$model2->id_privilegio = $rol[0]->id_privilegio;
		$model3 = new TRbacDominio;
		$model5 = new TRbacRoleDominioPrivilegio;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TRbacRol']))
		{
			$model->attributes=$_POST['TRbacRol'];

			if($model->validate()){
				$count = 0;
				foreach ($_POST as $i=>$value){
					$dominio_privilegio = split("/",$i);

					if ($dominio_privilegio[0] == 'dominio_privilegio'){
						$count++;
							
					}
				}
				if ($count != 0){
					try{
						$sql3 = "DELETE FROM seguridad.t_rbac_role_dominio_privilegio WHERE id_rol =:rol";
						$comando3 = Yii::app() -> db -> createCommand($sql3);
						$comando3 -> bindParam(":rol",$model->id_rol, PDO::PARAM_INT);
						$control3 = $comando3 -> execute();

						if ($model->save()){
								
							// use false parameter to disable validation
							foreach ($_POST as $i=>$value){
								$dominio_privilegio = split("/",$i);
									
								if ($dominio_privilegio[0] == 'dominio_privilegio'){

									$resultado = split('[.]',$value);
									$dominio = $resultado[0];
									$privilegio = $resultado[1];
										
									$model4 = new TRbacRoleDominioPrivilegio;
									$model4->id_rol = $model->id_rol;
									$model4->id_privilegio = $privilegio;
									$model4->id_dominio = $dominio;
									$model4->save();
								}
							}

							$this->redirect(array('view','id'=>$model->id_rol));

						}else{

							$model2->addError('id_privilegio','Seleccione un Privilegio');
							$model3->addError('id_dominio','Seleccione un Dominio');
						}
					} catch (Exception $e) {
						$message="Error al modificar datos, contactar al Administrador del Sistema.";
						throw new CHttpException(400,$message);
					}
				}
			}
				
		}

		$this->render('update',array(
			'model'=>$model,'model2'=>$model2,'model3'=>$model3,'model5'=>$model5
		));
	}

	public function actionAgregarDominioPrivilegio(){
		$id_dominio = empty($_POST['TRbacDominio']['id_dominio'])? 0 : $_POST['TRbacDominio']['id_dominio'] ;
		$id_privilegio = empty($_POST['TRbacPrivilegio']['id_privilegio'])? 0 : $_POST['TRbacPrivilegio']['id_privilegio'];

		if ($id_dominio != 0 && $id_privilegio != 0){
			$desc_dom = TRbacDominio::model()->findByPk($id_dominio)->nombre_dominio_usuario;
			$desc_pri = TRbacPrivilegio::model()->findByPk($id_privilegio)->nombre_privilegio_usuario;

			echo
			"	
				<tr>
					<td class=\"lista_reportes\">$desc_dom</td>
					<td class=\"lista_reportes\">$desc_pri</td>
					<td class=\"lista_reportes\"><a  href=\"#\" onclick=\" d = document.getElementById('dominio_privilegio/".$id_dominio.".".$id_privilegio."'); d.parentNode.removeChild(d); eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td>
				</tr>	
										
							
			";
			echo  CHtml::hiddenField("dominio_privilegio/".$id_dominio.".".$id_privilegio,$id_dominio.".".$id_privilegio);
			//echo "<script>document.getElementById('dominio_privilegio').value = '".$id_dominio.".".$id_privilegio."'; </script>";
		}/*else{
		echo "<tr>
		<td class=\"enc_reportes\">Verifique la Selección</td>
		<td class=\"filas_encuesta_blanco\"></td>
		<td class=\"filas_encuesta_blanco\"></td>
		</tr>";
		}*/
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_rol SET id_estatus=:valor  WHERE id_rol =:rol";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":rol",$model->id_rol, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_rol));
			}else{
				$this->redirect(array('view','id'=>$model->id_rol));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
		try {

			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_rol SET id_estatus =:valor  WHERE id_rol =:rol";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":rol",$model->id_rol, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_rol));
			}else{
				$this->redirect(array('view','id'=>$model->id_rol));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
			
		try {

			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE seguridad.t_rbac_rol SET id_estatus =:valor  WHERE id_rol =:rol";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":rol",$model->id_rol, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_rol));
			}else{
				$this->redirect(array('view','id'=>$model->id_rol));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al adminitsrador del sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		/*$dataProvider=new CActiveDataProvider('TRbacRol');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));*/
		$this->redirect(Yii::app()->createUrl('Seguridad/tRbacRol/admin'));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TRbacRol('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TRbacRol']))
		$model->attributes=$_GET['TRbacRol'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TRbacRol::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='trbac-rol-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
