<?php

/**
 * This is the model class for table "acceso.mostrar_rol_priv_dom_acc_obj".
 *
 * The followings are the available columns in table 'acceso.mostrar_rol_priv_dom_acc_obj':
 * @property integer $id_rol
 * @property integer $id_dominio
 * @property integer $id_privilegio
 * @property string $nombre_rol
 * @property string $nombre_dominio
 * @property string $nombre_objeto
 * @property string $nombre_privilegio
 * @property string $nombre_accion
 */
class MostrarRolPrivDomAccObj extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return MostrarRolPrivDomAccObj the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.mostrar_rol_priv_dom_acc_obj';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_rol, id_dominio, id_privilegio', 'numerical', 'integerOnly'=>true),
			array('nombre_rol, nombre_dominio, nombre_objeto, nombre_privilegio, nombre_accion', 'length', 'max'=>40),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_rol, id_dominio, id_privilegio, nombre_rol, nombre_dominio, nombre_objeto, nombre_privilegio, nombre_accion, opcion_admin', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_rol' => 'Id Rol',
			'id_dominio' => 'Id Dominio',
			'id_privilegio' => 'Id Privilegio',
			'nombre_rol' => 'Nombre Rol',
			'nombre_dominio' => 'Nombre Dominio',
			'nombre_objeto' => 'Nombre Objeto',
			'nombre_privilegio' => 'Nombre Privilegio',
			'nombre_accion' => 'Nombre Accion',
			//'opcion_admin'=>'',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_rol',$this->id_rol);

		$criteria->compare('id_dominio',$this->id_dominio);

		$criteria->compare('id_privilegio',$this->id_privilegio);

		$criteria->compare('nombre_rol',$this->nombre_rol,true);

		$criteria->compare('nombre_dominio',$this->nombre_dominio,true);

		$criteria->compare('nombre_objeto',$this->nombre_objeto,true);

		$criteria->compare('nombre_privilegio',$this->nombre_privilegio,true);

		$criteria->compare('nombre_accion',$this->nombre_accion,true);
		
		$criteria->compare('opcion_admin',$this->opcion_admin,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}