<?php

/**
 * This is the model class for table "seguridad.t_accion_opcion_vistas".
 *
 * The followings are the available columns in table 'seguridad.t_accion_opcion_vistas':
 * @property integer $id_accion_padre
 * @property integer $id_accion_hijos
 */
class TAccionOpcionVistas extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TAccionOpcionVistas the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_accion_opcion_vistas';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_accion_padre, id_accion_hijos', 'required'),
			array('id_accion_padre, id_accion_hijos', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_accion_padre, id_accion_hijos', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			
			'opcion_vistas_padre'=>array(self::BELONGS_TO,'TRbacAcciones','id_accion_padre'),		
			//'opcion_vistas_hijos'=>array(self::BELONGS_TO,'TRbacAcciones','id_accion_hijos'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_accion_padre' => 'Id Accion Padre',
			'id_accion_hijos' => 'Id Accion Hijos',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_accion_padre',$this->id_accion_padre);

		$criteria->compare('id_accion_hijos',$this->id_accion_hijos);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}