<?php

/**
 * This is the model class for table "seguridad.t_menu".
 *
 * The followings are the available columns in table 'seguridad.t_menu':
 * @property integer $id_menu
 * @property integer $id_objeto
 * @property string $nombre_menu
 * @property integer $id_padre
 * @property integer $nivel
 * @property integer $orden
 * @property integer $id_estatus
 */
class TMenu extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TMenu the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_menu';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_menu,id_objeto, nivel,orden', 'required'),
			array('id_objeto, id_padre, nivel, orden, id_estatus', 'numerical', 'integerOnly'=>true),
			array('nombre_menu', 'length', 'max'=>100),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_objeto, nombre_menu, id_padre, nivel, orden, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		//'author'=>array(self::BELONGS_TO, 'User', 'author_id'),
		'menu_objeto'=>array(self::BELONGS_TO,'TRbacObjeto','id_objeto'),
		);
	}


	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_menu' => 'Id Menu',
			'id_objeto' => 'Nombre Objeto',
			'nombre_menu' => 'Nombre Menu',
			'id_padre' => 'Nombre del Menu padre',
			'nivel' => 'Nivel',
			'orden' => 'Orden',
			'id_estatus' => 'Estatus',
			
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		

		$criteria->compare('id_objeto',$this->id_objeto);

		$criteria->compare('nombre_menu',$this->nombre_menu,true);

		$criteria->compare('id_padre',$this->id_padre);

		$criteria->compare('nivel',$this->nivel);

		$criteria->compare('orden',$this->orden);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}

