<?php

/**
 * This is the model class for table "acceso.t_rbac_acceso".
 *
 * The followings are the available columns in table 'acceso.t_rbac_acceso':
 * @property integer $id_usuario
 * @property string $acceso
 * @property string $ip_adress
 * @property integer $nro_sesion
 * @property string $fecha_ingreso
 */
class TRbacAcceso extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacAcceso the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_acceso';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_usuario, acceso, ip_adress', 'required'),
			array('id_usuario, nro_sesion', 'numerical', 'integerOnly'=>true),
			array('acceso', 'length', 'max'=>250),
			array('ip_adress', 'length', 'max'=>30),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_usuario, acceso, ip_adress, nro_sesion, fecha_ingreso', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_usuario' => 'Id Usuario',
			'acceso' => 'Acceso',
			'ip_adress' => 'Ip Adress',
			'nro_sesion' => 'Nro Sesion',
			'fecha_ingreso' => 'Fecha Ingreso',
		);
	}
	
	public function VerificarIntentos($id,$acceso)
	
	{
		$model=new TRbacAcceso;
		$intento=0;
		$valor=3;//usuario bloqueado 
		$access=TUsuario::model()->findByAttributes(array('id_usuario'=>$id));
		if(!empty($access)){
			$intento=$access->nro_intentos;
			$val= $intento+1;
			if (($intento==3)||($val==3)){
				$v=1;
				$sql = "UPDATE seguridad.t_usuario SET id_estatus=1, nro_intentos=1  WHERE id_usuario =:id";
				$comando = Yii::app() -> db -> createCommand($sql); 
				$comando -> bindParam(":id",$access->id_usuario, PDO::PARAM_INT); 
				$comando -> bindParam(":intentos",$v, PDO::PARAM_INT);
				$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);  
				$control = $comando -> execute(); 
			}else
			{

				$intento=$access->nro_intentos;
				$val= $intento+1;
				$sql = "UPDATE seguridad.t_usuario SET nro_intentos=1  WHERE id_usuario =:id";
				$comando = Yii::app() -> db -> createCommand($sql);
				$comando -> bindParam(":id",$access->id_usuario, PDO::PARAM_INT); 
				$comando -> bindParam(":valor",$val, PDO::PARAM_INT);  
				$control = $comando -> execute();	
			}
		}
		
		
	}
	
public function VerificarSesionMultip($id)

	{
        $Criteria = new CDbCriteria();
        $Criteria->condition = "t.id_usuario = ".$id." and importancia = (Select max(importancia) from seguridad.t_rbac_usuario_rol)";
		$rol_usuario=TUsuario::model()->with('rol_usuario')->findAll($Criteria);
	
        $result=0;
        if(!empty($rol_usuario)){
              $boolSesion=$rol_usuario[0]->rol_usuario[0]->multi_sesion;
              $boolIp=$rol_usuario[0]->rol_usuario[0]->multi_ip;
              $ip=CHttpRequest::getUserHostAddress();
             
			  $acceso_anterior=TRbacAcceso::model()->findByAttributes(array('id_usuario'=>$id));
			  if(!empty($acceso_anterior)){// 2 acceso con la misma ip
                               if ($acceso_anterior->nro_sesion==0){
                                    $v=1;
                                    $acceso="exitoso";
                                    $sql = "UPDATE seguridad.t_rbac_acceso SET nro_sesion=1, fecha_ingreso_usuario=now(), acceso=:access  WHERE id_usuario =:id and ip_adress=:ips";
                    				$comando = Yii::app() -> db -> createCommand($sql);
                    				$comando -> bindParam(":id",$id, PDO::PARAM_INT);
                                   // $comando -> bindParam(":now",now(), PDO::PARAM_TIME);
                    				$comando -> bindParam(":intentos",$v, PDO::PARAM_INT);
                                    $comando -> bindParam(":ips",$ip, PDO::PARAM_STR);
                                    $comando -> bindParam(":access",$acceso, PDO::PARAM_STR);
                    			   	$control = $comando -> execute();
                                	$intentos_access=TUsuario::model()->findByAttributes(array('id_usuario'=>$id));
                   					if($intentos_access->nro_intentos!=0){
				                      		    $intent=0;
				                      			$sql = "UPDATE seguridad.t_usuario SET nro_intentos=:intentos WHERE id_usuario =:id";
				                    			$comando = Yii::app() -> db -> createCommand($sql);
				                        		$comando -> bindParam(":id",$id, PDO::PARAM_INT);
				                            	$comando-> bindParam(":intentos",$intent, PDO::PARAM_INT);
				                            	$control = $comando -> execute();		

				                     }
                    			   	
                                    $result=0;
                                    
                                }else{
                                	
                                    if($boolSesion==1){
                                    	       
                                                $v=$acceso_anterior->nro_sesion + 1;
                                                $sql = "UPDATE seguridad.t_rbac_acceso SET nro_sesion=1, fecha_ingreso= now()  WHERE id_usuario =:id and ip_adress=:ips";
                                				$comando = Yii::app() -> db -> createCommand($sql);
                                				$comando -> bindParam(":id",$id, PDO::PARAM_INT);
                                                //$comando -> bindParam(":now",now(), PDO::PARAM_TIME);
                                				$comando -> bindParam(":intentos",$v, PDO::PARAM_INT);
                                                $comando -> bindParam(":ips",$ip, PDO::PARAM_STR);
                                			   	$control = $comando-> execute();
                                			   	
                                			    $intentos_access=TUsuario::model()->findByAttributes(array('id_usuario'=>$id));
                                			   	//echo $intentos_access->nro_intentos;
                                			   	if($intentos_access->nro_intentos!=0){
                                			   		    $intent=0;
                                			   			$sql = "UPDATE seguridad.t_usuario SET nro_intentos=1 WHERE id_usuario =:id";
                                						$comando = Yii::app() -> db -> createCommand($sql);
                                						$comando -> bindParam(":id",$id, PDO::PARAM_INT);
                                						$comando-> bindParam(":intentos",$intent, PDO::PARAM_INT);
                                                		$control = $comando -> execute();		
                                			   	
                                			   	}
			                                  
                                                $result=0;//"acceso exitoso";

                                    }else{
                                    	
                                          $result=1; //"No tiene suficientes privilegios para tener varias sesiones activas";


                                    }
                                  
                                }


              }else{
                   
                    $acceso_x_ip=TRbacAcceso::model()->findByAttributes(array('id_usuario'=>$id));

                    if(!empty($acceso_x_ip)){
                            if($boolIp==1){
                                                $model=new TRbacAcceso;

                                                $model->id_usuario=$id;
                                                $model->acceso="exitoso";
                                                $model->ip_adress=$ip;
                                                $model->nro_sesion=1;
                                                //$model->save();//echo "entro1";

                                                if ($model->save())
                                                    $result=2;//"acceso exitoso";
                                                else
                                                    $result=0;//"error";

                                    }else{
                                          $result=3;//"No tiene suficientes privilegios para tener acceso de varios equipos";


                                    }


                    } else
                    {
                        $model1=new TRbacAcceso;
                        $model1->id_usuario=$id;
                        $model1->acceso="exitoso";
                        $model1->ip_adress=$ip;
                        $model1->nro_sesion=1;
                        $model1->save();
                       
                        if ($model1->save())
                                $result=6;//"acceso exitoso";
                        else
                                $result=7;//"error";

                    }


              }



        }
    
        return $result;

	}
	
	

	
	public function CerrarAcceso($id){

			
		 $ip=CHttpRequest::getUserHostAddress();
		//echo "id".$id."ip".$ip;
         $Eliminar_acceso=TRbacAcceso::model()->findByAttributes(array('id_usuario'=>$id,'ip_adress'=>$ip));

		 if(!empty($Eliminar_acceso)){
		 	 $n_sesion=$Eliminar_acceso->nro_sesion;
		 	 if($n_sesion>1){
		 	    $n_sesion=$n_sesion - 1;
                $sql = "UPDATE seguridad.t_rbac_acceso SET nro_sesion=1, fecha_ingreso= now()  WHERE id_usuario =:id and ip_adress=:ips";
                $comando = Yii::app() -> db -> createCommand($sql);
                $comando -> bindParam(":id",$id, PDO::PARAM_INT);
                // $comando -> bindParam(":now",now(), PDO::PARAM_TIME);
                $comando -> bindParam(":intentos",$n_sesion, PDO::PARAM_INT);
                $comando -> bindParam(":ips",$ip, PDO::PARAM_STR);
                $control = $comando -> execute();
                if( $control)
                	 $result=1;//" exitoso";
                else
                	$result=0;//" denegado";
		 	 
		 	 }else if($n_sesion==1){
		 	 	 
		 	 	$sql = "DELETE from seguridad.t_rbac_acceso WHERE id_usuario =:id and ip_adress=:ips";
                $comando = Yii::app() -> db -> createCommand($sql);
                $comando -> bindParam(":id",$id, PDO::PARAM_INT);
                $comando -> bindParam(":ips",$ip, PDO::PARAM_STR);
                $control = $comando -> execute();
                if( $control)
                	 $result=1;//" exitoso";
                else
                	$result=0;//" denegado";
		 	 }
		 	
		 }else{
		 	$result=0;//" denegado";
		 }
		 
		 return $result;
		 	 
	}
	

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('acceso',$this->acceso,true);

		$criteria->compare('ip_adress',$this->ip_adress,true);

		$criteria->compare('nro_sesion',$this->nro_sesion);

		$criteria->compare('fecha_ingreso',$this->fecha_ingreso,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}