<?php

/**
 * This is the model class for table "seguridad.t_rbac_acciones".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_acciones':
 * @property integer $id_accion
 * @property string $nombre_accion
 * @property string $descripcion_accion
 * @property string $nombre_accion_usuario
 * @property integer $id_estatus
 */
class TRbacAcciones extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacAcciones the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_acciones';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_accion, descripcion_accion, nombre_accion_usuario', 'required'),
			array('id_accion','unique'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),			
			array('nombre_accion', 'length', 'max'=>40),
			array('descripcion_accion, nombre_accion_usuario', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('nombre_accion, descripcion_accion, nombre_accion_usuario, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		'opcion_vistas'=>array(self::MANY_MANY,'TRbacAcciones','seguridad.t_accion_opcion_vistas(id_accion_padre,id_accion_hijos)'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_accion' => 'Id Accion',
			'nombre_accion' => 'Nombre Accion',
			'descripcion_accion' => 'Descripcion ',
			'nombre_accion_usuario' => 'Nombre para Usuario',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_accion',$this->id_accion);

		$criteria->compare('nombre_accion',$this->nombre_accion,true);

		$criteria->compare('descripcion_accion',$this->descripcion_accion,true);

		$criteria->compare('nombre_accion_usuario',$this->nombre_accion_usuario,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}