<?php

/**
 * This is the model class for table "seguridad.t_rbac_dominio".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_dominio':
 * @property integer $id_dominio
 * @property string $nombre_dominio
 * @property string $descripcion
 * @property string $nombre_dominio_usuario
 * @property integer $id_estatus
 */
class TRbacDominio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacDominio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_dominio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_dominio, descripcion_dominio, nombre_dominio_usuario', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('nombre_dominio, nombre_dominio_usuario', 'length', 'max'=>40),
			array('descripcion_dominio', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('nombre_dominio, descripcion_dominio, nombre_dominio_usuario, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		'dominio_objeto'=>array(self::MANY_MANY, 'TRbacObjeto','seguridad.t_rbac_dominio_objeto(id_dominio, id_objeto)'),
		);
	}
	/**
	 * @return array relational rules.
	 */
	public function getDominioObjetos($id_dominio)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		$res = TRbacDominio::model()->with('dominio_objeto')->findAll('t.id_dominio = '.$id_dominio);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->dominio_objeto;
			foreach ($arrayObj as $j => $value1){			
				$salida .=  $value1->nombre_objeto_usuario.",";			
			}
		}
		
		return $roles_usuarios = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Objetos Asignadas";
	}


	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_dominio' => 'Id Dominio',
			'nombre_dominio' => 'Nombre Dominio',
			'descripcion_dominio' => 'Descripción',
			'nombre_dominio_usuario' => 'Nombre para Usuario',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_dominio',$this->id_dominio);

		$criteria->compare('nombre_dominio',$this->nombre_dominio,true);

		$criteria->compare('descripcion_dominio',$this->descripcion_dominio,true);

		$criteria->compare('nombre_dominio_usuario',$this->nombre_dominio_usuario,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}