<?php

/**
 * This is the model class for table "acceso.t_rbac_dominio_objeto".
 *
 * The followings are the available columns in table 'acceso.t_rbac_dominio_objeto':
 * @property integer $id_objeto
 * @property integer $id_dominio
 */
class TRbacDominioObjeto extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacDominioObjeto the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_dominio_objeto';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			//array('id_objeto, id_dominio', 'unique'),
			array('id_objeto, id_dominio', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_objeto, id_dominio', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			/*'objetosDominios'=>array(self::MANY_MANY, 'TRbacDominioObjeto', 't_rbac_Dominio_Objeto(id_dominio, id_objeto)'),*/
			
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_objeto' => 'Id Objeto',
			'id_dominio' => 'Id Dominio',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_objeto',$this->id_objeto);

		$criteria->compare('id_dominio',$this->id_dominio);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}