<?php

/**
 * This is the model class for table "seguridad.t_rbac_objeto".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_objeto':
 * @property integer $id_objeto
 * @property string $nombre_objeto
 * @property string $descripcion_objeto
 * @property string $nombre_objeto_usuario
 * @property integer $id_estatus
 */
class TRbacObjeto extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacObjeto the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_objeto';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_objeto, descripcion_objeto, nombre_objeto_usuario', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('nombre_objeto, nombre_objeto_usuario', 'length', 'max'=>40),
			array('descripcion_objeto', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('nombre_objeto, descripcion_objeto, nombre_objeto_usuario, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_objeto' => 'Objeto',
			'nombre_objeto' => 'Nombre Objeto',
			'descripcion_objeto' => 'Descripción',
			'nombre_objeto_usuario' => 'Nombre para Usuario',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_objeto',$this->id_objeto);

		$criteria->compare('nombre_objeto',$this->nombre_objeto,true);

		$criteria->compare('descripcion_objeto',$this->descripcion_objeto,true);

		$criteria->compare('nombre_objeto_usuario',$this->nombre_objeto_usuario,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}