<?php

/**
 * This is the model class for table "seguridad.t_rbac_privilegio".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_privilegio':
 * @property integer $id_privilegio
 * @property string $nombre_privilegio
 * @property string $descripcion_privilegio
 * @property string $nombre_privilegio_usuario
 * @property integer $id_estatus
 */
class TRbacPrivilegio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacPrivilegio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_privilegio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_privilegio,descripcion_privilegio,nombre_privilegio_usuario', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('nombre_privilegio, nombre_privilegio_usuario', 'length', 'max'=>40),
			array('descripcion_privilegio', 'length', 'max'=>250),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('nombre_privilegio, descripcion_privilegio, nombre_privilegio_usuario, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'privilegio_accion'=>array(self::MANY_MANY,'TRbacAcciones','seguridad.t_rbac_privilegio_accion(id_privilegio,id_accion)'),
		);
	}
	
	/**
	 * @return array relational rules.
	 */
	public function getAcciones($id_privilegio)
	{
		$res = TRbacPrivilegio::model()->with('privilegio_accion')->findAll('t.id_privilegio = '.$id_privilegio);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->privilegio_accion;
			foreach ($arrayObj as $j => $value1){			
				$salida .=  $value1->nombre_accion_usuario.",";			
			}
		}
		
		return $acciones_privilegios = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Acciones Asignadas";			
		
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_privilegio' => 'Id Privilegio',
			'nombre_privilegio' => 'Nombre Privilegio',
			'descripcion_privilegio' => 'Descripción',
			'nombre_privilegio_usuario' => 'Nombre para Usuario',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_privilegio',$this->id_privilegio);

		$criteria->compare('nombre_privilegio',$this->nombre_privilegio,true);

		$criteria->compare('descripcion_privilegio',$this->descripcion_privilegio,true);

		$criteria->compare('nombre_privilegio_usuario',$this->nombre_privilegio_usuario,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}