<?php

/**
 * This is the model class for table "acceso.t_rbac_privilegio_accion".
 *
 * The followings are the available columns in table 'acceso.t_rbac_privilegio_accion':
 * @property integer $id_privilegio
 * @property integer $id_accion
 */
class TRbacPrivilegioAccion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacPrivilegioAccion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_privilegio_accion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_privilegio, id_accion', 'required'),
			array('id_privilegio, id_accion', 'numerical', 'integerOnly'=>true),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_privilegio, id_accion', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_privilegio' => 'Id Privilegio',
			'id_accion' => 'Id Accion',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_privilegio',$this->id_privilegio);

		$criteria->compare('id_accion',$this->id_accion);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}