<?php

/**
 * This is the model class for table "seguridad.t_rbac_rol".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_rol':
 * @property integer $id_rol
 * @property string $nombre_rol
 * @property string $descripcion_rol
 * @property integer $multi_ip
 * @property integer $multi_sesion
 * @property integer $importancia_rol
 * @property string $fecha_creacion_rol
 * @property integer $id_estatus
 */
class TRbacRol extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacRol the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_rol';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nombre_rol,multi_ip,multi_sesion,descripcion_rol', 'required'),
			array('multi_ip, multi_sesion,id_estatus', 'numerical', 'integerOnly'=>true),
			array('nombre_rol', 'length', 'max'=>40),
			array('descripcion_rol', 'length', 'max'=>40),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('nombre_rol, descripcion_rol, multi_ip, multi_sesion,fecha_rol, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
  			   	'rol_dominio'=>array(self::MANY_MANY, 'TRbacDominio',
                'seguridad.t_rbac_role_dominio_privilegio(id_rol, id_dominio)'),

  				'rol_privilegio'=>array(self::MANY_MANY, 'TRbacPrivilegio',
                'seguridad.t_rbac_role_dominio_privilegio(id_rol, id_privilegio)'),

		 );
	}

	/**
	 * @return array relational rules.
	 */
	public function getRolDominio($id_rol)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		$res = TRbacRol::model()->with('rol_dominio')->findAll('t.id_rol = '.$id_rol);
			
		foreach ($res as $i => $value){
			$arrayObj = $value->rol_dominio;
			foreach ($arrayObj as $j => $value1){			
				$salida .=  $value1->nombre_dominio_usuario.",";			
			}
		}
		
		return $roles_usuarios = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Dominios Asignados";	
		
	}
	
	/**
	 * @return array relational rules.
	 */
	public function getRolPrivilegios($id_rol)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
				
		$Criteria = new CDbCriteria();
        $Criteria->condition = "t.id_rol = ".$id_rol;        
		$roles = TRbacRol::model()->with('rol_privilegio')->findAll($Criteria);
			
		foreach ($roles as $i => $value){
			$arrayUsuarios = $value->rol_privilegio;
			foreach ($arrayUsuarios as $j => $value1){			
				$salida .=  $value1->nombre_privilegio.",";			
			}
		}
		
		$roles_usuarios = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Privilegios Asignados";
		
		return $roles_usuarios;
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_rol' => 'Rol',
			'nombre_rol' => 'Nombre Rol',
			'descripcion_rol' => 'Descripción',
			'multi_ip' => 'Multi Ip',
			'multi_sesion' => 'Multi Sesion',
			'fecha_rol' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_rol',$this->id_rol);

		$criteria->compare('nombre_rol',$this->nombre_rol,true);

		$criteria->compare('descripcion_rol',$this->descripcion_rol,true);

		$criteria->compare('multi_ip',$this->multi_ip);

		$criteria->compare('multi_sesion',$this->multi_sesion);

		$criteria->compare('fecha_rol',$this->fecha_rol,true);

		$criteria->compare('id_estatus',$this->id_estatus);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}