<?php

/**
 * This is the model class for table "acceso.t_rbac_role_dominio_privilegio".
 *
 * The followings are the available columns in table 'acceso.t_rbac_role_dominio_privilegio':
 * @property integer $id
 * @property integer $id_rol
 * @property integer $id_privilegio
 * @property integer $id_dominio
 * @property string $permisado
 */
class TRbacRoleDominioPrivilegio extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacRoleDominioPrivilegio the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_role_dominio_privilegio';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			//array('id_rol, id_privilegio, id_dominio', 'required'),
			array('id_rol, id_privilegio, id_dominio', 'numerical', 'integerOnly'=>true),
			//array('id_rol, id_privilegio, id_dominio', 'unique'),
			array('permisado', 'length', 'max'=>1),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id, id_rol, id_privilegio, id_dominio, permisado', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'id_rol' => 'Id Rol',
			'id_privilegio' => 'Id Privilegio',
			'id_dominio' => 'Id Dominio',
			'permisado' => 'Permisado',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);

		$criteria->compare('id_rol',$this->id_rol);

		$criteria->compare('id_privilegio',$this->id_privilegio);

		$criteria->compare('id_dominio',$this->id_dominio);

		$criteria->compare('permisado',$this->permisado,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}