<?php

/**
 * This is the model class for table "seguridad.t_rbac_usuario_rol".
 *
 * The followings are the available columns in table 'seguridad.t_rbac_usuario_rol':
 * @property integer $id_usuario
 * @property integer $id_rol
 * @property integer $importancia
 */
class TRbacUsuarioRol extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRbacUsuarioRol the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	public function primaryKey()
	{
		return array('id_usuario_pk'=>$this->id_usuario,'id_rol_pk'=>$this->id_rol);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_rbac_usuario_rol';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
		//array('importancia', 'required'),
		array('id_usuario, id_rol, importancia', 'numerical', 'integerOnly'=>true),
		// The following rule is used by search().
		// Please remove those attributes that should not be searched.
		array('id_usuario, id_rol, importancia', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}


	public function getAccionesObjetoUsuarios()
	{

		try{
			$acciones_objetos = array();
				
			$Criteria = new CDbCriteria();

			$rol_dom_pri=MostrarRolPrivDomAccObj::model()->findAll("t.id_rol =".Yii::app()->user->getState('id_rol'));

			foreach($rol_dom_pri as $key => $value) {

				$acciones_objetos[$key] = array('accion'=>$value->nombre_accion,
													'objeto'=>$value->nombre_objeto,
					                                'accion_usuario'=>$value->nombre_accion_usuario,
					                                'objeto_usuario'=>$value->nombre_objeto_usuario,
													'opcion_admin'=>$value->opcion_admin,
				);
			}

			return $acciones_objetos;
				
		}
		catch (Exception $e) {
			$message="Error al consultar datos del usuario, contactar al adminitsrador del sistema.";
			throw new CHttpException('',$message);


		}
	}

	public function getObjetoUsuarios()
	{
		$objetos = array();
			
		$Criteria4 = new CDbCriteria();
		$Criteria4->select = "distinct (nombre_objeto_usuario)";
		$Criteria4->condition = "t.id_rol =".Yii::app()->user->getState('id_rol');
		$rol_dom_pri=MostrarRolPrivDomAccObj::model()->findAll($Criteria4);

		foreach($rol_dom_pri as $key => $value) {
			$objetos[$key] =$value->nombre_objeto_usuario;
				
		}

		return $objetos;
	}


	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_usuario' => 'Id Usuario',
			'id_rol' => 'Id Rol',
			'importancia' => 'Importancia',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('id_rol',$this->id_rol);

		$criteria->compare('importancia',$this->importancia);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}