<?php

/**
 * This is the model class for table "seguridad.t_usuario".
 *
 * The followings are the available columns in table 'seguridad.t_usuario':
 * @property integer $id_usuario
 * @property string $usuario
 * @property string $palabra_clave
 * @property integer $nro_intentos
 * @property string $fecha_creacion_usuario
 * @property string $id_estado
 * @property integer $id_estatus
 */
class TUsuario extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TUsuario the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	
	public $repetir_contrasena;
	public $tprivilegio_rol;

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.t_usuario';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
		array('usuario, palabra_clave,repetir_contrasena', 'required'),
		//array('nro_intentos, id_estatus', 'numerical', 'integerOnly'=>true),
		array('usuario', 'length', 'max'=>40),
		array('usuario,id_persona', 'unique','on'=>'insert','message'=>'Esta persona ya se encuentra registrada como usuario en el Sistema'),
		array('palabra_clave', 'length', 'max'=>40),
		array('palabra_clave', 'compare', 'compareAttribute'=>'repetir_contrasena', 'on'=>'insert'),
		
		//array('id_estado', 'length', 'max'=>2),		
		//array('palabra_clave', 'authenticate', 'skipOnError'=>true),
		// The following rule is used by search().
		// Please remove those attributes that should not be searched.
		array('usuario, palabra_clave, nro_intentos,id_persona,fecha_usuario, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.

		return array(
		   'rol_usuario'=>array(self::MANY_MANY,'TRbacRol','seguridad.t_rbac_usuario_rol(id_usuario,id_rol)'),
		   'persona_usuario'=>array(self::BELONGS_TO,'TPersona','id_persona'),
		   'estados_usuario'=>array(self::MANY_MANY,'TEstado','localizacion.t_estado(id_usuario,id_estado)'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function getRoles($id_usuario)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		
		$Criteria = new CDbCriteria();
		$Criteria->condition = "t.id_usuario = ".$id_usuario;
		$roles = TUsuario::model()->with('rol_usuario')->findAll($Criteria);
			
		foreach ($roles as $i => $value){
			$arrayUsuarios = $value->rol_usuario;
			foreach ($arrayUsuarios as $j => $value1){
				$salida .=  $value1->nombre_rol.",";
			}
		}

		$roles_usuarios = (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-1) : "Sin Rol Asignado";

		return $roles_usuarios;
	}
	


	/**
	 * @return boolean Muestra o no un campo de un formulario.
	 */
	public function setDisabled($scenario)
	{
		return $disabled = (strtoupper($scenario) != 'UPDATE' )? array() : array('disabled'=>true);
	}

	/**
	 * @return Array de las Operaciones permitidas en la vista que
	 * 		   Administra la lista de los registros de una tabla. 
	 *         Arma el template de opciones a mostrar.
	 * */
	public function setOpcionesAdmin()
	{

		$acciones_objetos_arreglo = TRbacUsuarioRol::model()->getAccionesObjetoUsuarios();

		$template = '';
		foreach($acciones_objetos_arreglo as $key => $value) {

			if(strtoupper(Yii::app()->getController()->id) == strtoupper($value['objeto'])){
				if ($value['opcion_admin'] == 1)
				{
					$template .=  '{'.$value['accion'].'} ';
				}

			}
		}

		//$template = '{view} {update} {delete} {postview} {preview}';
		return $template;
	}
	
	public function selectMultiples($form,$model,$titulo='',$model_first,$model_second,$condicion,$condicion2,$id,$descripcion,$boton1,$boton2){
		
		
		$salida = $form->labelEx($model,$titulo);
		$salida.= CHtml::dropDownList($boton1."_".$id,'',
	                                   strtoupper($model->getScenario()) == 'UPDATE'? 
	                                   CHtml::listData($model_first->findAll($condicion),$id,'calorias','calorias_trompo.descripcion_trompo_alimenticio') : 
	                                   CHtml::listData($model_first->findAll('t.id_estatus = 1'),$id,'calorias','calorias_trompo.descripcion_trompo_alimenticio'),
	                                   array('multiple'=>true,'style'=>'height:100px;width:200px;'));                                   
	 	      
	    $salida.= CHtml::ajaxSubmitButton (">>",
	    						 Yii::app()->createUrl('Nino_Sano/TMenuAlimento/AsignarCalorias',array('boton1'=>$boton1.'_'.$id,'boton2'=>$boton2.'_'.$id,'pasar'=>'1')), 
	    						array(	    							                    			
                        			'update' => '#calorias',
	    							'type'=>'POST',    			                       
                ));
        
        $salida.= CHtml::ajaxSubmitButton ("<<",	
                              Yii::app()->createUrl('Nino_Sano/TMenuAlimento/AsignarCalorias',array('boton1'=>$boton1.'_'.$id,'boton2'=>$boton2.'_'.$id,'pasar'=>'2')),                              
                              array(                              	 
                                  'update' => '#calorias',
                                  'type' => 'POST',                                 
            ));   
	   
	    $salida.= CHtml::dropDownList($boton2."_".$id,'',
	                                   strtoupper($model->getScenario()) == 'UPDATE'? 
	                                   CHtml::listData($model_first->findAll($condicion2),$id,'calorias','calorias_trompo.descripcion_trompo_alimenticio') : 
	                                   array(),
	                                   array('multiple'=>true,'style'=>'height:100px;width:200px;')); 	    
		//$salida.= CHtml::error($model,$id);
		

		return $salida;
		
	}

/**
	 * @return array relational rules.
	 */
	public function getEstados($id_usuario)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
      
		$res = TUsuarioEstados::model()->findAll('t.id_usuario = '.$id_usuario);
		
			
		foreach ($res as $i => $value){
									
			$salida .=  TEstado::model()->findByPk($value->id_estado)->descripcion_estado.", ";			
		}
		
		return (substr($salida,0,strlen($salida)-1) != null || substr($salida,0,strlen($salida)-1) != '')? substr($salida,0,strlen($salida)-2) : "Sin Estados Asignados";		
	
	}

	
	/**
	 * @return Array de las Operaciones permitidas en las vistas
	 * 		   dependiendo de los estatus y niveles de accesos
	 * */
	public function setOpcionesVistas($id,$id_estatus)
	{

		$acciones_objetos_arreglo = TRbacUsuarioRol::model()->getAccionesObjetoUsuarios();

		$acciones_vistas = TRbacAcciones::model()->with('opcion_vistas')->findAll();

		$menu= array();
		$visible = true;

		foreach($acciones_objetos_arreglo as $key => $value) {

			if(strtoupper(Yii::app()->getController()->id) == strtoupper($value['objeto'])){

				foreach ($acciones_vistas as $key1 => $value2){

					 $nombre_accion_padre = $value2->nombre_accion;
					 					
					foreach ($value2->opcion_vistas as $key3 => $value3){

						 $nombre_accion_hijo = $value3->nombre_accion;

						if(strtoupper(Yii::app()->getController()->getAction()->id) == strtoupper($nombre_accion_padre)){
							
							$visible = ($value3->opcion_admin == 1  && $id_estatus == 4) ? false : true;
						
							if (strtoupper($nombre_accion_hijo) == 'ELIMINAR' || strtoupper($nombre_accion_hijo) == 'DELETE' || strtoupper($nombre_accion_hijo) == 'BORRAR'){
									
								$menu[$key3] = array('label'=>$value3->nombre_accion_usuario." ".$value['objeto_usuario'],'visible'=>$visible,'url'=>'#','linkOptions'=>array('submit'=>array($value3->nombre_accion,'id'=>$id),'confirm'=>'Está seguro que desea Eliminar este Item?'));

							}else{

								$menu[$key3] = array('label'=>$value3->nombre_accion_usuario." ".$value['objeto_usuario'],'url'=>array($value3->nombre_accion,'id'=>$id),'visible'=>$visible);
							}
						}

						//print_r($menu[$key3])."<br>";
					}
				}
			}
		}

		return $menu;
	}

	public function setOpcionesVistass($id,$id_estatus)
	{

		$acciones_objetos_arreglo = TRbacUsuarioRol::model()->getAccionesObjetoUsuarios();

		$acciones_vistas = TRbacAcciones::model()->with('opcion_vistas')->findAll();

		$menu= array();
		$visible = true;

		foreach($acciones_objetos_arreglo as $key => $value) {

			if(strtoupper(Yii::app()->getController()->id) == strtoupper($value['objeto'])){

				foreach ($acciones_vistas as $key1 => $value2){

					$nombre_accion_padre = $value2->nombre_accion;

					foreach ($value2->opcion_vistas as $key3 => $value3){

						$nombre_accion_hijo = $value3->nombre_accion;

						if(strtoupper(Yii::app()->getController()->getAction()->id) == strtoupper($nombre_accion_padre)){

							$visible = ($value3->opcion_admin == 1  && $id_estatus == 4) ? false : true;

							if (strtoupper($nombre_accion_hijo) == 'ELIMINAR' || strtoupper($nombre_accion_hijo) == 'DELETE' || strtoupper($nombre_accion_hijo) == 'BORRAR'){
									
								$menu[$key3] = array('label'=>$value3->nombre_accion_usuario." ".$value['objeto_usuario'],'visible'=>$visible,'url'=>'#','linkOptions'=>array('submit'=>array($value3->nombre_accion,'id'=>$id),'confirm'=>'Está seguro que desea borrar este Usuario?'));

							}else{

								$menu[$key3] = array('label'=>$value3->nombre_accion_usuario." ".$value['objeto_usuario'],'url'=>array($value3->nombre_accion,'id'=>$id),'visible'=>$visible);
							}
						}

						//print_r($menu[$key3])."<br>";
					}
				}
			}
		}

		return $menu;
	}

	/*
	 array('label'=>'Lista de Usuarios', 'url'=>array('index')),
	 array('label'=>'Crear Usuario', 'url'=>array('create')),
	 array('label'=>'Modificar Usuario','visible'=> strtoupper($model->usuario) == 'ADMIN' ? false : true, 'url'=>array('update', 'id'=>$model->id_usuario)),
	 array('label'=>'Eliminar Usuario', 'visible'=> strtoupper($model->usuario) == 'ADMIN' ? false : true, 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->id_usuario),'confirm'=>'Está seguro que desea borrar este Usuario?')),
	 array('label'=>'Gestión de Usuario', 'url'=>array('admin')),
	 *
	 * */
	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_usuario' => 'Id Usuario',
			'usuario' => 'Usuario',
			'palabra_clave' => 'Contraseña',
		    'repetir_contrasena' => 'Repetir Contraseña',
			'nro_intentos' => 'Nro Intentos',
			'fecha_creacion_usuario' => 'Fecha Creacion Usuario',
		    'id_rol' => 'Roles',
			'id_persona' => 'Persona',
			'id_estatus' => 'Estatus',
			'persona_usuario.nombre_persona'=>'Nombres',
			'persona_usuario.apellido_persona'=>'Apellidos',
			'persona_usuario.cedula_persona'=>'Cedula',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('usuario',$this->usuario,true);

		$criteria->compare('nro_intentos',$this->nro_intentos);

		$criteria->compare('id_persona',$this->id_persona,true);
		
		$criteria->compare('palabra_clave',$this->palabra_clave,true);

		$criteria->compare('fecha_usuario',$this->fecha_usuario,true);

		//$criteria->compare('id_estado',$this->id_estado,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		//$criteria->join = 'INNER JOIN sisvan.t_persona p ON p.id_persona = t.id_persona';
		
		$criteria->order = 'fecha_usuario DESC';

		//	$criteria->condition = 'UPPER(t.usuario) <> \'ADMIN\'';

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}