<?php

/**
 * This is the model class for table "seguridad.v_reporte_auditoria".
 *
 * The followings are the available columns in table 'seguridad.v_reporte_auditoria':
 * @property integer $id_auditoria
 * @property integer $id_usuario
 * @property string $usuario
 * @property string $nombre_usuario
 * @property string $cedula
 * @property string $cedula_persona
 * @property string $genero
 * @property string $ip_address
 * @property integer $id_dominio
 * @property string $nombre_dominio
 * @property string $nombre_dominio_usuario
 * @property integer $id_objeto
 * @property string $nombre_objeto
 * @property string $nombre_objeto_usuario
 * @property integer $id_accion
 * @property string $nombre_accion
 * @property string $nombre_accion_usuario
 * @property string $tabla_accedida
 * @property string $fecha
 */
class VReporteAuditoria extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return VReporteAuditoria the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'seguridad.v_reporte_auditoria';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_auditoria, id_usuario, id_dominio, id_objeto, id_accion', 'numerical', 'integerOnly'=>true),
			array('cedula_persona', 'length', 'max'=>20),
			array('ip_address', 'length', 'max'=>30),
			array('nombre_dominio, nombre_dominio_usuario, nombre_objeto, nombre_objeto_usuario, nombre_accion', 'length', 'max'=>40),
			array('nombre_accion_usuario', 'length', 'max'=>50),
			array('tabla_accedida', 'length', 'max'=>60),
			array('usuario, nombre_usuario, cedula, genero, fecha', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_auditoria, id_usuario, usuario, nombre_usuario, cedula, cedula_persona, genero, ip_address, id_dominio, nombre_dominio, nombre_dominio_usuario, id_objeto, nombre_objeto, nombre_objeto_usuario, id_accion, nombre_accion, nombre_accion_usuario, tabla_accedida, fecha', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_auditoria' => 'Id Auditoria',
			'id_usuario' => 'Id Usuario',
			'usuario' => 'Usuario',
			'nombre_usuario' => 'Nombre Usuario',
			'cedula' => 'Cedula',
			'cedula_persona' => 'Cedula Persona',
			'genero' => 'Genero',
			'ip_address' => 'Ip Address',
			'id_dominio' => 'Id Dominio',
			'nombre_dominio' => 'Nombre Dominio',
			'nombre_dominio_usuario' => 'Nombre Dominio',
			'id_objeto' => 'Id Objeto',
			'nombre_objeto' => 'Nombre Objeto',
			'nombre_objeto_usuario' => 'Nombre Objeto',
			'id_accion' => 'Id Accion',
			'nombre_accion' => 'Nombre Accion',
			'nombre_accion_usuario' => 'Nombre Accion',
			'tabla_accedida' => 'Tabla Accedida',
			'fecha' => 'Fecha',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_auditoria',$this->id_auditoria);

		$criteria->compare('id_usuario',$this->id_usuario);

		$criteria->compare('usuario',$this->usuario,true);

		$criteria->compare('nombre_usuario',$this->nombre_usuario,true);

		$criteria->compare('cedula',$this->cedula,true);

		$criteria->compare('cedula_persona',$this->cedula_persona,true);

		$criteria->compare('genero',$this->genero,true);

		$criteria->compare('ip_address',$this->ip_address,true);

		$criteria->compare('id_dominio',$this->id_dominio);

		$criteria->compare('nombre_dominio',$this->nombre_dominio,true);

		$criteria->compare('nombre_dominio_usuario',$this->nombre_dominio_usuario,true);

		$criteria->compare('id_objeto',$this->id_objeto);

		$criteria->compare('nombre_objeto',$this->nombre_objeto,true);

		$criteria->compare('nombre_objeto_usuario',$this->nombre_objeto_usuario,true);

		$criteria->compare('id_accion',$this->id_accion);

		$criteria->compare('nombre_accion',$this->nombre_accion,true);

		$criteria->compare('nombre_accion_usuario',$this->nombre_accion_usuario,true);

		$criteria->compare('tabla_accedida',$this->tabla_accedida,true);

		$criteria->compare('fecha',$this->fecha,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}