<?php

class TDatosSujetoController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;
	
	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TDatosSujeto;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TDatosSujeto']))
		{
			$model->attributes=$_POST['TDatosSujeto'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_datos_sujeto));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();
                $model2= new TCabeceraNinos;
                
		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);
		if(isset($_POST['TPersona']) && ($_POST['TCabeceraNinos']))
		{
                 /*ACTUALIZO TABLA DE PERSONA */   
                 $id_per= $_POST[TPersona][id_persona];   
                 $name= $_POST[TPersona][nombre_persona];  
                 $lastname=$_POST[TPersona][apellido_persona];
                 $gender= $_POST[TPersona][id_genero];
                 $birtdate=$_POST[TPersona][fecha_nacimiento];
                 $day=$_POST[TPersona][dia_consulta];
                 $sql = "UPDATE sisvan.t_persona SET nombre_persona=:name,apellido_persona=:lastname,id_genero=:gender,fecha_nacimiento=:birtdate,dia_consulta=:day  WHERE id_persona =:id_per";
                 $comando = Yii::app() -> db -> createCommand($sql);
                 $comando -> bindParam(":id_per",$model->id_persona, PDO::PARAM_INT);
                 $comando -> bindParam(":name",$name, PDO::PARAM_STR);
                 $comando -> bindParam(":lastname",$lastname, PDO::PARAM_STR);
                 $comando -> bindParam(":gender",$gender, PDO::PARAM_INT);
                 $comando -> bindParam(":birtdate",$birtdate, PDO::PARAM_STR);
                 $comando -> bindParam(":day",$day, PDO::PARAM_STR);
                 $control = $comando -> execute();
                    if ($control==1){
                        /*  Calculo el Tiempo Transcurrido entre la Fecha de Nacimiento y la de Consulta Y Modifico la Tabla Datos Sujeto */
                        $fechai=$_POST[TPersona][fecha_nacimiento];
                        $fechaf=$_POST[TPersona][dia_consulta];
                        $sql = "select tiempo_transcurrido from sisvan.tiempo_transcurrido('$fechai', '$fechaf')";
                        $comando = Yii::app() -> db -> createCommand($sql);
		        $edad = $comando->queryRow();
                        $edad_consulta= $edad['tiempo_transcurrido'];
                        $peso=$_POST[TDatosSujeto][pesok].".".$_POST[TDatosSujeto][pesog];
                        $talla=$_POST[TDatosSujeto][tallam].".".$_POST[TDatosSujeto][tallac];
                        $fecha_modificacion=date('Y-m-d');
                        $id_suj=$_POST[TDatosSujeto][id_datos_sujeto];
                        $sql1 = "UPDATE sisvan.t_datos_sujeto SET peso=:peso,talla=:talla,fecha_modificacion=:fecha_modificacion,edad_consulta=:edad_consulta  WHERE id_datos_sujeto =:id_suj";
                        $comando1 = Yii::app() -> db -> createCommand($sql1);
                        $comando1 -> bindParam(":id_suj",$model->id_datos_sujeto, PDO::PARAM_INT);
                        $comando1 -> bindParam(":peso",$peso, PDO::PARAM_INT);
                        $comando1 -> bindParam(":talla",$talla, PDO::PARAM_INT);
                        $comando1 -> bindParam(":edad_consulta",$edad_consulta,PDO::PARAM_INT);
                        $comando1 -> bindParam(":fecha_modificacion",$fecha_modificacion, PDO::PARAM_STR);
                        $control1 = $comando1 -> execute();
                        if ($control1==1){
                            /*Actualizo datos en Cabecera Ninos */
                            $id_grado=$_POST[TCabeceraNinos][id_grado];
                            $id_seccion=$_POST[TCabeceraNinos][id_seccion];
                            $model2->id_cabecera_nino=$_POST[TCabeceraNinos][id_cabecera_nino];
                            $id_cab=$model2->id_cabecera_nino;
                            $sql2 = "UPDATE nino_sano.t_cabecera_ninos SET id_grado=:id_grado,id_seccion=:id_seccion WHERE id_cabecera_nino =:id_cab";
                            $comando2 = Yii::app() -> db -> createCommand($sql2);
                            $comando2 -> bindParam(":id_cab",$model2->id_cabecera_nino, PDO::PARAM_INT);
                            $comando2 -> bindParam(":id_grado",$id_grado, PDO::PARAM_INT);
                            $comando2 -> bindParam(":id_seccion",$id_seccion, PDO::PARAM_INT);
                            $control2 = $comando2 -> execute();
                            if ($control2==1){
                                $edad_consulta = split("[{,}]", $edad_consulta);
                                            /* SI es nino Consulto la tabla de Niño y Modifico la Tabla Resultados Ninos*/
                                if($edad_consulta[1] < 10 ){
                                      $sql4 = "select * from sisvan.calculo_estado_nutricional_ninos('$fechai', '$fechaf',$gender,$peso,$talla)";
                                      $comando4 = Yii::app() -> db -> createCommand($sql4);
				      $resultado4 = $comando4->queryRow();
                                      $con= TResultadosNinos::model()->find("id_datos_sujeto='".$id_suj."'");  
                                      if (!$con){
                                          echo "insert";
                                      $nino_resul=new TResultadosNinos;
                                      $nino_resul->id_datos_sujeto=$id_suj;
                                      $nino_resul->id_diagnostico_presuntivo=$resultado4['o_id_dp'];
                                      $nino_resul->id_interpretacion_combinada=$resultado4['o_id_ic'];
                                      $nino_resul->id_peso_edad=$resultado4['o_id_vz_pe'];
                                      $nino_resul->id_peso_edad_pci=$resultado4['o_id_vz_pci_pe'];
                                      $nino_resul->id_peso_talla=$resultado4['o_id_vz_pt'];
                                      $nino_resul->id_peso_talla_pci=$resultado4['o_id_vz_pci_pt'];
                                      $nino_resul->id_talla_edad=$resultado4['o_id_vz_te'];
                                      $nino_resul->id_talla_edad_pci=$resultado4['o_id_vz_pci_te'];
                                      $nino_resul->peso_edad=$resultado4['o_vz_pe'];
                                      $nino_resul->peso_talla=$resultado4['o_vz_pt'];
                                      $nino_resul->talla_edad=$resultado4['o_vz_te'];
                                        if($nino_resul->validate()){

                                          try{
                                              $nino_resul->save();


                                          }
                                          catch (Exception $e){
                                                if($e->getCode()==55000)
                                                $insert=true;
                                           else 
                                               throw new CHttpException(400,"Error al guardar la informacion.");
                                           }			     

                                        }
                                        $id_datos_sujeto=$model->id_datos_sujeto;
                                        $sql8 = "DELETE FROM sisvan.t_resultados_adolescentes WHERE id_datos_sujeto=:id_datos_sujeto";
                                        $comando8 = Yii::app() -> db -> createCommand($sql8);
                                        $comando8 -> bindParam(":id_datos_sujeto",$id_datos_sujeto, PDO::PARAM_INT);
                                        $control8 = $comando8 -> execute();
                                        if ($control8==1){ // OJO REVISAR VISTA 
                                             $this->redirect(array('view'));
                                         }
                                         
                                      }
                                      else{
                                      echo "update";
                                      $peso_talla=$resultado4['o_vz_pt'];
                                      $peso_edad=$resultado4['o_vz_pe'];
                                      $talla_edad=$resultado4['o_vz_te'];
                                      $id_peso_talla=$resultado4['o_id_vz_pt'];
                                      $id_peso_edad=$resultado4['o_id_vz_pe'];
                                      $id_talla_edad=$resultado4['o_id_vz_te'];
                                      $id_interpretacion_combinada=$resultado4['o_id_ic'];
                                      $id_diagnostico_presuntivo=$resultado4['o_id_dp'];
                                      $id_peso_talla_pci=$resultado4['o_id_vz_pci_pt'];
                                      $id_peso_edad_pci=$resultado4['o_id_vz_pci_pe'];
                                      $id_talla_edad_pci=$resultado4['o_id_vz_pci_te'];
                                      $sql3 = "UPDATE sisvan.t_resultados_ninos SET id_diagnostico_presuntivo=:id_diagnostico_presuntivo,id_interpretacion_combinada=:id_interpretacion_combinada,
                                      id_peso_edad=:id_peso_edad,id_peso_edad_pci=:id_peso_edad_pci,id_peso_talla=:id_peso_talla,id_peso_talla_pci=:id_peso_talla_pci,
                                      id_talla_edad=:id_talla_edad,id_talla_edad_pci=:id_talla_edad_pci,peso_edad=:peso_edad,peso_talla=:peso_talla,talla_edad=:talla_edad WHERE id_datos_sujeto =:id_suj";
                                      $comando3 = Yii::app() -> db -> createCommand($sql3);
                                      $comando3 -> bindParam(":id_suj",$model->id_datos_sujeto, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_diagnostico_presuntivo",$id_diagnostico_presuntivo, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_interpretacion_combinada",$id_interpretacion_combinada, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_peso_edad",$id_peso_edad, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_peso_edad_pci",$id_peso_edad_pci, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_peso_talla",$id_peso_talla, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_peso_talla_pci",$id_peso_talla_pci, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_talla_edad",$id_talla_edad, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":id_talla_edad_pci",$id_talla_edad_pci, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":peso_edad",$peso_edad, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":peso_talla",$peso_talla, PDO::PARAM_INT);
                                      $comando3 -> bindParam(":talla_edad",$talla_edad, PDO::PARAM_INT);
                                      $control3 = $comando3 -> execute();
                                           if ($control3==1){ // OJO REVISAR VISTAS
                                             $this->redirect(array('view'));
                                            } 
                                          
                                      }
    
                                    
                                }
                                elseif ($edad_consulta[1] >= 10 && $edad_consulta[1] < 20){
        			
                                    $res= TResultadosAdolescentes::model()->find("id_datos_sujeto='".$id_suj."'"); //Consulto si el adolescentes tiene datos asociados
                                    $sql5 = "select * from sisvan.calculo_estado_nutricional_adolescentes('$fechai', '$fechaf',$gender,$peso,$talla)";
                                    $comando5 = Yii::app() -> db -> createCommand($sql5);
                                    $resultado5 = $comando5->queryRow();
                                    if (!$res){
                                        echo "insert";
                                         $resultado_adole=new TResultadosAdolescentes;
                                         $resultado_adole->id_datos_sujeto=$id_suj;
                                         $resultado_adole->id_categoria_imc_adolescentes=$resultado5['o_id_imc'];
                                         $resultado_adole->id_diagnostico_presuntivo=$resultado5['o_id_dp'];
                                         $resultado_adole->id_interpretacion_combinada=$resultado5['o_id_ic'];
                                         $resultado_adole->id_talla_edad=$resultado5['o_id_vz_te'];
                                         $resultado_adole->imc=$resultado5['o_imc'];
                                         $resultado_adole->talla_edad=$resultado5['o_vz_te'];
                                         if($resultado_adole->validate()){
                                              try{
                                                  $resultado_adole->save();
                                               }catch (Exception $e){
                                                   
                                                    if($e->getCode()==55000)
                                                   
                                                            $insert=true;
                                                                
                                                    else 
                                                        throw new CHttpException(400,"Error al guardar la informacion.");
                                            }
                                           

                                          }
                                         /*Elimino el Sujeto de La tabla de Ninos ya que paso hacer un adolescentes*/
                                        $id_datos_sujeto=$model->id_datos_sujeto;
                                        $sql6 = "DELETE FROM sisvan.t_resultados_ninos WHERE id_datos_sujeto=:id_datos_sujeto";
                                        $comando6 = Yii::app() -> db -> createCommand($sql6);
                                        $comando6 -> bindParam(":id_datos_sujeto",$id_datos_sujeto, PDO::PARAM_INT);
                                        $control6 = $comando6 -> execute();
                                        if ($control6==1){ // OJO REVISAR VISTA 
                                             $this->redirect(array('view',));
                                         }
                                    
                                     }
                                     else{
                                         
                                         $talla_edad=$resultado5['o_vz_te'];
                                         $imc= $resultado5['o_imc'];;
                                         $id_talla_edad=$resultado5['o_id_vz_te'];
                                         $id_categoria_imc_adolescentes=$resultado5['o_id_imc'];
                                         $id_interpretacion_combinada=$resultado5['o_id_ic'];
                                         $id_diagnostico_presuntivo=$resultado5['o_id_dp'];
                                         $sql6 = "update sisvan.t_resultados_adolescentes SET talla_edad=:talla_edad,imc=:imc,id_talla_edad=:id_talla_edad,id_categoria_imc_adolescentes=:id_categoria_imc_adolescentes,
                                         id_interpretacion_combinada=:id_interpretacion_combinada,id_diagnostico_presuntivo=:id_diagnostico_presuntivo  WHERE id_datos_sujeto=:id_suj";
                                         $comando6 = Yii::app() -> db -> createCommand($sql6);
                                         $comando6 -> bindParam(":id_suj",$res->id_datos_sujeto, PDO::PARAM_INT);
                                         $comando6 -> bindParam(":talla_edad",$talla_edad, PDO::PARAM_INT);
                                         $comando6 -> bindParam(":imc",$imc, PDO::PARAM_INT);
                                         $comando6 -> bindParam(":id_talla_edad",$id_talla_edad,PDO::PARAM_INT);
                                         $comando6 -> bindParam(":id_categoria_imc_adolescentes",$id_categoria_imc_adolescentes, PDO::PARAM_INT);
                                         $comando6 -> bindParam(":id_interpretacion_combinada",$id_interpretacion_combinada, PDO::PARAM_INT);
                                         $comando6 -> bindParam(":id_diagnostico_presuntivo",$id_diagnostico_presuntivo, PDO::PARAM_INT);
                                         $control6 = $comando6 -> execute();
                                         if ($control6==1){ // OJO REVISAR VISTAS
                                             $status=2; 
                                             $this->redirect(array('view','id'=>$model->id_datos_sujeto,'status'=>$status));
                                            }
                                            
                                         
                                         
                                     }
                                
                            }  
					        		    	
                            }
                            
                            
                            
                            
                        }
                     

                 }
                 else{/* No actualizo la tabla persona*/
                     
                     
                     
                     
                     
                     
                     
                 }
                      
                        

                        $sql = "select tiempo_transcurrido from sisvan.tiempo_transcurrido('$fechai', '$fechaf')";
                        $comando = Yii::app() -> db -> createCommand($sql);
                        $edad = $comando->queryRow();
                        
                        
                        
                        
                        
                    
			/*$model->attributes=$_POST['TDatosSujeto'];
			if($model->save())
				$this->redirect(array('view','id'=>$model->id_datos_sujeto));*/
		}
                else{
                $res= TDatosSujeto::model()->with('sujeto_persona')->findAll('t.id_datos_sujeto='.$_GET['id']);
                $res1=TCabeceraNinos::model()->find('t.id_datos_sujeto='.$_GET['id']);
                
		$this->render('update',array(
			'model'=>$model,'res'=>$res,'res1'=>$res1,
		)
                        
                        );
                } 
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE sisvan.t_datos_sujeto SET id_estatus=:valor  WHERE id_datos_sujeto =:datos_sujeto";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":datos_sujeto",$model->id_datos_sujeto, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();
                        
			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_datos_sujeto));
			}else{
				$this->redirect(array('view','id'=>$model->id_datos_sujeto));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	
        
        public function actionupdateninos(){
               $this->renderPartial('createDialog',array(
               
               ));

            
            
            
        }
        public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE sisvan.t_datos_sujeto SET id_estatus =:valor  WHERE id_datos_sujeto =:datos_sujeto";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":datos_sujeto",$model->id_datos_sujeto, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_datos_sujeto));
			}else{
				$this->redirect(array('view','id'=>$model->id_datos_sujeto));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE sisvan.t_datos_sujeto SET id_estatus =:valor  WHERE id_datos_sujeto =:datos_sujeto";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":datos_sujeto",$model->id_datos_sujeto, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_datos_sujeto));
			}else{
				$this->redirect(array('view','id'=>$model->id_datos_sujeto));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		/*
                $dataProvider=new CActiveDataProvider('TDatosSujeto');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
        
	
            */
            

            $model=new TDatosSujeto('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TDatosSujeto']))
			$model->attributes=$_GET['TDatosSujeto'];
                
		$this->render('admin',array(
			'model'=>$model,
		));
        }

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TDatosSujeto('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TDatosSujeto']))
			$model->attributes=$_GET['TDatosSujeto'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
				$this->_model=TDatosSujeto::model()->findbyPk($_GET['id']);
			if($this->_model===null)
				throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='tdatos-sujeto-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}