<?php

class TOrganismoController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TOrganismo;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TOrganismo']))
		{
			$model->attributes=$_POST['TOrganismo'];
			if($model->save())
			$this->redirect(array('view','id'=>$model->id_organismo));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TOrganismo']))
		{
			$model->attributes=$_POST['TOrganismo'];
			if($model->save())
			$this->redirect(array('view','id'=>$model->id_organismo));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'admin' page.
	 */
	public function actionActivar()
	{

		try {
			$valor=1;
			$model=$this->loadModel();
			$sql = "UPDATE sisvan.t_organismo SET id_estatus=:valor  WHERE id_organismo =:organismo";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":organismo",$model->id_organismo, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_organismo));
			}else{
				$this->redirect(array('view','id'=>$model->id_organismo));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}

	/**
	 * Modifica el estatus del Privilegio.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionDesactivar()
	{
			
		try {
			$valor=2;
			$model=$this->loadModel();
			$sql = "UPDATE sisvan.t_organismo SET id_estatus =:valor  WHERE id_organismo =:organismo";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":organismo",$model->id_organismo, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_organismo));
			}else{
				$this->redirect(array('view','id'=>$model->id_organismo));
			}

		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
			
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		try {
			$valor=4;
			$model=$this->loadModel();
			$sql = "UPDATE sisvan.t_organismo SET id_estatus =:valor  WHERE id_organismo =:organismo";
			$comando = Yii::app() -> db -> createCommand($sql);
			$comando -> bindParam(":organismo",$model->id_organismo, PDO::PARAM_INT);
			$comando -> bindParam(":valor",$valor, PDO::PARAM_INT);
			$control = $comando -> execute();

			if($control=1){
				$this->redirect(array('admin','id'=>$model->id_organismo));
			}else{
				$this->redirect(array('view','id'=>$model->id_organismo));
			}
		} catch (Exception $e) {
			$message="Error al modificar datos, contactar al Administrador del Sistema.";
			throw new CHttpException(400,$message);

		}
	}
	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TOrganismo',array(
							    'criteria'=>array(
							    'condition'=>'id_organismo <> 0',							    
		),
		));

		//$dataProvider=new CActiveDataProvider('TOrganismo');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TOrganismo('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TOrganismo']))
		$model->attributes=$_GET['TOrganismo'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}


	/**
	 * Manages all models.
	 */
	public function actionOrganismo()
	{

		if ($_POST['VReportes']['id_microarea']!=""){
			
			$data=TOrganismo::model()->findAll('t.id_microarea =\''.$_POST['VReportes']['id_microarea'].'\'');
							
			$data=CHtml::listData($data,'id_organismo','organismo');
			//echo $_POST['id_microarea'];
			echo CHtml::tag('option',array('value'=>''),'Seleccione >>',true);
			foreach($data as $value=>$name)
			{
				echo CHtml::tag('option',
				array('value'=>$value),CHtml::encode($name),true);
			}			
		}else{
			
			echo CHtml::tag('option',array('value'=>''),'Seleccione >>',true);
		}
			
	}


	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TOrganismo::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='torganismo-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
	
	public function actionEscuela() {
            
            
            
		  		  
		   if ($_POST['parroquias']!=""){
                       $criterio='t.id_tipo_organismo=16 and substring(t.id_microarea from 1 for 6)=\''.$_POST['parroquias'].'\' and t.id_organismo   <> 0 order by t.organismo asc';
                       $data=TOrganismo::model()->findAll($criterio);
                       //$data=TOrganismo::model()->findAll('codigo_organismo=\''.$_POST['parroquias'].'\'');
                           
                            if ($data!=""){
                                $data=CHtml::listData($data,'id_organismo','organismo');
	    		echo CHtml::tag('option',array('value'=>''),'Seleccione >>',true);
			   	foreach($data as $value=>$name)
			    {
			        echo CHtml::tag('option',
			                   array('value'=>$value),CHtml::encode($name),true);
			    	
			    }

                                 
                                
                            }
                            else{
                                echo CHtml::tag('option',array('value'=>''),'NO DISPONIBLE',true);
                                
                            }
                            
	    					    
			
		   }/*elseif ($_POST['VReportes']['id_municipio']!=""){     
		    $data=TParroquia::model()->findAll('id_municipio=\''.$_POST['VReportes']['id_municipio'].'\'');
	 
				
	    		$data=CHtml::listData($data,'id_parroquia','descripcion_parroquia');
	    		echo CHtml::tag('option',array('value'=>''),'TODOS',true);
			   	foreach($data as $value=>$name)
			    {
			        echo CHtml::tag('option',
			                   array('value'=>$value),CHtml::encode($name),true);
			    	
			    }
		   }elseif ($_POST['TMunicipio']['id_municipio']!=""){     
		    	$data=TParroquia::model()->findAll('id_municipio=\''.$_POST['TMunicipio']['id_municipio'].'\'');
                        
				
	    		$data=CHtml::listData($data,'id_parroquia','descripcion_parroquia');
	    		echo CHtml::tag('option',array('value'=>''),'Seleccione >>',true);
			   	foreach($data as $value=>$name)
			    {
			        echo CHtml::tag('option',
			                   array('value'=>$value),CHtml::encode($name),true);
			    	
			    }
		   	
		    }*/else{
		    	echo CHtml::tag('option',array('value'=>''),'TODOS',true);
		    }
			
		

        }
	
	
	public function actionAddEscuela() {
			//echo "docenteee";
	        $model=new TOrganismo;
	            
	       
	        // Ajax Validation enabled
	        $this->performAjaxValidation($model);
	       
	     
	        //Flag to know if we will render the form or try to add
	        //new jon.
	        $flag=true;
	     
				if(isset($_POST['TOrganismo']))
				{
					
					$flag=false;
					
					$model->attributes=$_POST['TOrganismo'];
										
					
					if($model->validate()){
						$model->save();
						echo CHtml::tag('option',
			                   array('value'=>$model->id_organismo),CHtml::encode($model->organismo),true);
						
					}
				}
				
			 	if($flag){
			 		
	                    $this->renderPartial('createDialog',array(
	                        'model'=>$model,'estado'=>$_GET['estado'],'preg'=>$_GET['preg'],
	                    ),false,true);
	             }
                
                
         
            
        }
        
        
}