<?php

class TPersonaController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @var CActiveRecord the currently loaded data model instance.
	 */
	private $_model;


	/**
	 * Displays a particular model.
	 */
	public function actionView()
	{
		$this->render('view',array(
			'model'=>$this->loadModel(),
		));
	}

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new TPersona;

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TPersona']))
		{
			$model->attributes=$_POST['TPersona'];
				
			if($model->save())
			$this->redirect(array('view','id'=>$model->id_persona));
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}

	/**
	 * Updates a particular model.
	 * If update is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionUpdate()
	{
		$model=$this->loadModel();

		// Uncomment the following line if AJAX validation is needed
		// $this->performAjaxValidation($model);

		if(isset($_POST['TPersona']))
		{
			$model->attributes=$_POST['TPersona'];
			if($model->save())
			$this->redirect(array('view','id'=>$model->id_persona));
		}

		$this->render('update',array(
			'model'=>$model,
		));
	}

	/**
	 * Deletes a particular model.
	 * If deletion is successful, the browser will be redirected to the 'index' page.
	 */
	public function actionDelete()
	{
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
			$this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
		}
		else
		throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
	}

	/**
	 * Lists all models.
	 */
	public function actionIndex()
	{
		$dataProvider=new CActiveDataProvider('TPersona',array(
							    'criteria'=>array(
							    'condition'=>'id_persona <> 0',							    
		),
		));

		//$dataProvider=new CActiveDataProvider('TPersona');
		$this->render('index',array(
			'dataProvider'=>$dataProvider,
		));
	}

	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new TPersona('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['TPersona']))
		$model->attributes=$_GET['TPersona'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 */
	public function loadModel()
	{
		if($this->_model===null)
		{
			if(isset($_GET['id']))
			$this->_model=TPersona::model()->findbyPk($_GET['id']);
			if($this->_model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		}
		return $this->_model;
	}
	
	
	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	
	
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='tpersona-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
	
	public function actionAddNew() {
		
       
		$model=new TPersona;
        $modificar=0;
        $flag=true;
        // Ajax Validation enabled
      try{
      
       $this->performAjaxValidation($model);
        
      
        //Flag to know if we will render the form or try to add
        //new jon.
        	
			
     		
			if(isset($_POST['TPersona']))
			{
				
				$flag=false;
				$i=1;
				
				if($_POST['cedula']){
					$cedula=$_POST['cedula'];
				}else{
					$cedula=$_POST['TPersona']['cedula_persona'];
				}
				
				$pers=TPersona::model()->find("cedula_persona='".$cedula."'");
				
								
				if(count($pers)==0){
					
					$model->attributes=$_POST['TPersona'];
					$model->id_genero=$_POST['TPersona']['id_genero'];
					
					
					$edad= TNinosAdolescentes::model()->CalcularEdad($_POST['TPersona']['fecha_nacimiento'],$d[0]->fecha_consulta);
					
					$valid=$model->validate();		
					
						
						if($valid){
							
							$model->save();
							$existe=TNinosAdolescentes::model()->find('id_persona='.$model->id_persona);
					        if(count($existe)==0){
					             	
							   $TNinos= new TNinosAdolescentes;
							   $TNinos->id_persona=$model->id_persona;
							   $TNinos->id_representante=0;
							   if($TNinos->validate()){
							   		$TNinos->save();
								}
					        //ECHO "AGREGANDO".$_GET['num_filas'];
					        
					         $ne =  $_GET['num_filas']+1;
							//ECHO "AGREGANDO".$ne;
								
								echo "<tr><td class=\"lista_reportes\">".$ne."</td>";
								echo "<td class=\"lista_reportes\">".$model->nombre_persona." ".$model->apellido_persona."</td>";
								echo "<td class=\"lista_reportes\">".$model->person_ident->siglas_tipo."-".$model->cedula_persona."</td>";
								echo "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($model->fecha_nacimiento)))."</td>";
				  				echo "<td class=\"lista_reportes\">".$model->person_genero->descripcion_genero."</td>";				  				
				  				echo "<td class=\"lista_reportes\">".CHtml::textField('kg-'.$model->id_persona,'',array('size'=>3,'maxlength'=>3))."".CHtml::textField('gr-'.$model->id_persona,'',array('size'=>3,'maxlength'=>3))."</td>";
					  			echo "<td class=\"lista_reportes\">".CHtml::textField('m-'.$model->id_persona,'',array('size'=>2,'maxlength'=>1))."".CHtml::textField('cm-'.$model->id_persona,'',array('size'=>3,'maxlength'=>2))."</td>";	  			
				  				echo "<td class=\"lista_reportes\"><a  href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td></tr>";
				  				echo "<tr><td class=\"lista_reportes\"><script>document.getElementById('num_filas').value='".$ne."'</script></td></tr>";
				  				echo "<script>document.getElementById('nino').value = '".$model->id_persona."'; </script>";
				  				
					        }
							
						}	
					
									
					
				}else{
					
						$pers->id_genero=$_POST['TPersona']['id_genero'];
						$pers->fecha_nacimiento=$_POST['TPersona']['fecha_nacimiento'];
						$pers->save();
						$existe=TNinosAdolescentes::model()->find('id_persona='.$pers->id_persona);
					    if(count($existe)==0){
					             	
							   $TNinos= new TNinosAdolescentes;
							   $TNinos->id_persona=$pers->id_persona;
							   $TNinos->id_representante=0;
							   if($TNinos->validate()){
							   		$TNinos->save();
								}
					    
					        
					    $n =  $_GET['num_filas'] + 1;
		
						echo "<tr><td class=\"lista_reportes\"><script>document.getElementById('num_filas').value=".$n."</script></td></tr>";
						echo "<tr><td class=\"lista_reportes\">".$n."</td>";
						echo "<td class=\"lista_reportes\">".$pers->nombre_persona." ".$pers->apellido_persona."</td>";
						echo "<td class=\"lista_reportes\">".$pers->person_ident->siglas_tipo."-".$pers->cedula_persona."</td>";
						echo "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($pers->fecha_nacimiento)))."</td>";
			  			echo "<td class=\"lista_reportes\">".$pers->person_genero->descripcion_genero."</td>";			  			
			  			echo "<td class=\"lista_reportes\">".CHtml::textField('kg-'.$pers->id_persona,'',array('size'=>3,'maxlength'=>3))."".CHtml::textField('gr-'.$pers->id_persona,'',array('size'=>3,'maxlength'=>3))."</td>";
					  	echo "<td class=\"lista_reportes\">".CHtml::textField('m-'.$pers->id_persona,'',array('size'=>2,'maxlength'=>1))."".CHtml::textField('cm-'.$pers->id_persona,'',array('size'=>3,'maxlength'=>2))."</td>";	  			
			  			
					  	echo "<td class=\"lista_reportes\"><a  href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td></tr>";
				  		echo "<script>document.getElementById('nino').value = '".$pers->id_persona."'; </script>";
				  		//echo "<script>document.getElementById('link').style.display = 'none'; </script>";
					
					 }       
							
				}
				
			}
     	
			if($flag){
				
					$busqueda=$this->BuscarNino();
					
					if(($busqueda=="")&&($p==1)){
					
	                   $this->renderPartial('createDialog',array(
	                        'model'=>$model,'modificar'=>$modificar,'num_filas'=>$_POST['num_filas'],
	            	   ),false,true);
	            	   
					}else if(($busqueda=="")&&($p==0)){
						
					}else{
						echo $resultado;
					}
	            
	       }
                
	 	} 
			catch (Exception $e) { 
				        
						throw new CHttpException('','Error al almacenar datos, contacte al administrador del sistema');
		}     
         
            
        }
	

	
	public function BuscarNino(){

		$modificar=0;
		$tipo_ident =  $_POST['identificacion'];
		$resultado="";
		$p=0;
		$cedula =  $_POST['cedula_persona'];
		if($_GET['tipo_enc']!=0){
			$fin=TTipoEncuesta::model()->findByPk($_GET['tipo_enc']);
		
		}else{
			$fin=0;
		} 
		
				
		if(($cedula != '')&&($tipo_ident!= '')){
		
			$persona = TPersona::model()->findAll('t.cedula_persona = \''.$cedula.'\'');
			
			if(count($persona)>0){
				
					$existe=TNinosAdolescentes::model()->find('id_persona='.$persona[0]->id_persona);
				    if(count($existe)>0){
				    			     		
						if($fin==0){
							
							
							$d = TCabeceraEncuesta::model()->with('Cabecera_Cab_ninos','Cabecera_Cab_ninos.cabecera_tnino')->findAll("t.id_encuesta = ".$_GET['id_apertura']." and
	 cabecera_tnino.id_persona =".$persona[0]->id_persona);
						
							if(count($d)!=0){
							
								echo "<script> alert(\"Los datos del Ni\u00f1o ya fueron cargados en otra encuesta para este mismo Período\") </script>";
						
							}else{
								
								$edad=TNinosAdolescentes::model()->CalcularEdad(date('d-m-Y',strtotime($persona[0]->fecha_nacimiento)),date('d-m-Y',strtotime($d[0]->fecha_consulta)));
								
								
								if($edad<20){
									
									$n =  $_POST['num_filas']+1;
									
									$tabla="<tr><td class=\"lista_reportes\">".$n."</td>";
									$tabla.= "<td class=\"lista_reportes\">".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</td>";
									$tabla.= "<td class=\"lista_reportes\">".$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona."</td>";
									$tabla.= "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($persona[0]->fecha_nacimiento)))."</td>";
					  				$tabla.= "<td class=\"lista_reportes\">".$persona[0]->person_genero->descripcion_genero."</td>";
					  				$tabla.= "<td class=\"lista_reportes\">".CHtml::textField('kg-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."".CHtml::textField('gr-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."</td>";
					  				$tabla.= "<td class=\"lista_reportes\">".CHtml::textField('m-'.$persona[0]->id_persona,'',array('size'=>2,'maxlength'=>1))."".CHtml::textField('cm-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>2))."</td>";
					  				$tabla.= "<td class=\"lista_reportes\"><a  href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td></tr>";
					  				$tabla.= "<script>document.getElementById('num_filas').value=".$n."</script>";
					  				$tabla.= "<script>document.getElementById('nino').value = '".$persona[0]->id_persona."'; </script>";
					  				echo $tabla;
					  			
								}else{
									echo "<script> alert(\"Este Ni\u00f1o tiene $edad  a\u00f1os por lo tanto no puede ser agregado para el estudio nutricional\") </script>";
								}
								
								
				  				
			  				
							}
					}elseif ($fin->tipoE_tipo_ins->descripcion_tipo_instrumento=="Encuesta 2"){
						
						$id_padre=TEncuesta::model()->findByPk($_GET["id_apertura"])->encuesta_padre;
						
						$c = TCabeceraEncuesta::model()->with('Cabecera_Cab_ninos','Cabecera_Cab_ninos.cabecera_tnino')->findAll("t.id_encuesta = ".$id_padre." and
	 cabecera_tnino.id_persona =".$persona[0]->id_persona);
						
						
						if(count($c)==0){
							
							echo "<script> alert(\"Los datos de este Ni\u00f1o no fueron agregados en una primera carga de datos\") </script>";
						
						}else{
							echo "<table  class=\"tabla_encuesta\" width=\"100%\"  style=\"display:block\" >
							<tr><th class=\"enc_encuesta\">Nombre y Apellido</th>
							<th class=\"enc_encuesta\">Cedula de Identidad</th>
							<th class=\"enc_encuesta\">Fecha de Nacimiento</th>
							</tr>";		
							echo "<tr><td class=\"list_encuesta\">".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</td>";
							echo "<td class=\"list_encuesta\">".$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona."</td>";
							echo "<td class=\"list_encuesta\">".CHtml::encode(date('d/m/Y',strtotime($persona[0]->fecha_nacimiento)))."</td>";
		  					echo "<td class=\"list_encuesta\"><a href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td>";				
							echo "<td class=\"list_encuesta\"><script>document.getElementById('nino').value = '".$persona[0]->id_persona."'; </script></td></tr>";
							echo "</table>";
						
						}
					}
					
				}else{
					if($fin->tipoE_tipo_ins->descripcion_tipo_instrumento!="Encuesta 2"){
						$model= new TPersona();
						if($persona[0]->id_genero==0){
							$modificar=1;
							$model=$persona[0];
							$this->renderPartial('createDialog',array(
	                        	'model'=>$model,'modificar'=>$modificar,'num_filas'=>$_POST['num_filas']
	                    	),false,true);
						}else{
							$TNinos= new TNinosAdolescentes;
							$TNinos->id_persona=$persona[0]->id_persona;
							$TNinos->id_representante=0;
							if($TNinos->validate()){
							   	$TNinos->save();
							   	$n =  $_POST['num_filas']+1;
		
								
								echo "<tr><td class=\"lista_reportes\">".$n."</td>";
								echo "<td class=\"lista_reportes\">".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</td>";
								echo "<td class=\"lista_reportes\">".$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona."</td>";
								echo "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($persona[0]->fecha_nacimiento)))."</td>";
				  				echo "<td class=\"lista_reportes\">".$persona[0]->person_genero->descripcion_genero."</td>";
				  				echo "<td class=\"lista_reportes\">".CHtml::textField('kg-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."".CHtml::textField('gr-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."</td>";
					  			echo "<td class=\"lista_reportes\">".CHtml::textField('m-'.$persona[0]->id_persona,'',array('size'=>2,'maxlength'=>1))."".CHtml::textField('cm-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>2))."</td>";
				  				echo "<td class=\"lista_reportes\"><a  href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td></tr>";
				  				echo "<script>document.getElementById('num_filas').value=".$n."</script>";
				  				echo "<script>document.getElementById('nino').value = '".$persona[0]->id_persona."'; </script>";
				  	
							 
							}
						}
						
					}else{
						echo "<script> alert(\"Los datos de este Ni\u00f1o no fueron agregados en una primera carga de datos\") </script>";
					}
					
					
				}
			}elseif($fin==0){
				$model=new TPersona;
				$model->id_tipo_identificacion=$_POST['identificacion'];
				$model->cedula_persona=$_POST['cedula_persona'];
				$this->renderPartial('createDialog',array(
	                        	'model'=>$model,'modificar'=>$modificar,'num_filas'=>$_POST['num_filas']
	            ),false,true);
	            
			}else{
				echo "<script> alert(\"Los datos de este Ni\u00f1o no fueron agregados en una primera carga de datos\") </script>";
			}
			
		}else{
			echo "<script>alert(\"Debe agregar un numero de c\u00e9dula para realizar la b\u00fasqueda\"); document.getElementById(\"cedula_persona\").focus();</script>";
		}
			
		return $resultado;	
	}
	
	
	public function actionBuscarNino(){

		
		$tipo_ident =  $_POST['identificacion'];
		$resultado="";
		$p=0;
		$cedula =  $_POST['cedula_persona'];
		if($_GET['tipo_enc']!=0){
			$fin=TTipoEncuesta::model()->findByPk($_GET['tipo_enc']);
		
		}else{
			$fin=0;
		} 
		
				
		if(($cedula != '')&&($tipo_ident!= '')){
			
			$persona = TPersona::model()->findAll('t.cedula_persona = \''.$cedula.'\'');
			
			if(count($persona)>0){
				
					$existe=TNinosAdolescentes::model()->find('id_persona='.$persona[0]->id_persona);
				    if(count($existe)>0){
				    			     		
						if($fin==0){
							
							
							$d = TCabeceraEncuesta::model()->with('Cabecera_Cab_ninos','Cabecera_Cab_ninos.cabecera_tnino')->findAll("t.id_encuesta = ".$_GET['id_apertura']." and
	 cabecera_tnino.id_persona =".$persona[0]->id_persona);
						
							if(count($d)!=0){
							
								echo "<script> alert(\"Los datos del Ni\u00f1o ya fueron cargados en otra encuesta para este mismo Período\") </script>";
						
							}else{
								
								$edad=TNinosAdolescentes::model()->CalcularEdad(date('d-m-Y',strtotime($persona[0]->fecha_nacimiento)));
								
								
								if($edad<20){
									
									$n =  $_POST['num_filas']+1;
									
									echo "<tr><td class=\"lista_reportes\">".$n."</td>";
									echo "<td class=\"lista_reportes\">".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</td>";
									echo "<td class=\"lista_reportes\">".$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona."</td>";
									echo "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($persona[0]->fecha_nacimiento)))."</td>";
					  				echo "<td class=\"lista_reportes\">".$persona[0]->person_genero->descripcion_genero."</td>";
					  				echo "<td class=\"lista_reportes\">".CHtml::textField('kg-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."".CHtml::textField('gr-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."</td>";
					  				echo "<td class=\"lista_reportes\">".CHtml::textField('m-'.$persona[0]->id_persona,'',array('size'=>2,'maxlength'=>1))."".CHtml::textField('cm-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>2))."</td>";
					  				echo "<td class=\"lista_reportes\"><a  href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td></tr>";
					  				echo"<script>document.getElementById('num_filas').value=".$n."</script>";
					  				echo "<script>document.getElementById('nino').value = '".$persona[0]->id_persona."'; </script>";
					  			
								}else{
									echo "<script> alert(\"Este Ni\u00f1o tiene $edad  a\u00f1os por lo tanto no puede ser agregado para el estudio nutricional\") </script>";
								}
								
								
				  				
			  				
							}
					}elseif ($fin->tipoE_tipo_ins->descripcion_tipo_instrumento=="Encuesta 2"){
						
						$id_padre=TEncuesta::model()->findByPk($_GET["id_apertura"])->encuesta_padre;
						
						$c = TCabeceraEncuesta::model()->with('Cabecera_Cab_ninos','Cabecera_Cab_ninos.cabecera_tnino')->findAll("t.id_encuesta = ".$id_padre." and
	 cabecera_tnino.id_persona =".$persona[0]->id_persona);
						
						
						if(count($c)==0){
							
							echo "<script> alert(\"Los datos de este Ni\u00f1o no fueron agregados en una primera carga de datos\") </script>";
						
						}else{
							echo "<table  class=\"tabla_reportes\"   >
							<tr><td class=\"enc_reportes\">Nombre y Apellido</td>
							<td class=\"enc_reportes\">Cedula de Identidad</td>
							<td class=\"enc_reportes\">Fecha de Nacimiento</td>
							</tr>";		
							echo "<tr><td class=\"lista_reportes\">".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</td>";
							echo "<td class=\"lista_reportes\">".$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona."</td>";
							echo "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($persona[0]->fecha_nacimiento)))."</td>";
		  					echo "<td class=\"lista_reportes\"><a href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td>";				
							echo "<script>document.getElementById('nino').value = '".$persona[0]->id_persona."'; </script>";
							echo "</table>";
						
						}
					}
					
				}else{
					if($fin->tipoE_tipo_ins->descripcion_tipo_instrumento!="Encuesta 2"){
						$model= new TPersona();
						if($persona[0]->id_genero==0){
							$model=$persona[0];
							$this->renderPartial('createDialog',array(
	                        	'model'=>$model,
	                    	),false,true);
						}else{
							$TNinos= new TNinosAdolescentes;
							$TNinos->id_persona=$persona[0]->id_persona;
							$TNinos->id_representante=0;
							if($TNinos->validate()){
							   	$TNinos->save();
							   	$n =  $_POST['num_filas']+1;
		
								echo "<script>document.getElementById('num_filas').value=".$n."</script>";
								echo "<tr><td class=\"lista_reportes\">".$n."</td>";
								echo "<td class=\"lista_reportes\">".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</td>";
								echo "<td class=\"lista_reportes\">".$persona[0]->person_ident->siglas_tipo."-".$persona[0]->cedula_persona."</td>";
								echo "<td class=\"lista_reportes\">".CHtml::encode(date('d/m/Y',strtotime($persona[0]->fecha_nacimiento)))."</td>";
				  				echo "<td class=\"lista_reportes\">".$persona[0]->person_genero->descripcion_genero."</td>";
				  				echo "<td class=\"lista_reportes\">".CHtml::textField('kg-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."".CHtml::textField('gr-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>3))."</td>";
					  			echo "<td class=\"lista_reportes\">".CHtml::textField('m-'.$persona[0]->id_persona,'',array('size'=>2,'maxlength'=>1))."".CHtml::textField('cm-'.$persona[0]->id_persona,'',array('size'=>3,'maxlength'=>2))."</td>";
				  				echo "<td class=\"lista_reportes\"><a  href=\"#\" onclick=\"eliminarTR(this);\"><img src=\"".Yii::app()->baseUrl."/images/delete.png\"></a></td></tr>";
				  				echo "<script>document.getElementById('nino').value = '".$persona[0]->id_persona."'; </script>";
				  	
							 
							}
						}
						
					}else{
						echo "<script> alert(\"Los datos de este Ni\u00f1o no fueron agregados en una primera carga de datos\") </script>";
					}
					
					
				}
			}elseif($fin==0){
				$model=new TPersona;
				$model->id_tipo_identificacion=$_POST['identificacion'];
				$model->cedula_persona=$_POST['cedula_persona'];
				$this->renderPartial('createDialog',array(
	                        	'model'=>$model,
	            ),false,true);
	            
			}else{
				echo "<script> alert(\"Los datos de este Ni\u00f1o no fueron agregados en una primera carga de datos\") </script>";
			}
			
		}else{
			echo "<script>alert(\"Debe agregar un numero de c\u00e9dula para realizar la b\u00fasqueda\"); document.getElementById(\"cedula_persona\").focus();</script>";
		}
			
		return $resultado;	
	}
	
/**
	 * Busca a una Persona
	 */
	public function actionBuscarPersona(){

		
		
		$tipo_ident =  $_POST['TPersona']['id_tipo_identificacion'];
		$cedula =  $_POST['TPersona']['cedula_persona'];
		$display = 'none';
		$display_encom = 'none';
		$encontrado = $_POST['encontrado'];
		$id_persona = '';
		
		if($cedula != ''){
			
			$persona = TPersona::model()->findAll('t.cedula_persona = \''.$cedula.'\'');

			if (count($persona) == 1){
				
				$email = ($persona[0]->email_persona == '')? 'No Definido' :  $persona[0]->email_persona;
				$genero = (strtoupper(TGenero::model()->findByPk($persona[0]->id_genero)->descripcion_genero) == 'F')? 'Femenino' : 'Masculino' ;
					
					
				echo
				"<label>Datos De Persona</label>
				<div class=\"row\">
					<label>		
						<div style='display:inline;'>				
							<strong>Nombres y Apellidos:</strong> <i>".$persona[0]->nombre_persona." ".$persona[0]->apellido_persona."</i>
						</div>						 
					</label>
				</div>
				<div class=\"row\">
					<label>
						<div style='display:inline;'>
							<strong>G&eacute;nero:</strong> <i>".$genero."</i>
							<div style='display:inline; padding-left:50px; '></div>
							<strong>Fecha Nacimiento:</strong> <i>".date('d/m/Y',strtotime($persona[0]->fecha_nacimiento))."</i>
							<div style='display:inline; padding-left:50px; '></div>
							<strong>Email:</strong> <i>".$email."</i>
						</div>					
					</label>									
				</div>";
					
				$display = 'none';				
				$display_encom = 'none';
				$encontrado = 1;
				$id_persona = $persona[0]->id_persona;
					
				
					
			}else {
				
				echo "<script type=\"text/javascript\">
				
							document.getElementById('TPersona_nombre_persona').value = '';
							document.getElementById('TPersona_apellido_persona').value = '';							
							document.getElementById('TPersona_id_genero').value = '';						
							document.getElementById('TPersona_email_persona').value = '';							
							document.getElementById('fecha_nacimiento').value = '".date('d-m-Y')."';
		
				
				
				</script>";

				$display = 'block';
				$display_encom = 'none';
				$encontrado = 0;
				$id_persona = '';
				$model->scenario='insert';
			}
		}else{
			echo "<script type=\"text/javascript\">
				document.getElementById('TPersona_cedula_persona').value = '".$cedula."';						
				document.getElementById('error_cedula').style.display = 'block';				 				
			</script>";
		}
		
		echo "<script>
				document.getElementById('TPersona_cedula_persona').value = '".$cedula."';						
				document.getElementById('person').style.display = '".$display."';
				document.getElementById('docente').style.display = 'block';
				document.getElementById('persona_encontrada').style.display = '".$display_encom."';
				document.getElementById('encontrado').value = '".$encontrado."';		
				document.getElementById('id_persona').value = '".$id_persona."';				 				
			</script>";

	}
	
	
	
	
}
/*
 * document.getElementById('TPersona_nombre_persona').value = '".$persona[0]->nombre_persona."';
 document.getElementById('nombre_personaa').value = '".$persona[0]->nombre_persona."';
 document.getElementById('TPersona_apellido_persona').value = '".$persona[0]->apellido_persona."';
 document.getElementById('TPersona_id_genero').value = '".$persona[0]->id_genero."';
 document.getElementById('TPersona_fecha_nacimiento').value = '".$persona[0]->fecha_nacimiento."';
 document.getElementById('TPersona_email_persona').value = '".$email."';
 *
 * */