<?php

/**
 * This is the model class for table "sisvan.t_datos_sujeto".
 *
 * The followings are the available columns in table 'sisvan.t_datos_sujeto':
 * @property integer $id_datos_sujeto
 * @property string $fecha_consulta
 * @property string $fecha_transcripcion
 * @property double $peso
 * @property double $talla
 * @property integer $id_persona
 * @property integer $edad_consulta
 * @property integer $id_organismo
 * @property integer $id_estatus
 */
class TDatosSujeto extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TDatosSujeto the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_datos_sujeto';
	}
        public $pesor;
        public $pesok;
        public $pesog;
        public $tallam;
        public $tallar;
        public $tallac;

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		
	
		return array(
			array('peso,talla,fecha_consulta,id_persona,id_organismo,edad_consulta,fecha_transcripcion', 'required'),
			array('id_persona,id_organismo, id_estatus', 'numerical', 'integerOnly'=>true),
			array('peso, talla', 'numerical'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_datos_sujeto, fecha_consulta, fecha_transcripcion, peso, talla, id_persona, edad_consulta, id_organismo, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
                    
                    
                  'sujeto_persona' => array(self::BELONGS_TO, 'TPersona', 'id_persona'),
                 // 'sujeto_organismo' => array(self::BELONGS_TO, 'TOrganismo', 'id_organismo'), 
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'fecha_consulta' => 'Fecha Consulta',
			'fecha_transcripcion' => 'Fecha Transcripción',
			'peso'         => 'Peso',
			'talla'        => 'Talla',
			'id_persona'   => 'Cédula Identidad',
			'edad_consulta'=> 'Edad Consulta',
			'id_organismo' => 'Organismo',
			'id_estatus'   => 'Estatus',
                        'id_usuario'   =>'Usuario',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('fecha_consulta',$this->fecha_consulta,true);

		$criteria->compare('fecha_transcripcion',$this->fecha_transcripcion,true);

		$criteria->compare('peso',$this->peso);

		$criteria->compare('talla',$this->talla);

		$criteria->compare('id_persona',$this->id_persona);

		$criteria->compare('edad_consulta',$this->edad_consulta);

		$criteria->compare('id_organismo',$this->id_organismo);

		$criteria->compare('id_estatus',$this->id_estatus);

                $criteria->condition= 'id_usuario='.Yii::app()->user->id;
                
                
		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
                       
                    
		));
	}
}