<?php

/**
 * This is the model class for table "sisvan.t_estatus".
 *
 * The followings are the available columns in table 'sisvan.t_estatus':
 * @property integer $id_estatus
 * @property string $descripcion_estatus
 * @property string $fecha_estatus
 */
class TEstatus extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TEstatus the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'personal.t_estatus';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
		array('descripcion_estatus', 'required'),
		array('descripcion_estatus', 'safe'),
		array('descripcion_estatus', 'unique'),
		// The following rule is used by search().
		// Please remove those attributes that should not be searched.
		array('id_estatus, descripcion_estatus, fecha_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_estatus' => 'Id Estatus',
			'descripcion_estatus' => 'Descripcion Estatus',
			'fecha_estatus' => 'Fecha Estatus',
		);
	}

	public function getStatus($id_estatus)
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		 
		$estatus = $this->find("t.id_estatus = ".$id_estatus);
		$nom_estatus=$estatus->descripcion_estatus;
		return $nom_estatus;
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_estatus',$this->id_estatus);

		$criteria->compare('descripcion_estatus',$this->descripcion_estatus,true);

		$criteria->compare('fecha_estatus',$this->fecha_estatus,true);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
