<?php

/**
 * This is the model class for table "sisvan.t_genero".
 *
 * The followings are the available columns in table 'sisvan.t_genero':
 * @property integer $id_genero
 * @property string $descripcion_genero
 * @property string $fecha_genero
 * @property integer $id_estatus
 */
class TGenero extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TGenero the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'personal.t_genero';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_genero', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_genero', 'length', 'max'=>30),
			array('descripcion_genero', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_genero, descripcion_genero, fecha_genero, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_genero' => 'Id Genero',
			'descripcion_genero' => 'Descripción',
			'fecha_genero' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_genero',$this->id_genero);

		$criteria->compare('descripcion_genero',$this->descripcion_genero,true);

		$criteria->compare('fecha_genero',$this->fecha_genero,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->condition = 't.id_genero <> 0';

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}