<?php

/**
 * This is the model class for table "sisvan.t_persona".
 *
 * The followings are the available columns in table 'sisvan.t_persona':
 * @property integer $id_persona
 * @property string $cedula_persona
 * @property integer $id_tipo_identificacion
 * @property string $nombre_persona
 * @property string $apellido_persona
 * @property integer $id_genero
 * @property string $fecha_nacimiento
 * @property string $fecha_persona
 * @property string $email_persona
 * @property integer $id_estatus
 */
class TPersona extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TPersona the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'personal.t_persona';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cedula_persona, id_tipo_identificacion, nombre_persona, apellido_persona,id_genero'/*,fecha_nacimiento'*/, 'required'),
			//array('cedula_persona','unique', 'on'=>'insert','message'=>'Esta Cedula se encuentra registrada.'),
			array('cedula_persona', 'length', 'max'=>20),
			//array('cedula_persona', 'unique'),
			//array('cedula_persona', 'unique'),
                        array('fecha_nacimiento', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'dd-MM-yyyy'),
                        array('dia_consulta', 'type','type'=>'date','message'=>'Formato de Fecha Invalido dd-mm-yyyy', 'dateFormat' => 'dd-MM-yyyy'),
			array('nombre_persona, apellido_persona', 'length', 'max'=>40),
			array('email_persona', 'length', 'max'=>100),
			array('email_persona', 'email'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_persona, cedula_persona, id_tipo_identificacion, nombre_persona, apellido_persona, id_genero, fecha_nacimiento, fecha_persona, email_persona, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
                        //'sujeto_persona' => array(self::BELONGS_TO, 'TDatosSujeto', 'id_persona'),
			'person_genero' => array(self::BELONGS_TO, 'TGenero', 'id_genero'),
			'person_ident' => array(self::BELONGS_TO, 'TTipoIdentificacion', 'id_tipo_identificacion'),
		
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_persona' => 'Id Persona',
			'cedula_persona' => 'Cedula de Identidad',
			'id_tipo_identificacion' => 'Tipo Identificacion',
			'nombre_persona' => 'Nombres',
			'apellido_persona' => 'Apellidos',
			'id_genero' => 'Genero',
                        'dia_consulta' => 'Dia de Consulta',
			'fecha_nacimiento' => 'Fecha Nacimiento',
			'fecha_persona' => 'Fecha Creacion',
			'email_persona' => 'Email',
			'id_estatus' => 'Estatus',
		);
	}
	
	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_persona',$this->id_persona);

		$criteria->compare('cedula_persona',$this->cedula_persona,true);

		$criteria->compare('id_tipo_identificacion',$this->id_tipo_identificacion);

		$criteria->compare('nombre_persona',$this->nombre_persona,true);

		$criteria->compare('apellido_persona',$this->apellido_persona,true);

		$criteria->compare('id_genero',$this->id_genero);

		$criteria->compare('fecha_nacimiento',$this->fecha_nacimiento,true);

                $criteria->compare('dia_consulta',$this->dia_conuslta,true);

		$criteria->compare('fecha_persona',$this->fecha_persona,true);

		$criteria->compare('email_persona',$this->email_persona,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_persona <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
