<?php

/**
 * This is the model class for table "sisvan.t_red".
 *
 * The followings are the available columns in table 'sisvan.t_red':
 * @property integer $id_red
 * @property string $tipo_red
 * @property string $fecha_red
 * @property integer $id_estatus
 */
class TRed extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TRed the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_red';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('tipo_red', 'required'),
			array('tipo_red', 'unique'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),			
			array('tipo_red', 'safe'),			
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_red, tipo_red, fecha_red, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_red' => 'Id Red',
			'tipo_red' => 'Nombre de Red',
			'fecha_red' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_red',$this->id_red);

		$criteria->compare('tipo_red',$this->tipo_red,true);

		$criteria->compare('fecha_red',$this->fecha_red,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->condition = 't.id_red <> 0';

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}