<?php

/**
 * This is the model class for table "sisvan.t_resultados_adolescentes".
 *
 * The followings are the available columns in table 'sisvan.t_resultados_adolescentes':
 * @property integer $id_datos_sujeto
 * @property integer $id_resultados_adolescentes
 * @property double $talla_edad
 * @property double $imc
 * @property integer $id_talla_edad
 * @property integer $id_categoria_imc_adolescentes
 * @property integer $id_interpretacion_combinada
 * @property integer $id_diagnostico_presuntivo
 */
class TResultadosAdolescentes extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TResultadosAdolescentes the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_resultados_adolescentes';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_talla_edad, id_categoria_imc_adolescentes, id_interpretacion_combinada, id_diagnostico_presuntivo', 'required'),
			array('id_talla_edad, id_categoria_imc_adolescentes, id_interpretacion_combinada, id_diagnostico_presuntivo', 'numerical', 'integerOnly'=>true),
			array('talla_edad, imc', 'numerical'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_datos_sujeto, id_resultados_adolescentes, talla_edad, imc, id_talla_edad, id_categoria_imc_adolescentes, id_interpretacion_combinada, id_diagnostico_presuntivo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'id_resultados_adolescentes' => 'Id Resultados Adolescentes',
			'talla_edad' => 'Talla Edad',
			'imc' => 'Imc',
			'id_talla_edad' => 'Id Talla Edad',
			'id_categoria_imc_adolescentes' => 'Id Categoria Imc Adolescentes',
			'id_interpretacion_combinada' => 'Id Interpretacion Combinada',
			'id_diagnostico_presuntivo' => 'Id Diagnostico Presuntivo',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('id_resultados_adolescentes',$this->id_resultados_adolescentes);

		$criteria->compare('talla_edad',$this->talla_edad);

		$criteria->compare('imc',$this->imc);

		$criteria->compare('id_talla_edad',$this->id_talla_edad);

		$criteria->compare('id_categoria_imc_adolescentes',$this->id_categoria_imc_adolescentes);

		$criteria->compare('id_interpretacion_combinada',$this->id_interpretacion_combinada);

		$criteria->compare('id_diagnostico_presuntivo',$this->id_diagnostico_presuntivo);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}