<?php

/**
 * This is the model class for table "sisvan.t_resultados_ninos".
 *
 * The followings are the available columns in table 'sisvan.t_resultados_ninos':
 * @property integer $id_datos_sujeto
 * @property integer $id_resultado_ninos
 * @property double $peso_talla
 * @property double $peso_edad
 * @property double $talla_edad
 * @property integer $id_peso_talla
 * @property integer $id_peso_edad
 * @property integer $id_talla_edad
 * @property integer $id_interpretacion_combinada
 * @property integer $id_diagnostico_presuntivo
 * @property integer $id_peso_talla_pci
 * @property integer $id_peso_edad_pci
 * @property integer $id_talla_edad_pci
 */
class TResultadosNinos extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TResultadosNinos the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_resultados_ninos';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_datos_sujeto,id_peso_talla, id_peso_edad, id_talla_edad, id_interpretacion_combinada, id_diagnostico_presuntivo', 'required'),
			array('id_peso_talla, id_peso_edad, id_talla_edad, id_interpretacion_combinada, id_diagnostico_presuntivo, id_peso_talla_pci, id_peso_edad_pci, id_talla_edad_pci', 'numerical'),
			array('peso_talla, peso_edad, talla_edad', 'numerical'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('peso_talla, peso_edad, talla_edad, id_peso_talla, id_peso_edad, id_talla_edad, id_interpretacion_combinada, id_diagnostico_presuntivo, id_peso_talla_pci, id_peso_edad_pci, id_talla_edad_pci', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_datos_sujeto' => 'Id Datos Sujeto',
			'id_resultado_ninos' => 'Id Resultado Ninos',
			'peso_talla' => 'Peso Talla',
			'peso_edad' => 'Peso Edad',
			'talla_edad' => 'Talla Edad',
			'id_peso_talla' => 'Id Peso Talla',
			'id_peso_edad' => 'Id Peso Edad',
			'id_talla_edad' => 'Id Talla Edad',
			'id_interpretacion_combinada' => 'Id Interpretacion Combinada',
			'id_diagnostico_presuntivo' => 'Id Diagnostico Presuntivo',
			'id_peso_talla_pci' => 'Id Peso Talla Pci',
			'id_peso_edad_pci' => 'Id Peso Edad Pci',
			'id_talla_edad_pci' => 'Id Talla Edad Pci',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_datos_sujeto',$this->id_datos_sujeto);

		$criteria->compare('id_resultado_ninos',$this->id_resultado_ninos);

		$criteria->compare('peso_talla',$this->peso_talla);

		$criteria->compare('peso_edad',$this->peso_edad);

		$criteria->compare('talla_edad',$this->talla_edad);

		$criteria->compare('id_peso_talla',$this->id_peso_talla);

		$criteria->compare('id_peso_edad',$this->id_peso_edad);

		$criteria->compare('id_talla_edad',$this->id_talla_edad);

		$criteria->compare('id_interpretacion_combinada',$this->id_interpretacion_combinada);

		$criteria->compare('id_diagnostico_presuntivo',$this->id_diagnostico_presuntivo);

		$criteria->compare('id_peso_talla_pci',$this->id_peso_talla_pci);

		$criteria->compare('id_peso_edad_pci',$this->id_peso_edad_pci);

		$criteria->compare('id_talla_edad_pci',$this->id_talla_edad_pci);

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}