<?php

/**
 * This is the model class for table "sisvan.t_tipo_comunidad".
 *
 * The followings are the available columns in table 'sisvan.t_tipo_comunidad':
 * @property integer $id_tipo_comunidad
 * @property string $descripcion_tipo_comunidad
 * @property string $fecha_tipo_comunidad
 * @property integer $id_estatus
 */
class TTipoComunidad extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoComunidad the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_tipo_comunidad';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_tipo_comunidad', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_comunidad', 'length', 'max'=>100),
			array('descripcion_tipo_comunidad', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_comunidad, descripcion_tipo_comunidad, fecha_tipo_comunidad, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_comunidad' => 'Id Tipo Comunidad',
			'descripcion_tipo_comunidad' => 'Nombre de Tipo Comunidad',
			'fecha_tipo_comunidad' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_comunidad',$this->id_tipo_comunidad);

		$criteria->compare('descripcion_tipo_comunidad',$this->descripcion_tipo_comunidad,true);

		$criteria->compare('fecha_tipo_comunidad',$this->fecha_tipo_comunidad,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_tipo_comunidad <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}