<?php

/**
 * This is the model class for table "sisvan.t_tipo_identificacion".
 *
 * The followings are the available columns in table 'sisvan.t_tipo_identificacion':
 * @property integer $id_tipo_identificacion
 * @property string $descripcion_tipo_identificacion
 * @property string $fecha_tipo_identificacion
 * @property integer $id_estatus
 */
class TTipoIdentificacion extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoIdentificacion the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'personal.t_tipo_identificacion';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_tipo_identificacion,siglas_tipo,id_tipo', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_identificacion', 'unique'),
			array('descripcion_tipo_identificacion', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_identificacion, descripcion_tipo_identificacion, fecha_tipo_identificacion, id_estatus,siglas_tipo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_identificacion' => 'Id Tipo Identificacion',
			'descripcion_tipo_identificacion' => 'Nombre de Tipo Identificación',
                        'id_tipo'=>'Tipo De Identificacion',
			'fecha_tipo_identificacion' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
			'siglas_tipo'=>'Siglas'
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_identificacion',$this->id_tipo_identificacion);

		$criteria->compare('descripcion_tipo_identificacion',$this->descripcion_tipo_identificacion,true);

		$criteria->compare('fecha_tipo_identificacion',$this->fecha_tipo_identificacion,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->compare('siglas_tipo',$this->siglas_tipo);
		
		$criteria->addCondition('t.id_tipo_identificacion <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
