<?php

/**
 * This is the model class for table "sisvan.t_tipo_organismo".
 *
 * The followings are the available columns in table 'sisvan.t_tipo_organismo':
 * @property integer $id_tipo_organismo
 * @property string $descripcion_tipo_organismo
 * @property string $fecha_tipo_organismo
 * @property integer $id_estatus
 */
class TTipoOrganismo extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoOrganismo the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_tipo_organismo';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_tipo_organismo', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_organismo', 'unique'),
			array('descripcion_tipo_organismo', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_organismo, descripcion_tipo_organismo, fecha_tipo_organismo, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_organismo' => 'Id Tipo Organismo',
			'descripcion_tipo_organismo' => 'Nombre de Tipo Organismo',
			'fecha_tipo_organismo' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_organismo',$this->id_tipo_organismo);

		$criteria->compare('descripcion_tipo_organismo',$this->descripcion_tipo_organismo,true);

		$criteria->compare('fecha_tipo_organismo',$this->fecha_tipo_organismo,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_tipo_organismo <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
