<?php

/**
 * This is the model class for table "sisvan.t_tipo_parentesco".
 *
 * The followings are the available columns in table 'sisvan.t_tipo_parentesco':
 * @property integer $id_tipo_parentesco
 * @property string $descripcion_tipo_parentesco
 * @property string $fecha_tipo_parentesco
 * @property integer $id_estatus
 */
class TTipoParentesco extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoparentesco the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'sisvan.t_tipo_parentesco';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('descripcion_tipo_parentesco', 'required'),
			array('id_estatus', 'numerical', 'integerOnly'=>true),
			array('descripcion_tipo_parentesco', 'unique'),
			array('descripcion_tipo_parentesco', 'length', 'max'=>10),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_tipo_parentesco, descripcion_tipo_parentesco, fecha_tipo_parentesco, id_estatus', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_tipo_parentesco' => 'Id Tipo parentesco',
			'descripcion_tipo_parentesco' => 'Nombre de Tipo Parentesco',
			'fecha_tipo_parentesco' => 'Fecha Creación',
			'id_estatus' => 'Estatus',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_tipo_parentesco',$this->id_tipo_parentesco);

		$criteria->compare('descripcion_tipo_parentesco',$this->descripcion_tipo_parentesco,true);

		$criteria->compare('fecha_tipo_parentesco',$this->fecha_tipo_parentesco,true);

		$criteria->compare('id_estatus',$this->id_estatus);
		
		$criteria->addCondition('t.id_tipo_parentesco <> 0');

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}