<?php

/**
 * This is the model class for table "sisvan.t_tipo_persona_organismo".
 *
 * The followings are the available columns in table 'sisvan.t_tipo_persona_organismo':
 * @property integer $id_persona
 * @property integer $id_tipo_persona
 * @property integer $id_organismo
 */
class TTipoPersonaOrganismo extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return TTipoPersonaOrganismo the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'personal.t_tipo_persona_organismo';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('id_persona, id_tipo_persona, id_organismo', 'required'),
			array('id_persona, id_tipo_persona, id_organismo', 'numerical', 'integerOnly'=>true),
			//array('id_persona, id_tipo_persona, id_organismo', 'unique'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_persona, id_tipo_persona, id_organismo', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'persona_tipo'=>array(self::BELONGS_TO, 'TPersona', 'id_persona'),
			'organismo_tipo'=>array(self::BELONGS_TO, 'TOrganismo', 'id_organismo'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_persona' => 'Id Persona',
			'id_tipo_persona' => 'Id Tipo Persona',
			'id_organismo' => 'Id Organismo',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_persona',$this->id_persona);

		$criteria->compare('id_tipo_persona',$this->id_tipo_persona);

		$criteria->compare('id_organismo',$this->id_organismo);		

		return new CActiveDataProvider(get_class($this), array(
			'criteria'=>$criteria,
		));
	}
}
